/*!
  * vue3-bin-datav v0.1.9
  * (c) 2022 wangbin
  * @license MIT
  */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

function getDefaultExportFromCjs (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

var colorString$1 = {exports: {}};

var colorName = {
	"aliceblue": [240, 248, 255],
	"antiquewhite": [250, 235, 215],
	"aqua": [0, 255, 255],
	"aquamarine": [127, 255, 212],
	"azure": [240, 255, 255],
	"beige": [245, 245, 220],
	"bisque": [255, 228, 196],
	"black": [0, 0, 0],
	"blanchedalmond": [255, 235, 205],
	"blue": [0, 0, 255],
	"blueviolet": [138, 43, 226],
	"brown": [165, 42, 42],
	"burlywood": [222, 184, 135],
	"cadetblue": [95, 158, 160],
	"chartreuse": [127, 255, 0],
	"chocolate": [210, 105, 30],
	"coral": [255, 127, 80],
	"cornflowerblue": [100, 149, 237],
	"cornsilk": [255, 248, 220],
	"crimson": [220, 20, 60],
	"cyan": [0, 255, 255],
	"darkblue": [0, 0, 139],
	"darkcyan": [0, 139, 139],
	"darkgoldenrod": [184, 134, 11],
	"darkgray": [169, 169, 169],
	"darkgreen": [0, 100, 0],
	"darkgrey": [169, 169, 169],
	"darkkhaki": [189, 183, 107],
	"darkmagenta": [139, 0, 139],
	"darkolivegreen": [85, 107, 47],
	"darkorange": [255, 140, 0],
	"darkorchid": [153, 50, 204],
	"darkred": [139, 0, 0],
	"darksalmon": [233, 150, 122],
	"darkseagreen": [143, 188, 143],
	"darkslateblue": [72, 61, 139],
	"darkslategray": [47, 79, 79],
	"darkslategrey": [47, 79, 79],
	"darkturquoise": [0, 206, 209],
	"darkviolet": [148, 0, 211],
	"deeppink": [255, 20, 147],
	"deepskyblue": [0, 191, 255],
	"dimgray": [105, 105, 105],
	"dimgrey": [105, 105, 105],
	"dodgerblue": [30, 144, 255],
	"firebrick": [178, 34, 34],
	"floralwhite": [255, 250, 240],
	"forestgreen": [34, 139, 34],
	"fuchsia": [255, 0, 255],
	"gainsboro": [220, 220, 220],
	"ghostwhite": [248, 248, 255],
	"gold": [255, 215, 0],
	"goldenrod": [218, 165, 32],
	"gray": [128, 128, 128],
	"green": [0, 128, 0],
	"greenyellow": [173, 255, 47],
	"grey": [128, 128, 128],
	"honeydew": [240, 255, 240],
	"hotpink": [255, 105, 180],
	"indianred": [205, 92, 92],
	"indigo": [75, 0, 130],
	"ivory": [255, 255, 240],
	"khaki": [240, 230, 140],
	"lavender": [230, 230, 250],
	"lavenderblush": [255, 240, 245],
	"lawngreen": [124, 252, 0],
	"lemonchiffon": [255, 250, 205],
	"lightblue": [173, 216, 230],
	"lightcoral": [240, 128, 128],
	"lightcyan": [224, 255, 255],
	"lightgoldenrodyellow": [250, 250, 210],
	"lightgray": [211, 211, 211],
	"lightgreen": [144, 238, 144],
	"lightgrey": [211, 211, 211],
	"lightpink": [255, 182, 193],
	"lightsalmon": [255, 160, 122],
	"lightseagreen": [32, 178, 170],
	"lightskyblue": [135, 206, 250],
	"lightslategray": [119, 136, 153],
	"lightslategrey": [119, 136, 153],
	"lightsteelblue": [176, 196, 222],
	"lightyellow": [255, 255, 224],
	"lime": [0, 255, 0],
	"limegreen": [50, 205, 50],
	"linen": [250, 240, 230],
	"magenta": [255, 0, 255],
	"maroon": [128, 0, 0],
	"mediumaquamarine": [102, 205, 170],
	"mediumblue": [0, 0, 205],
	"mediumorchid": [186, 85, 211],
	"mediumpurple": [147, 112, 219],
	"mediumseagreen": [60, 179, 113],
	"mediumslateblue": [123, 104, 238],
	"mediumspringgreen": [0, 250, 154],
	"mediumturquoise": [72, 209, 204],
	"mediumvioletred": [199, 21, 133],
	"midnightblue": [25, 25, 112],
	"mintcream": [245, 255, 250],
	"mistyrose": [255, 228, 225],
	"moccasin": [255, 228, 181],
	"navajowhite": [255, 222, 173],
	"navy": [0, 0, 128],
	"oldlace": [253, 245, 230],
	"olive": [128, 128, 0],
	"olivedrab": [107, 142, 35],
	"orange": [255, 165, 0],
	"orangered": [255, 69, 0],
	"orchid": [218, 112, 214],
	"palegoldenrod": [238, 232, 170],
	"palegreen": [152, 251, 152],
	"paleturquoise": [175, 238, 238],
	"palevioletred": [219, 112, 147],
	"papayawhip": [255, 239, 213],
	"peachpuff": [255, 218, 185],
	"peru": [205, 133, 63],
	"pink": [255, 192, 203],
	"plum": [221, 160, 221],
	"powderblue": [176, 224, 230],
	"purple": [128, 0, 128],
	"rebeccapurple": [102, 51, 153],
	"red": [255, 0, 0],
	"rosybrown": [188, 143, 143],
	"royalblue": [65, 105, 225],
	"saddlebrown": [139, 69, 19],
	"salmon": [250, 128, 114],
	"sandybrown": [244, 164, 96],
	"seagreen": [46, 139, 87],
	"seashell": [255, 245, 238],
	"sienna": [160, 82, 45],
	"silver": [192, 192, 192],
	"skyblue": [135, 206, 235],
	"slateblue": [106, 90, 205],
	"slategray": [112, 128, 144],
	"slategrey": [112, 128, 144],
	"snow": [255, 250, 250],
	"springgreen": [0, 255, 127],
	"steelblue": [70, 130, 180],
	"tan": [210, 180, 140],
	"teal": [0, 128, 128],
	"thistle": [216, 191, 216],
	"tomato": [255, 99, 71],
	"turquoise": [64, 224, 208],
	"violet": [238, 130, 238],
	"wheat": [245, 222, 179],
	"white": [255, 255, 255],
	"whitesmoke": [245, 245, 245],
	"yellow": [255, 255, 0],
	"yellowgreen": [154, 205, 50]
};

var simpleSwizzle = {exports: {}};

var isArrayish$1 = function isArrayish(obj) {
	if (!obj || typeof obj === 'string') {
		return false;
	}

	return obj instanceof Array || Array.isArray(obj) ||
		(obj.length >= 0 && (obj.splice instanceof Function ||
			(Object.getOwnPropertyDescriptor(obj, (obj.length - 1)) && obj.constructor.name !== 'String')));
};

var isArrayish = isArrayish$1;

var concat = Array.prototype.concat;
var slice = Array.prototype.slice;

var swizzle$1 = simpleSwizzle.exports = function swizzle(args) {
	var results = [];

	for (var i = 0, len = args.length; i < len; i++) {
		var arg = args[i];

		if (isArrayish(arg)) {
			// http://jsperf.com/javascript-array-concat-vs-push/98
			results = concat.call(results, slice.call(arg));
		} else {
			results.push(arg);
		}
	}

	return results;
};

swizzle$1.wrap = function (fn) {
	return function () {
		return fn(swizzle$1(arguments));
	};
};

/* MIT license */

var colorNames = colorName;
var swizzle = simpleSwizzle.exports;
var hasOwnProperty = Object.hasOwnProperty;

var reverseNames = Object.create(null);

// create a list of reverse color names
for (var name$1 in colorNames) {
	if (hasOwnProperty.call(colorNames, name$1)) {
		reverseNames[colorNames[name$1]] = name$1;
	}
}

var cs = colorString$1.exports = {
	to: {},
	get: {}
};

cs.get = function (string) {
	var prefix = string.substring(0, 3).toLowerCase();
	var val;
	var model;
	switch (prefix) {
		case 'hsl':
			val = cs.get.hsl(string);
			model = 'hsl';
			break;
		case 'hwb':
			val = cs.get.hwb(string);
			model = 'hwb';
			break;
		default:
			val = cs.get.rgb(string);
			model = 'rgb';
			break;
	}

	if (!val) {
		return null;
	}

	return {model: model, value: val};
};

cs.get.rgb = function (string) {
	if (!string) {
		return null;
	}

	var abbr = /^#([a-f0-9]{3,4})$/i;
	var hex = /^#([a-f0-9]{6})([a-f0-9]{2})?$/i;
	var rgba = /^rgba?\(\s*([+-]?\d+)(?=[\s,])\s*(?:,\s*)?([+-]?\d+)(?=[\s,])\s*(?:,\s*)?([+-]?\d+)\s*(?:[,|\/]\s*([+-]?[\d\.]+)(%?)\s*)?\)$/;
	var per = /^rgba?\(\s*([+-]?[\d\.]+)\%\s*,?\s*([+-]?[\d\.]+)\%\s*,?\s*([+-]?[\d\.]+)\%\s*(?:[,|\/]\s*([+-]?[\d\.]+)(%?)\s*)?\)$/;
	var keyword = /^(\w+)$/;

	var rgb = [0, 0, 0, 1];
	var match;
	var i;
	var hexAlpha;

	if (match = string.match(hex)) {
		hexAlpha = match[2];
		match = match[1];

		for (i = 0; i < 3; i++) {
			// https://jsperf.com/slice-vs-substr-vs-substring-methods-long-string/19
			var i2 = i * 2;
			rgb[i] = parseInt(match.slice(i2, i2 + 2), 16);
		}

		if (hexAlpha) {
			rgb[3] = parseInt(hexAlpha, 16) / 255;
		}
	} else if (match = string.match(abbr)) {
		match = match[1];
		hexAlpha = match[3];

		for (i = 0; i < 3; i++) {
			rgb[i] = parseInt(match[i] + match[i], 16);
		}

		if (hexAlpha) {
			rgb[3] = parseInt(hexAlpha + hexAlpha, 16) / 255;
		}
	} else if (match = string.match(rgba)) {
		for (i = 0; i < 3; i++) {
			rgb[i] = parseInt(match[i + 1], 0);
		}

		if (match[4]) {
			if (match[5]) {
				rgb[3] = parseFloat(match[4]) * 0.01;
			} else {
				rgb[3] = parseFloat(match[4]);
			}
		}
	} else if (match = string.match(per)) {
		for (i = 0; i < 3; i++) {
			rgb[i] = Math.round(parseFloat(match[i + 1]) * 2.55);
		}

		if (match[4]) {
			if (match[5]) {
				rgb[3] = parseFloat(match[4]) * 0.01;
			} else {
				rgb[3] = parseFloat(match[4]);
			}
		}
	} else if (match = string.match(keyword)) {
		if (match[1] === 'transparent') {
			return [0, 0, 0, 0];
		}

		if (!hasOwnProperty.call(colorNames, match[1])) {
			return null;
		}

		rgb = colorNames[match[1]];
		rgb[3] = 1;

		return rgb;
	} else {
		return null;
	}

	for (i = 0; i < 3; i++) {
		rgb[i] = clamp(rgb[i], 0, 255);
	}
	rgb[3] = clamp(rgb[3], 0, 1);

	return rgb;
};

cs.get.hsl = function (string) {
	if (!string) {
		return null;
	}

	var hsl = /^hsla?\(\s*([+-]?(?:\d{0,3}\.)?\d+)(?:deg)?\s*,?\s*([+-]?[\d\.]+)%\s*,?\s*([+-]?[\d\.]+)%\s*(?:[,|\/]\s*([+-]?(?=\.\d|\d)(?:0|[1-9]\d*)?(?:\.\d*)?(?:[eE][+-]?\d+)?)\s*)?\)$/;
	var match = string.match(hsl);

	if (match) {
		var alpha = parseFloat(match[4]);
		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
		var s = clamp(parseFloat(match[2]), 0, 100);
		var l = clamp(parseFloat(match[3]), 0, 100);
		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);

		return [h, s, l, a];
	}

	return null;
};

cs.get.hwb = function (string) {
	if (!string) {
		return null;
	}

	var hwb = /^hwb\(\s*([+-]?\d{0,3}(?:\.\d+)?)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?(?=\.\d|\d)(?:0|[1-9]\d*)?(?:\.\d*)?(?:[eE][+-]?\d+)?)\s*)?\)$/;
	var match = string.match(hwb);

	if (match) {
		var alpha = parseFloat(match[4]);
		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
		var w = clamp(parseFloat(match[2]), 0, 100);
		var b = clamp(parseFloat(match[3]), 0, 100);
		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);
		return [h, w, b, a];
	}

	return null;
};

cs.to.hex = function () {
	var rgba = swizzle(arguments);

	return (
		'#' +
		hexDouble(rgba[0]) +
		hexDouble(rgba[1]) +
		hexDouble(rgba[2]) +
		(rgba[3] < 1
			? (hexDouble(Math.round(rgba[3] * 255)))
			: '')
	);
};

cs.to.rgb = function () {
	var rgba = swizzle(arguments);

	return rgba.length < 4 || rgba[3] === 1
		? 'rgb(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ')'
		: 'rgba(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ', ' + rgba[3] + ')';
};

cs.to.rgb.percent = function () {
	var rgba = swizzle(arguments);

	var r = Math.round(rgba[0] / 255 * 100);
	var g = Math.round(rgba[1] / 255 * 100);
	var b = Math.round(rgba[2] / 255 * 100);

	return rgba.length < 4 || rgba[3] === 1
		? 'rgb(' + r + '%, ' + g + '%, ' + b + '%)'
		: 'rgba(' + r + '%, ' + g + '%, ' + b + '%, ' + rgba[3] + ')';
};

cs.to.hsl = function () {
	var hsla = swizzle(arguments);
	return hsla.length < 4 || hsla[3] === 1
		? 'hsl(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%)'
		: 'hsla(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%, ' + hsla[3] + ')';
};

// hwb is a bit different than rgb(a) & hsl(a) since there is no alpha specific syntax
// (hwb have alpha optional & 1 is default value)
cs.to.hwb = function () {
	var hwba = swizzle(arguments);

	var a = '';
	if (hwba.length >= 4 && hwba[3] !== 1) {
		a = ', ' + hwba[3];
	}

	return 'hwb(' + hwba[0] + ', ' + hwba[1] + '%, ' + hwba[2] + '%' + a + ')';
};

cs.to.keyword = function (rgb) {
	return reverseNames[rgb.slice(0, 3)];
};

// helpers
function clamp(num, min, max) {
	return Math.min(Math.max(min, num), max);
}

function hexDouble(num) {
	var str = Math.round(num).toString(16).toUpperCase();
	return (str.length < 2) ? '0' + str : str;
}

/* MIT license */

/* eslint-disable no-mixed-operators */
const cssKeywords = colorName;

// NOTE: conversions should only return primitive values (i.e. arrays, or
//       values that give correct `typeof` results).
//       do not use box values types (i.e. Number(), String(), etc.)

const reverseKeywords = {};
for (const key of Object.keys(cssKeywords)) {
	reverseKeywords[cssKeywords[key]] = key;
}

const convert$2 = {
	rgb: {channels: 3, labels: 'rgb'},
	hsl: {channels: 3, labels: 'hsl'},
	hsv: {channels: 3, labels: 'hsv'},
	hwb: {channels: 3, labels: 'hwb'},
	cmyk: {channels: 4, labels: 'cmyk'},
	xyz: {channels: 3, labels: 'xyz'},
	lab: {channels: 3, labels: 'lab'},
	lch: {channels: 3, labels: 'lch'},
	hex: {channels: 1, labels: ['hex']},
	keyword: {channels: 1, labels: ['keyword']},
	ansi16: {channels: 1, labels: ['ansi16']},
	ansi256: {channels: 1, labels: ['ansi256']},
	hcg: {channels: 3, labels: ['h', 'c', 'g']},
	apple: {channels: 3, labels: ['r16', 'g16', 'b16']},
	gray: {channels: 1, labels: ['gray']}
};

var conversions$2 = convert$2;

// Hide .channels and .labels properties
for (const model of Object.keys(convert$2)) {
	if (!('channels' in convert$2[model])) {
		throw new Error('missing channels property: ' + model);
	}

	if (!('labels' in convert$2[model])) {
		throw new Error('missing channel labels property: ' + model);
	}

	if (convert$2[model].labels.length !== convert$2[model].channels) {
		throw new Error('channel and label counts mismatch: ' + model);
	}

	const {channels, labels} = convert$2[model];
	delete convert$2[model].channels;
	delete convert$2[model].labels;
	Object.defineProperty(convert$2[model], 'channels', {value: channels});
	Object.defineProperty(convert$2[model], 'labels', {value: labels});
}

convert$2.rgb.hsl = function (rgb) {
	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;
	const min = Math.min(r, g, b);
	const max = Math.max(r, g, b);
	const delta = max - min;
	let h;
	let s;

	if (max === min) {
		h = 0;
	} else if (r === max) {
		h = (g - b) / delta;
	} else if (g === max) {
		h = 2 + (b - r) / delta;
	} else if (b === max) {
		h = 4 + (r - g) / delta;
	}

	h = Math.min(h * 60, 360);

	if (h < 0) {
		h += 360;
	}

	const l = (min + max) / 2;

	if (max === min) {
		s = 0;
	} else if (l <= 0.5) {
		s = delta / (max + min);
	} else {
		s = delta / (2 - max - min);
	}

	return [h, s * 100, l * 100];
};

convert$2.rgb.hsv = function (rgb) {
	let rdif;
	let gdif;
	let bdif;
	let h;
	let s;

	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;
	const v = Math.max(r, g, b);
	const diff = v - Math.min(r, g, b);
	const diffc = function (c) {
		return (v - c) / 6 / diff + 1 / 2;
	};

	if (diff === 0) {
		h = 0;
		s = 0;
	} else {
		s = diff / v;
		rdif = diffc(r);
		gdif = diffc(g);
		bdif = diffc(b);

		if (r === v) {
			h = bdif - gdif;
		} else if (g === v) {
			h = (1 / 3) + rdif - bdif;
		} else if (b === v) {
			h = (2 / 3) + gdif - rdif;
		}

		if (h < 0) {
			h += 1;
		} else if (h > 1) {
			h -= 1;
		}
	}

	return [
		h * 360,
		s * 100,
		v * 100
	];
};

convert$2.rgb.hwb = function (rgb) {
	const r = rgb[0];
	const g = rgb[1];
	let b = rgb[2];
	const h = convert$2.rgb.hsl(rgb)[0];
	const w = 1 / 255 * Math.min(r, Math.min(g, b));

	b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));

	return [h, w * 100, b * 100];
};

convert$2.rgb.cmyk = function (rgb) {
	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;

	const k = Math.min(1 - r, 1 - g, 1 - b);
	const c = (1 - r - k) / (1 - k) || 0;
	const m = (1 - g - k) / (1 - k) || 0;
	const y = (1 - b - k) / (1 - k) || 0;

	return [c * 100, m * 100, y * 100, k * 100];
};

function comparativeDistance(x, y) {
	/*
		See https://en.m.wikipedia.org/wiki/Euclidean_distance#Squared_Euclidean_distance
	*/
	return (
		((x[0] - y[0]) ** 2) +
		((x[1] - y[1]) ** 2) +
		((x[2] - y[2]) ** 2)
	);
}

convert$2.rgb.keyword = function (rgb) {
	const reversed = reverseKeywords[rgb];
	if (reversed) {
		return reversed;
	}

	let currentClosestDistance = Infinity;
	let currentClosestKeyword;

	for (const keyword of Object.keys(cssKeywords)) {
		const value = cssKeywords[keyword];

		// Compute comparative distance
		const distance = comparativeDistance(rgb, value);

		// Check if its less, if so set as closest
		if (distance < currentClosestDistance) {
			currentClosestDistance = distance;
			currentClosestKeyword = keyword;
		}
	}

	return currentClosestKeyword;
};

convert$2.keyword.rgb = function (keyword) {
	return cssKeywords[keyword];
};

convert$2.rgb.xyz = function (rgb) {
	let r = rgb[0] / 255;
	let g = rgb[1] / 255;
	let b = rgb[2] / 255;

	// Assume sRGB
	r = r > 0.04045 ? (((r + 0.055) / 1.055) ** 2.4) : (r / 12.92);
	g = g > 0.04045 ? (((g + 0.055) / 1.055) ** 2.4) : (g / 12.92);
	b = b > 0.04045 ? (((b + 0.055) / 1.055) ** 2.4) : (b / 12.92);

	const x = (r * 0.4124) + (g * 0.3576) + (b * 0.1805);
	const y = (r * 0.2126) + (g * 0.7152) + (b * 0.0722);
	const z = (r * 0.0193) + (g * 0.1192) + (b * 0.9505);

	return [x * 100, y * 100, z * 100];
};

convert$2.rgb.lab = function (rgb) {
	const xyz = convert$2.rgb.xyz(rgb);
	let x = xyz[0];
	let y = xyz[1];
	let z = xyz[2];

	x /= 95.047;
	y /= 100;
	z /= 108.883;

	x = x > 0.008856 ? (x ** (1 / 3)) : (7.787 * x) + (16 / 116);
	y = y > 0.008856 ? (y ** (1 / 3)) : (7.787 * y) + (16 / 116);
	z = z > 0.008856 ? (z ** (1 / 3)) : (7.787 * z) + (16 / 116);

	const l = (116 * y) - 16;
	const a = 500 * (x - y);
	const b = 200 * (y - z);

	return [l, a, b];
};

convert$2.hsl.rgb = function (hsl) {
	const h = hsl[0] / 360;
	const s = hsl[1] / 100;
	const l = hsl[2] / 100;
	let t2;
	let t3;
	let val;

	if (s === 0) {
		val = l * 255;
		return [val, val, val];
	}

	if (l < 0.5) {
		t2 = l * (1 + s);
	} else {
		t2 = l + s - l * s;
	}

	const t1 = 2 * l - t2;

	const rgb = [0, 0, 0];
	for (let i = 0; i < 3; i++) {
		t3 = h + 1 / 3 * -(i - 1);
		if (t3 < 0) {
			t3++;
		}

		if (t3 > 1) {
			t3--;
		}

		if (6 * t3 < 1) {
			val = t1 + (t2 - t1) * 6 * t3;
		} else if (2 * t3 < 1) {
			val = t2;
		} else if (3 * t3 < 2) {
			val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
		} else {
			val = t1;
		}

		rgb[i] = val * 255;
	}

	return rgb;
};

convert$2.hsl.hsv = function (hsl) {
	const h = hsl[0];
	let s = hsl[1] / 100;
	let l = hsl[2] / 100;
	let smin = s;
	const lmin = Math.max(l, 0.01);

	l *= 2;
	s *= (l <= 1) ? l : 2 - l;
	smin *= lmin <= 1 ? lmin : 2 - lmin;
	const v = (l + s) / 2;
	const sv = l === 0 ? (2 * smin) / (lmin + smin) : (2 * s) / (l + s);

	return [h, sv * 100, v * 100];
};

convert$2.hsv.rgb = function (hsv) {
	const h = hsv[0] / 60;
	const s = hsv[1] / 100;
	let v = hsv[2] / 100;
	const hi = Math.floor(h) % 6;

	const f = h - Math.floor(h);
	const p = 255 * v * (1 - s);
	const q = 255 * v * (1 - (s * f));
	const t = 255 * v * (1 - (s * (1 - f)));
	v *= 255;

	switch (hi) {
		case 0:
			return [v, t, p];
		case 1:
			return [q, v, p];
		case 2:
			return [p, v, t];
		case 3:
			return [p, q, v];
		case 4:
			return [t, p, v];
		case 5:
			return [v, p, q];
	}
};

convert$2.hsv.hsl = function (hsv) {
	const h = hsv[0];
	const s = hsv[1] / 100;
	const v = hsv[2] / 100;
	const vmin = Math.max(v, 0.01);
	let sl;
	let l;

	l = (2 - s) * v;
	const lmin = (2 - s) * vmin;
	sl = s * vmin;
	sl /= (lmin <= 1) ? lmin : 2 - lmin;
	sl = sl || 0;
	l /= 2;

	return [h, sl * 100, l * 100];
};

// http://dev.w3.org/csswg/css-color/#hwb-to-rgb
convert$2.hwb.rgb = function (hwb) {
	const h = hwb[0] / 360;
	let wh = hwb[1] / 100;
	let bl = hwb[2] / 100;
	const ratio = wh + bl;
	let f;

	// Wh + bl cant be > 1
	if (ratio > 1) {
		wh /= ratio;
		bl /= ratio;
	}

	const i = Math.floor(6 * h);
	const v = 1 - bl;
	f = 6 * h - i;

	if ((i & 0x01) !== 0) {
		f = 1 - f;
	}

	const n = wh + f * (v - wh); // Linear interpolation

	let r;
	let g;
	let b;
	/* eslint-disable max-statements-per-line,no-multi-spaces */
	switch (i) {
		default:
		case 6:
		case 0: r = v;  g = n;  b = wh; break;
		case 1: r = n;  g = v;  b = wh; break;
		case 2: r = wh; g = v;  b = n; break;
		case 3: r = wh; g = n;  b = v; break;
		case 4: r = n;  g = wh; b = v; break;
		case 5: r = v;  g = wh; b = n; break;
	}
	/* eslint-enable max-statements-per-line,no-multi-spaces */

	return [r * 255, g * 255, b * 255];
};

convert$2.cmyk.rgb = function (cmyk) {
	const c = cmyk[0] / 100;
	const m = cmyk[1] / 100;
	const y = cmyk[2] / 100;
	const k = cmyk[3] / 100;

	const r = 1 - Math.min(1, c * (1 - k) + k);
	const g = 1 - Math.min(1, m * (1 - k) + k);
	const b = 1 - Math.min(1, y * (1 - k) + k);

	return [r * 255, g * 255, b * 255];
};

convert$2.xyz.rgb = function (xyz) {
	const x = xyz[0] / 100;
	const y = xyz[1] / 100;
	const z = xyz[2] / 100;
	let r;
	let g;
	let b;

	r = (x * 3.2406) + (y * -1.5372) + (z * -0.4986);
	g = (x * -0.9689) + (y * 1.8758) + (z * 0.0415);
	b = (x * 0.0557) + (y * -0.2040) + (z * 1.0570);

	// Assume sRGB
	r = r > 0.0031308
		? ((1.055 * (r ** (1.0 / 2.4))) - 0.055)
		: r * 12.92;

	g = g > 0.0031308
		? ((1.055 * (g ** (1.0 / 2.4))) - 0.055)
		: g * 12.92;

	b = b > 0.0031308
		? ((1.055 * (b ** (1.0 / 2.4))) - 0.055)
		: b * 12.92;

	r = Math.min(Math.max(0, r), 1);
	g = Math.min(Math.max(0, g), 1);
	b = Math.min(Math.max(0, b), 1);

	return [r * 255, g * 255, b * 255];
};

convert$2.xyz.lab = function (xyz) {
	let x = xyz[0];
	let y = xyz[1];
	let z = xyz[2];

	x /= 95.047;
	y /= 100;
	z /= 108.883;

	x = x > 0.008856 ? (x ** (1 / 3)) : (7.787 * x) + (16 / 116);
	y = y > 0.008856 ? (y ** (1 / 3)) : (7.787 * y) + (16 / 116);
	z = z > 0.008856 ? (z ** (1 / 3)) : (7.787 * z) + (16 / 116);

	const l = (116 * y) - 16;
	const a = 500 * (x - y);
	const b = 200 * (y - z);

	return [l, a, b];
};

convert$2.lab.xyz = function (lab) {
	const l = lab[0];
	const a = lab[1];
	const b = lab[2];
	let x;
	let y;
	let z;

	y = (l + 16) / 116;
	x = a / 500 + y;
	z = y - b / 200;

	const y2 = y ** 3;
	const x2 = x ** 3;
	const z2 = z ** 3;
	y = y2 > 0.008856 ? y2 : (y - 16 / 116) / 7.787;
	x = x2 > 0.008856 ? x2 : (x - 16 / 116) / 7.787;
	z = z2 > 0.008856 ? z2 : (z - 16 / 116) / 7.787;

	x *= 95.047;
	y *= 100;
	z *= 108.883;

	return [x, y, z];
};

convert$2.lab.lch = function (lab) {
	const l = lab[0];
	const a = lab[1];
	const b = lab[2];
	let h;

	const hr = Math.atan2(b, a);
	h = hr * 360 / 2 / Math.PI;

	if (h < 0) {
		h += 360;
	}

	const c = Math.sqrt(a * a + b * b);

	return [l, c, h];
};

convert$2.lch.lab = function (lch) {
	const l = lch[0];
	const c = lch[1];
	const h = lch[2];

	const hr = h / 360 * 2 * Math.PI;
	const a = c * Math.cos(hr);
	const b = c * Math.sin(hr);

	return [l, a, b];
};

convert$2.rgb.ansi16 = function (args, saturation = null) {
	const [r, g, b] = args;
	let value = saturation === null ? convert$2.rgb.hsv(args)[2] : saturation; // Hsv -> ansi16 optimization

	value = Math.round(value / 50);

	if (value === 0) {
		return 30;
	}

	let ansi = 30
		+ ((Math.round(b / 255) << 2)
		| (Math.round(g / 255) << 1)
		| Math.round(r / 255));

	if (value === 2) {
		ansi += 60;
	}

	return ansi;
};

convert$2.hsv.ansi16 = function (args) {
	// Optimization here; we already know the value and don't need to get
	// it converted for us.
	return convert$2.rgb.ansi16(convert$2.hsv.rgb(args), args[2]);
};

convert$2.rgb.ansi256 = function (args) {
	const r = args[0];
	const g = args[1];
	const b = args[2];

	// We use the extended greyscale palette here, with the exception of
	// black and white. normal palette only has 4 greyscale shades.
	if (r === g && g === b) {
		if (r < 8) {
			return 16;
		}

		if (r > 248) {
			return 231;
		}

		return Math.round(((r - 8) / 247) * 24) + 232;
	}

	const ansi = 16
		+ (36 * Math.round(r / 255 * 5))
		+ (6 * Math.round(g / 255 * 5))
		+ Math.round(b / 255 * 5);

	return ansi;
};

convert$2.ansi16.rgb = function (args) {
	let color = args % 10;

	// Handle greyscale
	if (color === 0 || color === 7) {
		if (args > 50) {
			color += 3.5;
		}

		color = color / 10.5 * 255;

		return [color, color, color];
	}

	const mult = (~~(args > 50) + 1) * 0.5;
	const r = ((color & 1) * mult) * 255;
	const g = (((color >> 1) & 1) * mult) * 255;
	const b = (((color >> 2) & 1) * mult) * 255;

	return [r, g, b];
};

convert$2.ansi256.rgb = function (args) {
	// Handle greyscale
	if (args >= 232) {
		const c = (args - 232) * 10 + 8;
		return [c, c, c];
	}

	args -= 16;

	let rem;
	const r = Math.floor(args / 36) / 5 * 255;
	const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
	const b = (rem % 6) / 5 * 255;

	return [r, g, b];
};

convert$2.rgb.hex = function (args) {
	const integer = ((Math.round(args[0]) & 0xFF) << 16)
		+ ((Math.round(args[1]) & 0xFF) << 8)
		+ (Math.round(args[2]) & 0xFF);

	const string = integer.toString(16).toUpperCase();
	return '000000'.substring(string.length) + string;
};

convert$2.hex.rgb = function (args) {
	const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
	if (!match) {
		return [0, 0, 0];
	}

	let colorString = match[0];

	if (match[0].length === 3) {
		colorString = colorString.split('').map(char => {
			return char + char;
		}).join('');
	}

	const integer = parseInt(colorString, 16);
	const r = (integer >> 16) & 0xFF;
	const g = (integer >> 8) & 0xFF;
	const b = integer & 0xFF;

	return [r, g, b];
};

convert$2.rgb.hcg = function (rgb) {
	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;
	const max = Math.max(Math.max(r, g), b);
	const min = Math.min(Math.min(r, g), b);
	const chroma = (max - min);
	let grayscale;
	let hue;

	if (chroma < 1) {
		grayscale = min / (1 - chroma);
	} else {
		grayscale = 0;
	}

	if (chroma <= 0) {
		hue = 0;
	} else
	if (max === r) {
		hue = ((g - b) / chroma) % 6;
	} else
	if (max === g) {
		hue = 2 + (b - r) / chroma;
	} else {
		hue = 4 + (r - g) / chroma;
	}

	hue /= 6;
	hue %= 1;

	return [hue * 360, chroma * 100, grayscale * 100];
};

convert$2.hsl.hcg = function (hsl) {
	const s = hsl[1] / 100;
	const l = hsl[2] / 100;

	const c = l < 0.5 ? (2.0 * s * l) : (2.0 * s * (1.0 - l));

	let f = 0;
	if (c < 1.0) {
		f = (l - 0.5 * c) / (1.0 - c);
	}

	return [hsl[0], c * 100, f * 100];
};

convert$2.hsv.hcg = function (hsv) {
	const s = hsv[1] / 100;
	const v = hsv[2] / 100;

	const c = s * v;
	let f = 0;

	if (c < 1.0) {
		f = (v - c) / (1 - c);
	}

	return [hsv[0], c * 100, f * 100];
};

convert$2.hcg.rgb = function (hcg) {
	const h = hcg[0] / 360;
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;

	if (c === 0.0) {
		return [g * 255, g * 255, g * 255];
	}

	const pure = [0, 0, 0];
	const hi = (h % 1) * 6;
	const v = hi % 1;
	const w = 1 - v;
	let mg = 0;

	/* eslint-disable max-statements-per-line */
	switch (Math.floor(hi)) {
		case 0:
			pure[0] = 1; pure[1] = v; pure[2] = 0; break;
		case 1:
			pure[0] = w; pure[1] = 1; pure[2] = 0; break;
		case 2:
			pure[0] = 0; pure[1] = 1; pure[2] = v; break;
		case 3:
			pure[0] = 0; pure[1] = w; pure[2] = 1; break;
		case 4:
			pure[0] = v; pure[1] = 0; pure[2] = 1; break;
		default:
			pure[0] = 1; pure[1] = 0; pure[2] = w;
	}
	/* eslint-enable max-statements-per-line */

	mg = (1.0 - c) * g;

	return [
		(c * pure[0] + mg) * 255,
		(c * pure[1] + mg) * 255,
		(c * pure[2] + mg) * 255
	];
};

convert$2.hcg.hsv = function (hcg) {
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;

	const v = c + g * (1.0 - c);
	let f = 0;

	if (v > 0.0) {
		f = c / v;
	}

	return [hcg[0], f * 100, v * 100];
};

convert$2.hcg.hsl = function (hcg) {
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;

	const l = g * (1.0 - c) + 0.5 * c;
	let s = 0;

	if (l > 0.0 && l < 0.5) {
		s = c / (2 * l);
	} else
	if (l >= 0.5 && l < 1.0) {
		s = c / (2 * (1 - l));
	}

	return [hcg[0], s * 100, l * 100];
};

convert$2.hcg.hwb = function (hcg) {
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;
	const v = c + g * (1.0 - c);
	return [hcg[0], (v - c) * 100, (1 - v) * 100];
};

convert$2.hwb.hcg = function (hwb) {
	const w = hwb[1] / 100;
	const b = hwb[2] / 100;
	const v = 1 - b;
	const c = v - w;
	let g = 0;

	if (c < 1) {
		g = (v - c) / (1 - c);
	}

	return [hwb[0], c * 100, g * 100];
};

convert$2.apple.rgb = function (apple) {
	return [(apple[0] / 65535) * 255, (apple[1] / 65535) * 255, (apple[2] / 65535) * 255];
};

convert$2.rgb.apple = function (rgb) {
	return [(rgb[0] / 255) * 65535, (rgb[1] / 255) * 65535, (rgb[2] / 255) * 65535];
};

convert$2.gray.rgb = function (args) {
	return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
};

convert$2.gray.hsl = function (args) {
	return [0, 0, args[0]];
};

convert$2.gray.hsv = convert$2.gray.hsl;

convert$2.gray.hwb = function (gray) {
	return [0, 100, gray[0]];
};

convert$2.gray.cmyk = function (gray) {
	return [0, 0, 0, gray[0]];
};

convert$2.gray.lab = function (gray) {
	return [gray[0], 0, 0];
};

convert$2.gray.hex = function (gray) {
	const val = Math.round(gray[0] / 100 * 255) & 0xFF;
	const integer = (val << 16) + (val << 8) + val;

	const string = integer.toString(16).toUpperCase();
	return '000000'.substring(string.length) + string;
};

convert$2.rgb.gray = function (rgb) {
	const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
	return [val / 255 * 100];
};

const conversions$1 = conversions$2;

/*
	This function routes a model to all other models.

	all functions that are routed have a property `.conversion` attached
	to the returned synthetic function. This property is an array
	of strings, each with the steps in between the 'from' and 'to'
	color models (inclusive).

	conversions that are not possible simply are not included.
*/

function buildGraph() {
	const graph = {};
	// https://jsperf.com/object-keys-vs-for-in-with-closure/3
	const models = Object.keys(conversions$1);

	for (let len = models.length, i = 0; i < len; i++) {
		graph[models[i]] = {
			// http://jsperf.com/1-vs-infinity
			// micro-opt, but this is simple.
			distance: -1,
			parent: null
		};
	}

	return graph;
}

// https://en.wikipedia.org/wiki/Breadth-first_search
function deriveBFS(fromModel) {
	const graph = buildGraph();
	const queue = [fromModel]; // Unshift -> queue -> pop

	graph[fromModel].distance = 0;

	while (queue.length) {
		const current = queue.pop();
		const adjacents = Object.keys(conversions$1[current]);

		for (let len = adjacents.length, i = 0; i < len; i++) {
			const adjacent = adjacents[i];
			const node = graph[adjacent];

			if (node.distance === -1) {
				node.distance = graph[current].distance + 1;
				node.parent = current;
				queue.unshift(adjacent);
			}
		}
	}

	return graph;
}

function link(from, to) {
	return function (args) {
		return to(from(args));
	};
}

function wrapConversion(toModel, graph) {
	const path = [graph[toModel].parent, toModel];
	let fn = conversions$1[graph[toModel].parent][toModel];

	let cur = graph[toModel].parent;
	while (graph[cur].parent) {
		path.unshift(graph[cur].parent);
		fn = link(conversions$1[graph[cur].parent][cur], fn);
		cur = graph[cur].parent;
	}

	fn.conversion = path;
	return fn;
}

var route$1 = function (fromModel) {
	const graph = deriveBFS(fromModel);
	const conversion = {};

	const models = Object.keys(graph);
	for (let len = models.length, i = 0; i < len; i++) {
		const toModel = models[i];
		const node = graph[toModel];

		if (node.parent === null) {
			// No possible conversion, or this node is the source model.
			continue;
		}

		conversion[toModel] = wrapConversion(toModel, graph);
	}

	return conversion;
};

const conversions = conversions$2;
const route = route$1;

const convert$1 = {};

const models = Object.keys(conversions);

function wrapRaw(fn) {
	const wrappedFn = function (...args) {
		const arg0 = args[0];
		if (arg0 === undefined || arg0 === null) {
			return arg0;
		}

		if (arg0.length > 1) {
			args = arg0;
		}

		return fn(args);
	};

	// Preserve .conversion property if there is one
	if ('conversion' in fn) {
		wrappedFn.conversion = fn.conversion;
	}

	return wrappedFn;
}

function wrapRounded(fn) {
	const wrappedFn = function (...args) {
		const arg0 = args[0];

		if (arg0 === undefined || arg0 === null) {
			return arg0;
		}

		if (arg0.length > 1) {
			args = arg0;
		}

		const result = fn(args);

		// We're assuming the result is an array here.
		// see notice in conversions.js; don't use box types
		// in conversion functions.
		if (typeof result === 'object') {
			for (let len = result.length, i = 0; i < len; i++) {
				result[i] = Math.round(result[i]);
			}
		}

		return result;
	};

	// Preserve .conversion property if there is one
	if ('conversion' in fn) {
		wrappedFn.conversion = fn.conversion;
	}

	return wrappedFn;
}

models.forEach(fromModel => {
	convert$1[fromModel] = {};

	Object.defineProperty(convert$1[fromModel], 'channels', {value: conversions[fromModel].channels});
	Object.defineProperty(convert$1[fromModel], 'labels', {value: conversions[fromModel].labels});

	const routes = route(fromModel);
	const routeModels = Object.keys(routes);

	routeModels.forEach(toModel => {
		const fn = routes[toModel];

		convert$1[fromModel][toModel] = wrapRounded(fn);
		convert$1[fromModel][toModel].raw = wrapRaw(fn);
	});
});

var colorConvert = convert$1;

const colorString = colorString$1.exports;
const convert = colorConvert;

const skippedModels = [
	// To be honest, I don't really feel like keyword belongs in color convert, but eh.
	'keyword',

	// Gray conflicts with some method names, and has its own method defined.
	'gray',

	// Shouldn't really be in color-convert either...
	'hex',
];

const hashedModelKeys = {};
for (const model of Object.keys(convert)) {
	hashedModelKeys[[...convert[model].labels].sort().join('')] = model;
}

const limiters = {};

function Color(object, model) {
	if (!(this instanceof Color)) {
		return new Color(object, model);
	}

	if (model && model in skippedModels) {
		model = null;
	}

	if (model && !(model in convert)) {
		throw new Error('Unknown model: ' + model);
	}

	let i;
	let channels;

	if (object == null) { // eslint-disable-line no-eq-null,eqeqeq
		this.model = 'rgb';
		this.color = [0, 0, 0];
		this.valpha = 1;
	} else if (object instanceof Color) {
		this.model = object.model;
		this.color = [...object.color];
		this.valpha = object.valpha;
	} else if (typeof object === 'string') {
		const result = colorString.get(object);
		if (result === null) {
			throw new Error('Unable to parse color from string: ' + object);
		}

		this.model = result.model;
		channels = convert[this.model].channels;
		this.color = result.value.slice(0, channels);
		this.valpha = typeof result.value[channels] === 'number' ? result.value[channels] : 1;
	} else if (object.length > 0) {
		this.model = model || 'rgb';
		channels = convert[this.model].channels;
		const newArray = Array.prototype.slice.call(object, 0, channels);
		this.color = zeroArray(newArray, channels);
		this.valpha = typeof object[channels] === 'number' ? object[channels] : 1;
	} else if (typeof object === 'number') {
		// This is always RGB - can be converted later on.
		this.model = 'rgb';
		this.color = [
			(object >> 16) & 0xFF,
			(object >> 8) & 0xFF,
			object & 0xFF,
		];
		this.valpha = 1;
	} else {
		this.valpha = 1;

		const keys = Object.keys(object);
		if ('alpha' in object) {
			keys.splice(keys.indexOf('alpha'), 1);
			this.valpha = typeof object.alpha === 'number' ? object.alpha : 0;
		}

		const hashedKeys = keys.sort().join('');
		if (!(hashedKeys in hashedModelKeys)) {
			throw new Error('Unable to parse color from object: ' + JSON.stringify(object));
		}

		this.model = hashedModelKeys[hashedKeys];

		const {labels} = convert[this.model];
		const color = [];
		for (i = 0; i < labels.length; i++) {
			color.push(object[labels[i]]);
		}

		this.color = zeroArray(color);
	}

	// Perform limitations (clamping, etc.)
	if (limiters[this.model]) {
		channels = convert[this.model].channels;
		for (i = 0; i < channels; i++) {
			const limit = limiters[this.model][i];
			if (limit) {
				this.color[i] = limit(this.color[i]);
			}
		}
	}

	this.valpha = Math.max(0, Math.min(1, this.valpha));

	if (Object.freeze) {
		Object.freeze(this);
	}
}

Color.prototype = {
	toString() {
		return this.string();
	},

	toJSON() {
		return this[this.model]();
	},

	string(places) {
		let self = this.model in colorString.to ? this : this.rgb();
		self = self.round(typeof places === 'number' ? places : 1);
		const args = self.valpha === 1 ? self.color : [...self.color, this.valpha];
		return colorString.to[self.model](args);
	},

	percentString(places) {
		const self = this.rgb().round(typeof places === 'number' ? places : 1);
		const args = self.valpha === 1 ? self.color : [...self.color, this.valpha];
		return colorString.to.rgb.percent(args);
	},

	array() {
		return this.valpha === 1 ? [...this.color] : [...this.color, this.valpha];
	},

	object() {
		const result = {};
		const {channels} = convert[this.model];
		const {labels} = convert[this.model];

		for (let i = 0; i < channels; i++) {
			result[labels[i]] = this.color[i];
		}

		if (this.valpha !== 1) {
			result.alpha = this.valpha;
		}

		return result;
	},

	unitArray() {
		const rgb = this.rgb().color;
		rgb[0] /= 255;
		rgb[1] /= 255;
		rgb[2] /= 255;

		if (this.valpha !== 1) {
			rgb.push(this.valpha);
		}

		return rgb;
	},

	unitObject() {
		const rgb = this.rgb().object();
		rgb.r /= 255;
		rgb.g /= 255;
		rgb.b /= 255;

		if (this.valpha !== 1) {
			rgb.alpha = this.valpha;
		}

		return rgb;
	},

	round(places) {
		places = Math.max(places || 0, 0);
		return new Color([...this.color.map(roundToPlace(places)), this.valpha], this.model);
	},

	alpha(value) {
		if (value !== undefined) {
			return new Color([...this.color, Math.max(0, Math.min(1, value))], this.model);
		}

		return this.valpha;
	},

	// Rgb
	red: getset('rgb', 0, maxfn(255)),
	green: getset('rgb', 1, maxfn(255)),
	blue: getset('rgb', 2, maxfn(255)),

	hue: getset(['hsl', 'hsv', 'hsl', 'hwb', 'hcg'], 0, value => ((value % 360) + 360) % 360),

	saturationl: getset('hsl', 1, maxfn(100)),
	lightness: getset('hsl', 2, maxfn(100)),

	saturationv: getset('hsv', 1, maxfn(100)),
	value: getset('hsv', 2, maxfn(100)),

	chroma: getset('hcg', 1, maxfn(100)),
	gray: getset('hcg', 2, maxfn(100)),

	white: getset('hwb', 1, maxfn(100)),
	wblack: getset('hwb', 2, maxfn(100)),

	cyan: getset('cmyk', 0, maxfn(100)),
	magenta: getset('cmyk', 1, maxfn(100)),
	yellow: getset('cmyk', 2, maxfn(100)),
	black: getset('cmyk', 3, maxfn(100)),

	x: getset('xyz', 0, maxfn(95.047)),
	y: getset('xyz', 1, maxfn(100)),
	z: getset('xyz', 2, maxfn(108.833)),

	l: getset('lab', 0, maxfn(100)),
	a: getset('lab', 1),
	b: getset('lab', 2),

	keyword(value) {
		if (value !== undefined) {
			return new Color(value);
		}

		return convert[this.model].keyword(this.color);
	},

	hex(value) {
		if (value !== undefined) {
			return new Color(value);
		}

		return colorString.to.hex(this.rgb().round().color);
	},

	hexa(value) {
		if (value !== undefined) {
			return new Color(value);
		}

		const rgbArray = this.rgb().round().color;

		let alphaHex = Math.round(this.valpha * 255).toString(16).toUpperCase();
		if (alphaHex.length === 1) {
			alphaHex = '0' + alphaHex;
		}

		return colorString.to.hex(rgbArray) + alphaHex;
	},

	rgbNumber() {
		const rgb = this.rgb().color;
		return ((rgb[0] & 0xFF) << 16) | ((rgb[1] & 0xFF) << 8) | (rgb[2] & 0xFF);
	},

	luminosity() {
		// http://www.w3.org/TR/WCAG20/#relativeluminancedef
		const rgb = this.rgb().color;

		const lum = [];
		for (const [i, element] of rgb.entries()) {
			const chan = element / 255;
			lum[i] = (chan <= 0.04045) ? chan / 12.92 : ((chan + 0.055) / 1.055) ** 2.4;
		}

		return 0.2126 * lum[0] + 0.7152 * lum[1] + 0.0722 * lum[2];
	},

	contrast(color2) {
		// http://www.w3.org/TR/WCAG20/#contrast-ratiodef
		const lum1 = this.luminosity();
		const lum2 = color2.luminosity();

		if (lum1 > lum2) {
			return (lum1 + 0.05) / (lum2 + 0.05);
		}

		return (lum2 + 0.05) / (lum1 + 0.05);
	},

	level(color2) {
		// https://www.w3.org/TR/WCAG/#contrast-enhanced
		const contrastRatio = this.contrast(color2);
		if (contrastRatio >= 7) {
			return 'AAA';
		}

		return (contrastRatio >= 4.5) ? 'AA' : '';
	},

	isDark() {
		// YIQ equation from http://24ways.org/2010/calculating-color-contrast
		const rgb = this.rgb().color;
		const yiq = (rgb[0] * 2126 + rgb[1] * 7152 + rgb[2] * 722) / 10000;
		return yiq < 128;
	},

	isLight() {
		return !this.isDark();
	},

	negate() {
		const rgb = this.rgb();
		for (let i = 0; i < 3; i++) {
			rgb.color[i] = 255 - rgb.color[i];
		}

		return rgb;
	},

	lighten(ratio) {
		const hsl = this.hsl();
		hsl.color[2] += hsl.color[2] * ratio;
		return hsl;
	},

	darken(ratio) {
		const hsl = this.hsl();
		hsl.color[2] -= hsl.color[2] * ratio;
		return hsl;
	},

	saturate(ratio) {
		const hsl = this.hsl();
		hsl.color[1] += hsl.color[1] * ratio;
		return hsl;
	},

	desaturate(ratio) {
		const hsl = this.hsl();
		hsl.color[1] -= hsl.color[1] * ratio;
		return hsl;
	},

	whiten(ratio) {
		const hwb = this.hwb();
		hwb.color[1] += hwb.color[1] * ratio;
		return hwb;
	},

	blacken(ratio) {
		const hwb = this.hwb();
		hwb.color[2] += hwb.color[2] * ratio;
		return hwb;
	},

	grayscale() {
		// http://en.wikipedia.org/wiki/Grayscale#Converting_color_to_grayscale
		const rgb = this.rgb().color;
		const value = rgb[0] * 0.3 + rgb[1] * 0.59 + rgb[2] * 0.11;
		return Color.rgb(value, value, value);
	},

	fade(ratio) {
		return this.alpha(this.valpha - (this.valpha * ratio));
	},

	opaquer(ratio) {
		return this.alpha(this.valpha + (this.valpha * ratio));
	},

	rotate(degrees) {
		const hsl = this.hsl();
		let hue = hsl.color[0];
		hue = (hue + degrees) % 360;
		hue = hue < 0 ? 360 + hue : hue;
		hsl.color[0] = hue;
		return hsl;
	},

	mix(mixinColor, weight) {
		// Ported from sass implementation in C
		// https://github.com/sass/libsass/blob/0e6b4a2850092356aa3ece07c6b249f0221caced/functions.cpp#L209
		if (!mixinColor || !mixinColor.rgb) {
			throw new Error('Argument to "mix" was not a Color instance, but rather an instance of ' + typeof mixinColor);
		}

		const color1 = mixinColor.rgb();
		const color2 = this.rgb();
		const p = weight === undefined ? 0.5 : weight;

		const w = 2 * p - 1;
		const a = color1.alpha() - color2.alpha();

		const w1 = (((w * a === -1) ? w : (w + a) / (1 + w * a)) + 1) / 2;
		const w2 = 1 - w1;

		return Color.rgb(
			w1 * color1.red() + w2 * color2.red(),
			w1 * color1.green() + w2 * color2.green(),
			w1 * color1.blue() + w2 * color2.blue(),
			color1.alpha() * p + color2.alpha() * (1 - p));
	},
};

// Model conversion methods and static constructors
for (const model of Object.keys(convert)) {
	if (skippedModels.includes(model)) {
		continue;
	}

	const {channels} = convert[model];

	// Conversion methods
	Color.prototype[model] = function (...args) {
		if (this.model === model) {
			return new Color(this);
		}

		if (args.length > 0) {
			return new Color(args, model);
		}

		return new Color([...assertArray(convert[this.model][model].raw(this.color)), this.valpha], model);
	};

	// 'static' construction methods
	Color[model] = function (...args) {
		let color = args[0];
		if (typeof color === 'number') {
			color = zeroArray(args, channels);
		}

		return new Color(color, model);
	};
}

function roundTo(number, places) {
	return Number(number.toFixed(places));
}

function roundToPlace(places) {
	return function (number) {
		return roundTo(number, places);
	};
}

function getset(model, channel, modifier) {
	model = Array.isArray(model) ? model : [model];

	for (const m of model) {
		(limiters[m] || (limiters[m] = []))[channel] = modifier;
	}

	model = model[0];

	return function (value) {
		let result;

		if (value !== undefined) {
			if (modifier) {
				value = modifier(value);
			}

			result = this[model]();
			result.color[channel] = value;
			return result;
		}

		result = this[model]().color[channel];
		if (modifier) {
			result = modifier(result);
		}

		return result;
	};
}

function maxfn(max) {
	return function (v) {
		return Math.max(0, Math.min(max, v));
	};
}

function assertArray(value) {
	return Array.isArray(value) ? value : [value];
}

function zeroArray(array, length) {
	for (let i = 0; i < length; i++) {
		if (typeof array[i] !== 'number') {
			array[i] = 0;
		}
	}

	return array;
}

var color = Color;

var Color$1 = color;

/**
 * 依赖color插件，在此基础上封装部分转换函数
 * 参考文档说明：https://www.npmjs.com/package/color
 */
function alpha(color, alpha) {
  return Color$1(color).alpha(alpha).toString();
}

var script$A = {
  name: 'BvIcon',
  props: {
    icon: {
      type: String,
      required: true
    },
    color: {
      type: String
    },
    size: {
      type: Number,
      default: 32
    },
    bg: Boolean,
    round: Boolean,
    type: String,
    alpha: {
      type: Number,
      default: 0.2
    }
  },
  emits: ['click'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var colorVar = vue.computed(function () {
      var color = props.color;
      if (!color) return null;
      var colorMap = {
        primary: '#1089ff',
        success: '#52c41a',
        warning: '#fea638',
        danger: '#ff4d4f'
      };
      return colorMap[color] ? colorMap[color] : color;
    });
    var bgVar = vue.computed(function () {
      var color = colorVar.value;
      if (!color || !props.bg) return null;
      return alpha(color, props.alpha);
    });
    var styles = vue.computed(function () {
      var size = props.size;
      var iconSize = size / 2 + 2;
      return {
        cursor: props.type === 'btn' ? 'pointer' : null,
        width: size + "px",
        height: size + "px",
        fontSize: iconSize + "px",
        color: colorVar.value,
        backgroundColor: bgVar.value,
        borderRadius: props.round ? '50%' : '2px'
      };
    });

    function handleClick() {
      if (props.type === 'btn') {
        emit('click', props.icon);
      }
    }

    return {
      colorVar: colorVar,
      bgVar: bgVar,
      styles: styles,
      handleClick: handleClick
    };
  }
};

function render$A(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: "bv-icon-wrapper",
    style: vue.normalizeStyle($setup.styles),
    onClick: _cache[0] || (_cache[0] = function () {
      return $setup.handleClick && $setup.handleClick.apply($setup, arguments);
    })
  }, [vue.createElementVNode("i", {
    class: vue.normalizeClass("b-iconfont b-icon-" + $props.icon)
  }, null, 2
  /* CLASS */
  )], 4
  /* STYLE */
  );
}

script$A.render = render$A;
script$A.__file = "src/components/icon/icon.vue";

script$A.install = function (app) {
  app.component(script$A.name, script$A);
};

// 此组件参考vue-count-to实现
var script$z = {
  name: 'BvCountTo',
  props: {
    startVal: {
      type: Number,
      default: 0
    },
    endVal: {
      type: Number,
      default: 2000
    },
    duration: {
      type: Number,
      default: 2000
    },
    autoplay: {
      type: Boolean,
      default: true
    },
    decimals: {
      type: Number,
      required: false,
      default: 0,
      validator: function validator(value) {
        return value >= 0;
      }
    },
    decimal: {
      type: String,
      default: '.'
    },
    separator: {
      type: String,
      default: ','
    },
    prefix: {
      type: String,
      default: ''
    },
    suffix: {
      type: String,
      default: ''
    },
    useEasing: {
      type: Boolean,
      default: true
    },
    easingFn: {
      type: Function,
      default: function _default(t, b, c, d) {
        return c * (-Math.pow(2, -10 * t / d) + 1) * 1024 / 1023 + b;
      }
    }
  },
  emits: ['mounted', 'callback'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var state = vue.reactive({
      localStartVal: props.startVal,
      displayValue: formatNumber(props.startVal),
      printVal: null,
      paused: false,
      localDuration: props.duration,
      startTime: null,
      timestamp: null,
      remaining: null,
      rAF: null
    });
    vue.onMounted(function () {
      if (props.autoplay) {
        start();
      }

      emit('mounted');
    });
    var getCountDown = vue.computed(function () {
      return props.startVal > props.endVal;
    });
    vue.watch([function () {
      return props.startVal;
    }, function () {
      return props.endVal;
    }], function () {
      if (props.autoplay) {
        start();
      }
    });

    function start() {
      var startVal = props.startVal,
          duration = props.duration;
      state.localStartVal = startVal;
      state.startTime = null;
      state.localDuration = duration;
      state.paused = false;
      state.rAF = requestAnimationFrame(count);
    }

    function pauseResume() {
      if (state.paused) {
        resume();
        state.paused = false;
      } else {
        pause();
        state.paused = true;
      }
    }

    function pause() {
      cancelAnimationFrame(state.rAF);
    }

    function resume() {
      state.startTime = null;
      state.localDuration = +state.remaining;
      state.localStartVal = +state.printVal;
      requestAnimationFrame(count);
    }

    function reset() {
      state.startTime = null;
      cancelAnimationFrame(state.rAF);
      state.displayValue = formatNumber(props.startVal);
    }

    function count(timestamp) {
      var useEasing = props.useEasing,
          easingFn = props.easingFn,
          endVal = props.endVal;
      if (!state.startTime) state.startTime = timestamp;
      state.timestamp = timestamp;
      var progress = timestamp - state.startTime;
      state.remaining = state.localDuration - progress;

      if (useEasing) {
        if (vue.unref(getCountDown)) {
          state.printVal = state.localStartVal - easingFn(progress, 0, state.localStartVal - endVal, state.localDuration);
        } else {
          state.printVal = easingFn(progress, state.localStartVal, endVal - state.localStartVal, state.localDuration);
        }
      } else {
        if (vue.unref(getCountDown)) {
          state.printVal = state.localStartVal - (state.localStartVal - endVal) * (progress / state.localDuration);
        } else {
          state.printVal = state.localStartVal + (endVal - state.localStartVal) * (progress / state.localDuration);
        }
      }

      if (vue.unref(getCountDown)) {
        state.printVal = state.printVal < endVal ? endVal : state.printVal;
      } else {
        state.printVal = state.printVal > endVal ? endVal : state.printVal;
      }

      state.displayValue = formatNumber(state.printVal);

      if (progress < state.localDuration) {
        state.rAF = requestAnimationFrame(count);
      } else {
        emit('callback');
      }
    }

    function formatNumber(num) {
      var decimals = props.decimals,
          decimal = props.decimal,
          separator = props.separator,
          suffix = props.suffix,
          prefix = props.prefix;
      num = Number(num).toFixed(decimals);
      num += '';
      var x = num.split('.');
      var x1 = x[0];
      var x2 = x.length > 1 ? decimal + x[1] : '';
      var rgx = /(\d+)(\d{3})/;

      if (separator) {
        while (rgx.test(x1)) {
          x1 = x1.replace(rgx, '$1' + separator + '$2');
        }
      }

      return prefix + x1 + x2 + suffix;
    }

    function restart() {
      reset();
      start();
    }

    return {
      count: count,
      reset: reset,
      resume: resume,
      start: start,
      pauseResume: pauseResume,
      restart: restart,
      displayValue: vue.toRef(state, 'displayValue')
    };
  }
};

function render$z(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("span", null, vue.toDisplayString($setup.displayValue), 1
  /* TEXT */
  );
}

script$z.render = render$z;
script$z.__file = "src/components/count-to/count-to.vue";

script$z.install = function (app) {
  app.component(script$z.name, script$z);
};

var script$y = {
  name: 'BvLoading'
};

var _hoisted_1$w = {
  class: "bv-loading"
};

var _hoisted_2$w = /*#__PURE__*/vue.createStaticVNode("<svg width=\"50px\" height=\"50px\"><circle cx=\"25\" cy=\"25\" r=\"20\" fill=\"transparent\" stroke-width=\"3\" stroke-dasharray=\"31.415, 31.415\" stroke=\"#02bcfe\" stroke-linecap=\"round\"><animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0, 25 25;360, 25 25\" dur=\"1.5s\" repeatCount=\"indefinite\"></animateTransform><animate attributeName=\"stroke\" values=\"#02bcfe;#3be6cb;#02bcfe\" dur=\"3s\" repeatCount=\"indefinite\"></animate></circle><circle cx=\"25\" cy=\"25\" r=\"10\" fill=\"transparent\" stroke-width=\"3\" stroke-dasharray=\"15.7, 15.7\" stroke=\"#3be6cb\" stroke-linecap=\"round\"><animateTransform attributeName=\"transform\" type=\"rotate\" values=\"360, 25 25;0, 25 25\" dur=\"1.5s\" repeatCount=\"indefinite\"></animateTransform><animate attributeName=\"stroke\" values=\"#3be6cb;#02bcfe;#3be6cb\" dur=\"3s\" repeatCount=\"indefinite\"></animate></circle></svg>", 1);

var _hoisted_3$w = {
  class: "loading-tip"
};
function render$y(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$w, [_hoisted_2$w, vue.createElementVNode("div", _hoisted_3$w, [vue.renderSlot(_ctx.$slots, "default")])]);
}

script$y.render = render$y;
script$y.__file = "src/components/loading/main.vue";

script$y.install = function (app) {
  app.component(script$y.name, script$y);
};

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

/**
 * A collection of shims that provide minimal functionality of the ES6 collections.
 *
 * These implementations are not meant to be used outside of the ResizeObserver
 * modules as they cover only a limited range of use cases.
 */
/* eslint-disable require-jsdoc, valid-jsdoc */
var MapShim = (function () {
    if (typeof Map !== 'undefined') {
        return Map;
    }
    /**
     * Returns index in provided array that matches the specified key.
     *
     * @param {Array<Array>} arr
     * @param {*} key
     * @returns {number}
     */
    function getIndex(arr, key) {
        var result = -1;
        arr.some(function (entry, index) {
            if (entry[0] === key) {
                result = index;
                return true;
            }
            return false;
        });
        return result;
    }
    return /** @class */ (function () {
        function class_1() {
            this.__entries__ = [];
        }
        Object.defineProperty(class_1.prototype, "size", {
            /**
             * @returns {boolean}
             */
            get: function () {
                return this.__entries__.length;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {*} key
         * @returns {*}
         */
        class_1.prototype.get = function (key) {
            var index = getIndex(this.__entries__, key);
            var entry = this.__entries__[index];
            return entry && entry[1];
        };
        /**
         * @param {*} key
         * @param {*} value
         * @returns {void}
         */
        class_1.prototype.set = function (key, value) {
            var index = getIndex(this.__entries__, key);
            if (~index) {
                this.__entries__[index][1] = value;
            }
            else {
                this.__entries__.push([key, value]);
            }
        };
        /**
         * @param {*} key
         * @returns {void}
         */
        class_1.prototype.delete = function (key) {
            var entries = this.__entries__;
            var index = getIndex(entries, key);
            if (~index) {
                entries.splice(index, 1);
            }
        };
        /**
         * @param {*} key
         * @returns {void}
         */
        class_1.prototype.has = function (key) {
            return !!~getIndex(this.__entries__, key);
        };
        /**
         * @returns {void}
         */
        class_1.prototype.clear = function () {
            this.__entries__.splice(0);
        };
        /**
         * @param {Function} callback
         * @param {*} [ctx=null]
         * @returns {void}
         */
        class_1.prototype.forEach = function (callback, ctx) {
            if (ctx === void 0) { ctx = null; }
            for (var _i = 0, _a = this.__entries__; _i < _a.length; _i++) {
                var entry = _a[_i];
                callback.call(ctx, entry[1], entry[0]);
            }
        };
        return class_1;
    }());
})();

/**
 * Detects whether window and document objects are available in current environment.
 */
var isBrowser = typeof window !== 'undefined' && typeof document !== 'undefined' && window.document === document;

// Returns global object of a current environment.
var global$1 = (function () {
    if (typeof global !== 'undefined' && global.Math === Math) {
        return global;
    }
    if (typeof self !== 'undefined' && self.Math === Math) {
        return self;
    }
    if (typeof window !== 'undefined' && window.Math === Math) {
        return window;
    }
    // eslint-disable-next-line no-new-func
    return Function('return this')();
})();

/**
 * A shim for the requestAnimationFrame which falls back to the setTimeout if
 * first one is not supported.
 *
 * @returns {number} Requests' identifier.
 */
var requestAnimationFrame$1 = (function () {
    if (typeof requestAnimationFrame === 'function') {
        // It's required to use a bounded function because IE sometimes throws
        // an "Invalid calling object" error if rAF is invoked without the global
        // object on the left hand side.
        return requestAnimationFrame.bind(global$1);
    }
    return function (callback) { return setTimeout(function () { return callback(Date.now()); }, 1000 / 60); };
})();

// Defines minimum timeout before adding a trailing call.
var trailingTimeout = 2;
/**
 * Creates a wrapper function which ensures that provided callback will be
 * invoked only once during the specified delay period.
 *
 * @param {Function} callback - Function to be invoked after the delay period.
 * @param {number} delay - Delay after which to invoke callback.
 * @returns {Function}
 */
function throttle$1 (callback, delay) {
    var leadingCall = false, trailingCall = false, lastCallTime = 0;
    /**
     * Invokes the original callback function and schedules new invocation if
     * the "proxy" was called during current request.
     *
     * @returns {void}
     */
    function resolvePending() {
        if (leadingCall) {
            leadingCall = false;
            callback();
        }
        if (trailingCall) {
            proxy();
        }
    }
    /**
     * Callback invoked after the specified delay. It will further postpone
     * invocation of the original function delegating it to the
     * requestAnimationFrame.
     *
     * @returns {void}
     */
    function timeoutCallback() {
        requestAnimationFrame$1(resolvePending);
    }
    /**
     * Schedules invocation of the original function.
     *
     * @returns {void}
     */
    function proxy() {
        var timeStamp = Date.now();
        if (leadingCall) {
            // Reject immediately following calls.
            if (timeStamp - lastCallTime < trailingTimeout) {
                return;
            }
            // Schedule new call to be in invoked when the pending one is resolved.
            // This is important for "transitions" which never actually start
            // immediately so there is a chance that we might miss one if change
            // happens amids the pending invocation.
            trailingCall = true;
        }
        else {
            leadingCall = true;
            trailingCall = false;
            setTimeout(timeoutCallback, delay);
        }
        lastCallTime = timeStamp;
    }
    return proxy;
}

// Minimum delay before invoking the update of observers.
var REFRESH_DELAY = 20;
// A list of substrings of CSS properties used to find transition events that
// might affect dimensions of observed elements.
var transitionKeys = ['top', 'right', 'bottom', 'left', 'width', 'height', 'size', 'weight'];
// Check if MutationObserver is available.
var mutationObserverSupported = typeof MutationObserver !== 'undefined';
/**
 * Singleton controller class which handles updates of ResizeObserver instances.
 */
var ResizeObserverController = /** @class */ (function () {
    /**
     * Creates a new instance of ResizeObserverController.
     *
     * @private
     */
    function ResizeObserverController() {
        /**
         * Indicates whether DOM listeners have been added.
         *
         * @private {boolean}
         */
        this.connected_ = false;
        /**
         * Tells that controller has subscribed for Mutation Events.
         *
         * @private {boolean}
         */
        this.mutationEventsAdded_ = false;
        /**
         * Keeps reference to the instance of MutationObserver.
         *
         * @private {MutationObserver}
         */
        this.mutationsObserver_ = null;
        /**
         * A list of connected observers.
         *
         * @private {Array<ResizeObserverSPI>}
         */
        this.observers_ = [];
        this.onTransitionEnd_ = this.onTransitionEnd_.bind(this);
        this.refresh = throttle$1(this.refresh.bind(this), REFRESH_DELAY);
    }
    /**
     * Adds observer to observers list.
     *
     * @param {ResizeObserverSPI} observer - Observer to be added.
     * @returns {void}
     */
    ResizeObserverController.prototype.addObserver = function (observer) {
        if (!~this.observers_.indexOf(observer)) {
            this.observers_.push(observer);
        }
        // Add listeners if they haven't been added yet.
        if (!this.connected_) {
            this.connect_();
        }
    };
    /**
     * Removes observer from observers list.
     *
     * @param {ResizeObserverSPI} observer - Observer to be removed.
     * @returns {void}
     */
    ResizeObserverController.prototype.removeObserver = function (observer) {
        var observers = this.observers_;
        var index = observers.indexOf(observer);
        // Remove observer if it's present in registry.
        if (~index) {
            observers.splice(index, 1);
        }
        // Remove listeners if controller has no connected observers.
        if (!observers.length && this.connected_) {
            this.disconnect_();
        }
    };
    /**
     * Invokes the update of observers. It will continue running updates insofar
     * it detects changes.
     *
     * @returns {void}
     */
    ResizeObserverController.prototype.refresh = function () {
        var changesDetected = this.updateObservers_();
        // Continue running updates if changes have been detected as there might
        // be future ones caused by CSS transitions.
        if (changesDetected) {
            this.refresh();
        }
    };
    /**
     * Updates every observer from observers list and notifies them of queued
     * entries.
     *
     * @private
     * @returns {boolean} Returns "true" if any observer has detected changes in
     *      dimensions of it's elements.
     */
    ResizeObserverController.prototype.updateObservers_ = function () {
        // Collect observers that have active observations.
        var activeObservers = this.observers_.filter(function (observer) {
            return observer.gatherActive(), observer.hasActive();
        });
        // Deliver notifications in a separate cycle in order to avoid any
        // collisions between observers, e.g. when multiple instances of
        // ResizeObserver are tracking the same element and the callback of one
        // of them changes content dimensions of the observed target. Sometimes
        // this may result in notifications being blocked for the rest of observers.
        activeObservers.forEach(function (observer) { return observer.broadcastActive(); });
        return activeObservers.length > 0;
    };
    /**
     * Initializes DOM listeners.
     *
     * @private
     * @returns {void}
     */
    ResizeObserverController.prototype.connect_ = function () {
        // Do nothing if running in a non-browser environment or if listeners
        // have been already added.
        if (!isBrowser || this.connected_) {
            return;
        }
        // Subscription to the "Transitionend" event is used as a workaround for
        // delayed transitions. This way it's possible to capture at least the
        // final state of an element.
        document.addEventListener('transitionend', this.onTransitionEnd_);
        window.addEventListener('resize', this.refresh);
        if (mutationObserverSupported) {
            this.mutationsObserver_ = new MutationObserver(this.refresh);
            this.mutationsObserver_.observe(document, {
                attributes: true,
                childList: true,
                characterData: true,
                subtree: true
            });
        }
        else {
            document.addEventListener('DOMSubtreeModified', this.refresh);
            this.mutationEventsAdded_ = true;
        }
        this.connected_ = true;
    };
    /**
     * Removes DOM listeners.
     *
     * @private
     * @returns {void}
     */
    ResizeObserverController.prototype.disconnect_ = function () {
        // Do nothing if running in a non-browser environment or if listeners
        // have been already removed.
        if (!isBrowser || !this.connected_) {
            return;
        }
        document.removeEventListener('transitionend', this.onTransitionEnd_);
        window.removeEventListener('resize', this.refresh);
        if (this.mutationsObserver_) {
            this.mutationsObserver_.disconnect();
        }
        if (this.mutationEventsAdded_) {
            document.removeEventListener('DOMSubtreeModified', this.refresh);
        }
        this.mutationsObserver_ = null;
        this.mutationEventsAdded_ = false;
        this.connected_ = false;
    };
    /**
     * "Transitionend" event handler.
     *
     * @private
     * @param {TransitionEvent} event
     * @returns {void}
     */
    ResizeObserverController.prototype.onTransitionEnd_ = function (_a) {
        var _b = _a.propertyName, propertyName = _b === void 0 ? '' : _b;
        // Detect whether transition may affect dimensions of an element.
        var isReflowProperty = transitionKeys.some(function (key) {
            return !!~propertyName.indexOf(key);
        });
        if (isReflowProperty) {
            this.refresh();
        }
    };
    /**
     * Returns instance of the ResizeObserverController.
     *
     * @returns {ResizeObserverController}
     */
    ResizeObserverController.getInstance = function () {
        if (!this.instance_) {
            this.instance_ = new ResizeObserverController();
        }
        return this.instance_;
    };
    /**
     * Holds reference to the controller's instance.
     *
     * @private {ResizeObserverController}
     */
    ResizeObserverController.instance_ = null;
    return ResizeObserverController;
}());

/**
 * Defines non-writable/enumerable properties of the provided target object.
 *
 * @param {Object} target - Object for which to define properties.
 * @param {Object} props - Properties to be defined.
 * @returns {Object} Target object.
 */
var defineConfigurable = (function (target, props) {
    for (var _i = 0, _a = Object.keys(props); _i < _a.length; _i++) {
        var key = _a[_i];
        Object.defineProperty(target, key, {
            value: props[key],
            enumerable: false,
            writable: false,
            configurable: true
        });
    }
    return target;
});

/**
 * Returns the global object associated with provided element.
 *
 * @param {Object} target
 * @returns {Object}
 */
var getWindowOf = (function (target) {
    // Assume that the element is an instance of Node, which means that it
    // has the "ownerDocument" property from which we can retrieve a
    // corresponding global object.
    var ownerGlobal = target && target.ownerDocument && target.ownerDocument.defaultView;
    // Return the local global object if it's not possible extract one from
    // provided element.
    return ownerGlobal || global$1;
});

// Placeholder of an empty content rectangle.
var emptyRect = createRectInit(0, 0, 0, 0);
/**
 * Converts provided string to a number.
 *
 * @param {number|string} value
 * @returns {number}
 */
function toFloat(value) {
    return parseFloat(value) || 0;
}
/**
 * Extracts borders size from provided styles.
 *
 * @param {CSSStyleDeclaration} styles
 * @param {...string} positions - Borders positions (top, right, ...)
 * @returns {number}
 */
function getBordersSize(styles) {
    var positions = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        positions[_i - 1] = arguments[_i];
    }
    return positions.reduce(function (size, position) {
        var value = styles['border-' + position + '-width'];
        return size + toFloat(value);
    }, 0);
}
/**
 * Extracts paddings sizes from provided styles.
 *
 * @param {CSSStyleDeclaration} styles
 * @returns {Object} Paddings box.
 */
function getPaddings(styles) {
    var positions = ['top', 'right', 'bottom', 'left'];
    var paddings = {};
    for (var _i = 0, positions_1 = positions; _i < positions_1.length; _i++) {
        var position = positions_1[_i];
        var value = styles['padding-' + position];
        paddings[position] = toFloat(value);
    }
    return paddings;
}
/**
 * Calculates content rectangle of provided SVG element.
 *
 * @param {SVGGraphicsElement} target - Element content rectangle of which needs
 *      to be calculated.
 * @returns {DOMRectInit}
 */
function getSVGContentRect(target) {
    var bbox = target.getBBox();
    return createRectInit(0, 0, bbox.width, bbox.height);
}
/**
 * Calculates content rectangle of provided HTMLElement.
 *
 * @param {HTMLElement} target - Element for which to calculate the content rectangle.
 * @returns {DOMRectInit}
 */
function getHTMLElementContentRect(target) {
    // Client width & height properties can't be
    // used exclusively as they provide rounded values.
    var clientWidth = target.clientWidth, clientHeight = target.clientHeight;
    // By this condition we can catch all non-replaced inline, hidden and
    // detached elements. Though elements with width & height properties less
    // than 0.5 will be discarded as well.
    //
    // Without it we would need to implement separate methods for each of
    // those cases and it's not possible to perform a precise and performance
    // effective test for hidden elements. E.g. even jQuery's ':visible' filter
    // gives wrong results for elements with width & height less than 0.5.
    if (!clientWidth && !clientHeight) {
        return emptyRect;
    }
    var styles = getWindowOf(target).getComputedStyle(target);
    var paddings = getPaddings(styles);
    var horizPad = paddings.left + paddings.right;
    var vertPad = paddings.top + paddings.bottom;
    // Computed styles of width & height are being used because they are the
    // only dimensions available to JS that contain non-rounded values. It could
    // be possible to utilize the getBoundingClientRect if only it's data wasn't
    // affected by CSS transformations let alone paddings, borders and scroll bars.
    var width = toFloat(styles.width), height = toFloat(styles.height);
    // Width & height include paddings and borders when the 'border-box' box
    // model is applied (except for IE).
    if (styles.boxSizing === 'border-box') {
        // Following conditions are required to handle Internet Explorer which
        // doesn't include paddings and borders to computed CSS dimensions.
        //
        // We can say that if CSS dimensions + paddings are equal to the "client"
        // properties then it's either IE, and thus we don't need to subtract
        // anything, or an element merely doesn't have paddings/borders styles.
        if (Math.round(width + horizPad) !== clientWidth) {
            width -= getBordersSize(styles, 'left', 'right') + horizPad;
        }
        if (Math.round(height + vertPad) !== clientHeight) {
            height -= getBordersSize(styles, 'top', 'bottom') + vertPad;
        }
    }
    // Following steps can't be applied to the document's root element as its
    // client[Width/Height] properties represent viewport area of the window.
    // Besides, it's as well not necessary as the <html> itself neither has
    // rendered scroll bars nor it can be clipped.
    if (!isDocumentElement(target)) {
        // In some browsers (only in Firefox, actually) CSS width & height
        // include scroll bars size which can be removed at this step as scroll
        // bars are the only difference between rounded dimensions + paddings
        // and "client" properties, though that is not always true in Chrome.
        var vertScrollbar = Math.round(width + horizPad) - clientWidth;
        var horizScrollbar = Math.round(height + vertPad) - clientHeight;
        // Chrome has a rather weird rounding of "client" properties.
        // E.g. for an element with content width of 314.2px it sometimes gives
        // the client width of 315px and for the width of 314.7px it may give
        // 314px. And it doesn't happen all the time. So just ignore this delta
        // as a non-relevant.
        if (Math.abs(vertScrollbar) !== 1) {
            width -= vertScrollbar;
        }
        if (Math.abs(horizScrollbar) !== 1) {
            height -= horizScrollbar;
        }
    }
    return createRectInit(paddings.left, paddings.top, width, height);
}
/**
 * Checks whether provided element is an instance of the SVGGraphicsElement.
 *
 * @param {Element} target - Element to be checked.
 * @returns {boolean}
 */
var isSVGGraphicsElement = (function () {
    // Some browsers, namely IE and Edge, don't have the SVGGraphicsElement
    // interface.
    if (typeof SVGGraphicsElement !== 'undefined') {
        return function (target) { return target instanceof getWindowOf(target).SVGGraphicsElement; };
    }
    // If it's so, then check that element is at least an instance of the
    // SVGElement and that it has the "getBBox" method.
    // eslint-disable-next-line no-extra-parens
    return function (target) { return (target instanceof getWindowOf(target).SVGElement &&
        typeof target.getBBox === 'function'); };
})();
/**
 * Checks whether provided element is a document element (<html>).
 *
 * @param {Element} target - Element to be checked.
 * @returns {boolean}
 */
function isDocumentElement(target) {
    return target === getWindowOf(target).document.documentElement;
}
/**
 * Calculates an appropriate content rectangle for provided html or svg element.
 *
 * @param {Element} target - Element content rectangle of which needs to be calculated.
 * @returns {DOMRectInit}
 */
function getContentRect(target) {
    if (!isBrowser) {
        return emptyRect;
    }
    if (isSVGGraphicsElement(target)) {
        return getSVGContentRect(target);
    }
    return getHTMLElementContentRect(target);
}
/**
 * Creates rectangle with an interface of the DOMRectReadOnly.
 * Spec: https://drafts.fxtf.org/geometry/#domrectreadonly
 *
 * @param {DOMRectInit} rectInit - Object with rectangle's x/y coordinates and dimensions.
 * @returns {DOMRectReadOnly}
 */
function createReadOnlyRect(_a) {
    var x = _a.x, y = _a.y, width = _a.width, height = _a.height;
    // If DOMRectReadOnly is available use it as a prototype for the rectangle.
    var Constr = typeof DOMRectReadOnly !== 'undefined' ? DOMRectReadOnly : Object;
    var rect = Object.create(Constr.prototype);
    // Rectangle's properties are not writable and non-enumerable.
    defineConfigurable(rect, {
        x: x, y: y, width: width, height: height,
        top: y,
        right: x + width,
        bottom: height + y,
        left: x
    });
    return rect;
}
/**
 * Creates DOMRectInit object based on the provided dimensions and the x/y coordinates.
 * Spec: https://drafts.fxtf.org/geometry/#dictdef-domrectinit
 *
 * @param {number} x - X coordinate.
 * @param {number} y - Y coordinate.
 * @param {number} width - Rectangle's width.
 * @param {number} height - Rectangle's height.
 * @returns {DOMRectInit}
 */
function createRectInit(x, y, width, height) {
    return { x: x, y: y, width: width, height: height };
}

/**
 * Class that is responsible for computations of the content rectangle of
 * provided DOM element and for keeping track of it's changes.
 */
var ResizeObservation = /** @class */ (function () {
    /**
     * Creates an instance of ResizeObservation.
     *
     * @param {Element} target - Element to be observed.
     */
    function ResizeObservation(target) {
        /**
         * Broadcasted width of content rectangle.
         *
         * @type {number}
         */
        this.broadcastWidth = 0;
        /**
         * Broadcasted height of content rectangle.
         *
         * @type {number}
         */
        this.broadcastHeight = 0;
        /**
         * Reference to the last observed content rectangle.
         *
         * @private {DOMRectInit}
         */
        this.contentRect_ = createRectInit(0, 0, 0, 0);
        this.target = target;
    }
    /**
     * Updates content rectangle and tells whether it's width or height properties
     * have changed since the last broadcast.
     *
     * @returns {boolean}
     */
    ResizeObservation.prototype.isActive = function () {
        var rect = getContentRect(this.target);
        this.contentRect_ = rect;
        return (rect.width !== this.broadcastWidth ||
            rect.height !== this.broadcastHeight);
    };
    /**
     * Updates 'broadcastWidth' and 'broadcastHeight' properties with a data
     * from the corresponding properties of the last observed content rectangle.
     *
     * @returns {DOMRectInit} Last observed content rectangle.
     */
    ResizeObservation.prototype.broadcastRect = function () {
        var rect = this.contentRect_;
        this.broadcastWidth = rect.width;
        this.broadcastHeight = rect.height;
        return rect;
    };
    return ResizeObservation;
}());

var ResizeObserverEntry = /** @class */ (function () {
    /**
     * Creates an instance of ResizeObserverEntry.
     *
     * @param {Element} target - Element that is being observed.
     * @param {DOMRectInit} rectInit - Data of the element's content rectangle.
     */
    function ResizeObserverEntry(target, rectInit) {
        var contentRect = createReadOnlyRect(rectInit);
        // According to the specification following properties are not writable
        // and are also not enumerable in the native implementation.
        //
        // Property accessors are not being used as they'd require to define a
        // private WeakMap storage which may cause memory leaks in browsers that
        // don't support this type of collections.
        defineConfigurable(this, { target: target, contentRect: contentRect });
    }
    return ResizeObserverEntry;
}());

var ResizeObserverSPI = /** @class */ (function () {
    /**
     * Creates a new instance of ResizeObserver.
     *
     * @param {ResizeObserverCallback} callback - Callback function that is invoked
     *      when one of the observed elements changes it's content dimensions.
     * @param {ResizeObserverController} controller - Controller instance which
     *      is responsible for the updates of observer.
     * @param {ResizeObserver} callbackCtx - Reference to the public
     *      ResizeObserver instance which will be passed to callback function.
     */
    function ResizeObserverSPI(callback, controller, callbackCtx) {
        /**
         * Collection of resize observations that have detected changes in dimensions
         * of elements.
         *
         * @private {Array<ResizeObservation>}
         */
        this.activeObservations_ = [];
        /**
         * Registry of the ResizeObservation instances.
         *
         * @private {Map<Element, ResizeObservation>}
         */
        this.observations_ = new MapShim();
        if (typeof callback !== 'function') {
            throw new TypeError('The callback provided as parameter 1 is not a function.');
        }
        this.callback_ = callback;
        this.controller_ = controller;
        this.callbackCtx_ = callbackCtx;
    }
    /**
     * Starts observing provided element.
     *
     * @param {Element} target - Element to be observed.
     * @returns {void}
     */
    ResizeObserverSPI.prototype.observe = function (target) {
        if (!arguments.length) {
            throw new TypeError('1 argument required, but only 0 present.');
        }
        // Do nothing if current environment doesn't have the Element interface.
        if (typeof Element === 'undefined' || !(Element instanceof Object)) {
            return;
        }
        if (!(target instanceof getWindowOf(target).Element)) {
            throw new TypeError('parameter 1 is not of type "Element".');
        }
        var observations = this.observations_;
        // Do nothing if element is already being observed.
        if (observations.has(target)) {
            return;
        }
        observations.set(target, new ResizeObservation(target));
        this.controller_.addObserver(this);
        // Force the update of observations.
        this.controller_.refresh();
    };
    /**
     * Stops observing provided element.
     *
     * @param {Element} target - Element to stop observing.
     * @returns {void}
     */
    ResizeObserverSPI.prototype.unobserve = function (target) {
        if (!arguments.length) {
            throw new TypeError('1 argument required, but only 0 present.');
        }
        // Do nothing if current environment doesn't have the Element interface.
        if (typeof Element === 'undefined' || !(Element instanceof Object)) {
            return;
        }
        if (!(target instanceof getWindowOf(target).Element)) {
            throw new TypeError('parameter 1 is not of type "Element".');
        }
        var observations = this.observations_;
        // Do nothing if element is not being observed.
        if (!observations.has(target)) {
            return;
        }
        observations.delete(target);
        if (!observations.size) {
            this.controller_.removeObserver(this);
        }
    };
    /**
     * Stops observing all elements.
     *
     * @returns {void}
     */
    ResizeObserverSPI.prototype.disconnect = function () {
        this.clearActive();
        this.observations_.clear();
        this.controller_.removeObserver(this);
    };
    /**
     * Collects observation instances the associated element of which has changed
     * it's content rectangle.
     *
     * @returns {void}
     */
    ResizeObserverSPI.prototype.gatherActive = function () {
        var _this = this;
        this.clearActive();
        this.observations_.forEach(function (observation) {
            if (observation.isActive()) {
                _this.activeObservations_.push(observation);
            }
        });
    };
    /**
     * Invokes initial callback function with a list of ResizeObserverEntry
     * instances collected from active resize observations.
     *
     * @returns {void}
     */
    ResizeObserverSPI.prototype.broadcastActive = function () {
        // Do nothing if observer doesn't have active observations.
        if (!this.hasActive()) {
            return;
        }
        var ctx = this.callbackCtx_;
        // Create ResizeObserverEntry instance for every active observation.
        var entries = this.activeObservations_.map(function (observation) {
            return new ResizeObserverEntry(observation.target, observation.broadcastRect());
        });
        this.callback_.call(ctx, entries, ctx);
        this.clearActive();
    };
    /**
     * Clears the collection of active observations.
     *
     * @returns {void}
     */
    ResizeObserverSPI.prototype.clearActive = function () {
        this.activeObservations_.splice(0);
    };
    /**
     * Tells whether observer has active observations.
     *
     * @returns {boolean}
     */
    ResizeObserverSPI.prototype.hasActive = function () {
        return this.activeObservations_.length > 0;
    };
    return ResizeObserverSPI;
}());

// Registry of internal observers. If WeakMap is not available use current shim
// for the Map collection as it has all required methods and because WeakMap
// can't be fully polyfilled anyway.
var observers = typeof WeakMap !== 'undefined' ? new WeakMap() : new MapShim();
/**
 * ResizeObserver API. Encapsulates the ResizeObserver SPI implementation
 * exposing only those methods and properties that are defined in the spec.
 */
var ResizeObserver = /** @class */ (function () {
    /**
     * Creates a new instance of ResizeObserver.
     *
     * @param {ResizeObserverCallback} callback - Callback that is invoked when
     *      dimensions of the observed elements change.
     */
    function ResizeObserver(callback) {
        if (!(this instanceof ResizeObserver)) {
            throw new TypeError('Cannot call a class as a function.');
        }
        if (!arguments.length) {
            throw new TypeError('1 argument required, but only 0 present.');
        }
        var controller = ResizeObserverController.getInstance();
        var observer = new ResizeObserverSPI(callback, controller, this);
        observers.set(this, observer);
    }
    return ResizeObserver;
}());
// Expose public methods of ResizeObserver.
[
    'observe',
    'unobserve',
    'disconnect'
].forEach(function (method) {
    ResizeObserver.prototype[method] = function () {
        var _a;
        return (_a = observers.get(this))[method].apply(_a, arguments);
    };
});

var index$1 = (function () {
    // Export existing implementation if available.
    if (typeof global$1.ResizeObserver !== 'undefined') {
        return global$1.ResizeObserver;
    }
    return ResizeObserver;
})();

var isServer = typeof window === 'undefined';

function _createForOfIteratorHelperLoose(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (it) return (it = it.call(o)).next.bind(it); if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; return function () { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
/* istanbul ignore next */

var resizeHandler = function resizeHandler(entries) {
  for (var _iterator = _createForOfIteratorHelperLoose(entries), _step; !(_step = _iterator()).done;) {
    var entry = _step.value;
    var listeners = entry.target.__resizeListeners__ || [];

    if (listeners.length) {
      listeners.forEach(function (fn) {
        fn();
      });
    }
  }
};
/* istanbul ignore next */


var addResizeListener = function addResizeListener(element, fn) {
  if (isServer || !element) return;

  if (!element.__resizeListeners__) {
    element.__resizeListeners__ = [];
    element.__ro__ = new index$1(resizeHandler);

    element.__ro__.observe(element);
  }

  element.__resizeListeners__.push(fn);
};
/* istanbul ignore next */

var removeResizeListener = function removeResizeListener(element, fn) {
  if (!element || !element.__resizeListeners__) return;

  element.__resizeListeners__.splice(element.__resizeListeners__.indexOf(fn), 1);

  if (!element.__resizeListeners__.length) {
    element.__ro__.disconnect();
  }
};

/**
 * 精准判断对象类型
 * @param obj
 */
function typeOf(obj) {
  var toString = Object.prototype.toString;
  var map = {
    '[object Boolean]': 'boolean',
    '[object Number]': 'number',
    '[object String]': 'string',
    '[object Function]': 'function',
    '[object Array]': 'array',
    '[object Date]': 'date',
    '[object RegExp]': 'regExp',
    '[object Undefined]': 'undefined',
    '[object Null]': 'null',
    '[object Object]': 'object'
  };
  return map[toString.call(obj)];
}
/**
 * 深拷贝
 * @param data
 */

function deepCopy(data) {
  var t = typeOf(data);
  var o;

  if (t === 'array') {
    o = [];
  } else if (t === 'object') {
    o = {};
  } else {
    return data;
  }

  if (t === 'array') {
    for (var i = 0; i < data.length; i++) {
      o.push(deepCopy(data[i]));
    }
  } else if (t === 'object') {
    for (var _i in data) {
      o[_i] = deepCopy(data[_i]);
    }
  }

  return o;
}
/**
 * 深覆盖
 * @param target
 * @param merged
 */

function deepMerge(target, merged) {
  for (var key in merged) {
    if (target[key] && typeof target[key] === 'object') {
      deepMerge(target[key], merged[key]);
      continue;
    }

    if (typeof merged[key] === 'object') {
      target[key] = deepCopy(merged[key]);
      continue;
    }

    target[key] = merged[key];
  }

  return target;
}
/**
 * 节流函数，(限制函数的执行频率)返回函数连续调用时，空闲时间必须大于或等于 wait，func 才会执行
 * @param  {function} func        回调函数
 * @param  {number}   wait        表示时间窗口的间隔
 * @param immediate 是否立即执行 true 则先调用，false不先调用
 * @return {function}             返回客户调用函数
 */

function throttle(func, wait, immediate) {
  var timeoutID;
  var lastExec = 0;

  function wrapper() {
    var self = this;
    var elapsed = Number(new Date()) - lastExec;
    var args = arguments;

    function clearExistingTimeout() {
      if (timeoutID) {
        clearTimeout(timeoutID);
      }
    }

    function clear() {
      timeoutID = undefined;
    }

    function exec() {
      lastExec = Number(new Date());
      func.apply(self, args);
    }

    if (immediate && !timeoutID) {
      exec();
    }

    clearExistingTimeout();

    if (immediate === undefined && elapsed > wait) {
      exec();
    } else {
      timeoutID = setTimeout(immediate ? clear : exec, immediate === undefined ? wait - elapsed : wait);
    }
  }

  return wrapper;
}
/**
 * 防抖函数，(限制函数的执行频率) 保证再一系列调用时间内，只调用一次
 *
 * @param  {function} func        回调函数
 * @param  {number}   wait        表示时间窗口的间隔
 * @return {function}             返回客户调用函数
 */

function debounce(func, wait) {
  return throttle(func, wait, false);
}
/**
 * 判断是否是对象或数组
 * @param obj
 * @returns {boolean}
 */

function isObject(obj) {
  return typeof obj === 'object' && obj !== null;
}
/**
 * 判定对象数组相等
 * @param obj1
 * @param obj2
 * @returns {boolean}
 */

function isEqual(obj1, obj2) {
  // 两个数据有任何一个不是对象或数组
  if (!isObject(obj1) || !isObject(obj2)) {
    // 值类型(注意：参与equal的一般不会是函数)
    return obj1 === obj2;
  } // 如果传的两个参数都是同一个对象或数组


  if (obj1 === obj2) {
    return true;
  } // 两个都是对象或数组，而且不相等
  // 1.先比较obj1和obj2的key的个数，是否一样


  var obj1Keys = Object.keys(obj1);
  var obj2Keys = Object.keys(obj2);

  if (obj1Keys.length !== obj2Keys.length) {
    return false;
  } // 如果key的个数相等,就是第二步
  // 2.以obj1为基准，和obj2依次递归比较


  for (var key in obj1) {
    // 比较当前key的value  --- 递归
    var res = isEqual(obj1[key], obj2[key]);

    if (!res) {
      return false;
    }
  } // 3.全相等


  return true;
}
/**
 * 过滤数组数字
 * @param array
 * @returns {*}
 */

function filterNonNumber(array) {
  return array.filter(function (n) {
    return typeof n === 'number';
  });
}
/**
 * 数组数字求和
 * @param nums
 * @returns {*}
 */

function mulAdd(nums) {
  var newNums = filterNonNumber(nums);
  return newNums.reduce(function (all, num) {
    return all + num;
  }, 0);
}
/**
 * 合并相同的stack data
 * @param item
 * @param series
 * @returns {*[]}
 */

function mergeSameStackData(item, series) {
  var stack = item.stack;
  if (!stack) return [].concat(item.data);
  var stacks = series.filter(function (_ref) {
    var s = _ref.stack;
    return s === stack;
  });
  var index = stacks.findIndex(function (_ref2) {
    var d = _ref2.data;
    return d === item.data;
  });
  var datas = stacks.splice(0, index + 1).map(function (_ref3) {
    var data = _ref3.data;
    return data;
  });
  var dataLength = datas[0].length;
  return new Array(dataLength).fill(0).map(function (foo, i) {
    return mulAdd(datas.map(function (d) {
      return d[i];
    }));
  });
}
/**
 * 获取两个点的距离
 * @param pointOne
 * @param pointTwo
 * @returns {number}
 */

function getTwoPointDistance(pointOne, pointTwo) {
  var minusX = Math.abs(pointOne[0] - pointTwo[0]);
  var minusY = Math.abs(pointOne[1] - pointTwo[1]);
  return Math.sqrt(minusX * minusX + minusY * minusY);
}
/**
 * getLinearGradientColor
 * @param ctx
 * @param begin
 * @param end
 * @param color
 */

function getLinearGradientColor(ctx, begin, end, color) {
  if (!ctx || !begin || !end || !color.length) return;
  var colors = color;
  typeof colors === 'string' && (colors = [color, color]);
  var linearGradientColor = ctx.createLinearGradient.apply(ctx, begin.concat(end));
  var colorGap = 1 / (colors.length - 1);
  colors.forEach(function (c, i) {
    return linearGradientColor.addColorStop(colorGap * i, c);
  });
  return linearGradientColor;
}
/**
 * 获取折现长度
 * @param points
 * @returns {*}
 */

function getPolylineLength(points) {
  var lineSegments = new Array(points.length - 1).fill(0).map(function (foo, i) {
    return [points[i], points[i + 1]];
  });
  var lengths = lineSegments.map(function (item) {
    return getTwoPointDistance.apply(void 0, item);
  });
  return mulAdd(lengths);
}
/**
 * 获取点到线的距离
 * @param point
 * @param linePointOne
 * @param linePointTwo
 * @returns {number}
 */

function getPointToLineDistance(point, linePointOne, linePointTwo) {
  var a = getTwoPointDistance(point, linePointOne);
  var b = getTwoPointDistance(point, linePointTwo);
  var c = getTwoPointDistance(linePointOne, linePointTwo);
  return 0.5 * Math.sqrt((a + b + c) * (a + b - c) * (a + c - b) * (b + c - a)) / c;
}
/**
 * 初始化需要的charts series
 * @param series
 * @param config
 * @param type
 * @returns {*}
 */

function initNeedSeries(series, config, type) {
  series = series.filter(function (_ref4) {
    var st = _ref4.type;
    return st === type;
  });
  series = series.map(function (item) {
    return deepMerge(deepCopy(config), item);
  });
  return series.filter(function (_ref5) {
    var show = _ref5.show;
    return show;
  });
}
/**
 * 弧度转为角度
 * @param radian
 * @returns {number}
 */

function radianToAngle(radian) {
  return radian / Math.PI * 180;
}
/**
 * 随机一个数，需提供最大最小值
 * @param minNum
 * @param maxNum
 * @returns {number}
 */

function randomExtend(minNum, maxNum) {
  if (arguments.length === 1) {
    return parseInt(Math.random() * minNum + 1, 10);
  } else {
    return parseInt(Math.random() * (maxNum - minNum + 1) + minNum, 10);
  }
}
/**
 * @description Get the coordinates of the specified radian on the circle
 * @param {Number} x      Circle x coordinate
 * @param {Number} y      Circle y coordinate
 * @param {Number} radius Circle radius
 * @param {Number} radian Specfied radian
 * @return {Array} Postion of point
 */

function getCircleRadianPoint(x, y, radius, radian) {
  return [x + Math.cos(radian) * radius, y + Math.sin(radian) * radius];
}
/**
 * 获取随机uuid
 */

function generateId(hasHyphen) {
  var str = hasHyphen ? 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx' : 'xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx';
  return str.replace(/[xy]/g, function (c) {
    var r = Math.random() * 16 | 0;
    var v = c === 'x' ? r : r & 0x3 | 0x8;
    return v.toString(16);
  });
}

var util$1 = /*#__PURE__*/Object.freeze({
	__proto__: null,
	typeOf: typeOf,
	deepCopy: deepCopy,
	deepMerge: deepMerge,
	throttle: throttle,
	debounce: debounce,
	isObject: isObject,
	isEqual: isEqual,
	filterNonNumber: filterNonNumber,
	mulAdd: mulAdd,
	mergeSameStackData: mergeSameStackData,
	getTwoPointDistance: getTwoPointDistance,
	getLinearGradientColor: getLinearGradientColor,
	getPolylineLength: getPolylineLength,
	getPointToLineDistance: getPointToLineDistance,
	initNeedSeries: initNeedSeries,
	radianToAngle: radianToAngle,
	randomExtend: randomExtend,
	getCircleRadianPoint: getCircleRadianPoint,
	generateId: generateId
});

/**
 * 自适应resize
 * @param afterResizeFun resize容器之后执行函数
*/

function useAutoResize(afterResizeFun) {
  var domRef = vue.ref(null); // dorm容器，默认设置为domRef

  var status = vue.reactive({
    width: 0,
    height: 0
  });
  var __resizeHandler = null;

  function resize(resize) {
    if (resize === void 0) {
      resize = true;
    }

    vue.nextTick().then(function () {
      var dom = domRef.value;
      status.width = dom ? dom.clientWidth : 0;
      status.height = dom ? dom.clientHeight : 0;

      if (!dom) {
        console.warn('bin-datav: Failed to get dom node, component rendering may be abnormal!');
      } else if (!status.width || !status.height) {
        console.warn('bin-datav: Component width or height is 0px, rendering abnormality may occur!');
      }

      if (typeof afterResizeFun === 'function' && resize) afterResizeFun();
    });
  }

  vue.onMounted(function () {
    resize();
    __resizeHandler = debounce(resize, 100);
    addResizeListener(domRef.value, __resizeHandler);
  });
  vue.onBeforeUnmount(function () {
    removeResizeListener(domRef.value, __resizeHandler);
  });
  return _extends({
    domRef: domRef
  }, vue.toRefs(status), {
    resize: resize
  });
}

/**
 * border-hook
 * @param props
 * @param _defaultColor 默认颜色
 * @param afterResizeFun resize容器之后执行函数
 */

function useBorderBox(props, _defaultColor, afterResizeFun) {
  if (_defaultColor === void 0) {
    _defaultColor = [];
  }

  var _useAutoResize = useAutoResize(afterResizeFun),
      domRef = _useAutoResize.domRef,
      width = _useAutoResize.width,
      height = _useAutoResize.height,
      resize = _useAutoResize.resize;

  var mergedColor = vue.ref([]);
  var defaultColor = vue.ref(_defaultColor);

  function mergeColor() {
    mergedColor.value = deepMerge(deepCopy(defaultColor.value), props.color || []);
  }

  vue.watch(function () {
    return [props.color, props.reverse];
  }, function () {
    mergeColor();
  });
  vue.onMounted(function () {
    mergeColor();
  });
  return {
    domRef: domRef,
    width: width,
    height: height,
    resize: resize,
    defaultColor: defaultColor,
    mergedColor: mergedColor,
    mergeColor: mergeColor
  };
}

var script$x = {
  name: 'border1',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#4fd2dd', '#235fa7']);
    return _extends({}, status, {
      border: ['left-top', 'right-top', 'left-bottom', 'right-bottom']
    });
  }
};

var _hoisted_1$v = {
  class: "bv-border-box-1",
  ref: "domRef"
};
var _hoisted_2$v = ["width", "height"];
var _hoisted_3$v = ["fill", "points"];
var _hoisted_4$u = ["fill"];
var _hoisted_5$r = ["values"];
var _hoisted_6$p = ["fill"];
var _hoisted_7$l = ["values"];
var _hoisted_8$h = ["fill"];
var _hoisted_9$f = ["values"];
var _hoisted_10$f = {
  class: "border-box-content"
};
function render$x(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$v, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "border",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "10, 27 10, " + (_ctx.height - 27) + " 13, " + (_ctx.height - 24) + " 13, " + (_ctx.height - 21) + " 24, " + (_ctx.height - 11) + "\n      38, " + (_ctx.height - 11) + " 41, " + (_ctx.height - 8) + " 73, " + (_ctx.height - 8) + " 75, " + (_ctx.height - 10) + " 81, " + (_ctx.height - 10) + "\n      85, " + (_ctx.height - 6) + " " + (_ctx.width - 85) + ", " + (_ctx.height - 6) + " " + (_ctx.width - 81) + ", " + (_ctx.height - 10) + " " + (_ctx.width - 75) + ", " + (_ctx.height - 10) + "\n      " + (_ctx.width - 73) + ", " + (_ctx.height - 8) + " " + (_ctx.width - 41) + ", " + (_ctx.height - 8) + " " + (_ctx.width - 38) + ", " + (_ctx.height - 11) + "\n      " + (_ctx.width - 24) + ", " + (_ctx.height - 11) + " " + (_ctx.width - 13) + ", " + (_ctx.height - 21) + " " + (_ctx.width - 13) + ", " + (_ctx.height - 24) + "\n      " + (_ctx.width - 10) + ", " + (_ctx.height - 27) + " " + (_ctx.width - 10) + ", 27 " + (_ctx.width - 13) + ", 25 " + (_ctx.width - 13) + ", 21\n      " + (_ctx.width - 24) + ", 11 " + (_ctx.width - 38) + ", 11 " + (_ctx.width - 41) + ", 8 " + (_ctx.width - 73) + ", 8 " + (_ctx.width - 75) + ", 10\n      " + (_ctx.width - 81) + ", 10 " + (_ctx.width - 85) + ", 6 85, 6 81, 10 75, 10 73, 8 41, 8 38, 11 24, 11 13, 21 13, 24"
  }, null, 8
  /* PROPS */
  , _hoisted_3$v)], 8
  /* PROPS */
  , _hoisted_2$v)), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList($setup.border, function (item) {
    return vue.openBlock(), vue.createElementBlock("svg", {
      width: "150px",
      height: "150px",
      key: item,
      class: vue.normalizeClass(item + " border")
    }, [vue.createElementVNode("polygon", {
      fill: _ctx.mergedColor[0],
      points: "6,66 6,18 12,12 18,12 24,6 27,6 30,9 36,9 39,6 84,6 81,9 75,9 73.2,7 40.8,7 37.8,10.2 24,10.2 12,21 12,24 9,27 9,51 7.8,54 7.8,63"
    }, [vue.createElementVNode("animate", {
      attributeName: "fill",
      values: _ctx.mergedColor[0] + ";" + _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0],
      dur: "0.5s",
      begin: "0s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_5$r)], 8
    /* PROPS */
    , _hoisted_4$u), vue.createElementVNode("polygon", {
      fill: _ctx.mergedColor[1],
      points: "27.599999999999998,4.8 38.4,4.8 35.4,7.8 30.599999999999998,7.8"
    }, [vue.createElementVNode("animate", {
      attributeName: "fill",
      values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0] + ";" + _ctx.mergedColor[1],
      dur: "0.5s",
      begin: "0s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_7$l)], 8
    /* PROPS */
    , _hoisted_6$p), vue.createElementVNode("polygon", {
      fill: _ctx.mergedColor[0],
      points: "9,54 9,63 7.199999999999999,66 7.199999999999999,75 7.8,78 7.8,110 8.4,110 8.4,66 9.6,66 9.6,54"
    }, [vue.createElementVNode("animate", {
      attributeName: "fill",
      values: _ctx.mergedColor[0] + ";" + _ctx.mergedColor[1] + ";transparent",
      dur: "1s",
      begin: "0s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_9$f)], 8
    /* PROPS */
    , _hoisted_8$h)], 2
    /* CLASS */
    );
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createElementVNode("div", _hoisted_10$f, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$x.render = render$x;
script$x.__file = "src/components/border-box/src/border1.vue";

var script$w = {
  name: 'border2',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#fff', 'rgba(255, 255, 255, 0.6)']);
    return _extends({}, status);
  }
};

var _hoisted_1$u = {
  class: "bv-border-box-2",
  ref: "domRef"
};
var _hoisted_2$u = ["width", "height"];
var _hoisted_3$u = ["fill", "points"];
var _hoisted_4$t = ["stroke", "points"];
var _hoisted_5$q = ["stroke", "points"];
var _hoisted_6$o = ["fill"];
var _hoisted_7$k = ["fill", "cx"];
var _hoisted_8$g = ["fill", "cx", "cy"];
var _hoisted_9$e = ["fill", "cy"];
var _hoisted_10$e = {
  class: "border-box-content"
};
function render$w(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$u, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        7, 7 " + (_ctx.width - 7) + ", 7 " + (_ctx.width - 7) + ", " + (_ctx.height - 7) + " 7, " + (_ctx.height - 7) + "\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_3$u), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "2, 2 " + (_ctx.width - 2) + " ,2 " + (_ctx.width - 2) + ", " + (_ctx.height - 2) + " 2, " + (_ctx.height - 2) + " 2, 2"
  }, null, 8
  /* PROPS */
  , _hoisted_4$t), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[1],
    points: "6, 6 " + (_ctx.width - 6) + ", 6 " + (_ctx.width - 6) + ", " + (_ctx.height - 6) + " 6, " + (_ctx.height - 6) + " 6, 6"
  }, null, 8
  /* PROPS */
  , _hoisted_5$q), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[0],
    cx: "11",
    cy: "11",
    r: "1"
  }, null, 8
  /* PROPS */
  , _hoisted_6$o), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[0],
    cx: _ctx.width - 11,
    cy: "11",
    r: "1"
  }, null, 8
  /* PROPS */
  , _hoisted_7$k), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[0],
    cx: _ctx.width - 11,
    cy: _ctx.height - 11,
    r: "1"
  }, null, 8
  /* PROPS */
  , _hoisted_8$g), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[0],
    cx: "11",
    cy: _ctx.height - 11,
    r: "1"
  }, null, 8
  /* PROPS */
  , _hoisted_9$e)], 8
  /* PROPS */
  , _hoisted_2$u)), vue.createElementVNode("div", _hoisted_10$e, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$w.render = render$w;
script$w.__file = "src/components/border-box/src/border2.vue";

var script$v = {
  name: 'border3',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#2862b7', '#2862b7']);
    return _extends({}, status);
  }
};

var _hoisted_1$t = {
  class: "bv-border-box-3",
  ref: "domRef"
};
var _hoisted_2$t = ["width", "height"];
var _hoisted_3$t = ["fill", "points"];
var _hoisted_4$s = ["stroke", "points"];
var _hoisted_5$p = ["stroke", "points"];
var _hoisted_6$n = ["stroke", "points"];
var _hoisted_7$j = ["stroke", "points"];
var _hoisted_8$f = {
  class: "border-box-content"
};
function render$v(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$t, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        23, 23 " + (_ctx.width - 24) + ", 23 " + (_ctx.width - 24) + ", " + (_ctx.height - 24) + " 23, " + (_ctx.height - 24) + "\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_3$t), vue.createElementVNode("polyline", {
    class: "bv-bb3-line1",
    stroke: _ctx.mergedColor[0],
    points: "4, 4 " + (_ctx.width - 22) + " ,4 " + (_ctx.width - 22) + ", " + (_ctx.height - 22) + " 4, " + (_ctx.height - 22) + " 4, 4"
  }, null, 8
  /* PROPS */
  , _hoisted_4$s), vue.createElementVNode("polyline", {
    class: "bv-bb3-line2",
    stroke: _ctx.mergedColor[1],
    points: "10, 10 " + (_ctx.width - 16) + ", 10 " + (_ctx.width - 16) + ", " + (_ctx.height - 16) + " 10, " + (_ctx.height - 16) + " 10, 10"
  }, null, 8
  /* PROPS */
  , _hoisted_5$p), vue.createElementVNode("polyline", {
    class: "bv-bb3-line2",
    stroke: _ctx.mergedColor[1],
    points: "16, 16 " + (_ctx.width - 10) + ", 16 " + (_ctx.width - 10) + ", " + (_ctx.height - 10) + " 16, " + (_ctx.height - 10) + " 16, 16"
  }, null, 8
  /* PROPS */
  , _hoisted_6$n), vue.createElementVNode("polyline", {
    class: "bv-bb3-line2",
    stroke: _ctx.mergedColor[1],
    points: "22, 22 " + (_ctx.width - 4) + ", 22 " + (_ctx.width - 4) + ", " + (_ctx.height - 4) + " 22, " + (_ctx.height - 4) + " 22, 22"
  }, null, 8
  /* PROPS */
  , _hoisted_7$j)], 8
  /* PROPS */
  , _hoisted_2$t)), vue.createElementVNode("div", _hoisted_8$f, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$v.render = render$v;
script$v.__file = "src/components/border-box/src/border3.vue";

var script$u = {
  name: 'border4',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#1089ff', 'rgba(0,0,255,0.8)']);
    return _extends({}, status);
  }
};

var _hoisted_1$s = {
  class: "bv-border-box-4",
  ref: "domRef"
};
var _hoisted_2$s = ["width", "height"];
var _hoisted_3$s = ["fill", "points"];
var _hoisted_4$r = ["stroke", "points"];
var _hoisted_5$o = ["stroke", "points"];
var _hoisted_6$m = ["stroke", "points"];
var _hoisted_7$i = ["stroke"];
var _hoisted_8$e = ["stroke"];
var _hoisted_9$d = ["stroke"];
var _hoisted_10$d = ["stroke"];
var _hoisted_11$a = ["stroke"];
var _hoisted_12$9 = ["stroke", "points"];
var _hoisted_13$8 = ["stroke", "points"];
var _hoisted_14$8 = {
  class: "border-box-content"
};
function render$u(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$s, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        " + (_ctx.width - 15) + ", 22 170, 22 150, 7 40, 7 28, 21 32, 24\n        16, 42 16, " + (_ctx.height - 32) + " 41, " + (_ctx.height - 7) + " " + (_ctx.width - 15) + ", " + (_ctx.height - 7) + "\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_3$s), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-1",
    stroke: _ctx.mergedColor[0],
    points: "145, " + (_ctx.height - 5) + " 40, " + (_ctx.height - 5) + " 10, " + (_ctx.height - 35) + "\n          10, 40 40, 5 150, 5 170, 20 " + (_ctx.width - 15) + ", 20"
  }, null, 8
  /* PROPS */
  , _hoisted_4$r), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[1],
    class: "bv-bb4-line-2",
    points: "245, " + (_ctx.height - 1) + " 36, " + (_ctx.height - 1) + " 14, " + (_ctx.height - 23) + "\n          14, " + (_ctx.height - 100)
  }, null, 8
  /* PROPS */
  , _hoisted_5$o), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-3",
    stroke: _ctx.mergedColor[0],
    points: "7, " + (_ctx.height - 40) + " 7, " + (_ctx.height - 75)
  }, null, 8
  /* PROPS */
  , _hoisted_6$m), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-4",
    stroke: _ctx.mergedColor[0],
    points: "28, 24 13, 41 13, 64"
  }, null, 8
  /* PROPS */
  , _hoisted_7$i), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-5",
    stroke: _ctx.mergedColor[0],
    points: "5, 45 5, 140"
  }, null, 8
  /* PROPS */
  , _hoisted_8$e), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-6",
    stroke: _ctx.mergedColor[1],
    points: "14, 75 14, 180"
  }, null, 8
  /* PROPS */
  , _hoisted_9$d), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-7",
    stroke: _ctx.mergedColor[1],
    points: "55, 11 147, 11 167, 26 250, 26"
  }, null, 8
  /* PROPS */
  , _hoisted_10$d), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-8",
    stroke: _ctx.mergedColor[1],
    points: "158, 5 173, 16"
  }, null, 8
  /* PROPS */
  , _hoisted_11$a), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-9",
    stroke: _ctx.mergedColor[0],
    points: "200, 17 " + (_ctx.width - 10) + ", 17"
  }, null, 8
  /* PROPS */
  , _hoisted_12$9), vue.createElementVNode("polyline", {
    class: "bv-bb4-line-10",
    stroke: _ctx.mergedColor[1],
    points: "385, 17 " + (_ctx.width - 10) + ", 17"
  }, null, 8
  /* PROPS */
  , _hoisted_13$8)], 8
  /* PROPS */
  , _hoisted_2$s)), vue.createElementVNode("div", _hoisted_14$8, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$u.render = render$u;
script$u.__file = "src/components/border-box/src/border4.vue";

var script$t = {
  name: 'border5',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#1089ff', '#0b60b3']);
    return _extends({}, status);
  }
};

var _hoisted_1$r = {
  class: "bv-border-box-5",
  ref: "domRef"
};
var _hoisted_2$r = ["width", "height"];
var _hoisted_3$r = ["fill", "points"];
var _hoisted_4$q = ["stroke", "points"];
var _hoisted_5$n = ["stroke", "points"];
var _hoisted_6$l = ["stroke", "points"];
var _hoisted_7$h = ["stroke", "points"];
var _hoisted_8$d = ["stroke", "points"];
var _hoisted_9$c = ["stroke", "points"];
var _hoisted_10$c = {
  class: "border-box-content"
};
function render$t(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$r, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        10, 22 " + (_ctx.width - 22) + ", 22 " + (_ctx.width - 22) + ", " + (_ctx.height - 86) + " " + (_ctx.width - 84) + ", " + (_ctx.height - 24) + " 10, " + (_ctx.height - 24) + "\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_3$r), vue.createElementVNode("polyline", {
    class: "bv-bb5-line-1",
    stroke: _ctx.mergedColor[0],
    points: "8, 5 " + (_ctx.width - 5) + ", 5 " + (_ctx.width - 5) + ", " + (_ctx.height - 100) + "\n          " + (_ctx.width - 100) + ", " + (_ctx.height - 5) + " 8, " + (_ctx.height - 5) + " 8, 5"
  }, null, 8
  /* PROPS */
  , _hoisted_4$q), vue.createElementVNode("polyline", {
    class: "bv-bb5-line-2",
    stroke: _ctx.mergedColor[1],
    points: "3, 5 " + (_ctx.width - 20) + ", 5 " + (_ctx.width - 20) + ", " + (_ctx.height - 60) + "\n          " + (_ctx.width - 74) + ", " + (_ctx.height - 5) + " 3, " + (_ctx.height - 5) + " 3, 5"
  }, null, 8
  /* PROPS */
  , _hoisted_5$n), vue.createElementVNode("polyline", {
    class: "bv-bb5-line-3",
    stroke: _ctx.mergedColor[1],
    points: "50, 13 " + (_ctx.width - 35) + ", 13"
  }, null, 8
  /* PROPS */
  , _hoisted_6$l), vue.createElementVNode("polyline", {
    class: "bv-bb5-line-4",
    stroke: _ctx.mergedColor[1],
    points: "15, 20 " + (_ctx.width - 35) + ", 20"
  }, null, 8
  /* PROPS */
  , _hoisted_7$h), vue.createElementVNode("polyline", {
    class: "bv-bb5-line-5",
    stroke: _ctx.mergedColor[1],
    points: "15, " + (_ctx.height - 20) + " " + (_ctx.width - 110) + ", " + (_ctx.height - 20)
  }, null, 8
  /* PROPS */
  , _hoisted_8$d), vue.createElementVNode("polyline", {
    class: "bv-bb5-line-6",
    stroke: _ctx.mergedColor[1],
    points: "15, " + (_ctx.height - 13) + " " + (_ctx.width - 110) + ", " + (_ctx.height - 13)
  }, null, 8
  /* PROPS */
  , _hoisted_9$c)], 8
  /* PROPS */
  , _hoisted_2$r)), vue.createElementVNode("div", _hoisted_10$c, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$t.render = render$t;
script$t.__file = "src/components/border-box/src/border5.vue";

var script$s = {
  name: 'border6',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#3140ad', '#235fa7']);
    return _extends({}, status);
  }
};

var _hoisted_1$q = {
  class: "bv-border-box-6",
  ref: "domRef"
};
var _hoisted_2$q = ["width", "height"];
var _hoisted_3$q = ["fill", "points"];
var _hoisted_4$p = ["fill"];
var _hoisted_5$m = ["fill", "cx"];
var _hoisted_6$k = ["fill", "cx", "cy"];
var _hoisted_7$g = ["fill", "cy"];
var _hoisted_8$c = ["stroke", "points"];
var _hoisted_9$b = ["stroke", "points"];
var _hoisted_10$b = ["stroke", "points"];
var _hoisted_11$9 = ["stroke", "points"];
var _hoisted_12$8 = ["stroke"];
var _hoisted_13$7 = ["stroke"];
var _hoisted_14$7 = ["stroke", "points"];
var _hoisted_15$7 = ["stroke", "points"];
var _hoisted_16$5 = ["stroke", "points"];
var _hoisted_17$5 = ["stroke", "points"];
var _hoisted_18$5 = ["stroke", "points"];
var _hoisted_19$4 = ["stroke", "points"];
var _hoisted_20$4 = {
  class: "border-box-content"
};
function render$s(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$q, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        9, 7 " + (_ctx.width - 9) + ", 7 " + (_ctx.width - 9) + ", " + (_ctx.height - 7) + " 9, " + (_ctx.height - 7) + "\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_3$q), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[1],
    cx: "5",
    cy: "5",
    r: "2"
  }, null, 8
  /* PROPS */
  , _hoisted_4$p), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[1],
    cx: _ctx.width - 5,
    cy: "5",
    r: "2"
  }, null, 8
  /* PROPS */
  , _hoisted_5$m), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[1],
    cx: _ctx.width - 5,
    cy: _ctx.height - 5,
    r: "2"
  }, null, 8
  /* PROPS */
  , _hoisted_6$k), vue.createElementVNode("circle", {
    fill: _ctx.mergedColor[1],
    cx: "5",
    cy: _ctx.height - 5,
    r: "2"
  }, null, 8
  /* PROPS */
  , _hoisted_7$g), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "10, 4 " + (_ctx.width - 10) + ", 4"
  }, null, 8
  /* PROPS */
  , _hoisted_8$c), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "10, " + (_ctx.height - 4) + " " + (_ctx.width - 10) + ", " + (_ctx.height - 4)
  }, null, 8
  /* PROPS */
  , _hoisted_9$b), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "5, 70 5, " + (_ctx.height - 70)
  }, null, 8
  /* PROPS */
  , _hoisted_10$b), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 5 + ", 70 " + (_ctx.width - 5) + ", " + (_ctx.height - 70)
  }, null, 8
  /* PROPS */
  , _hoisted_11$9), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "3, 10, 3, 50"
  }, null, 8
  /* PROPS */
  , _hoisted_12$8), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "7, 30 7, 80"
  }, null, 8
  /* PROPS */
  , _hoisted_13$7), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 3 + ", 10 " + (_ctx.width - 3) + ", 50"
  }, null, 8
  /* PROPS */
  , _hoisted_14$7), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 7 + ", 30 " + (_ctx.width - 7) + ", 80"
  }, null, 8
  /* PROPS */
  , _hoisted_15$7), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "3, " + (_ctx.height - 10) + " 3, " + (_ctx.height - 50)
  }, null, 8
  /* PROPS */
  , _hoisted_16$5), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "7, " + (_ctx.height - 30) + " 7, " + (_ctx.height - 80)
  }, null, 8
  /* PROPS */
  , _hoisted_17$5), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 3 + ", " + (_ctx.height - 10) + " " + (_ctx.width - 3) + ", " + (_ctx.height - 50)
  }, null, 8
  /* PROPS */
  , _hoisted_18$5), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 7 + ", " + (_ctx.height - 30) + " " + (_ctx.width - 7) + ", " + (_ctx.height - 80)
  }, null, 8
  /* PROPS */
  , _hoisted_19$4)], 8
  /* PROPS */
  , _hoisted_2$q)), vue.createElementVNode("div", _hoisted_20$4, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$s.render = render$s;
script$s.__file = "src/components/border-box/src/border6.vue";

var script$r = {
  name: 'border7',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#3140ad', '#1089ff']);
    return _extends({}, status, {
      border: ['left-top', 'right-top', 'left-bottom', 'right-bottom']
    });
  }
};

var _hoisted_1$p = ["width", "height"];
var _hoisted_2$p = ["stroke"];
var _hoisted_3$p = ["stroke", "points"];
var _hoisted_4$o = ["stroke", "points"];
var _hoisted_5$l = ["stroke", "points"];
var _hoisted_6$j = ["stroke"];
var _hoisted_7$f = ["stroke", "points"];
var _hoisted_8$b = ["stroke", "points"];
var _hoisted_9$a = ["stroke", "points"];
var _hoisted_10$a = {
  class: "border-box-content"
};
function render$r(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: "bv-border-box-7",
    style: vue.normalizeStyle("box-shadow: inset 0 0 40px " + _ctx.mergedColor[0] + "; border: 1px solid " + _ctx.mergedColor[0] + "; background-color: " + $props.backgroundColor),
    ref: "domRef"
  }, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-2",
    stroke: _ctx.mergedColor[0],
    points: "0, 25 0, 0 25, 0"
  }, null, 8
  /* PROPS */
  , _hoisted_2$p), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-2",
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 25 + ", 0 " + _ctx.width + ", 0 " + _ctx.width + ", 25"
  }, null, 8
  /* PROPS */
  , _hoisted_3$p), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-2",
    stroke: _ctx.mergedColor[0],
    points: _ctx.width - 25 + ", " + _ctx.height + " " + _ctx.width + ", " + _ctx.height + " " + _ctx.width + ", " + (_ctx.height - 25)
  }, null, 8
  /* PROPS */
  , _hoisted_4$o), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-2",
    stroke: _ctx.mergedColor[0],
    points: "0, " + (_ctx.height - 25) + " 0, " + _ctx.height + " 25, " + _ctx.height
  }, null, 8
  /* PROPS */
  , _hoisted_5$l), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-5",
    stroke: _ctx.mergedColor[1],
    points: "0, 10 0, 0 10, 0"
  }, null, 8
  /* PROPS */
  , _hoisted_6$j), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-5",
    stroke: _ctx.mergedColor[1],
    points: _ctx.width - 10 + ", 0 " + _ctx.width + ", 0 " + _ctx.width + ", 10"
  }, null, 8
  /* PROPS */
  , _hoisted_7$f), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-5",
    stroke: _ctx.mergedColor[1],
    points: _ctx.width - 10 + ", " + _ctx.height + " " + _ctx.width + ", " + _ctx.height + " " + _ctx.width + ", " + (_ctx.height - 10)
  }, null, 8
  /* PROPS */
  , _hoisted_8$b), vue.createElementVNode("polyline", {
    class: "bv-bb7-line-width-5",
    stroke: _ctx.mergedColor[1],
    points: "0, " + (_ctx.height - 10) + " 0, " + _ctx.height + " 10, " + _ctx.height
  }, null, 8
  /* PROPS */
  , _hoisted_9$a)], 8
  /* PROPS */
  , _hoisted_1$p)), vue.createElementVNode("div", _hoisted_10$a, [vue.renderSlot(_ctx.$slots, "default")])], 4
  /* STYLE */
  );
}

script$r.render = render$r;
script$r.__file = "src/components/border-box/src/border7.vue";

var script$q = {
  name: 'border8',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    dur: {
      type: Number,
      default: 3
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    },
    reverse: {
      type: Boolean,
      default: false
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['#235fa7', '#4fd2dd']);
    return _extends({}, status, {
      path: "border-box-8-path-" + id,
      gradient: "border-box-8-gradient-" + id,
      mask: "border-box-8-mask-" + id
    });
  },
  computed: {
    length: function length() {
      var width = this.width,
          height = this.height;
      return (width + height - 5) * 2;
    },
    pathD: function pathD() {
      var reverse = this.reverse,
          width = this.width,
          height = this.height;
      if (reverse) return "M 2.5, 2.5 L 2.5, " + (height - 2.5) + " L " + (width - 2.5) + ", " + (height - 2.5) + " L " + (width - 2.5) + ", 2.5 L 2.5, 2.5";
      return "M2.5, 2.5 L" + (width - 2.5) + ", 2.5 L" + (width - 2.5) + ", " + (height - 2.5) + " L2.5, " + (height - 2.5) + " L2.5, 2.5";
    }
  }
};

var _hoisted_1$o = {
  class: "bv-border-box-8",
  ref: "domRef"
};
var _hoisted_2$o = ["width", "height"];
var _hoisted_3$o = ["id", "d"];
var _hoisted_4$n = ["id"];

var _hoisted_5$k = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "0%",
  "stop-color": "#fff",
  "stop-opacity": "1"
}, null, -1
/* HOISTED */
);

var _hoisted_6$i = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "100%",
  "stop-color": "#fff",
  "stop-opacity": "0"
}, null, -1
/* HOISTED */
);

var _hoisted_7$e = [_hoisted_5$k, _hoisted_6$i];
var _hoisted_8$a = ["id"];
var _hoisted_9$9 = ["fill"];
var _hoisted_10$9 = ["dur", "path"];
var _hoisted_11$8 = ["fill", "points"];
var _hoisted_12$7 = ["stroke", "xlink:href"];
var _hoisted_13$6 = ["stroke", "xlink:href", "mask"];
var _hoisted_14$6 = ["from", "to", "dur"];
var _hoisted_15$6 = {
  class: "border-box-content"
};
function render$q(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$o, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("path", {
    id: $setup.path,
    d: $options.pathD,
    fill: "transparent"
  }, null, 8
  /* PROPS */
  , _hoisted_3$o), vue.createElementVNode("radialGradient", {
    id: $setup.gradient,
    cx: "50%",
    cy: "50%",
    r: "50%"
  }, _hoisted_7$e, 8
  /* PROPS */
  , _hoisted_4$n), vue.createElementVNode("mask", {
    id: $setup.mask
  }, [vue.createElementVNode("circle", {
    cx: "0",
    cy: "0",
    r: "150",
    fill: "url(#" + $setup.gradient + ")"
  }, [vue.createElementVNode("animateMotion", {
    dur: $props.dur + "s",
    path: $options.pathD,
    rotate: "auto",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_10$9)], 8
  /* PROPS */
  , _hoisted_9$9)], 8
  /* PROPS */
  , _hoisted_8$a)]), vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "5, 5 " + (_ctx.width - 5) + ", 5 " + (_ctx.width - 5) + " " + (_ctx.height - 5) + " 5, " + (_ctx.height - 5)
  }, null, 8
  /* PROPS */
  , _hoisted_11$8), vue.createElementVNode("use", {
    stroke: _ctx.mergedColor[0],
    "stroke-width": "1",
    "xlink:href": "#" + $setup.path
  }, null, 8
  /* PROPS */
  , _hoisted_12$7), vue.createElementVNode("use", {
    stroke: _ctx.mergedColor[1],
    "stroke-width": "3",
    "xlink:href": "#" + $setup.path,
    mask: "url(#" + $setup.mask + ")"
  }, [vue.createElementVNode("animate", {
    attributeName: "stroke-dasharray",
    from: "0, " + $options.length,
    to: $options.length + ", 0",
    dur: $props.dur + "s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_14$6)], 8
  /* PROPS */
  , _hoisted_13$6)], 8
  /* PROPS */
  , _hoisted_2$o)), vue.createElementVNode("div", _hoisted_15$6, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$q.render = render$q;
script$q.__file = "src/components/border-box/src/border8.vue";

var script$p = {
  name: 'border9',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['#11eefd', '#0078d2']);
    return _extends({}, status, {
      gradientId: "border-box-9-gradient-" + id,
      maskId: "border-box-9-mask-" + id
    });
  }
};

var _hoisted_1$n = {
  class: "bv-border-box-9",
  ref: "domRef"
};
var _hoisted_2$n = ["width", "height"];
var _hoisted_3$n = ["id"];

var _hoisted_4$m = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "x1",
  values: "0%;100%;0%",
  dur: "10s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_5$j = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "x2",
  values: "100%;0%;100%",
  dur: "10s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_6$h = ["stop-color"];
var _hoisted_7$d = ["values"];
var _hoisted_8$9 = ["stop-color"];
var _hoisted_9$8 = ["values"];
var _hoisted_10$8 = ["id"];
var _hoisted_11$7 = ["points"];
var _hoisted_12$6 = ["points"];
var _hoisted_13$5 = ["points"];
var _hoisted_14$5 = ["points"];
var _hoisted_15$5 = ["points"];
var _hoisted_16$4 = ["points"];
var _hoisted_17$4 = ["points"];
var _hoisted_18$4 = ["points"];
var _hoisted_19$3 = ["points"];
var _hoisted_20$3 = ["fill", "points"];
var _hoisted_21$3 = ["width", "height", "fill", "mask"];
var _hoisted_22$3 = {
  class: "border-box-content"
};
function render$p(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$n, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("linearGradient", {
    id: $setup.gradientId,
    x1: "0%",
    y1: "0%",
    x2: "100%",
    y2: "100%"
  }, [_hoisted_4$m, _hoisted_5$j, vue.createElementVNode("stop", {
    offset: "0%",
    "stop-color": _ctx.mergedColor[0]
  }, [vue.createElementVNode("animate", {
    attributeName: "stop-color",
    values: _ctx.mergedColor[0] + ";" + _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0],
    dur: "10s",
    begin: "0s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_7$d)], 8
  /* PROPS */
  , _hoisted_6$h), vue.createElementVNode("stop", {
    offset: "100%",
    "stop-color": _ctx.mergedColor[1]
  }, [vue.createElementVNode("animate", {
    attributeName: "stop-color",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0] + ";" + _ctx.mergedColor[1],
    dur: "10s",
    begin: "0s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_9$8)], 8
  /* PROPS */
  , _hoisted_8$9)], 8
  /* PROPS */
  , _hoisted_3$n), vue.createElementVNode("mask", {
    id: $setup.maskId
  }, [vue.createElementVNode("polyline", {
    stroke: "#fff",
    "stroke-width": "3",
    fill: "transparent",
    points: "8, " + _ctx.height * 0.4 + " 8, 3, " + (_ctx.width * 0.4 + 7) + ", 3"
  }, null, 8
  /* PROPS */
  , _hoisted_11$7), vue.createElementVNode("polyline", {
    fill: "#fff",
    points: "8, " + _ctx.height * 0.15 + " 8, 3, " + (_ctx.width * 0.1 + 7) + ", 3\n              " + _ctx.width * 0.1 + ", 8 14, 8 14, " + (_ctx.height * 0.15 - 7) + "\n            "
  }, null, 8
  /* PROPS */
  , _hoisted_12$6), vue.createElementVNode("polyline", {
    stroke: "#fff",
    "stroke-width": "3",
    fill: "transparent",
    points: _ctx.width * 0.5 + ", 3 " + (_ctx.width - 3) + ", 3, " + (_ctx.width - 3) + ", " + _ctx.height * 0.25
  }, null, 8
  /* PROPS */
  , _hoisted_13$5), vue.createElementVNode("polyline", {
    fill: "#fff",
    points: "\n              " + _ctx.width * 0.52 + ", 3 " + _ctx.width * 0.58 + ", 3\n              " + (_ctx.width * 0.58 - 7) + ", 9 " + (_ctx.width * 0.52 + 7) + ", 9\n            "
  }, null, 8
  /* PROPS */
  , _hoisted_14$5), vue.createElementVNode("polyline", {
    fill: "#fff",
    points: "\n              " + _ctx.width * 0.9 + ", 3 " + (_ctx.width - 3) + ", 3 " + (_ctx.width - 3) + ", " + _ctx.height * 0.1 + "\n              " + (_ctx.width - 9) + ", " + (_ctx.height * 0.1 - 7) + " " + (_ctx.width - 9) + ", 9 " + (_ctx.width * 0.9 + 7) + ", 9\n            "
  }, null, 8
  /* PROPS */
  , _hoisted_15$5), vue.createElementVNode("polyline", {
    stroke: "#fff",
    "stroke-width": "3",
    fill: "transparent",
    points: "8, " + _ctx.height * 0.5 + " 8, " + (_ctx.height - 3) + " " + (_ctx.width * 0.3 + 7) + ", " + (_ctx.height - 3)
  }, null, 8
  /* PROPS */
  , _hoisted_16$4), vue.createElementVNode("polyline", {
    fill: "#fff",
    points: "\n              8, " + _ctx.height * 0.55 + " 8, " + _ctx.height * 0.7 + "\n              2, " + (_ctx.height * 0.7 - 7) + " 2, " + (_ctx.height * 0.55 + 7) + "\n            "
  }, null, 8
  /* PROPS */
  , _hoisted_17$4), vue.createElementVNode("polyline", {
    stroke: "#fff",
    "stroke-width": "3",
    fill: "transparent",
    points: _ctx.width * 0.35 + ", " + (_ctx.height - 3) + " " + (_ctx.width - 3) + ", " + (_ctx.height - 3) + " " + (_ctx.width - 3) + ", " + _ctx.height * 0.35
  }, null, 8
  /* PROPS */
  , _hoisted_18$4), vue.createElementVNode("polyline", {
    fill: "#fff",
    points: "\n              " + _ctx.width * 0.92 + ", " + (_ctx.height - 3) + " " + (_ctx.width - 3) + ", " + (_ctx.height - 3) + " " + (_ctx.width - 3) + ", " + _ctx.height * 0.8 + "\n              " + (_ctx.width - 9) + ", " + (_ctx.height * 0.8 + 7) + " " + (_ctx.width - 9) + ", " + (_ctx.height - 9) + " " + (_ctx.width * 0.92 + 7) + ", " + (_ctx.height - 9) + "\n            "
  }, null, 8
  /* PROPS */
  , _hoisted_19$3)], 8
  /* PROPS */
  , _hoisted_10$8)]), vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        15, 9 " + (_ctx.width * 0.1 + 1) + ", 9 " + (_ctx.width * 0.1 + 4) + ", 6 " + (_ctx.width * 0.52 + 2) + ", 6\n        " + (_ctx.width * 0.52 + 6) + ", 10 " + (_ctx.width * 0.58 - 7) + ", 10 " + (_ctx.width * 0.58 - 2) + ", 6\n        " + (_ctx.width * 0.9 + 2) + ", 6 " + (_ctx.width * 0.9 + 6) + ", 10 " + (_ctx.width - 10) + ", 10 " + (_ctx.width - 10) + ", " + (_ctx.height * 0.1 - 6) + "\n        " + (_ctx.width - 6) + ", " + (_ctx.height * 0.1 - 1) + " " + (_ctx.width - 6) + ", " + (_ctx.height * 0.8 + 1) + " " + (_ctx.width - 10) + ", " + (_ctx.height * 0.8 + 6) + "\n        " + (_ctx.width - 10) + ", " + (_ctx.height - 10) + " " + (_ctx.width * 0.92 + 7) + ", " + (_ctx.height - 10) + "  " + (_ctx.width * 0.92 + 2) + ", " + (_ctx.height - 6) + "\n        11, " + (_ctx.height - 6) + " 11, " + (_ctx.height * 0.15 - 2) + " 15, " + (_ctx.height * 0.15 - 7) + "\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_20$3), vue.createElementVNode("rect", {
    x: "0",
    y: "0",
    width: _ctx.width,
    height: _ctx.height,
    fill: "url(#" + $setup.gradientId + ")",
    mask: "url(#" + $setup.maskId + ")"
  }, null, 8
  /* PROPS */
  , _hoisted_21$3)], 8
  /* PROPS */
  , _hoisted_2$n)), vue.createElementVNode("div", _hoisted_22$3, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$p.render = render$p;
script$p.__file = "src/components/border-box/src/border9.vue";

var script$o = {
  name: 'border10',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#1d48c4', '#d3e1f8']);
    return _extends({}, status, {
      border: ['left-top', 'right-top', 'left-bottom', 'right-bottom']
    });
  }
};

var _hoisted_1$m = ["width", "height"];
var _hoisted_2$m = ["fill", "points"];
var _hoisted_3$m = ["fill"];
var _hoisted_4$l = {
  class: "border-box-content"
};
function render$o(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: "bv-border-box-10",
    ref: "domRef",
    style: vue.normalizeStyle("box-shadow: inset 0 0 25px 3px " + _ctx.mergedColor[0])
  }, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        4, 0 " + (_ctx.width - 4) + ", 0 " + _ctx.width + ", 4 " + _ctx.width + ", " + (_ctx.height - 4) + " " + (_ctx.width - 4) + ", " + _ctx.height + "\n        4, " + _ctx.height + " 0, " + (_ctx.height - 4) + " 0, 4\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_2$m)], 8
  /* PROPS */
  , _hoisted_1$m)), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList($setup.border, function (item) {
    return vue.openBlock(), vue.createElementBlock("svg", {
      width: "150px",
      height: "150px",
      key: item,
      class: vue.normalizeClass(item + " bv-border-svg-container")
    }, [vue.createElementVNode("polygon", {
      fill: _ctx.mergedColor[1],
      points: "40, 0 5, 0 0, 5 0, 16 3, 19 3, 7 7, 3 35, 3"
    }, null, 8
    /* PROPS */
    , _hoisted_3$m)], 2
    /* CLASS */
    );
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createElementVNode("div", _hoisted_4$l, [vue.renderSlot(_ctx.$slots, "default")])], 4
  /* STYLE */
  );
}

script$o.render = render$o;
script$o.__file = "src/components/border-box/src/border10.vue";

var script$n = {
  name: 'border11',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    titleWidth: {
      type: Number,
      default: 250
    },
    title: {
      type: String,
      default: ''
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['#8aaafb', '#1f33a2']);
    return _extends({}, status, {
      filterId: "border-box-11-filterId-" + id
    });
  }
};

var _hoisted_1$l = {
  class: "bv-border-box-11",
  ref: "domRef"
};
var _hoisted_2$l = ["width", "height"];
var _hoisted_3$l = ["id"];

var _hoisted_4$k = /*#__PURE__*/vue.createElementVNode("feMorphology", {
  operator: "dilate",
  radius: "2",
  in: "SourceAlpha",
  result: "thicken"
}, null, -1
/* HOISTED */
);

var _hoisted_5$i = /*#__PURE__*/vue.createElementVNode("feGaussianBlur", {
  in: "thicken",
  stdDeviation: "3",
  result: "blurred"
}, null, -1
/* HOISTED */
);

var _hoisted_6$g = ["flood-color"];

var _hoisted_7$c = /*#__PURE__*/vue.createElementVNode("feComposite", {
  in: "glowColor",
  in2: "blurred",
  operator: "in",
  result: "softGlowColored"
}, null, -1
/* HOISTED */
);

var _hoisted_8$8 = /*#__PURE__*/vue.createElementVNode("feMerge", null, [/*#__PURE__*/vue.createElementVNode("feMergeNode", {
  in: "softGlowColored"
}), /*#__PURE__*/vue.createElementVNode("feMergeNode", {
  in: "SourceGraphic"
})], -1
/* HOISTED */
);

var _hoisted_9$7 = ["fill", "points"];
var _hoisted_10$7 = ["stroke", "filter", "points"];
var _hoisted_11$6 = ["stroke", "points"];
var _hoisted_12$5 = ["stroke", "points"];
var _hoisted_13$4 = ["stroke", "fill", "filter", "points"];
var _hoisted_14$4 = ["filter", "fill", "points"];

var _hoisted_15$4 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "opacity",
  values: "1;0.7;1",
  dur: "2s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_16$3 = [_hoisted_15$4];
var _hoisted_17$3 = ["filter", "fill", "points"];

var _hoisted_18$3 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "opacity",
  values: "0.7;0.4;0.7",
  dur: "2s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_19$2 = [_hoisted_18$3];
var _hoisted_20$2 = ["filter", "fill", "points"];

var _hoisted_21$2 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "opacity",
  values: "0.5;0.2;0.5",
  dur: "2s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_22$2 = [_hoisted_21$2];
var _hoisted_23$2 = ["filter", "fill", "points"];

var _hoisted_24$1 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "opacity",
  values: "1;0.7;1",
  dur: "2s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_25$1 = [_hoisted_24$1];
var _hoisted_26 = ["filter", "fill", "points"];

var _hoisted_27 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "opacity",
  values: "0.7;0.4;0.7",
  dur: "2s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_28 = [_hoisted_27];
var _hoisted_29 = ["filter", "fill", "points"];

var _hoisted_30 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "opacity",
  values: "0.5;0.2;0.5",
  dur: "2s",
  begin: "0s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_31 = [_hoisted_30];
var _hoisted_32 = ["x"];
var _hoisted_33 = ["fill", "filter", "points"];
var _hoisted_34 = ["fill", "filter", "points"];
var _hoisted_35 = {
  class: "border-box-content"
};
function render$n(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$l, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("filter", {
    id: $setup.filterId,
    height: "150%",
    width: "150%",
    x: "-25%",
    y: "-25%"
  }, [_hoisted_4$k, _hoisted_5$i, vue.createElementVNode("feFlood", {
    "flood-color": _ctx.mergedColor[1],
    result: "glowColor"
  }, null, 8
  /* PROPS */
  , _hoisted_6$g), _hoisted_7$c, _hoisted_8$8], 8
  /* PROPS */
  , _hoisted_3$l)]), vue.createElementVNode("polygon", {
    fill: $props.backgroundColor,
    points: "\n        20, 32 " + (_ctx.width * 0.5 - $props.titleWidth / 2) + ", 32 " + (_ctx.width * 0.5 - $props.titleWidth / 2 + 20) + ", 53\n        " + (_ctx.width * 0.5 + $props.titleWidth / 2 - 20) + ", 53 " + (_ctx.width * 0.5 + $props.titleWidth / 2) + ", 32\n        " + (_ctx.width - 20) + ", 32 " + (_ctx.width - 8) + ", 48 " + (_ctx.width - 8) + ", " + (_ctx.height - 25) + " " + (_ctx.width - 20) + ", " + (_ctx.height - 8) + "\n        20, " + (_ctx.height - 8) + " 8, " + (_ctx.height - 25) + " 8, 50\n      "
  }, null, 8
  /* PROPS */
  , _hoisted_9$7), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    filter: "url(#" + $setup.filterId + ")",
    points: "\n          " + (_ctx.width - $props.titleWidth) / 2 + ", 30\n          20, 30 7, 50 7, " + (50 + (_ctx.height - 167) / 2) + "\n          13, " + (55 + (_ctx.height - 167) / 2) + " 13, " + (135 + (_ctx.height - 167) / 2) + "\n          7, " + (140 + (_ctx.height - 167) / 2) + " 7, " + (_ctx.height - 27) + "\n          20, " + (_ctx.height - 7) + " " + (_ctx.width - 20) + ", " + (_ctx.height - 7) + " " + (_ctx.width - 7) + ", " + (_ctx.height - 27) + "\n          " + (_ctx.width - 7) + ", " + (140 + (_ctx.height - 167) / 2) + " " + (_ctx.width - 13) + ", " + (135 + (_ctx.height - 167) / 2) + "\n          " + (_ctx.width - 13) + ", " + (55 + (_ctx.height - 167) / 2) + " " + (_ctx.width - 7) + ", " + (50 + (_ctx.height - 167) / 2) + "\n          " + (_ctx.width - 7) + ", 50 " + (_ctx.width - 20) + ", 30 " + (_ctx.width + $props.titleWidth) / 2 + ", 30\n          " + ((_ctx.width + $props.titleWidth) / 2 - 20) + ", 7 " + ((_ctx.width - $props.titleWidth) / 2 + 20) + ", 7\n          " + (_ctx.width - $props.titleWidth) / 2 + ", 30 " + ((_ctx.width - $props.titleWidth) / 2 + 20) + ", 52\n          " + ((_ctx.width + $props.titleWidth) / 2 - 20) + ", 52 " + (_ctx.width + $props.titleWidth) / 2 + ", 30\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_10$7), vue.createElementVNode("polygon", {
    stroke: _ctx.mergedColor[0],
    fill: "transparent",
    points: "\n          " + ((_ctx.width + $props.titleWidth) / 2 - 5) + ", 30 " + ((_ctx.width + $props.titleWidth) / 2 - 21) + ", 11\n          " + ((_ctx.width + $props.titleWidth) / 2 - 27) + ", 11 " + ((_ctx.width + $props.titleWidth) / 2 - 8) + ", 34\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_11$6), vue.createElementVNode("polygon", {
    stroke: _ctx.mergedColor[0],
    fill: "transparent",
    points: "\n          " + ((_ctx.width - $props.titleWidth) / 2 + 5) + ", 30 " + ((_ctx.width - $props.titleWidth) / 2 + 22) + ", 49\n          " + ((_ctx.width - $props.titleWidth) / 2 + 28) + ", 49 " + ((_ctx.width - $props.titleWidth) / 2 + 8) + ", 26\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_12$5), vue.createElementVNode("polygon", {
    stroke: _ctx.mergedColor[0],
    fill: _ctx.mergedColor[1],
    filter: "url(#" + $setup.filterId + ")",
    points: "\n          " + ((_ctx.width + $props.titleWidth) / 2 - 11) + ", 37 " + ((_ctx.width + $props.titleWidth) / 2 - 32) + ", 11\n          " + ((_ctx.width - $props.titleWidth) / 2 + 23) + ", 11 " + ((_ctx.width - $props.titleWidth) / 2 + 11) + ", 23\n          " + ((_ctx.width - $props.titleWidth) / 2 + 33) + ", 49 " + ((_ctx.width + $props.titleWidth) / 2 - 22) + ", 49\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_13$4), vue.createElementVNode("polygon", {
    filter: "url(#" + $setup.filterId + ")",
    fill: _ctx.mergedColor[0],
    opacity: "1",
    points: "\n          " + ((_ctx.width - $props.titleWidth) / 2 - 10) + ", 37 " + ((_ctx.width - $props.titleWidth) / 2 - 31) + ", 37\n          " + ((_ctx.width - $props.titleWidth) / 2 - 25) + ", 46 " + ((_ctx.width - $props.titleWidth) / 2 - 4) + ", 46\n        "
  }, _hoisted_16$3, 8
  /* PROPS */
  , _hoisted_14$4), vue.createElementVNode("polygon", {
    filter: "url(#" + $setup.filterId + ")",
    fill: _ctx.mergedColor[0],
    opacity: "0.7",
    points: "\n          " + ((_ctx.width - $props.titleWidth) / 2 - 40) + ", 37 " + ((_ctx.width - $props.titleWidth) / 2 - 61) + ", 37\n          " + ((_ctx.width - $props.titleWidth) / 2 - 55) + ", 46 " + ((_ctx.width - $props.titleWidth) / 2 - 34) + ", 46\n        "
  }, _hoisted_19$2, 8
  /* PROPS */
  , _hoisted_17$3), vue.createElementVNode("polygon", {
    filter: "url(#" + $setup.filterId + ")",
    fill: _ctx.mergedColor[0],
    opacity: "0.5",
    points: "\n          " + ((_ctx.width - $props.titleWidth) / 2 - 70) + ", 37 " + ((_ctx.width - $props.titleWidth) / 2 - 91) + ", 37\n          " + ((_ctx.width - $props.titleWidth) / 2 - 85) + ", 46 " + ((_ctx.width - $props.titleWidth) / 2 - 64) + ", 46\n        "
  }, _hoisted_22$2, 8
  /* PROPS */
  , _hoisted_20$2), vue.createElementVNode("polygon", {
    filter: "url(#" + $setup.filterId + ")",
    fill: _ctx.mergedColor[0],
    opacity: "1",
    points: "\n          " + ((_ctx.width + $props.titleWidth) / 2 + 30) + ", 37 " + ((_ctx.width + $props.titleWidth) / 2 + 9) + ", 37\n          " + ((_ctx.width + $props.titleWidth) / 2 + 3) + ", 46 " + ((_ctx.width + $props.titleWidth) / 2 + 24) + ", 46\n        "
  }, _hoisted_25$1, 8
  /* PROPS */
  , _hoisted_23$2), vue.createElementVNode("polygon", {
    filter: "url(#" + $setup.filterId + ")",
    fill: _ctx.mergedColor[0],
    opacity: "0.7",
    points: "\n          " + ((_ctx.width + $props.titleWidth) / 2 + 60) + ", 37 " + ((_ctx.width + $props.titleWidth) / 2 + 39) + ", 37\n          " + ((_ctx.width + $props.titleWidth) / 2 + 33) + ", 46 " + ((_ctx.width + $props.titleWidth) / 2 + 54) + ", 46\n        "
  }, _hoisted_28, 8
  /* PROPS */
  , _hoisted_26), vue.createElementVNode("polygon", {
    filter: "url(#" + $setup.filterId + ")",
    fill: _ctx.mergedColor[0],
    opacity: "0.5",
    points: "\n          " + ((_ctx.width + $props.titleWidth) / 2 + 90) + ", 37 " + ((_ctx.width + $props.titleWidth) / 2 + 69) + ", 37\n          " + ((_ctx.width + $props.titleWidth) / 2 + 63) + ", 46 " + ((_ctx.width + $props.titleWidth) / 2 + 84) + ", 46\n        "
  }, _hoisted_31, 8
  /* PROPS */
  , _hoisted_29), vue.createElementVNode("text", {
    class: "bv-border-box-11-title",
    x: "" + _ctx.width / 2,
    y: "32",
    fill: "#fff",
    "font-size": "18",
    "text-anchor": "middle",
    "dominant-baseline": "middle"
  }, vue.toDisplayString($props.title), 9
  /* TEXT, PROPS */
  , _hoisted_32), vue.createElementVNode("polygon", {
    fill: _ctx.mergedColor[0],
    filter: "url(#" + $setup.filterId + ")",
    points: "\n          7, " + (53 + (_ctx.height - 167) / 2) + " 11, " + (57 + (_ctx.height - 167) / 2) + "\n          11, " + (133 + (_ctx.height - 167) / 2) + " 7, " + (137 + (_ctx.height - 167) / 2) + "\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_33), vue.createElementVNode("polygon", {
    fill: _ctx.mergedColor[0],
    filter: "url(#" + $setup.filterId + ")",
    points: "\n          " + (_ctx.width - 7) + ", " + (53 + (_ctx.height - 167) / 2) + " " + (_ctx.width - 11) + ", " + (57 + (_ctx.height - 167) / 2) + "\n          " + (_ctx.width - 11) + ", " + (133 + (_ctx.height - 167) / 2) + " " + (_ctx.width - 7) + ", " + (137 + (_ctx.height - 167) / 2) + "\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_34)], 8
  /* PROPS */
  , _hoisted_2$l)), vue.createElementVNode("div", _hoisted_35, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$n.render = render$n;
script$n.__file = "src/components/border-box/src/border11.vue";

var script$m = {
  name: 'border12',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['#2e6099', '#7ce7fd']);
    return _extends({}, status, {
      filterId: "border-box-12-filterId-" + id,
      alpha: alpha
    });
  }
};

var _hoisted_1$k = {
  class: "bv-border-box-12",
  ref: "domRef"
};
var _hoisted_2$k = ["width", "height"];
var _hoisted_3$k = ["id"];

var _hoisted_4$j = /*#__PURE__*/vue.createElementVNode("feMorphology", {
  operator: "dilate",
  radius: "1",
  in: "SourceAlpha",
  result: "thicken"
}, null, -1
/* HOISTED */
);

var _hoisted_5$h = /*#__PURE__*/vue.createElementVNode("feGaussianBlur", {
  in: "thicken",
  stdDeviation: "2",
  result: "blurred"
}, null, -1
/* HOISTED */
);

var _hoisted_6$f = ["flood-color"];
var _hoisted_7$b = ["values"];

var _hoisted_8$7 = /*#__PURE__*/vue.createElementVNode("feComposite", {
  in: "glowColor",
  in2: "blurred",
  operator: "in",
  result: "softGlowColored"
}, null, -1
/* HOISTED */
);

var _hoisted_9$6 = /*#__PURE__*/vue.createElementVNode("feMerge", null, [/*#__PURE__*/vue.createElementVNode("feMergeNode", {
  in: "softGlowColored"
}), /*#__PURE__*/vue.createElementVNode("feMergeNode", {
  in: "SourceGraphic"
})], -1
/* HOISTED */
);

var _hoisted_10$6 = ["fill", "stroke", "d"];
var _hoisted_11$5 = ["filter", "stroke"];
var _hoisted_12$4 = ["filter", "stroke", "d"];
var _hoisted_13$3 = ["filter", "stroke", "d"];
var _hoisted_14$3 = ["filter", "stroke", "d"];
var _hoisted_15$3 = {
  class: "border-box-content"
};
function render$m(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$k, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("filter", {
    id: $setup.filterId,
    height: "150%",
    width: "150%",
    x: "-25%",
    y: "-25%"
  }, [_hoisted_4$j, _hoisted_5$h, vue.createElementVNode("feFlood", {
    "flood-color": $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .7),
    result: "glowColor"
  }, [vue.createElementVNode("animate", {
    attributeName: "flood-color",
    values: "\n                " + $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .7) + ";\n                " + $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .3) + ";\n                " + $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .7) + ";\n              ",
    dur: "3s",
    begin: "0s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_7$b)], 8
  /* PROPS */
  , _hoisted_6$f), _hoisted_8$7, _hoisted_9$6], 8
  /* PROPS */
  , _hoisted_3$k)]), _ctx.width && _ctx.height ? (vue.openBlock(), vue.createElementBlock("path", {
    key: 0,
    fill: $props.backgroundColor,
    "stroke-width": "2",
    stroke: _ctx.mergedColor[0],
    d: "\n          M15 5 L " + (_ctx.width - 15) + " 5 Q " + (_ctx.width - 5) + " 5, " + (_ctx.width - 5) + " 15\n          L " + (_ctx.width - 5) + " " + (_ctx.height - 15) + " Q " + (_ctx.width - 5) + " " + (_ctx.height - 5) + ", " + (_ctx.width - 15) + " " + (_ctx.height - 5) + "\n          L 15, " + (_ctx.height - 5) + " Q 5 " + (_ctx.height - 5) + " 5 " + (_ctx.height - 15) + " L 5 15\n          Q 5 5 15 5\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_10$6)) : vue.createCommentVNode("v-if", true), vue.createElementVNode("path", {
    "stroke-width": "2",
    fill: "transparent",
    "stroke-linecap": "round",
    filter: "url(#" + $setup.filterId + ")",
    stroke: _ctx.mergedColor[1],
    d: "M 20 5 L 15 5 Q 5 5 5 15 L 5 20"
  }, null, 8
  /* PROPS */
  , _hoisted_11$5), vue.createElementVNode("path", {
    "stroke-width": "2",
    fill: "transparent",
    "stroke-linecap": "round",
    filter: "url(#" + $setup.filterId + ")",
    stroke: _ctx.mergedColor[1],
    d: "M " + (_ctx.width - 20) + " 5 L " + (_ctx.width - 15) + " 5 Q " + (_ctx.width - 5) + " 5 " + (_ctx.width - 5) + " 15 L " + (_ctx.width - 5) + " 20"
  }, null, 8
  /* PROPS */
  , _hoisted_12$4), vue.createElementVNode("path", {
    "stroke-width": "2",
    fill: "transparent",
    "stroke-linecap": "round",
    filter: "url(#" + $setup.filterId + ")",
    stroke: _ctx.mergedColor[1],
    d: "\n          M " + (_ctx.width - 20) + " " + (_ctx.height - 5) + " L " + (_ctx.width - 15) + " " + (_ctx.height - 5) + "\n          Q " + (_ctx.width - 5) + " " + (_ctx.height - 5) + " " + (_ctx.width - 5) + " " + (_ctx.height - 15) + "\n          L " + (_ctx.width - 5) + " " + (_ctx.height - 20) + "\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_13$3), vue.createElementVNode("path", {
    "stroke-width": "2",
    fill: "transparent",
    "stroke-linecap": "round",
    filter: "url(#" + $setup.filterId + ")",
    stroke: _ctx.mergedColor[1],
    d: "\n          M 20 " + (_ctx.height - 5) + " L 15 " + (_ctx.height - 5) + "\n          Q 5 " + (_ctx.height - 5) + " 5 " + (_ctx.height - 15) + "\n          L 5 " + (_ctx.height - 20) + "\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_14$3)], 8
  /* PROPS */
  , _hoisted_2$k)), vue.createElementVNode("div", _hoisted_15$3, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$m.render = render$m;
script$m.__file = "src/components/border-box/src/border12.vue";

var script$l = {
  name: 'border13',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#6586ec', '#2cf7fe']);
    return _extends({}, status);
  }
};

var _hoisted_1$j = {
  class: "bv-border-box-13",
  ref: "domRef"
};
var _hoisted_2$j = ["width", "height"];
var _hoisted_3$j = ["fill", "stroke", "d"];
var _hoisted_4$i = ["stroke"];
var _hoisted_5$g = ["stroke"];
var _hoisted_6$e = ["stroke", "d"];
var _hoisted_7$a = {
  class: "border-box-content"
};
function render$l(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$j, [(vue.openBlock(), vue.createElementBlock("svg", {
    class: "bv-border-svg-container",
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("path", {
    fill: $props.backgroundColor,
    stroke: _ctx.mergedColor[0],
    d: "\n          M 5 20 L 5 10 L 12 3  L 60 3 L 68 10\n          L " + (_ctx.width - 20) + " 10 L " + (_ctx.width - 5) + " 25\n          L " + (_ctx.width - 5) + " " + (_ctx.height - 5) + " L 20 " + (_ctx.height - 5) + "\n          L 5 " + (_ctx.height - 20) + " L 5 20\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_3$j), vue.createElementVNode("path", {
    fill: "transparent",
    "stroke-width": "3",
    "stroke-linecap": "round",
    "stroke-dasharray": "10, 5",
    stroke: _ctx.mergedColor[0],
    d: "M 16 9 L 61 9"
  }, null, 8
  /* PROPS */
  , _hoisted_4$i), vue.createElementVNode("path", {
    fill: "transparent",
    stroke: _ctx.mergedColor[1],
    d: "M 5 20 L 5 10 L 12 3  L 60 3 L 68 10"
  }, null, 8
  /* PROPS */
  , _hoisted_5$g), vue.createElementVNode("path", {
    fill: "transparent",
    stroke: _ctx.mergedColor[1],
    d: "M " + (_ctx.width - 5) + " " + (_ctx.height - 30) + " L " + (_ctx.width - 5) + " " + (_ctx.height - 5) + " L " + (_ctx.width - 30) + " " + (_ctx.height - 5)
  }, null, 8
  /* PROPS */
  , _hoisted_6$e)], 8
  /* PROPS */
  , _hoisted_2$j)), vue.createElementVNode("div", _hoisted_7$a, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$l.render = render$l;
script$l.__file = "src/components/border-box/src/border13.vue";

var script$k = {
  name: 'BvBorderBox',
  components: {
    border1: script$x,
    border2: script$w,
    border3: script$v,
    border4: script$u,
    border5: script$t,
    border6: script$s,
    border7: script$r,
    border8: script$q,
    border9: script$p,
    border10: script$o,
    border11: script$n,
    border12: script$m,
    border13: script$l
  },
  props: {
    name: {
      type: String,
      required: true
    },
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    backgroundColor: {
      type: String,
      default: 'transparent'
    },
    reverse: {
      type: Boolean,
      default: false
    },
    dur: {
      type: Number,
      default: 3
    },
    titleWidth: {
      type: Number,
      default: 250
    },
    title: {
      type: String,
      default: ''
    }
  }
};

function render$k(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent($props.name), {
    color: $props.color,
    "background-color": $props.backgroundColor,
    reverse: $props.reverse,
    dur: $props.dur,
    "title-width": $props.titleWidth,
    title: $props.title
  }, {
    default: vue.withCtx(function () {
      return [vue.renderSlot(_ctx.$slots, "default")];
    }),
    _: 3
    /* FORWARDED */

  }, 8
  /* PROPS */
  , ["color", "background-color", "reverse", "dur", "title-width", "title"]);
}

script$k.render = render$k;
script$k.__file = "src/components/border-box/main.vue";

script$k.install = function (app) {
  app.component(script$k.name, script$k);
};

var script$j = {
  name: 'decorator',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  setup: function setup(props) {
    var pointSideLength = 2.5;
    var status = useBorderBox(props, ['#fff', '#0de7c2'], calcSVGData);
    var data = vue.reactive({
      svgWH: [200, 50],
      svgScale: [1, 1],
      rowNum: 4,
      rowPoints: 20,
      pointSideLength: pointSideLength,
      halfPointSideLength: pointSideLength / 2,
      points: [],
      rects: []
    });

    function calcSVGData() {
      calcPointsPosition();
      calcRectsPosition();
      calcScale();
    }

    function calcPointsPosition() {
      var svgWH = data.svgWH,
          rowNum = data.rowNum,
          rowPoints = data.rowPoints;
      var w = svgWH[0],
          h = svgWH[1];
      var horizontalGap = w / (rowPoints + 1);
      var verticalGap = h / (rowNum + 1);
      var points = new Array(rowNum).fill(0).map(function (foo, i) {
        return new Array(rowPoints).fill(0).map(function (foo, j) {
          return [horizontalGap * (j + 1), verticalGap * (i + 1)];
        });
      });
      data.points = points.reduce(function (all, item) {
        return [].concat(all, item);
      }, []);
    }

    function calcRectsPosition() {
      var points = data.points,
          rowPoints = data.rowPoints;
      var rect1 = points[rowPoints * 2 - 1];
      var rect2 = points[rowPoints * 2 - 3];
      data.rects = [rect1, rect2];
    }

    function calcScale() {
      var svgWH = data.svgWH;
      var width = status.width,
          height = status.height;
      var w = svgWH[0],
          h = svgWH[1];
      data.svgScale = [width.value / w, height.value / h];
    }

    return _extends({}, status, vue.toRefs(data));
  }
};

var _hoisted_1$i = {
  class: "bv-decoration-1",
  ref: "domRef"
};
var _hoisted_2$i = ["width", "height"];
var _hoisted_3$i = ["fill", "x", "y", "width", "height"];
var _hoisted_4$h = ["values", "begin"];
var _hoisted_5$f = ["fill", "x", "y", "width", "height"];
var _hoisted_6$d = ["values"];
var _hoisted_7$9 = ["values"];
var _hoisted_8$6 = ["values"];
var _hoisted_9$5 = ["values"];
var _hoisted_10$5 = ["fill", "x", "y", "height"];

var _hoisted_11$4 = /*#__PURE__*/vue.createElementVNode("animate", {
  attributeName: "width",
  values: "0;40;0",
  dur: "2s",
  repeatCount: "indefinite"
}, null, -1
/* HOISTED */
);

var _hoisted_12$3 = ["values"];
function render$j(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$i, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.svgWH[0] + "px",
    height: _ctx.svgWH[1] + "px",
    style: vue.normalizeStyle("transform:scale(" + _ctx.svgScale[0] + "," + _ctx.svgScale[1] + ");")
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.points, function (point, i) {
    return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [Math.random() > 0.6 ? (vue.openBlock(), vue.createElementBlock("rect", {
      key: i,
      fill: _ctx.mergedColor[0],
      x: point[0] - _ctx.halfPointSideLength,
      y: point[1] - _ctx.halfPointSideLength,
      width: _ctx.pointSideLength,
      height: _ctx.pointSideLength
    }, [Math.random() > 0.6 ? (vue.openBlock(), vue.createElementBlock("animate", {
      key: 0,
      attributeName: "fill",
      values: _ctx.mergedColor[0] + ";transparent",
      dur: "1s",
      begin: Math.random() * 2,
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_4$h)) : vue.createCommentVNode("v-if", true)], 8
    /* PROPS */
    , _hoisted_3$i)) : vue.createCommentVNode("v-if", true)], 64
    /* STABLE_FRAGMENT */
    );
  }), 256
  /* UNKEYED_FRAGMENT */
  )), _ctx.rects[0] ? (vue.openBlock(), vue.createElementBlock("rect", {
    key: 0,
    fill: _ctx.mergedColor[1],
    x: _ctx.rects[0][0] - _ctx.pointSideLength,
    y: _ctx.rects[0][1] - _ctx.pointSideLength,
    width: _ctx.pointSideLength * 2,
    height: _ctx.pointSideLength * 2
  }, [vue.createElementVNode("animate", {
    attributeName: "width",
    values: "0;" + _ctx.pointSideLength * 2,
    dur: "2s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_6$d), vue.createElementVNode("animate", {
    attributeName: "height",
    values: "0;" + _ctx.pointSideLength * 2,
    dur: "2s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_7$9), vue.createElementVNode("animate", {
    attributeName: "x",
    values: _ctx.rects[0][0] + ";" + (_ctx.rects[0][0] - _ctx.pointSideLength),
    dur: "2s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_8$6), vue.createElementVNode("animate", {
    attributeName: "y",
    values: _ctx.rects[0][1] + ";" + (_ctx.rects[0][1] - _ctx.pointSideLength),
    dur: "2s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_9$5)], 8
  /* PROPS */
  , _hoisted_5$f)) : vue.createCommentVNode("v-if", true), _ctx.rects[1] ? (vue.openBlock(), vue.createElementBlock("rect", {
    key: 1,
    fill: _ctx.mergedColor[1],
    x: _ctx.rects[1][0] - 40,
    y: _ctx.rects[1][1] - _ctx.pointSideLength,
    width: 40,
    height: _ctx.pointSideLength * 2
  }, [_hoisted_11$4, vue.createElementVNode("animate", {
    attributeName: "x",
    values: _ctx.rects[1][0] + ";" + (_ctx.rects[1][0] - 40) + ";" + _ctx.rects[1][0],
    dur: "2s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_12$3)], 8
  /* PROPS */
  , _hoisted_10$5)) : vue.createCommentVNode("v-if", true)], 12
  /* STYLE, PROPS */
  , _hoisted_2$i))], 512
  /* NEED_PATCH */
  );
}

script$j.render = render$j;
script$j.__file = "src/components/decorator/src/decorator1.vue";

var script$i = {
  name: 'decorator2',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    dur: {
      type: Number,
      default: 6
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#3faacb', '#fff'], calcSVGData);
    var data = vue.reactive({
      x: 0,
      y: 0,
      w: 0,
      h: 0
    });

    function calcSVGData() {
      var width = status.width.value;
      var height = status.height.value;
      data.w = +width;
      data.h = 1;
      data.x = 0;
      data.y = height / 2;
    }

    return _extends({}, status, vue.toRefs(data));
  }
};

var _hoisted_1$h = {
  class: "bv-decoration-2",
  ref: "domRef"
};
var _hoisted_2$h = ["width", "height"];
var _hoisted_3$h = ["x", "y", "width", "height", "fill"];
var _hoisted_4$g = ["to", "dur"];
var _hoisted_5$e = ["x", "y", "fill"];
var _hoisted_6$c = ["to", "dur"];
function render$i(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$h, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width + "px",
    height: _ctx.height + "px"
  }, [vue.createElementVNode("rect", {
    x: _ctx.x,
    y: _ctx.y,
    width: _ctx.w,
    height: _ctx.h,
    fill: _ctx.mergedColor[0]
  }, [vue.createElementVNode("animate", {
    attributeName: "width",
    from: "0",
    to: _ctx.width,
    dur: $props.dur + "s",
    calcMode: "spline",
    keyTimes: "0;1",
    keySplines: ".42,0,.58,1",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_4$g)], 8
  /* PROPS */
  , _hoisted_3$h), vue.createElementVNode("rect", {
    x: _ctx.x,
    y: _ctx.y,
    width: "1",
    height: "1",
    fill: _ctx.mergedColor[1]
  }, [vue.createElementVNode("animate", {
    attributeName: "x",
    from: "0",
    to: _ctx.width,
    dur: $props.dur + "s",
    calcMode: "spline",
    keyTimes: "0;1",
    keySplines: "0.42,0,0.58,1",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_6$c)], 8
  /* PROPS */
  , _hoisted_5$e)], 8
  /* PROPS */
  , _hoisted_2$h))], 512
  /* NEED_PATCH */
  );
}

script$i.render = render$i;
script$i.__file = "src/components/decorator/src/decorator2.vue";

var script$h = {
  name: 'decorator3',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  setup: function setup(props) {
    var pointSideLength = 7;
    var status = useBorderBox(props, ['#7acaec', 'transparent'], calcSVGData);
    var data = vue.reactive({
      svgWH: [300, 35],
      svgScale: [1, 1],
      rowNum: 2,
      rowPoints: 25,
      pointSideLength: pointSideLength,
      halfPointSideLength: pointSideLength / 2,
      points: []
    });

    function calcSVGData() {
      calcPointsPosition();
      calcScale();
    }

    function calcPointsPosition() {
      var svgWH = data.svgWH,
          rowNum = data.rowNum,
          rowPoints = data.rowPoints;
      var w = svgWH[0],
          h = svgWH[1];
      var horizontalGap = w / (rowPoints + 1);
      var verticalGap = h / (rowNum + 1);
      var points = new Array(rowNum).fill(0).map(function (foo, i) {
        return new Array(rowPoints).fill(0).map(function (foo, j) {
          return [horizontalGap * (j + 1), verticalGap * (i + 1)];
        });
      });
      data.points = points.reduce(function (all, item) {
        return [].concat(all, item);
      }, []);
    }

    function calcScale() {
      var _data$svgWH = data.svgWH,
          w = _data$svgWH[0],
          h = _data$svgWH[1];
      var width = status.width.value;
      var height = status.height.value;
      data.svgScale = [width / w, height / h];
    }

    return _extends({}, status, vue.toRefs(data));
  }
};

var _hoisted_1$g = {
  class: "bv-decoration-3",
  ref: "domRef"
};
var _hoisted_2$g = ["width", "height"];
var _hoisted_3$g = ["fill", "x", "y", "width", "height"];
var _hoisted_4$f = ["values", "dur", "begin"];
function render$h(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$g, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.svgWH[0] + "px",
    height: _ctx.svgWH[1] + "px",
    style: vue.normalizeStyle("transform:scale(" + _ctx.svgScale[0] + "," + _ctx.svgScale[1] + ");")
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.points, function (point, i) {
    return vue.openBlock(), vue.createElementBlock("rect", {
      key: i,
      fill: _ctx.mergedColor[0],
      x: point[0] - _ctx.halfPointSideLength,
      y: point[1] - _ctx.halfPointSideLength,
      width: _ctx.pointSideLength,
      height: _ctx.pointSideLength
    }, [Math.random() > 0.6 ? (vue.openBlock(), vue.createElementBlock("animate", {
      key: 0,
      attributeName: "fill",
      values: "" + _ctx.mergedColor.join(';'),
      dur: Math.random() + 1 + 's',
      begin: Math.random() * 2,
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_4$f)) : vue.createCommentVNode("v-if", true)], 8
    /* PROPS */
    , _hoisted_3$g);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 12
  /* STYLE, PROPS */
  , _hoisted_2$g))], 512
  /* NEED_PATCH */
  );
}

script$h.render = render$h;
script$h.__file = "src/components/decorator/src/decorator3.vue";

var script$g = {
  name: 'decorator4',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    dur: {
      type: Number,
      default: 3
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['rgba(255, 255, 255, 0.3)', 'rgba(255, 255, 255, 0.3)']);
    return _extends({}, status);
  }
};

var _hoisted_1$f = {
  class: "bv-decoration-4",
  ref: "domRef"
};
var _hoisted_2$f = ["width"];
var _hoisted_3$f = ["stroke", "points"];
var _hoisted_4$e = ["stroke", "points"];
function render$g(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$f, [vue.createElementVNode("div", {
    class: "container reverse",
    style: vue.normalizeStyle("width:" + _ctx.width + "px;height:5px;animation-duration:" + $props.dur + "s")
  }, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width,
    height: 5
  }, [vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    points: "0, 2.5 " + _ctx.width + ", 2.5"
  }, null, 8
  /* PROPS */
  , _hoisted_3$f), vue.createElementVNode("polyline", {
    class: "bold-line",
    stroke: _ctx.mergedColor[1],
    "stroke-width": "3",
    "stroke-dasharray": "20, 80",
    "stroke-dashoffset": "-30",
    points: "0, 2.5 " + _ctx.width + ", 2.5"
  }, null, 8
  /* PROPS */
  , _hoisted_4$e)], 8
  /* PROPS */
  , _hoisted_2$f))], 4
  /* STYLE */
  )], 512
  /* NEED_PATCH */
  );
}

script$g.render = render$g;
script$g.__file = "src/components/decorator/src/decorator4.vue";

var script$f = {
  name: 'decorator5',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    dur: {
      type: Number,
      default: 1.2
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#3f96a5', '#3f96a5'], calcSVGData);
    var data = vue.reactive({
      line1Points: '',
      line2Points: '',
      line1Length: 0,
      line2Length: 0
    });

    function calcSVGData() {
      var width = status.width.value;
      var height = status.height.value;
      var line1Points = [[0, height * 0.2], [width * 0.18, height * 0.2], [width * 0.2, height * 0.4], [width * 0.25, height * 0.4], [width * 0.27, height * 0.6], [width * 0.72, height * 0.6], [width * 0.75, height * 0.4], [width * 0.8, height * 0.4], [width * 0.82, height * 0.2], [width, height * 0.2]];
      var line2Points = [[width * 0.3, height * 0.8], [width * 0.7, height * 0.8]];
      var line1Length = getPolylineLength(line1Points);
      var line2Length = getPolylineLength(line2Points);
      line1Points = line1Points.map(function (point) {
        return point.join(',');
      }).join(' ');
      line2Points = line2Points.map(function (point) {
        return point.join(',');
      }).join(' ');
      data.line1Points = line1Points;
      data.line2Points = line2Points;
      data.line1Length = line1Length;
      data.line2Length = line2Length;
    }

    return _extends({}, status, vue.toRefs(data));
  }
};

var _hoisted_1$e = {
  class: "bv-decoration-5",
  ref: "domRef"
};
var _hoisted_2$e = ["width", "height"];
var _hoisted_3$e = ["stroke", "points"];
var _hoisted_4$d = ["from", "to", "dur"];
var _hoisted_5$d = ["stroke", "points"];
var _hoisted_6$b = ["from", "to", "dur"];
function render$f(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$e, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polyline", {
    fill: "transparent",
    stroke: _ctx.mergedColor[0],
    "stroke-width": "3",
    points: _ctx.line1Points
  }, [vue.createElementVNode("animate", {
    attributeName: "stroke-dasharray",
    attributeType: "XML",
    from: "0, " + _ctx.line1Length / 2 + ", 0, " + _ctx.line1Length / 2,
    to: "0, 0, " + _ctx.line1Length + ", 0",
    dur: $props.dur + "s",
    begin: "0s",
    calcMode: "spline",
    keyTimes: "0;1",
    keySplines: "0.4,1,0.49,0.98",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_4$d)], 8
  /* PROPS */
  , _hoisted_3$e), vue.createElementVNode("polyline", {
    fill: "transparent",
    stroke: _ctx.mergedColor[1],
    "stroke-width": "2",
    points: _ctx.line2Points
  }, [vue.createElementVNode("animate", {
    attributeName: "stroke-dasharray",
    attributeType: "XML",
    from: "0, " + _ctx.line2Length / 2 + ", 0, " + _ctx.line2Length / 2,
    to: "0, 0, " + _ctx.line2Length + ", 0",
    dur: $props.dur + "s",
    begin: "0s",
    calcMode: "spline",
    keyTimes: "0;1",
    keySplines: ".4,1,.49,.98",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_6$b)], 8
  /* PROPS */
  , _hoisted_5$d)], 8
  /* PROPS */
  , _hoisted_2$e))], 512
  /* NEED_PATCH */
  );
}

script$f.render = render$f;
script$f.__file = "src/components/decorator/src/decorator5.vue";

var script$e = {
  name: 'decorator6',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  setup: function setup(props) {
    var rectWidth = 7;
    var status = useBorderBox(props, ['#7acaec', '#7acaec'], calcSVGData);
    var data = vue.reactive({
      svgWH: [300, 35],
      svgScale: [1, 1],
      rowNum: 1,
      rowPoints: 40,
      rectWidth: rectWidth,
      halfRectWidth: rectWidth / 2,
      points: [],
      heights: [],
      minHeights: [],
      randoms: []
    });

    function calcSVGData() {
      calcPointsPosition();
      calcScale();
    }

    function calcPointsPosition() {
      var svgWH = data.svgWH,
          rowNum = data.rowNum,
          rowPoints = data.rowPoints;
      var w = svgWH[0],
          h = svgWH[1];
      var horizontalGap = w / (rowPoints + 1);
      var verticalGap = h / (rowNum + 1);
      var points = new Array(rowNum).fill(0).map(function (foo, i) {
        return new Array(rowPoints).fill(0).map(function (foo, j) {
          return [horizontalGap * (j + 1), verticalGap * (i + 1)];
        });
      });
      data.points = points.reduce(function (all, item) {
        return [].concat(all, item);
      }, []);
      var heights = data.heights = new Array(rowNum * rowPoints).fill(0).map(function (foo) {
        return Math.random() > 0.8 ? randomExtend(0.7 * h, h) : randomExtend(0.2 * h, 0.5 * h);
      });
      data.minHeights = new Array(rowNum * rowPoints).fill(0).map(function (foo, i) {
        return heights[i] * Math.random();
      });
      data.randoms = new Array(rowNum * rowPoints).fill(0).map(function (foo) {
        return Math.random() + 1.5;
      });
    }

    function calcScale() {
      var _data$svgWH = data.svgWH,
          w = _data$svgWH[0],
          h = _data$svgWH[1];
      var width = status.width.value;
      var height = status.height.value;
      data.svgScale = [width / w, height / h];
    }

    return _extends({}, status, vue.toRefs(data));
  }
};

var _hoisted_1$d = {
  class: "bv-decoration-6",
  ref: "domRef"
};
var _hoisted_2$d = ["width", "height"];
var _hoisted_3$d = ["fill", "x", "y", "width", "height"];
var _hoisted_4$c = ["values", "dur"];
var _hoisted_5$c = ["values", "dur"];
function render$e(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$d, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.svgWH[0] + "px",
    height: _ctx.svgWH[1] + "px",
    style: vue.normalizeStyle("transform:scale(" + _ctx.svgScale[0] + "," + _ctx.svgScale[1] + ");")
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.points, function (point, i) {
    return vue.openBlock(), vue.createElementBlock("rect", {
      key: i,
      fill: _ctx.mergedColor[Math.random() > 0.5 ? 0 : 1],
      x: point[0] - _ctx.halfRectWidth,
      y: point[1] - _ctx.heights[i] / 2,
      width: _ctx.rectWidth,
      height: _ctx.heights[i]
    }, [vue.createElementVNode("animate", {
      attributeName: "y",
      values: point[1] - _ctx.minHeights[i] / 2 + ";" + (point[1] - _ctx.heights[i] / 2) + ";" + (point[1] - _ctx.minHeights[i] / 2),
      dur: _ctx.randoms[i] + "s",
      keyTimes: "0;0.5;1",
      calcMode: "spline",
      keySplines: "0.42,0,0.58,1;0.42,0,0.58,1",
      begin: "0s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_4$c), vue.createElementVNode("animate", {
      attributeName: "height",
      values: _ctx.minHeights[i] + ";" + _ctx.heights[i] + ";" + _ctx.minHeights[i],
      dur: _ctx.randoms[i] + "s",
      keyTimes: "0;0.5;1",
      calcMode: "spline",
      keySplines: "0.42,0,0.58,1;0.42,0,0.58,1",
      begin: "0s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_5$c)], 8
    /* PROPS */
    , _hoisted_3$d);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 12
  /* STYLE, PROPS */
  , _hoisted_2$d))], 512
  /* NEED_PATCH */
  );
}

script$e.render = render$e;
script$e.__file = "src/components/decorator/src/decorator6.vue";

var script$d = {
  name: 'decorator7',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#1dc1f5', '#1dc1f5']);
    return _extends({}, status);
  }
};

var _hoisted_1$c = {
  class: "bv-decoration-7",
  ref: "domRef"
};
var _hoisted_2$c = {
  width: "21px",
  height: "20px"
};
var _hoisted_3$c = ["stroke"];
var _hoisted_4$b = ["stroke"];
var _hoisted_5$b = {
  width: "21px",
  height: "20px"
};
var _hoisted_6$a = ["stroke"];
var _hoisted_7$8 = ["stroke"];
function render$d(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$c, [(vue.openBlock(), vue.createElementBlock("svg", _hoisted_2$c, [vue.createElementVNode("polyline", {
    "stroke-width": "4",
    fill: "transparent",
    stroke: _ctx.mergedColor[0],
    points: "10, 0 19, 10 10, 20"
  }, null, 8
  /* PROPS */
  , _hoisted_3$c), vue.createElementVNode("polyline", {
    "stroke-width": "2",
    fill: "transparent",
    stroke: _ctx.mergedColor[1],
    points: "2, 0 11, 10 2, 20"
  }, null, 8
  /* PROPS */
  , _hoisted_4$b)])), vue.createElementVNode("span", null, [vue.renderSlot(_ctx.$slots, "default")]), (vue.openBlock(), vue.createElementBlock("svg", _hoisted_5$b, [vue.createElementVNode("polyline", {
    "stroke-width": "4",
    fill: "transparent",
    stroke: _ctx.mergedColor[0],
    points: "11, 0 2, 10 11, 20"
  }, null, 8
  /* PROPS */
  , _hoisted_6$a), vue.createElementVNode("polyline", {
    "stroke-width": "2",
    fill: "transparent",
    stroke: _ctx.mergedColor[1],
    points: "19, 0 10, 10 19, 20"
  }, null, 8
  /* PROPS */
  , _hoisted_7$8)]))], 512
  /* NEED_PATCH */
  );
}

script$d.render = render$d;
script$d.__file = "src/components/decorator/src/decorator7.vue";

var script$c = {
  name: 'decorator8',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    reverse: {
      type: Boolean,
      default: false
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#3f96a5', '#3f96a5']);

    function xPos(pos) {
      if (!props.reverse) return pos;
      return status.width.value - pos;
    }

    return _extends({}, status, {
      xPos: xPos
    });
  }
};

var _hoisted_1$b = {
  class: "bv-decoration-8",
  ref: "domRef"
};
var _hoisted_2$b = ["width", "height"];
var _hoisted_3$b = ["stroke", "points"];
var _hoisted_4$a = ["stroke", "points"];
var _hoisted_5$a = ["stroke", "points"];
function render$c(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$b, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    "stroke-width": "2",
    fill: "transparent",
    points: $setup.xPos(0) + ", 0 " + $setup.xPos(30) + ", " + _ctx.height / 2
  }, null, 8
  /* PROPS */
  , _hoisted_3$b), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    "stroke-width": "2",
    fill: "transparent",
    points: $setup.xPos(20) + ", 0 " + $setup.xPos(50) + ", " + _ctx.height / 2 + " " + $setup.xPos(_ctx.width) + ", " + _ctx.height / 2
  }, null, 8
  /* PROPS */
  , _hoisted_4$a), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[1],
    fill: "transparent",
    "stroke-width": "3",
    points: $setup.xPos(0) + ", " + (_ctx.height - 3) + ", " + $setup.xPos(200) + ", " + (_ctx.height - 3)
  }, null, 8
  /* PROPS */
  , _hoisted_5$a)], 8
  /* PROPS */
  , _hoisted_2$b))], 512
  /* NEED_PATCH */
  );
}

script$c.render = render$c;
script$c.__file = "src/components/decorator/src/decorator8.vue";

var script$b = {
  name: 'decorator9',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    dur: {
      type: Number,
      default: 3
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['rgba(3, 166, 224, 0.8)', 'rgba(3, 166, 224, 0.5)'], calcScale);
    var data = vue.reactive({
      polygonId: "decoration-9-polygon-" + id,
      svgWH: [100, 100],
      svgScale: [1, 1]
    });

    function calcScale() {
      var _data$svgWH = data.svgWH,
          w = _data$svgWH[0],
          h = _data$svgWH[1];
      var width = status.width.value;
      var height = status.height.value;
      data.svgScale = [width / w, height / h];
    }

    return _extends({}, status, vue.toRefs(data), {
      alpha: alpha
    });
  }
};

var _hoisted_1$a = {
  class: "bv-decoration-9",
  ref: "domRef"
};
var _hoisted_2$a = ["width", "height"];
var _hoisted_3$a = ["id"];
var _hoisted_4$9 = ["stroke"];
var _hoisted_5$9 = ["dur"];
var _hoisted_6$9 = ["stroke"];
var _hoisted_7$7 = ["dur"];
var _hoisted_8$5 = ["stroke"];
var _hoisted_9$4 = ["xlink:href", "stroke", "fill"];
var _hoisted_10$4 = ["dur", "begin"];
var _hoisted_11$3 = ["stroke"];
function render$b(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$a, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.svgWH[0] + "px",
    height: _ctx.svgWH[1] + "px",
    style: vue.normalizeStyle("transform:scale(" + _ctx.svgScale[0] + "," + _ctx.svgScale[1] + ");")
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("polygon", {
    id: _ctx.polygonId,
    points: "15, 46.5, 21, 47.5, 21, 52.5, 15, 53.5"
  }, null, 8
  /* PROPS */
  , _hoisted_3$a)]), vue.createElementVNode("circle", {
    cx: "50",
    cy: "50",
    r: "45",
    fill: "transparent",
    stroke: _ctx.mergedColor[1],
    "stroke-width": "10",
    "stroke-dasharray": "80, 100, 30, 100"
  }, [vue.createElementVNode("animateTransform", {
    attributeName: "transform",
    type: "rotate",
    values: "0 50 50;360 50 50",
    dur: $props.dur + "s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_5$9)], 8
  /* PROPS */
  , _hoisted_4$9), vue.createElementVNode("circle", {
    cx: "50",
    cy: "50",
    r: "45",
    fill: "transparent",
    stroke: _ctx.mergedColor[0],
    "stroke-width": "6",
    "stroke-dasharray": "50, 66, 100, 66"
  }, [vue.createElementVNode("animateTransform", {
    attributeName: "transform",
    type: "rotate",
    values: "0 50 50;-360 50 50",
    dur: $props.dur + "s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_7$7)], 8
  /* PROPS */
  , _hoisted_6$9), vue.createElementVNode("circle", {
    cx: "50",
    cy: "50",
    r: "38",
    fill: "transparent",
    stroke: $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .3),
    "stroke-width": "1",
    "stroke-dasharray": "5, 1"
  }, null, 8
  /* PROPS */
  , _hoisted_8$5), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(new Array(20).fill(0), function (foo, i) {
    return vue.openBlock(), vue.createElementBlock("use", {
      key: i,
      "xlink:href": "#" + _ctx.polygonId,
      stroke: _ctx.mergedColor[1],
      fill: Math.random() > 0.4 ? 'transparent' : _ctx.mergedColor[0]
    }, [vue.createElementVNode("animateTransform", {
      attributeName: "transform",
      type: "rotate",
      values: "0 50 50;360 50 50",
      dur: $props.dur + "s",
      begin: i * $props.dur / 20 + "s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_10$4)], 8
    /* PROPS */
    , _hoisted_9$4);
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createElementVNode("circle", {
    cx: "50",
    cy: "50",
    r: "26",
    fill: "transparent",
    stroke: $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .3),
    "stroke-width": "1",
    "stroke-dasharray": "5, 1"
  }, null, 8
  /* PROPS */
  , _hoisted_11$3)], 12
  /* STYLE, PROPS */
  , _hoisted_2$a)), vue.renderSlot(_ctx.$slots, "default")], 512
  /* NEED_PATCH */
  );
}

script$b.render = render$b;
script$b.__file = "src/components/decorator/src/decorator9.vue";

var script$a = {
  name: 'decorator10',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['#00c2ff', 'rgba(0, 194, 255, 0.3)']);
    var data = vue.reactive({
      animationId1: "d10ani1" + id,
      animationId2: "d10ani2" + id,
      animationId3: "d10ani3" + id,
      animationId4: "d10ani4" + id,
      animationId5: "d10ani5" + id,
      animationId6: "d10ani6" + id,
      animationId7: "d10ani7" + id
    });
    return _extends({}, status, vue.toRefs(data));
  }
};

var _hoisted_1$9 = {
  class: "bv-decoration-10",
  ref: "domRef"
};
var _hoisted_2$9 = ["width", "height"];
var _hoisted_3$9 = ["stroke", "points"];
var _hoisted_4$8 = ["stroke", "points", "stroke-dasharray"];
var _hoisted_5$8 = ["id", "values", "begin"];
var _hoisted_6$8 = ["values", "begin"];
var _hoisted_7$6 = ["stroke", "points", "stroke-dasharray"];
var _hoisted_8$4 = ["id", "values", "begin"];
var _hoisted_9$3 = ["values", "begin"];
var _hoisted_10$3 = ["stroke", "points", "stroke-dasharray"];
var _hoisted_11$2 = ["id", "values", "begin"];
var _hoisted_12$2 = ["values", "begin"];
var _hoisted_13$2 = ["cy", "fill"];
var _hoisted_14$2 = ["id", "values", "begin"];
var _hoisted_15$2 = ["cx", "cy", "fill"];
var _hoisted_16$2 = ["id", "values", "begin"];
var _hoisted_17$2 = ["values", "begin"];
var _hoisted_18$2 = ["cx", "cy", "fill"];
var _hoisted_19$1 = ["id", "values", "begin"];
var _hoisted_20$1 = ["values", "begin"];
var _hoisted_21$1 = ["cx", "cy", "fill"];
var _hoisted_22$1 = ["id", "values", "begin"];
var _hoisted_23$1 = ["values", "begin"];
function render$a(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$9, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[1],
    "stroke-width": "2",
    points: "0, " + _ctx.height / 2 + " " + _ctx.width + ", " + _ctx.height / 2
  }, null, 8
  /* PROPS */
  , _hoisted_3$9), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    "stroke-width": "2",
    points: "5, " + _ctx.height / 2 + " " + (_ctx.width * 0.2 - 3) + ", " + _ctx.height / 2,
    "stroke-dasharray": "0, " + _ctx.width * 0.2,
    fill: "freeze"
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId2,
    attributeName: "stroke-dasharray",
    values: "0, " + _ctx.width * 0.2 + ";" + _ctx.width * 0.2 + ", 0;",
    dur: "3s",
    begin: _ctx.animationId1 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_5$8), vue.createElementVNode("animate", {
    attributeName: "stroke-dasharray",
    values: _ctx.width * 0.2 + ", 0;0, " + _ctx.width * 0.2,
    dur: "0.01s",
    begin: _ctx.animationId7 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_6$8)], 8
  /* PROPS */
  , _hoisted_4$8), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    "stroke-width": "2",
    points: _ctx.width * 0.2 + 3 + ", " + _ctx.height / 2 + " " + (_ctx.width * 0.8 - 3) + ", " + _ctx.height / 2,
    "stroke-dasharray": "0, " + _ctx.width * 0.6
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId4,
    attributeName: "stroke-dasharray",
    values: "0, " + _ctx.width * 0.6 + ";" + _ctx.width * 0.6 + ", 0",
    dur: "3s",
    begin: _ctx.animationId3 + ".end + 1s",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_8$4), vue.createElementVNode("animate", {
    attributeName: "stroke-dasharray",
    values: _ctx.width * 0.6 + ", 0;0, " + _ctx.width * 0.6,
    dur: "0.01s",
    begin: _ctx.animationId7 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_9$3)], 8
  /* PROPS */
  , _hoisted_7$6), vue.createElementVNode("polyline", {
    stroke: _ctx.mergedColor[0],
    "stroke-width": "2",
    points: _ctx.width * 0.8 + 3 + ", " + _ctx.height / 2 + " " + (_ctx.width - 5) + ", " + _ctx.height / 2,
    "stroke-dasharray": "0, " + _ctx.width * 0.2
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId6,
    attributeName: "stroke-dasharray",
    values: "0, " + _ctx.width * 0.2 + ";" + _ctx.width * 0.2 + ", 0",
    dur: "3s",
    begin: _ctx.animationId5 + ".end + 1s",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_11$2), vue.createElementVNode("animate", {
    attributeName: "stroke-dasharray",
    values: _ctx.width * 0.2 + ", 0;0, " + _ctx.width * 0.3,
    dur: "0.01s",
    begin: _ctx.animationId7 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_12$2)], 8
  /* PROPS */
  , _hoisted_10$3), vue.createElementVNode("circle", {
    cx: "2",
    cy: _ctx.height / 2,
    r: "2",
    fill: _ctx.mergedColor[1]
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId1,
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0],
    begin: "0s;" + _ctx.animationId7 + ".end",
    dur: "0.3s",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_14$2)], 8
  /* PROPS */
  , _hoisted_13$2), vue.createElementVNode("circle", {
    cx: _ctx.width * 0.2,
    cy: _ctx.height / 2,
    r: "2",
    fill: _ctx.mergedColor[1]
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId3,
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0],
    begin: _ctx.animationId2 + ".end",
    dur: "0.3s",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_16$2), vue.createElementVNode("animate", {
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[1],
    dur: "0.01s",
    begin: _ctx.animationId7 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_17$2)], 8
  /* PROPS */
  , _hoisted_15$2), vue.createElementVNode("circle", {
    cx: _ctx.width * 0.8,
    cy: _ctx.height / 2,
    r: "2",
    fill: _ctx.mergedColor[1]
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId5,
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0],
    begin: _ctx.animationId4 + ".end",
    dur: "0.3s",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_19$1), vue.createElementVNode("animate", {
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[1],
    dur: "0.01s",
    begin: _ctx.animationId7 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_20$1)], 8
  /* PROPS */
  , _hoisted_18$2), vue.createElementVNode("circle", {
    cx: _ctx.width - 2,
    cy: _ctx.height / 2,
    r: "2",
    fill: _ctx.mergedColor[1]
  }, [vue.createElementVNode("animate", {
    id: _ctx.animationId7,
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[0],
    begin: _ctx.animationId6 + ".end",
    dur: "0.3s",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_22$1), vue.createElementVNode("animate", {
    attributeName: "fill",
    values: _ctx.mergedColor[1] + ";" + _ctx.mergedColor[1],
    dur: "0.01s",
    begin: _ctx.animationId7 + ".end",
    fill: "freeze"
  }, null, 8
  /* PROPS */
  , _hoisted_23$1)], 8
  /* PROPS */
  , _hoisted_21$1)], 8
  /* PROPS */
  , _hoisted_2$9))], 512
  /* NEED_PATCH */
  );
}

script$a.render = render$a;
script$a.__file = "src/components/decorator/src/decorator10.vue";

var script$9 = {
  name: 'decorator11',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  },
  setup: function setup(props) {
    var status = useBorderBox(props, ['#1a98fc', '#2cf7fe']);
    return _extends({}, status, {
      alpha: alpha
    });
  }
};

var _hoisted_1$8 = {
  class: "bv-decoration-11",
  ref: "domRef"
};
var _hoisted_2$8 = ["width", "height"];
var _hoisted_3$8 = ["fill", "stroke"];
var _hoisted_4$7 = ["fill", "stroke", "points"];
var _hoisted_5$7 = ["fill", "stroke", "points"];
var _hoisted_6$7 = ["fill", "stroke", "points"];
var _hoisted_7$5 = ["fill", "stroke", "points"];
var _hoisted_8$3 = ["stroke", "points"];
var _hoisted_9$2 = ["stroke", "points"];
var _hoisted_10$2 = {
  class: "decoration-content"
};
function render$9(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$8, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("polygon", {
    fill: $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .1),
    stroke: _ctx.mergedColor[1],
    points: "20 10, 25 4, 55 4 60 10"
  }, null, 8
  /* PROPS */
  , _hoisted_3$8), vue.createElementVNode("polygon", {
    fill: $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .1),
    stroke: _ctx.mergedColor[1],
    points: "20 " + (_ctx.height - 10) + ", 25 " + (_ctx.height - 4) + ", 55 " + (_ctx.height - 4) + " 60 " + (_ctx.height - 10)
  }, null, 8
  /* PROPS */
  , _hoisted_4$7), vue.createElementVNode("polygon", {
    fill: $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .1),
    stroke: _ctx.mergedColor[1],
    points: _ctx.width - 20 + " 10, " + (_ctx.width - 25) + " 4, " + (_ctx.width - 55) + " 4 " + (_ctx.width - 60) + " 10"
  }, null, 8
  /* PROPS */
  , _hoisted_5$7), vue.createElementVNode("polygon", {
    fill: $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .1),
    stroke: _ctx.mergedColor[1],
    points: _ctx.width - 20 + " " + (_ctx.height - 10) + ", " + (_ctx.width - 25) + " " + (_ctx.height - 4) + ", " + (_ctx.width - 55) + " " + (_ctx.height - 4) + " " + (_ctx.width - 60) + " " + (_ctx.height - 10)
  }, null, 8
  /* PROPS */
  , _hoisted_6$7), vue.createElementVNode("polygon", {
    fill: $setup.alpha(_ctx.mergedColor[0] || _ctx.defaultColor[0], .2),
    stroke: _ctx.mergedColor[0],
    points: "\n          20 10, 5 " + _ctx.height / 2 + " 20 " + (_ctx.height - 10) + "\n          " + (_ctx.width - 20) + " " + (_ctx.height - 10) + " " + (_ctx.width - 5) + " " + _ctx.height / 2 + " " + (_ctx.width - 20) + " 10\n        "
  }, null, 8
  /* PROPS */
  , _hoisted_7$5), vue.createElementVNode("polyline", {
    fill: "transparent",
    stroke: $setup.alpha(_ctx.mergedColor[0] || _ctx.defaultColor[0], .7),
    points: "25 18, 15 " + _ctx.height / 2 + " 25 " + (_ctx.height - 18)
  }, null, 8
  /* PROPS */
  , _hoisted_8$3), vue.createElementVNode("polyline", {
    fill: "transparent",
    stroke: $setup.alpha(_ctx.mergedColor[0] || _ctx.defaultColor[0], .7),
    points: _ctx.width - 25 + " 18, " + (_ctx.width - 15) + " " + _ctx.height / 2 + " " + (_ctx.width - 25) + " " + (_ctx.height - 18)
  }, null, 8
  /* PROPS */
  , _hoisted_9$2)], 8
  /* PROPS */
  , _hoisted_2$8)), vue.createElementVNode("div", _hoisted_10$2, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$9.render = render$9;
script$9.__file = "src/components/decorator/src/decorator11.vue";

var script$8 = {
  name: 'decorator12',
  props: {
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    scanDur: {
      type: Number,
      default: 3
    },
    haloDur: {
      type: Number,
      default: 2
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var status = useBorderBox(props, ['#2783ce', '#2cf7fe'], init);
    var data = vue.reactive({
      gId: "decoration-12-g-" + id,
      gradientId: "decoration-12-gradient-" + id,
      pathD: [],
      pathColor: [],
      circleR: [],
      splitLinePoints: [],
      arcD: [],
      segment: 30,
      sectorAngle: Math.PI / 3,
      ringNum: 3,
      ringWidth: 1,
      showSplitLine: true
    });
    var x = vue.computed(function () {
      return status.width.value / 2;
    });
    var y = vue.computed(function () {
      return status.height.value / 2;
    });

    function init() {
      calcPathD();
      calcPathColor();
      calcCircleR();
      calcSplitLinePoints();
      calcArcD();
    }

    function calcPathD() {
      var segment = data.segment,
          sectorAngle = data.sectorAngle;
      var width = status.width.value;
      var startAngle = -Math.PI / 2;
      var angleGap = sectorAngle / segment;
      var r = width / 4;
      var lastEndPoints = getCircleRadianPoint(x.value, y.value, r, startAngle);
      data.pathD = new Array(segment).fill('').map(function (_, i) {
        var endPoints = getCircleRadianPoint(x.value, y.value, r, startAngle - (i + 1) * angleGap).map(function (_) {
          return _.toFixed(5);
        });
        var d = "M" + lastEndPoints.join(',') + " A" + r + ", " + r + " 0 0 0 " + endPoints.join(',');
        lastEndPoints = endPoints;
        return d;
      });
    }

    function calcPathColor() {
      var segment = data.segment;
      var colorGap = 100 / (segment - 1);
      var _status$mergedColor$v = status.mergedColor.value,
          color = _status$mergedColor$v[0];
      data.pathColor = new Array(segment).fill(color).map(function (_, i) {
        return alpha(color, (100 - i * colorGap) / 100);
      });
    }

    function calcCircleR() {
      var ringNum = data.ringNum,
          ringWidth = data.ringWidth;
      var radiusGap = (x.value - ringWidth / 2) / ringNum;
      data.circleR = new Array(ringNum).fill(0).map(function (_, i) {
        return radiusGap * (i + 1);
      });
    }

    function calcSplitLinePoints() {
      var width = status.width.value;
      var _x = x.value;
      var _y = y.value;
      var angleGap = Math.PI / 6;
      var r = width / 2;
      data.splitLinePoints = new Array(6).fill('').map(function (_, i) {
        var startAngle = angleGap * (i + 1);
        var endAngle = startAngle + Math.PI;
        var startPoint = getCircleRadianPoint(_x, _y, r, startAngle);
        var endPoint = getCircleRadianPoint(_x, _y, r, endAngle);
        return startPoint.join(',') + " " + endPoint.join(',');
      });
    }

    function calcArcD() {
      var width = status.width.value;
      var _x = x.value;
      var _y = y.value;
      var angleGap = Math.PI / 6;
      var r = width / 2 - 1;
      data.arcD = new Array(4).fill('').map(function (_, i) {
        var startAngle = angleGap * (3 * i + 1);
        var endAngle = startAngle + angleGap;
        var startPoint = getCircleRadianPoint(_x, _y, r, startAngle);
        var endPoint = getCircleRadianPoint(_x, _y, r, endAngle);
        return "M" + startPoint.join(',') + " A" + _x + ", " + _y + " 0 0 1 " + endPoint.join(',');
      });
    }

    return _extends({}, status, vue.toRefs(data), {
      x: x,
      y: y,
      alpha: alpha
    });
  }
};

var _hoisted_1$7 = {
  class: "bv-decoration-12",
  ref: "domRef"
};
var _hoisted_2$7 = ["width", "height"];
var _hoisted_3$7 = ["id"];
var _hoisted_4$6 = ["stroke", "stroke-width", "d"];
var _hoisted_5$6 = ["id"];

var _hoisted_6$6 = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "0%",
  "stop-color": "transparent",
  "stop-opacity": "1"
}, null, -1
/* HOISTED */
);

var _hoisted_7$4 = ["stop-color"];
var _hoisted_8$2 = ["r", "cx", "cy", "stroke", "stroke-width"];
var _hoisted_9$1 = ["cx", "cy", "fill"];
var _hoisted_10$1 = ["values", "dur"];
var _hoisted_11$1 = ["dur"];
var _hoisted_12$1 = ["cx", "cy", "fill"];
var _hoisted_13$1 = {
  key: 0
};
var _hoisted_14$1 = ["points", "stroke", "stroke-width"];
var _hoisted_15$1 = ["d", "stroke"];
var _hoisted_16$1 = ["xlink:href"];
var _hoisted_17$1 = ["values", "dur"];
var _hoisted_18$1 = {
  class: "decoration-content"
};
function render$8(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$7, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: _ctx.width,
    height: _ctx.height
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("g", {
    id: _ctx.gId
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.pathD, function (d, i) {
    return vue.openBlock(), vue.createElementBlock("path", {
      stroke: _ctx.pathColor[i],
      "stroke-width": _ctx.width / 2,
      fill: "transparent",
      key: d,
      d: d
    }, null, 8
    /* PROPS */
    , _hoisted_4$6);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 8
  /* PROPS */
  , _hoisted_3$7), vue.createElementVNode("radialGradient", {
    id: _ctx.gradientId,
    cx: "50%",
    cy: "50%",
    r: "50%"
  }, [_hoisted_6$6, vue.createElementVNode("stop", {
    offset: "100%",
    "stop-color": $setup.alpha(_ctx.mergedColor[1] || _ctx.defaultColor[1], .3),
    "stop-opacity": "1"
  }, null, 8
  /* PROPS */
  , _hoisted_7$4)], 8
  /* PROPS */
  , _hoisted_5$6)]), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.circleR, function (r) {
    return vue.openBlock(), vue.createElementBlock("circle", {
      key: r,
      r: r,
      cx: $setup.x,
      cy: $setup.y,
      stroke: _ctx.mergedColor[1],
      "stroke-width": 0.5,
      fill: "transparent"
    }, null, 8
    /* PROPS */
    , _hoisted_8$2);
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createElementVNode("circle", {
    r: "1",
    cx: $setup.x,
    cy: $setup.y,
    stroke: "transparent",
    fill: "url(#" + _ctx.gradientId + ")"
  }, [vue.createElementVNode("animate", {
    attributeName: "r",
    values: "1;" + _ctx.width / 2,
    dur: $props.haloDur + "s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_10$1), vue.createElementVNode("animate", {
    attributeName: "opacity",
    values: "1;0",
    dur: $props.haloDur + "s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_11$1)], 8
  /* PROPS */
  , _hoisted_9$1), vue.createElementVNode("circle", {
    r: "2",
    cx: $setup.x,
    cy: $setup.y,
    fill: _ctx.mergedColor[1]
  }, null, 8
  /* PROPS */
  , _hoisted_12$1), _ctx.showSplitLine ? (vue.openBlock(), vue.createElementBlock("g", _hoisted_13$1, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.splitLinePoints, function (p) {
    return vue.openBlock(), vue.createElementBlock("polyline", {
      key: p,
      points: p,
      stroke: _ctx.mergedColor[1],
      "stroke-width": 0.5,
      opacity: "0.5"
    }, null, 8
    /* PROPS */
    , _hoisted_14$1);
  }), 128
  /* KEYED_FRAGMENT */
  ))])) : vue.createCommentVNode("v-if", true), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.arcD, function (d) {
    return vue.openBlock(), vue.createElementBlock("path", {
      key: d,
      d: d,
      stroke: _ctx.mergedColor[1],
      "stroke-width": "2",
      fill: "transparent"
    }, null, 8
    /* PROPS */
    , _hoisted_15$1);
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createElementVNode("use", {
    "xlink:href": "#" + _ctx.gId
  }, [vue.createElementVNode("animateTransform", {
    attributeName: "transform",
    type: "rotate",
    values: "0, " + $setup.x + " " + $setup.y + ";360, " + $setup.x + " " + $setup.y,
    dur: $props.scanDur + "s",
    repeatCount: "indefinite"
  }, null, 8
  /* PROPS */
  , _hoisted_17$1)], 8
  /* PROPS */
  , _hoisted_16$1)], 8
  /* PROPS */
  , _hoisted_2$7)), vue.createElementVNode("div", _hoisted_18$1, [vue.renderSlot(_ctx.$slots, "default")])], 512
  /* NEED_PATCH */
  );
}

script$8.render = render$8;
script$8.__file = "src/components/decorator/src/decorator12.vue";

var script$7 = {
  name: 'BvDecorator',
  components: {
    decorator1: script$j,
    decorator2: script$i,
    decorator3: script$h,
    decorator4: script$g,
    decorator5: script$f,
    decorator6: script$e,
    decorator7: script$d,
    decorator8: script$c,
    decorator9: script$b,
    decorator10: script$a,
    decorator11: script$9,
    decorator12: script$8
  },
  props: {
    name: {
      type: String,
      required: true
    },
    color: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    reverse: {
      type: Boolean,
      default: false
    },
    dur: {
      type: Number,
      default: 3
    },
    scanDur: {
      type: Number,
      default: 3
    },
    haloDur: {
      type: Number,
      default: 2
    }
  }
};

function render$7(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent($props.name), {
    reverse: $props.reverse,
    dur: $props.dur,
    "scan-dur": $props.scanDur,
    "halo-dur": $props.haloDur,
    color: $props.color
  }, {
    default: vue.withCtx(function () {
      return [vue.renderSlot(_ctx.$slots, "default")];
    }),
    _: 3
    /* FORWARDED */

  }, 8
  /* PROPS */
  , ["reverse", "dur", "scan-dur", "halo-dur", "color"]);
}

script$7.render = render$7;
script$7.__file = "src/components/decorator/main.vue";

script$7.install = function (app) {
  app.component(script$7.name, script$7);
};

/**
 * 基础默认图表主题
 */
var defaultColors = ['#37a2da', '#32c5e9', '#67e0e3', '#9fe6b8', '#ffdb5c', '#ff9f7f', '#fb7293'];

var theme = /*#__PURE__*/Object.freeze({
	__proto__: null,
	defaultColors: defaultColors
});

var script$6 = {
  name: 'BvCapsuleChart',
  props: {
    config: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  setup: function setup(props) {
    var defaultConfig = vue.ref({
      /**
       * @description Capsule chart data
       * @type {Array<Object>}
       * @default data = []
       * @example data = [{ name: 'foo1', value: 100 }, { name: 'foo2', value: 100 }]
       */
      data: [],

      /**
       * @description Colors (hex|rgb|rgba|color keywords)
       * @type {Array<String>}
       * @default color = ['#37a2da', '#32c5e9', '#67e0e3', '#9fe6b8', '#ffdb5c', '#ff9f7f', '#fb7293']
       * @example color = ['#000', 'rgb(0, 0, 0)', 'rgba(0, 0, 0, 1)', 'red']
       */
      colors: defaultColors,

      /**
       * @description Chart unit
       * @type {String}
       * @default unit = ''
       */
      unit: '',

      /**
       * @description Show item value
       * @type {Boolean}
       * @default showValue = false
       */
      showValue: false,

      /**
       * @description value
       * @type {String}
       * @default default [right,inner,default]
       */
      valuePosition: 'default'
    });
    var status = vue.reactive({
      mergedConfig: null,
      capsuleLength: [],
      capsuleValue: [],
      labelData: [],
      labelDataLength: []
    });

    function calcData() {
      mergeConfig();
      calcCapsuleLengthAndLabelData();
    }

    function mergeConfig() {
      status.mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config || {});
    }

    function calcCapsuleLengthAndLabelData() {
      var data = status.mergedConfig.data;
      if (!data.length) return;
      var capsuleValue = data.map(function (_ref) {
        var value = _ref.value;
        return value;
      });
      var maxValue = Math.max.apply(Math, capsuleValue);
      status.capsuleValue = capsuleValue;
      status.capsuleLength = capsuleValue.map(function (v) {
        return maxValue ? v / maxValue : 0;
      });
      var oneFifth = maxValue / 5;
      var labelData = Array.from(new Set(new Array(6).fill(0).map(function (v, i) {
        return Math.ceil(i * oneFifth);
      })));
      status.labelData = labelData;
      status.labelDataLength = Array.from(labelData).map(function (v) {
        return maxValue ? v / maxValue : 0;
      });
    }

    vue.watch(function () {
      return props.config;
    }, function () {
      calcData();
    }, {
      immediate: true,
      deep: true
    });
    return _extends({
      defaultConfig: defaultConfig
    }, vue.toRefs(status));
  }
};

var _hoisted_1$6 = {
  class: "bv-capsule-chart"
};
var _hoisted_2$6 = {
  class: "label-column"
};

var _hoisted_3$6 = /*#__PURE__*/vue.createElementVNode("div", null, " ", -1
/* HOISTED */
);

var _hoisted_4$5 = {
  class: "capsule-container"
};
var _hoisted_5$5 = {
  class: "unit-label"
};
var _hoisted_6$5 = {
  key: 0,
  class: "unit-text"
};
function render$6(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$6, [_ctx.mergedConfig ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, {
    key: 0
  }, [vue.createElementVNode("div", _hoisted_2$6, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.mergedConfig.data, function (item) {
    return vue.openBlock(), vue.createElementBlock("div", {
      key: item.name
    }, vue.toDisplayString(item.name), 1
    /* TEXT */
    );
  }), 128
  /* KEYED_FRAGMENT */
  )), _hoisted_3$6]), vue.createElementVNode("div", _hoisted_4$5, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.capsuleLength, function (capsule, index) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: "capsule-item",
      key: index
    }, [vue.createElementVNode("div", {
      class: "capsule-item-column",
      style: vue.normalizeStyle("width: " + capsule * 100 + "%; background-color: " + _ctx.mergedConfig.colors[index % _ctx.mergedConfig.colors.length] + ";")
    }, [_ctx.mergedConfig.showValue ? (vue.openBlock(), vue.createElementBlock("div", {
      key: 0,
      class: vue.normalizeClass(["capsule-item-value", _ctx.mergedConfig.valuePosition])
    }, vue.toDisplayString(_ctx.capsuleValue[index]), 3
    /* TEXT, CLASS */
    )) : vue.createCommentVNode("v-if", true)], 4
    /* STYLE */
    )]);
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createElementVNode("div", _hoisted_5$5, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.labelData, function (label, index) {
    return vue.openBlock(), vue.createElementBlock("div", {
      key: label + index
    }, vue.toDisplayString(label), 1
    /* TEXT */
    );
  }), 128
  /* KEYED_FRAGMENT */
  ))])]), _ctx.mergedConfig.unit ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_6$5, vue.toDisplayString(_ctx.mergedConfig.unit), 1
  /* TEXT */
  )) : vue.createCommentVNode("v-if", true)], 64
  /* STABLE_FRAGMENT */
  )) : vue.createCommentVNode("v-if", true)]);
}

script$6.render = render$6;
script$6.__file = "src/components/capsule-chart/main.vue";

script$6.install = function (app) {
  app.component(script$6.name, script$6);
};

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

var runtime = {exports: {}};

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

(function (module) {
var runtime = (function (exports) {

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined$1; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function define(obj, key, value) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
    return obj[key];
  }
  try {
    // IE 8 has a broken Object.defineProperty that only works on DOM objects.
    define({}, "");
  } catch (err) {
    define = function(obj, key, value) {
      return obj[key] = value;
    };
  }

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  exports.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  define(IteratorPrototype, iteratorSymbol, function () {
    return this;
  });

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = GeneratorFunctionPrototype;
  define(Gp, "constructor", GeneratorFunctionPrototype);
  define(GeneratorFunctionPrototype, "constructor", GeneratorFunction);
  GeneratorFunction.displayName = define(
    GeneratorFunctionPrototype,
    toStringTagSymbol,
    "GeneratorFunction"
  );

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      define(prototype, method, function(arg) {
        return this._invoke(method, arg);
      });
    });
  }

  exports.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  exports.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      define(genFun, toStringTagSymbol, "GeneratorFunction");
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  exports.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return PromiseImpl.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return PromiseImpl.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration.
          result.value = unwrapped;
          resolve(result);
        }, function(error) {
          // If a rejected Promise was yielded, throw the rejection back
          // into the async generator function so it can be handled there.
          return invoke("throw", error, resolve, reject);
        });
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
    return this;
  });
  exports.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  exports.async = function(innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    if (PromiseImpl === void 0) PromiseImpl = Promise;

    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList),
      PromiseImpl
    );

    return exports.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined$1) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        // Note: ["return"] must be used for ES3 parsing compatibility.
        if (delegate.iterator["return"]) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined$1;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined$1;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  define(Gp, toStringTagSymbol, "Generator");

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  define(Gp, iteratorSymbol, function() {
    return this;
  });

  define(Gp, "toString", function() {
    return "[object Generator]";
  });

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  exports.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined$1;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  exports.values = values;

  function doneResult() {
    return { value: undefined$1, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined$1;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined$1;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined$1;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined$1;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined$1;
      }

      return ContinueSentinel;
    }
  };

  // Regardless of whether this script is executing as a CommonJS module
  // or not, return the runtime object so that we can declare the variable
  // regeneratorRuntime in the outer scope, which allows this module to be
  // injected easily by `bin/regenerator --include-runtime script.js`.
  return exports;

}(
  // If this script is executing as a CommonJS module, use module.exports
  // as the regeneratorRuntime namespace. Otherwise create a new empty
  // object. Either way, the resulting object will be used to initialize
  // the regeneratorRuntime variable at the top of this file.
  module.exports 
));

try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  // This module should not be running in strict mode, so the above
  // assignment should always work unless something is misconfigured. Just
  // in case runtime.js accidentally runs in strict mode, in modern engines
  // we can explicitly access globalThis. In older engines we can escape
  // strict mode using a global Function call. This could conceivably fail
  // if a Content Security Policy forbids using Function, but in that case
  // the proper solution is to fix the accidental strict mode problem. If
  // you've misconfigured your bundler to force strict mode and applied a
  // CSP to forbid Function, and you're not willing to fix either of those
  // problems, please detail your unique predicament in a GitHub issue.
  if (typeof globalThis === "object") {
    globalThis.regeneratorRuntime = runtime;
  } else {
    Function("r", "regeneratorRuntime = r")(runtime);
  }
}
}(runtime));

var regenerator = runtime.exports;

var lib$3 = {};

var interopRequireDefault = {exports: {}};

(function (module) {
function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

module.exports = _interopRequireDefault, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(interopRequireDefault));

var crender_class = {};

var defineProperty = {exports: {}};

(function (module) {
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

module.exports = _defineProperty, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(defineProperty));

var toConsumableArray = {exports: {}};

var arrayWithoutHoles = {exports: {}};

var arrayLikeToArray = {exports: {}};

(function (module) {
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }

  return arr2;
}

module.exports = _arrayLikeToArray, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(arrayLikeToArray));

(function (module) {
var arrayLikeToArray$1 = arrayLikeToArray.exports;

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return arrayLikeToArray$1(arr);
}

module.exports = _arrayWithoutHoles, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(arrayWithoutHoles));

var iterableToArray = {exports: {}};

(function (module) {
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}

module.exports = _iterableToArray, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(iterableToArray));

var unsupportedIterableToArray = {exports: {}};

(function (module) {
var arrayLikeToArray$1 = arrayLikeToArray.exports;

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return arrayLikeToArray$1(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return arrayLikeToArray$1(o, minLen);
}

module.exports = _unsupportedIterableToArray, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(unsupportedIterableToArray));

var nonIterableSpread = {exports: {}};

(function (module) {
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

module.exports = _nonIterableSpread, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(nonIterableSpread));

(function (module) {
var arrayWithoutHoles$1 = arrayWithoutHoles.exports;

var iterableToArray$1 = iterableToArray.exports;

var unsupportedIterableToArray$1 = unsupportedIterableToArray.exports;

var nonIterableSpread$1 = nonIterableSpread.exports;

function _toConsumableArray(arr) {
  return arrayWithoutHoles$1(arr) || iterableToArray$1(arr) || unsupportedIterableToArray$1(arr) || nonIterableSpread$1();
}

module.exports = _toConsumableArray, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(toConsumableArray));

var classCallCheck = {exports: {}};

(function (module) {
function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

module.exports = _classCallCheck, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(classCallCheck));

var lib$2 = {};

var keywords$1 = {};

(function (exports) {

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _default = new Map([['transparent', 'rgba(0,0,0,0)'], ['black', '#000000'], ['silver', '#C0C0C0'], ['gray', '#808080'], ['white', '#FFFFFF'], ['maroon', '#800000'], ['red', '#FF0000'], ['purple', '#800080'], ['fuchsia', '#FF00FF'], ['green', '#008000'], ['lime', '#00FF00'], ['olive', '#808000'], ['yellow', '#FFFF00'], ['navy', '#000080'], ['blue', '#0000FF'], ['teal', '#008080'], ['aqua', '#00FFFF'], ['aliceblue', '#f0f8ff'], ['antiquewhite', '#faebd7'], ['aquamarine', '#7fffd4'], ['azure', '#f0ffff'], ['beige', '#f5f5dc'], ['bisque', '#ffe4c4'], ['blanchedalmond', '#ffebcd'], ['blueviolet', '#8a2be2'], ['brown', '#a52a2a'], ['burlywood', '#deb887'], ['cadetblue', '#5f9ea0'], ['chartreuse', '#7fff00'], ['chocolate', '#d2691e'], ['coral', '#ff7f50'], ['cornflowerblue', '#6495ed'], ['cornsilk', '#fff8dc'], ['crimson', '#dc143c'], ['cyan', '#00ffff'], ['darkblue', '#00008b'], ['darkcyan', '#008b8b'], ['darkgoldenrod', '#b8860b'], ['darkgray', '#a9a9a9'], ['darkgreen', '#006400'], ['darkgrey', '#a9a9a9'], ['darkkhaki', '#bdb76b'], ['darkmagenta', '#8b008b'], ['darkolivegreen', '#556b2f'], ['darkorange', '#ff8c00'], ['darkorchid', '#9932cc'], ['darkred', '#8b0000'], ['darksalmon', '#e9967a'], ['darkseagreen', '#8fbc8f'], ['darkslateblue', '#483d8b'], ['darkslategray', '#2f4f4f'], ['darkslategrey', '#2f4f4f'], ['darkturquoise', '#00ced1'], ['darkviolet', '#9400d3'], ['deeppink', '#ff1493'], ['deepskyblue', '#00bfff'], ['dimgray', '#696969'], ['dimgrey', '#696969'], ['dodgerblue', '#1e90ff'], ['firebrick', '#b22222'], ['floralwhite', '#fffaf0'], ['forestgreen', '#228b22'], ['gainsboro', '#dcdcdc'], ['ghostwhite', '#f8f8ff'], ['gold', '#ffd700'], ['goldenrod', '#daa520'], ['greenyellow', '#adff2f'], ['grey', '#808080'], ['honeydew', '#f0fff0'], ['hotpink', '#ff69b4'], ['indianred', '#cd5c5c'], ['indigo', '#4b0082'], ['ivory', '#fffff0'], ['khaki', '#f0e68c'], ['lavender', '#e6e6fa'], ['lavenderblush', '#fff0f5'], ['lawngreen', '#7cfc00'], ['lemonchiffon', '#fffacd'], ['lightblue', '#add8e6'], ['lightcoral', '#f08080'], ['lightcyan', '#e0ffff'], ['lightgoldenrodyellow', '#fafad2'], ['lightgray', '#d3d3d3'], ['lightgreen', '#90ee90'], ['lightgrey', '#d3d3d3'], ['lightpink', '#ffb6c1'], ['lightsalmon', '#ffa07a'], ['lightseagreen', '#20b2aa'], ['lightskyblue', '#87cefa'], ['lightslategray', '#778899'], ['lightslategrey', '#778899'], ['lightsteelblue', '#b0c4de'], ['lightyellow', '#ffffe0'], ['limegreen', '#32cd32'], ['linen', '#faf0e6'], ['magenta', '#ff00ff'], ['mediumaquamarine', '#66cdaa'], ['mediumblue', '#0000cd'], ['mediumorchid', '#ba55d3'], ['mediumpurple', '#9370db'], ['mediumseagreen', '#3cb371'], ['mediumslateblue', '#7b68ee'], ['mediumspringgreen', '#00fa9a'], ['mediumturquoise', '#48d1cc'], ['mediumvioletred', '#c71585'], ['midnightblue', '#191970'], ['mintcream', '#f5fffa'], ['mistyrose', '#ffe4e1'], ['moccasin', '#ffe4b5'], ['navajowhite', '#ffdead'], ['oldlace', '#fdf5e6'], ['olivedrab', '#6b8e23'], ['orange', '#ffa500'], ['orangered', '#ff4500'], ['orchid', '#da70d6'], ['palegoldenrod', '#eee8aa'], ['palegreen', '#98fb98'], ['paleturquoise', '#afeeee'], ['palevioletred', '#db7093'], ['papayawhip', '#ffefd5'], ['peachpuff', '#ffdab9'], ['peru', '#cd853f'], ['pink', '#ffc0cb'], ['plum', '#dda0dd'], ['powderblue', '#b0e0e6'], ['rosybrown', '#bc8f8f'], ['royalblue', '#4169e1'], ['saddlebrown', '#8b4513'], ['salmon', '#fa8072'], ['sandybrown', '#f4a460'], ['seagreen', '#2e8b57'], ['seashell', '#fff5ee'], ['sienna', '#a0522d'], ['skyblue', '#87ceeb'], ['slateblue', '#6a5acd'], ['slategray', '#708090'], ['slategrey', '#708090'], ['snow', '#fffafa'], ['springgreen', '#00ff7f'], ['steelblue', '#4682b4'], ['tan', '#d2b48c'], ['thistle', '#d8bfd8'], ['tomato', '#ff6347'], ['turquoise', '#40e0d0'], ['violet', '#ee82ee'], ['wheat', '#f5deb3'], ['whitesmoke', '#f5f5f5'], ['yellowgreen', '#9acd32']]);

exports["default"] = _default;
}(keywords$1));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRgbValue = getRgbValue;
exports.getRgbaValue = getRgbaValue;
exports.getOpacity = getOpacity;
exports.toRgb = toRgb;
exports.toHex = toHex;
exports.getColorFromRgbValue = getColorFromRgbValue;
exports.darken = darken;
exports.lighten = lighten;
exports.fade = fade;
exports["default"] = void 0;

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var _keywords = _interopRequireDefault(keywords$1);

var hexReg = /^#([0-9a-fA-f]{3}|[0-9a-fA-f]{6})$/;
var rgbReg = /^(rgb|rgba|RGB|RGBA)/;
var rgbaReg = /^(rgba|RGBA)/;
/**
 * @description Color validator
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {String|Boolean} Valid color Or false
 */

function validator(color) {
  var isHex = hexReg.test(color);
  var isRgb = rgbReg.test(color);
  if (isHex || isRgb) return color;
  color = getColorByKeyword(color);

  if (!color) {
    console.error('Color: Invalid color!');
    return false;
  }

  return color;
}
/**
 * @description Get color by keyword
 * @param {String} keyword Color keyword like red, green and etc.
 * @return {String|Boolean} Hex or rgba color (Invalid keyword will return false)
 */


function getColorByKeyword(keyword) {
  if (!keyword) {
    console.error('getColorByKeywords: Missing parameters!');
    return false;
  }

  if (!_keywords["default"].has(keyword)) return false;
  return _keywords["default"].get(keyword);
}
/**
 * @description Get the Rgb value of the color
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {Array<Number>|Boolean} Rgb value of the color (Invalid input will return false)
 */


function getRgbValue(color) {
  if (!color) {
    console.error('getRgbValue: Missing parameters!');
    return false;
  }

  color = validator(color);
  if (!color) return false;
  var isHex = hexReg.test(color);
  var isRgb = rgbReg.test(color);
  var lowerColor = color.toLowerCase();
  if (isHex) return getRgbValueFromHex(lowerColor);
  if (isRgb) return getRgbValueFromRgb(lowerColor);
}
/**
 * @description Get the rgb value of the hex color
 * @param {String} color Hex color
 * @return {Array<Number>} Rgb value of the color
 */


function getRgbValueFromHex(color) {
  color = color.replace('#', '');
  if (color.length === 3) color = Array.from(color).map(function (hexNum) {
    return hexNum + hexNum;
  }).join('');
  color = color.split('');
  return new Array(3).fill(0).map(function (t, i) {
    return parseInt("0x".concat(color[i * 2]).concat(color[i * 2 + 1]));
  });
}
/**
 * @description Get the rgb value of the rgb/rgba color
 * @param {String} color Hex color
 * @return {Array} Rgb value of the color
 */


function getRgbValueFromRgb(color) {
  return color.replace(/rgb\(|rgba\(|\)/g, '').split(',').slice(0, 3).map(function (n) {
    return parseInt(n);
  });
}
/**
 * @description Get the Rgba value of the color
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {Array<Number>|Boolean} Rgba value of the color (Invalid input will return false)
 */


function getRgbaValue(color) {
  if (!color) {
    console.error('getRgbaValue: Missing parameters!');
    return false;
  }

  var colorValue = getRgbValue(color);
  if (!colorValue) return false;
  colorValue.push(getOpacity(color));
  return colorValue;
}
/**
 * @description Get the opacity of color
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {Number|Boolean} Color opacity (Invalid input will return false)
 */


function getOpacity(color) {
  if (!color) {
    console.error('getOpacity: Missing parameters!');
    return false;
  }

  color = validator(color);
  if (!color) return false;
  var isRgba = rgbaReg.test(color);
  if (!isRgba) return 1;
  color = color.toLowerCase();
  return Number(color.split(',').slice(-1)[0].replace(/[)|\s]/g, ''));
}
/**
 * @description Convert color to Rgb|Rgba color
 * @param {String} color   Hex|Rgb|Rgba color or color keyword
 * @param {Number} opacity The opacity of color
 * @return {String|Boolean} Rgb|Rgba color (Invalid input will return false)
 */


function toRgb(color, opacity) {
  if (!color) {
    console.error('toRgb: Missing parameters!');
    return false;
  }

  var rgbValue = getRgbValue(color);
  if (!rgbValue) return false;
  var addOpacity = typeof opacity === 'number';
  if (addOpacity) return 'rgba(' + rgbValue.join(',') + ",".concat(opacity, ")");
  return 'rgb(' + rgbValue.join(',') + ')';
}
/**
 * @description Convert color to Hex color
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {String|Boolean} Hex color (Invalid input will return false)
 */


function toHex(color) {
  if (!color) {
    console.error('toHex: Missing parameters!');
    return false;
  }

  if (hexReg.test(color)) return color;
  color = getRgbValue(color);
  if (!color) return false;
  return '#' + color.map(function (n) {
    return Number(n).toString(16);
  }).map(function (n) {
    return n === '0' ? '00' : n;
  }).join('');
}
/**
 * @description Get Color from Rgb|Rgba value
 * @param {Array<Number>} value Rgb|Rgba color value
 * @return {String|Boolean} Rgb|Rgba color (Invalid input will return false)
 */


function getColorFromRgbValue(value) {
  if (!value) {
    console.error('getColorFromRgbValue: Missing parameters!');
    return false;
  }

  var valueLength = value.length;

  if (valueLength !== 3 && valueLength !== 4) {
    console.error('getColorFromRgbValue: Value is illegal!');
    return false;
  }

  var color = valueLength === 3 ? 'rgb(' : 'rgba(';
  color += value.join(',') + ')';
  return color;
}
/**
 * @description Deepen color
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {Number} Percent of Deepen (1-100)
 * @return {String|Boolean} Rgba color (Invalid input will return false)
 */


function darken(color) {
  var percent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  if (!color) {
    console.error('darken: Missing parameters!');
    return false;
  }

  var rgbaValue = getRgbaValue(color);
  if (!rgbaValue) return false;
  rgbaValue = rgbaValue.map(function (v, i) {
    return i === 3 ? v : v - Math.ceil(2.55 * percent);
  }).map(function (v) {
    return v < 0 ? 0 : v;
  });
  return getColorFromRgbValue(rgbaValue);
}
/**
 * @description Brighten color
 * @param {String} color Hex|Rgb|Rgba color or color keyword
 * @return {Number} Percent of brighten (1-100)
 * @return {String|Boolean} Rgba color (Invalid input will return false)
 */


function lighten(color) {
  var percent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  if (!color) {
    console.error('lighten: Missing parameters!');
    return false;
  }

  var rgbaValue = getRgbaValue(color);
  if (!rgbaValue) return false;
  rgbaValue = rgbaValue.map(function (v, i) {
    return i === 3 ? v : v + Math.ceil(2.55 * percent);
  }).map(function (v) {
    return v > 255 ? 255 : v;
  });
  return getColorFromRgbValue(rgbaValue);
}
/**
 * @description Adjust color opacity
 * @param {String} color   Hex|Rgb|Rgba color or color keyword
 * @param {Number} Percent of opacity
 * @return {String|Boolean} Rgba color (Invalid input will return false)
 */


function fade(color) {
  var percent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 100;

  if (!color) {
    console.error('fade: Missing parameters!');
    return false;
  }

  var rgbValue = getRgbValue(color);
  if (!rgbValue) return false;
  var rgbaValue = [].concat((0, _toConsumableArray2["default"])(rgbValue), [percent / 100]);
  return getColorFromRgbValue(rgbaValue);
}

var _default = {
  fade: fade,
  toHex: toHex,
  toRgb: toRgb,
  darken: darken,
  lighten: lighten,
  getOpacity: getOpacity,
  getRgbValue: getRgbValue,
  getRgbaValue: getRgbaValue,
  getColorFromRgbValue: getColorFromRgbValue
};
exports["default"] = _default;
}(lib$2));

var lib$1 = {};

var bezierCurveToPolyline = {};

var slicedToArray = {exports: {}};

var arrayWithHoles = {exports: {}};

(function (module) {
function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

module.exports = _arrayWithHoles, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(arrayWithHoles));

var iterableToArrayLimit = {exports: {}};

(function (module) {
function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

module.exports = _iterableToArrayLimit, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(iterableToArrayLimit));

var nonIterableRest = {exports: {}};

(function (module) {
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

module.exports = _nonIterableRest, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(nonIterableRest));

(function (module) {
var arrayWithHoles$1 = arrayWithHoles.exports;

var iterableToArrayLimit$1 = iterableToArrayLimit.exports;

var unsupportedIterableToArray$1 = unsupportedIterableToArray.exports;

var nonIterableRest$1 = nonIterableRest.exports;

function _slicedToArray(arr, i) {
  return arrayWithHoles$1(arr) || iterableToArrayLimit$1(arr, i) || unsupportedIterableToArray$1(arr, i) || nonIterableRest$1();
}

module.exports = _slicedToArray, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(slicedToArray));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bezierCurveToPolyline = bezierCurveToPolyline;
exports.getBezierCurveLength = getBezierCurveLength;
exports["default"] = void 0;

var _slicedToArray2 = _interopRequireDefault(slicedToArray.exports);

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var sqrt = Math.sqrt,
    pow = Math.pow,
    ceil = Math.ceil,
    abs = Math.abs; // Initialize the number of points per curve

var defaultSegmentPointsNum = 50;
/**
 * @example data structure of bezierCurve
 * bezierCurve = [
 *  // Starting point of the curve
 *  [10, 10],
 *  // BezierCurve segment data (controlPoint1, controlPoint2, endPoint)
 *  [
 *    [20, 20], [40, 20], [50, 10]
 *  ],
 *  ...
 * ]
 */

/**
 * @description               Abstract the curve as a polyline consisting of N points
 * @param {Array} bezierCurve bezierCurve data
 * @param {Number} precision  calculation accuracy. Recommended for 1-20. Default = 5
 * @return {Object}           Calculation results and related data
 * @return {Array}            Option.segmentPoints Point data that constitutes a polyline after calculation
 * @return {Number}           Option.cycles Number of iterations
 * @return {Number}           Option.rounds The number of recursions for the last iteration
 */

function abstractBezierCurveToPolyline(bezierCurve) {
  var precision = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 5;
  var segmentsNum = bezierCurve.length - 1;
  var startPoint = bezierCurve[0];
  var endPoint = bezierCurve[segmentsNum][2];
  var segments = bezierCurve.slice(1);
  var getSegmentTPointFuns = segments.map(function (seg, i) {
    var beginPoint = i === 0 ? startPoint : segments[i - 1][2];
    return createGetBezierCurveTPointFun.apply(void 0, [beginPoint].concat((0, _toConsumableArray2["default"])(seg)));
  }); // Initialize the curve to a polyline

  var segmentPointsNum = new Array(segmentsNum).fill(defaultSegmentPointsNum);
  var segmentPoints = getSegmentPointsByNum(getSegmentTPointFuns, segmentPointsNum); // Calculate uniformly distributed points by iteratively

  var result = calcUniformPointsByIteration(segmentPoints, getSegmentTPointFuns, segments, precision);
  result.segmentPoints.push(endPoint);
  return result;
}
/**
 * @description  Generate a method for obtaining corresponding point by t according to curve data
 * @param {Array} beginPoint    BezierCurve begin point. [x, y]
 * @param {Array} controlPoint1 BezierCurve controlPoint1. [x, y]
 * @param {Array} controlPoint2 BezierCurve controlPoint2. [x, y]
 * @param {Array} endPoint      BezierCurve end point. [x, y]
 * @return {Function} Expected function
 */


function createGetBezierCurveTPointFun(beginPoint, controlPoint1, controlPoint2, endPoint) {
  return function (t) {
    var tSubed1 = 1 - t;
    var tSubed1Pow3 = pow(tSubed1, 3);
    var tSubed1Pow2 = pow(tSubed1, 2);
    var tPow3 = pow(t, 3);
    var tPow2 = pow(t, 2);
    return [beginPoint[0] * tSubed1Pow3 + 3 * controlPoint1[0] * t * tSubed1Pow2 + 3 * controlPoint2[0] * tPow2 * tSubed1 + endPoint[0] * tPow3, beginPoint[1] * tSubed1Pow3 + 3 * controlPoint1[1] * t * tSubed1Pow2 + 3 * controlPoint2[1] * tPow2 * tSubed1 + endPoint[1] * tPow3];
  };
}
/**
 * @description Get the distance between two points
 * @param {Array} point1 BezierCurve begin point. [x, y]
 * @param {Array} point2 BezierCurve controlPoint1. [x, y]
 * @return {Number} Expected distance
 */


function getTwoPointDistance(_ref, _ref2) {
  var _ref3 = (0, _slicedToArray2["default"])(_ref, 2),
      ax = _ref3[0],
      ay = _ref3[1];

  var _ref4 = (0, _slicedToArray2["default"])(_ref2, 2),
      bx = _ref4[0],
      by = _ref4[1];

  return sqrt(pow(ax - bx, 2) + pow(ay - by, 2));
}
/**
 * @description Get the sum of the array of numbers
 * @param {Array} nums An array of numbers
 * @return {Number} Expected sum
 */


function getNumsSum(nums) {
  return nums.reduce(function (sum, num) {
    return sum + num;
  }, 0);
}
/**
 * @description Get the distance of multiple sets of points
 * @param {Array} segmentPoints Multiple sets of point data
 * @return {Array} Distance of multiple sets of point data
 */


function getSegmentPointsDistance(segmentPoints) {
  return segmentPoints.map(function (points, i) {
    return new Array(points.length - 1).fill(0).map(function (temp, j) {
      return getTwoPointDistance(points[j], points[j + 1]);
    });
  });
}
/**
 * @description Get the distance of multiple sets of points
 * @param {Array} segmentPoints Multiple sets of point data
 * @return {Array} Distance of multiple sets of point data
 */


function getSegmentPointsByNum(getSegmentTPointFuns, segmentPointsNum) {
  return getSegmentTPointFuns.map(function (getSegmentTPointFun, i) {
    var tGap = 1 / segmentPointsNum[i];
    return new Array(segmentPointsNum[i]).fill('').map(function (foo, j) {
      return getSegmentTPointFun(j * tGap);
    });
  });
}
/**
 * @description Get the sum of deviations between line segment and the average length
 * @param {Array} segmentPointsDistance Segment length of polyline
 * @param {Number} avgLength            Average length of the line segment
 * @return {Number} Deviations
 */


function getAllDeviations(segmentPointsDistance, avgLength) {
  return segmentPointsDistance.map(function (seg) {
    return seg.map(function (s) {
      return abs(s - avgLength);
    });
  }).map(function (seg) {
    return getNumsSum(seg);
  }).reduce(function (total, v) {
    return total + v;
  }, 0);
}
/**
 * @description Calculate uniformly distributed points by iteratively
 * @param {Array} segmentPoints        Multiple setd of points that make up a polyline
 * @param {Array} getSegmentTPointFuns Functions of get a point on the curve with t
 * @param {Array} segments             BezierCurve data
 * @param {Number} precision           Calculation accuracy
 * @return {Object} Calculation results and related data
 * @return {Array}  Option.segmentPoints Point data that constitutes a polyline after calculation
 * @return {Number} Option.cycles Number of iterations
 * @return {Number} Option.rounds The number of recursions for the last iteration
 */


function calcUniformPointsByIteration(segmentPoints, getSegmentTPointFuns, segments, precision) {
  // The number of loops for the current iteration
  var rounds = 4; // Number of iterations

  var cycles = 1;

  var _loop = function _loop() {
    // Recalculate the number of points per curve based on the last iteration data
    var totalPointsNum = segmentPoints.reduce(function (total, seg) {
      return total + seg.length;
    }, 0); // Add last points of segment to calc exact segment length

    segmentPoints.forEach(function (seg, i) {
      return seg.push(segments[i][2]);
    });
    var segmentPointsDistance = getSegmentPointsDistance(segmentPoints);
    var lineSegmentNum = segmentPointsDistance.reduce(function (total, seg) {
      return total + seg.length;
    }, 0);
    var segmentlength = segmentPointsDistance.map(function (seg) {
      return getNumsSum(seg);
    });
    var totalLength = getNumsSum(segmentlength);
    var avgLength = totalLength / lineSegmentNum; // Check if precision is reached

    var allDeviations = getAllDeviations(segmentPointsDistance, avgLength);
    if (allDeviations <= precision) return "break";
    totalPointsNum = ceil(avgLength / precision * totalPointsNum * 1.1);
    var segmentPointsNum = segmentlength.map(function (length) {
      return ceil(length / totalLength * totalPointsNum);
    }); // Calculate the points after redistribution

    segmentPoints = getSegmentPointsByNum(getSegmentTPointFuns, segmentPointsNum);
    totalPointsNum = segmentPoints.reduce(function (total, seg) {
      return total + seg.length;
    }, 0);
    var segmentPointsForLength = JSON.parse(JSON.stringify(segmentPoints));
    segmentPointsForLength.forEach(function (seg, i) {
      return seg.push(segments[i][2]);
    });
    segmentPointsDistance = getSegmentPointsDistance(segmentPointsForLength);
    lineSegmentNum = segmentPointsDistance.reduce(function (total, seg) {
      return total + seg.length;
    }, 0);
    segmentlength = segmentPointsDistance.map(function (seg) {
      return getNumsSum(seg);
    });
    totalLength = getNumsSum(segmentlength);
    avgLength = totalLength / lineSegmentNum;
    var stepSize = 1 / totalPointsNum / 10; // Recursively for each segment of the polyline

    getSegmentTPointFuns.forEach(function (getSegmentTPointFun, i) {
      var currentSegmentPointsNum = segmentPointsNum[i];
      var t = new Array(currentSegmentPointsNum).fill('').map(function (foo, j) {
        return j / segmentPointsNum[i];
      }); // Repeated recursive offset

      for (var r = 0; r < rounds; r++) {
        var distance = getSegmentPointsDistance([segmentPoints[i]])[0];
        var deviations = distance.map(function (d) {
          return d - avgLength;
        });
        var offset = 0;

        for (var j = 0; j < currentSegmentPointsNum; j++) {
          if (j === 0) return;
          offset += deviations[j - 1];
          t[j] -= stepSize * offset;
          if (t[j] > 1) t[j] = 1;
          if (t[j] < 0) t[j] = 0;
          segmentPoints[i][j] = getSegmentTPointFun(t[j]);
        }
      }
    });
    rounds *= 4;
    cycles++;
  };

  do {
    var _ret = _loop();

    if (_ret === "break") break;
  } while (rounds <= 1025);

  segmentPoints = segmentPoints.reduce(function (all, seg) {
    return all.concat(seg);
  }, []);
  return {
    segmentPoints: segmentPoints,
    cycles: cycles,
    rounds: rounds
  };
}
/**
 * @description Get the polyline corresponding to the Bezier curve
 * @param {Array} bezierCurve BezierCurve data
 * @param {Number} precision  Calculation accuracy. Recommended for 1-20. Default = 5
 * @return {Array|Boolean} Point data that constitutes a polyline after calculation (Invalid input will return false)
 */


function bezierCurveToPolyline(bezierCurve) {
  var precision = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 5;

  if (!bezierCurve) {
    console.error('bezierCurveToPolyline: Missing parameters!');
    return false;
  }

  if (!(bezierCurve instanceof Array)) {
    console.error('bezierCurveToPolyline: Parameter bezierCurve must be an array!');
    return false;
  }

  if (typeof precision !== 'number') {
    console.error('bezierCurveToPolyline: Parameter precision must be a number!');
    return false;
  }

  var _abstractBezierCurveT = abstractBezierCurveToPolyline(bezierCurve, precision),
      segmentPoints = _abstractBezierCurveT.segmentPoints;

  return segmentPoints;
}
/**
 * @description Get the bezier curve length
 * @param {Array} bezierCurve bezierCurve data
 * @param {Number} precision  calculation accuracy. Recommended for 5-10. Default = 5
 * @return {Number|Boolean} BezierCurve length (Invalid input will return false)
 */


function getBezierCurveLength(bezierCurve) {
  var precision = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 5;

  if (!bezierCurve) {
    console.error('getBezierCurveLength: Missing parameters!');
    return false;
  }

  if (!(bezierCurve instanceof Array)) {
    console.error('getBezierCurveLength: Parameter bezierCurve must be an array!');
    return false;
  }

  if (typeof precision !== 'number') {
    console.error('getBezierCurveLength: Parameter precision must be a number!');
    return false;
  }

  var _abstractBezierCurveT2 = abstractBezierCurveToPolyline(bezierCurve, precision),
      segmentPoints = _abstractBezierCurveT2.segmentPoints; // Calculate the total length of the points that make up the polyline


  var pointsDistance = getSegmentPointsDistance([segmentPoints])[0];
  var length = getNumsSum(pointsDistance);
  return length;
}

var _default = bezierCurveToPolyline;
exports["default"] = _default;
}(bezierCurveToPolyline));

var polylineToBezierCurve = {};

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _slicedToArray2 = _interopRequireDefault(slicedToArray.exports);

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

/**
 * @description Abstract the polyline formed by N points into a set of bezier curve
 * @param {Array} polyline A set of points that make up a polyline
 * @param {Boolean} close  Closed curve
 * @param {Number} offsetA Smoothness
 * @param {Number} offsetB Smoothness
 * @return {Array|Boolean} A set of bezier curve (Invalid input will return false)
 */
function polylineToBezierCurve(polyline) {
  var close = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var offsetA = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0.25;
  var offsetB = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0.25;

  if (!(polyline instanceof Array)) {
    console.error('polylineToBezierCurve: Parameter polyline must be an array!');
    return false;
  }

  if (polyline.length <= 2) {
    console.error('polylineToBezierCurve: Converting to a curve requires at least 3 points!');
    return false;
  }

  var startPoint = polyline[0];
  var bezierCurveLineNum = polyline.length - 1;
  var bezierCurvePoints = new Array(bezierCurveLineNum).fill(0).map(function (foo, i) {
    return [].concat((0, _toConsumableArray2["default"])(getBezierCurveLineControlPoints(polyline, i, close, offsetA, offsetB)), [polyline[i + 1]]);
  });
  if (close) closeBezierCurve(bezierCurvePoints, startPoint);
  bezierCurvePoints.unshift(polyline[0]);
  return bezierCurvePoints;
}
/**
 * @description Get the control points of the Bezier curve
 * @param {Array} polyline A set of points that make up a polyline
 * @param {Number} index   The index of which get controls points's point in polyline
 * @param {Boolean} close  Closed curve
 * @param {Number} offsetA Smoothness
 * @param {Number} offsetB Smoothness
 * @return {Array} Control points
 */


function getBezierCurveLineControlPoints(polyline, index) {
  var close = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var offsetA = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0.25;
  var offsetB = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0.25;
  var pointNum = polyline.length;
  if (pointNum < 3 || index >= pointNum) return;
  var beforePointIndex = index - 1;
  if (beforePointIndex < 0) beforePointIndex = close ? pointNum + beforePointIndex : 0;
  var afterPointIndex = index + 1;
  if (afterPointIndex >= pointNum) afterPointIndex = close ? afterPointIndex - pointNum : pointNum - 1;
  var afterNextPointIndex = index + 2;
  if (afterNextPointIndex >= pointNum) afterNextPointIndex = close ? afterNextPointIndex - pointNum : pointNum - 1;
  var pointBefore = polyline[beforePointIndex];
  var pointMiddle = polyline[index];
  var pointAfter = polyline[afterPointIndex];
  var pointAfterNext = polyline[afterNextPointIndex];
  return [[pointMiddle[0] + offsetA * (pointAfter[0] - pointBefore[0]), pointMiddle[1] + offsetA * (pointAfter[1] - pointBefore[1])], [pointAfter[0] - offsetB * (pointAfterNext[0] - pointMiddle[0]), pointAfter[1] - offsetB * (pointAfterNext[1] - pointMiddle[1])]];
}
/**
 * @description Get the last curve of the closure
 * @param {Array} bezierCurve A set of sub-curve
 * @param {Array} startPoint  Start point
 * @return {Array} The last curve for closure
 */


function closeBezierCurve(bezierCurve, startPoint) {
  var firstSubCurve = bezierCurve[0];
  var lastSubCurve = bezierCurve.slice(-1)[0];
  bezierCurve.push([getSymmetryPoint(lastSubCurve[1], lastSubCurve[2]), getSymmetryPoint(firstSubCurve[0], startPoint), startPoint]);
  return bezierCurve;
}
/**
 * @description Get the symmetry point
 * @param {Array} point       Symmetric point
 * @param {Array} centerPoint Symmetric center
 * @return {Array} Symmetric point
 */


function getSymmetryPoint(point, centerPoint) {
  var _point = (0, _slicedToArray2["default"])(point, 2),
      px = _point[0],
      py = _point[1];

  var _centerPoint = (0, _slicedToArray2["default"])(centerPoint, 2),
      cx = _centerPoint[0],
      cy = _centerPoint[1];

  var minusX = cx - px;
  var minusY = cy - py;
  return [cx + minusX, cy + minusY];
}

var _default = polylineToBezierCurve;
exports["default"] = _default;
}(polylineToBezierCurve));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "bezierCurveToPolyline", {
  enumerable: true,
  get: function get() {
    return _bezierCurveToPolyline.bezierCurveToPolyline;
  }
});
Object.defineProperty(exports, "getBezierCurveLength", {
  enumerable: true,
  get: function get() {
    return _bezierCurveToPolyline.getBezierCurveLength;
  }
});
Object.defineProperty(exports, "polylineToBezierCurve", {
  enumerable: true,
  get: function get() {
    return _polylineToBezierCurve["default"];
  }
});
exports["default"] = void 0;

var _bezierCurveToPolyline = bezierCurveToPolyline;

var _polylineToBezierCurve = _interopRequireDefault(polylineToBezierCurve);

var _default = {
  bezierCurveToPolyline: _bezierCurveToPolyline.bezierCurveToPolyline,
  getBezierCurveLength: _bezierCurveToPolyline.getBezierCurveLength,
  polylineToBezierCurve: _polylineToBezierCurve["default"]
};
exports["default"] = _default;
}(lib$1));

var util = {};

var _typeof = {exports: {}};

(function (module) {
function _typeof(obj) {
  "@babel/helpers - typeof";

  return (module.exports = _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
    return typeof obj;
  } : function (obj) {
    return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
  }, module.exports.__esModule = true, module.exports["default"] = module.exports), _typeof(obj);
}

module.exports = _typeof, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(_typeof));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deepClone = deepClone;
exports.eliminateBlur = eliminateBlur;
exports.checkPointIsInCircle = checkPointIsInCircle;
exports.getTwoPointDistance = getTwoPointDistance;
exports.checkPointIsInPolygon = checkPointIsInPolygon;
exports.checkPointIsInSector = checkPointIsInSector;
exports.checkPointIsNearPolyline = checkPointIsNearPolyline;
exports.checkPointIsInRect = checkPointIsInRect;
exports.getRotatePointPos = getRotatePointPos;
exports.getScalePointPos = getScalePointPos;
exports.getTranslatePointPos = getTranslatePointPos;
exports.getDistanceBetweenPointAndLine = getDistanceBetweenPointAndLine;
exports.getCircleRadianPoint = getCircleRadianPoint;
exports.getRegularPolygonPoints = getRegularPolygonPoints;
exports["default"] = void 0;

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var _slicedToArray2 = _interopRequireDefault(slicedToArray.exports);

var _typeof2 = _interopRequireDefault(_typeof.exports);

var abs = Math.abs,
    sqrt = Math.sqrt,
    sin = Math.sin,
    cos = Math.cos,
    max = Math.max,
    min = Math.min,
    PI = Math.PI;
/**
 * @description Clone an object or array
 * @param {Object|Array} object Cloned object
 * @param {Boolean} recursion   Whether to use recursive cloning
 * @return {Object|Array} Clone object
 */

function deepClone(object) {
  var recursion = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  if (!object) return object;
  var parse = JSON.parse,
      stringify = JSON.stringify;
  if (!recursion) return parse(stringify(object));
  var clonedObj = object instanceof Array ? [] : {};

  if (object && (0, _typeof2["default"])(object) === 'object') {
    for (var key in object) {
      if (object.hasOwnProperty(key)) {
        if (object[key] && (0, _typeof2["default"])(object[key]) === 'object') {
          clonedObj[key] = deepClone(object[key], true);
        } else {
          clonedObj[key] = object[key];
        }
      }
    }
  }

  return clonedObj;
}
/**
 * @description Eliminate line blur due to 1px line width
 * @param {Array} points Line points
 * @return {Array} Line points after processed
 */


function eliminateBlur(points) {
  return points.map(function (_ref) {
    var _ref2 = (0, _slicedToArray2["default"])(_ref, 2),
        x = _ref2[0],
        y = _ref2[1];

    return [parseInt(x) + 0.5, parseInt(y) + 0.5];
  });
}
/**
 * @description Check if the point is inside the circle
 * @param {Array} point Postion of point
 * @param {Number} rx   Circle x coordinate
 * @param {Number} ry   Circle y coordinate
 * @param {Number} r    Circle radius
 * @return {Boolean} Result of check
 */


function checkPointIsInCircle(point, rx, ry, r) {
  return getTwoPointDistance(point, [rx, ry]) <= r;
}
/**
 * @description Get the distance between two points
 * @param {Array} point1 point1
 * @param {Array} point2 point2
 * @return {Number} Distance between two points
 */


function getTwoPointDistance(_ref3, _ref4) {
  var _ref5 = (0, _slicedToArray2["default"])(_ref3, 2),
      xa = _ref5[0],
      ya = _ref5[1];

  var _ref6 = (0, _slicedToArray2["default"])(_ref4, 2),
      xb = _ref6[0],
      yb = _ref6[1];

  var minusX = abs(xa - xb);
  var minusY = abs(ya - yb);
  return sqrt(minusX * minusX + minusY * minusY);
}
/**
 * @description Check if the point is inside the polygon
 * @param {Array} point  Postion of point
 * @param {Array} points The points that makes up a polyline
 * @return {Boolean} Result of check
 */


function checkPointIsInPolygon(point, polygon) {
  var counter = 0;

  var _point = (0, _slicedToArray2["default"])(point, 2),
      x = _point[0],
      y = _point[1];

  var pointNum = polygon.length;

  for (var i = 1, p1 = polygon[0]; i <= pointNum; i++) {
    var p2 = polygon[i % pointNum];

    if (x > min(p1[0], p2[0]) && x <= max(p1[0], p2[0])) {
      if (y <= max(p1[1], p2[1])) {
        if (p1[0] !== p2[0]) {
          var xinters = (x - p1[0]) * (p2[1] - p1[1]) / (p2[0] - p1[0]) + p1[1];

          if (p1[1] === p2[1] || y <= xinters) {
            counter++;
          }
        }
      }
    }

    p1 = p2;
  }

  return counter % 2 === 1;
}
/**
 * @description Check if the point is inside the sector
 * @param {Array} point       Postion of point
 * @param {Number} rx         Sector x coordinate
 * @param {Number} ry         Sector y coordinate
 * @param {Number} r          Sector radius
 * @param {Number} startAngle Sector start angle
 * @param {Number} endAngle   Sector end angle
 * @param {Boolean} clockWise Whether the sector angle is clockwise
 * @return {Boolean} Result of check
 */


function checkPointIsInSector(point, rx, ry, r, startAngle, endAngle, clockWise) {
  if (!point) return false;
  if (getTwoPointDistance(point, [rx, ry]) > r) return false;

  if (!clockWise) {
    var _deepClone = deepClone([endAngle, startAngle]);

    var _deepClone2 = (0, _slicedToArray2["default"])(_deepClone, 2);

    startAngle = _deepClone2[0];
    endAngle = _deepClone2[1];
  }

  var reverseBE = startAngle > endAngle;

  if (reverseBE) {
    var _ref7 = [endAngle, startAngle];
    startAngle = _ref7[0];
    endAngle = _ref7[1];
  }

  var minus = endAngle - startAngle;
  if (minus >= PI * 2) return true;

  var _point2 = (0, _slicedToArray2["default"])(point, 2),
      x = _point2[0],
      y = _point2[1];

  var _getCircleRadianPoint = getCircleRadianPoint(rx, ry, r, startAngle),
      _getCircleRadianPoint2 = (0, _slicedToArray2["default"])(_getCircleRadianPoint, 2),
      bx = _getCircleRadianPoint2[0],
      by = _getCircleRadianPoint2[1];

  var _getCircleRadianPoint3 = getCircleRadianPoint(rx, ry, r, endAngle),
      _getCircleRadianPoint4 = (0, _slicedToArray2["default"])(_getCircleRadianPoint3, 2),
      ex = _getCircleRadianPoint4[0],
      ey = _getCircleRadianPoint4[1];

  var vPoint = [x - rx, y - ry];
  var vBArm = [bx - rx, by - ry];
  var vEArm = [ex - rx, ey - ry];
  var reverse = minus > PI;

  if (reverse) {
    var _deepClone3 = deepClone([vEArm, vBArm]);

    var _deepClone4 = (0, _slicedToArray2["default"])(_deepClone3, 2);

    vBArm = _deepClone4[0];
    vEArm = _deepClone4[1];
  }

  var inSector = isClockWise(vBArm, vPoint) && !isClockWise(vEArm, vPoint);
  if (reverse) inSector = !inSector;
  if (reverseBE) inSector = !inSector;
  return inSector;
}
/**
 * @description Determine if the point is in the clockwise direction of the vector
 * @param {Array} vArm   Vector
 * @param {Array} vPoint Point
 * @return {Boolean} Result of check
 */


function isClockWise(vArm, vPoint) {
  var _vArm = (0, _slicedToArray2["default"])(vArm, 2),
      ax = _vArm[0],
      ay = _vArm[1];

  var _vPoint = (0, _slicedToArray2["default"])(vPoint, 2),
      px = _vPoint[0],
      py = _vPoint[1];

  return -ay * px + ax * py > 0;
}
/**
 * @description Check if the point is inside the polyline
 * @param {Array} point      Postion of point
 * @param {Array} polyline   The points that makes up a polyline
 * @param {Number} lineWidth Polyline linewidth
 * @return {Boolean} Result of check
 */


function checkPointIsNearPolyline(point, polyline, lineWidth) {
  var halfLineWidth = lineWidth / 2;
  var moveUpPolyline = polyline.map(function (_ref8) {
    var _ref9 = (0, _slicedToArray2["default"])(_ref8, 2),
        x = _ref9[0],
        y = _ref9[1];

    return [x, y - halfLineWidth];
  });
  var moveDownPolyline = polyline.map(function (_ref10) {
    var _ref11 = (0, _slicedToArray2["default"])(_ref10, 2),
        x = _ref11[0],
        y = _ref11[1];

    return [x, y + halfLineWidth];
  });
  var polygon = [].concat((0, _toConsumableArray2["default"])(moveUpPolyline), (0, _toConsumableArray2["default"])(moveDownPolyline.reverse()));
  return checkPointIsInPolygon(point, polygon);
}
/**
 * @description Check if the point is inside the rect
 * @param {Array} point   Postion of point
 * @param {Number} x      Rect start x coordinate
 * @param {Number} y      Rect start y coordinate
 * @param {Number} width  Rect width
 * @param {Number} height Rect height
 * @return {Boolean} Result of check
 */


function checkPointIsInRect(_ref12, x, y, width, height) {
  var _ref13 = (0, _slicedToArray2["default"])(_ref12, 2),
      px = _ref13[0],
      py = _ref13[1];

  if (px < x) return false;
  if (py < y) return false;
  if (px > x + width) return false;
  if (py > y + height) return false;
  return true;
}
/**
 * @description Get the coordinates of the rotated point
 * @param {Number} rotate Degree of rotation
 * @param {Array} point   Postion of point
 * @param {Array} origin  Rotation center
 * @param {Array} origin  Rotation center
 * @return {Number} Coordinates after rotation
 */


function getRotatePointPos() {
  var rotate = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var point = arguments.length > 1 ? arguments[1] : undefined;
  var origin = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [0, 0];
  if (!point) return false;
  if (rotate % 360 === 0) return point;

  var _point3 = (0, _slicedToArray2["default"])(point, 2),
      x = _point3[0],
      y = _point3[1];

  var _origin = (0, _slicedToArray2["default"])(origin, 2),
      ox = _origin[0],
      oy = _origin[1];

  rotate *= PI / 180;
  return [(x - ox) * cos(rotate) - (y - oy) * sin(rotate) + ox, (x - ox) * sin(rotate) + (y - oy) * cos(rotate) + oy];
}
/**
 * @description Get the coordinates of the scaled point
 * @param {Array} scale  Scale factor
 * @param {Array} point  Postion of point
 * @param {Array} origin Scale center
 * @return {Number} Coordinates after scale
 */


function getScalePointPos() {
  var scale = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [1, 1];
  var point = arguments.length > 1 ? arguments[1] : undefined;
  var origin = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [0, 0];
  if (!point) return false;
  if (scale === 1) return point;

  var _point4 = (0, _slicedToArray2["default"])(point, 2),
      x = _point4[0],
      y = _point4[1];

  var _origin2 = (0, _slicedToArray2["default"])(origin, 2),
      ox = _origin2[0],
      oy = _origin2[1];

  var _scale = (0, _slicedToArray2["default"])(scale, 2),
      xs = _scale[0],
      ys = _scale[1];

  var relativePosX = x - ox;
  var relativePosY = y - oy;
  return [relativePosX * xs + ox, relativePosY * ys + oy];
}
/**
 * @description Get the coordinates of the scaled point
 * @param {Array} translate Translation distance
 * @param {Array} point     Postion of point
 * @return {Number} Coordinates after translation
 */


function getTranslatePointPos(translate, point) {
  if (!translate || !point) return false;

  var _point5 = (0, _slicedToArray2["default"])(point, 2),
      x = _point5[0],
      y = _point5[1];

  var _translate = (0, _slicedToArray2["default"])(translate, 2),
      tx = _translate[0],
      ty = _translate[1];

  return [x + tx, y + ty];
}
/**
 * @description Get the distance from the point to the line
 * @param {Array} point     Postion of point
 * @param {Array} lineBegin Line start position
 * @param {Array} lineEnd   Line end position
 * @return {Number} Distance between point and line
 */


function getDistanceBetweenPointAndLine(point, lineBegin, lineEnd) {
  if (!point || !lineBegin || !lineEnd) return false;

  var _point6 = (0, _slicedToArray2["default"])(point, 2),
      x = _point6[0],
      y = _point6[1];

  var _lineBegin = (0, _slicedToArray2["default"])(lineBegin, 2),
      x1 = _lineBegin[0],
      y1 = _lineBegin[1];

  var _lineEnd = (0, _slicedToArray2["default"])(lineEnd, 2),
      x2 = _lineEnd[0],
      y2 = _lineEnd[1];

  var a = y2 - y1;
  var b = x1 - x2;
  var c = y1 * (x2 - x1) - x1 * (y2 - y1);
  var molecule = abs(a * x + b * y + c);
  var denominator = sqrt(a * a + b * b);
  return molecule / denominator;
}
/**
 * @description Get the coordinates of the specified radian on the circle
 * @param {Number} x      Circle x coordinate
 * @param {Number} y      Circle y coordinate
 * @param {Number} radius Circle radius
 * @param {Number} radian Specfied radian
 * @return {Array} Postion of point
 */


function getCircleRadianPoint(x, y, radius, radian) {
  return [x + cos(radian) * radius, y + sin(radian) * radius];
}
/**
 * @description Get the points that make up a regular polygon
 * @param {Number} x     X coordinate of the polygon inscribed circle
 * @param {Number} y     Y coordinate of the polygon inscribed circle
 * @param {Number} r     Radius of the polygon inscribed circle
 * @param {Number} side  Side number
 * @param {Number} minus Radian offset
 * @return {Array} Points that make up a regular polygon
 */


function getRegularPolygonPoints(rx, ry, r, side) {
  var minus = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : PI * -0.5;
  var radianGap = PI * 2 / side;
  var radians = new Array(side).fill('').map(function (t, i) {
    return i * radianGap + minus;
  });
  return radians.map(function (radian) {
    return getCircleRadianPoint(rx, ry, r, radian);
  });
}

var _default = {
  deepClone: deepClone,
  eliminateBlur: eliminateBlur,
  checkPointIsInCircle: checkPointIsInCircle,
  checkPointIsInPolygon: checkPointIsInPolygon,
  checkPointIsInSector: checkPointIsInSector,
  checkPointIsNearPolyline: checkPointIsNearPolyline,
  getTwoPointDistance: getTwoPointDistance,
  getRotatePointPos: getRotatePointPos,
  getScalePointPos: getScalePointPos,
  getTranslatePointPos: getTranslatePointPos,
  getCircleRadianPoint: getCircleRadianPoint,
  getRegularPolygonPoints: getRegularPolygonPoints,
  getDistanceBetweenPointAndLine: getDistanceBetweenPointAndLine
};
exports["default"] = _default;
}(util));

var graphs = {};

var canvas = {};

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.drawPolylinePath = drawPolylinePath;
exports.drawBezierCurvePath = drawBezierCurvePath;
exports["default"] = void 0;

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

/**
 * @description Draw a polyline path
 * @param {Object} ctx        Canvas 2d context
 * @param {Array} points      The points that makes up a polyline
 * @param {Boolean} beginPath Whether to execute beginPath
 * @param {Boolean} closePath Whether to execute closePath
 * @return {Undefined} Void
 */
function drawPolylinePath(ctx, points) {
  var beginPath = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var closePath = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
  if (!ctx || points.length < 2) return false;
  if (beginPath) ctx.beginPath();
  points.forEach(function (point, i) {
    return point && (i === 0 ? ctx.moveTo.apply(ctx, (0, _toConsumableArray2["default"])(point)) : ctx.lineTo.apply(ctx, (0, _toConsumableArray2["default"])(point)));
  });
  if (closePath) ctx.closePath();
}
/**
 * @description Draw a bezier curve path
 * @param {Object} ctx        Canvas 2d context
 * @param {Array} points      The points that makes up a bezier curve
 * @param {Array} moveTo      The point need to excute moveTo
 * @param {Boolean} beginPath Whether to execute beginPath
 * @param {Boolean} closePath Whether to execute closePath
 * @return {Undefined} Void
 */


function drawBezierCurvePath(ctx, points) {
  var moveTo = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var beginPath = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
  var closePath = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
  if (!ctx || !points) return false;
  if (beginPath) ctx.beginPath();
  if (moveTo) ctx.moveTo.apply(ctx, (0, _toConsumableArray2["default"])(moveTo));
  points.forEach(function (item) {
    return item && ctx.bezierCurveTo.apply(ctx, (0, _toConsumableArray2["default"])(item[0]).concat((0, _toConsumableArray2["default"])(item[1]), (0, _toConsumableArray2["default"])(item[2])));
  });
  if (closePath) ctx.closePath();
}

var _default = {
  drawPolylinePath: drawPolylinePath,
  drawBezierCurvePath: drawBezierCurvePath
};
exports["default"] = _default;
}(canvas));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extendNewGraph = extendNewGraph;
exports["default"] = exports.text = exports.bezierCurve = exports.smoothline = exports.polyline = exports.regPolygon = exports.sector = exports.arc = exports.ring = exports.rect = exports.ellipse = exports.circle = void 0;

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var _slicedToArray2 = _interopRequireDefault(slicedToArray.exports);

var _bezierCurve2 = _interopRequireDefault(lib$1);

var _util = util;

var _canvas = canvas;

var polylineToBezierCurve = _bezierCurve2["default"].polylineToBezierCurve,
    bezierCurveToPolyline = _bezierCurve2["default"].bezierCurveToPolyline;
var circle = {
  shape: {
    rx: 0,
    ry: 0,
    r: 0
  },
  validator: function validator(_ref) {
    var shape = _ref.shape;
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r;

    if (typeof rx !== 'number' || typeof ry !== 'number' || typeof r !== 'number') {
      console.error('Circle shape configuration is abnormal!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref2, _ref3) {
    var ctx = _ref2.ctx;
    var shape = _ref3.shape;
    ctx.beginPath();
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r;
    ctx.arc(rx, ry, r > 0 ? r : 0.01, 0, Math.PI * 2);
    ctx.fill();
    ctx.stroke();
    ctx.closePath();
  },
  hoverCheck: function hoverCheck(position, _ref4) {
    var shape = _ref4.shape;
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r;
    return (0, _util.checkPointIsInCircle)(position, rx, ry, r);
  },
  setGraphCenter: function setGraphCenter(e, _ref5) {
    var shape = _ref5.shape,
        style = _ref5.style;
    var rx = shape.rx,
        ry = shape.ry;
    style.graphCenter = [rx, ry];
  },
  move: function move(_ref6, _ref7) {
    var movementX = _ref6.movementX,
        movementY = _ref6.movementY;
    var shape = _ref7.shape;
    this.attr('shape', {
      rx: shape.rx + movementX,
      ry: shape.ry + movementY
    });
  }
};
exports.circle = circle;
var ellipse = {
  shape: {
    rx: 0,
    ry: 0,
    hr: 0,
    vr: 0
  },
  validator: function validator(_ref8) {
    var shape = _ref8.shape;
    var rx = shape.rx,
        ry = shape.ry,
        hr = shape.hr,
        vr = shape.vr;

    if (typeof rx !== 'number' || typeof ry !== 'number' || typeof hr !== 'number' || typeof vr !== 'number') {
      console.error('Ellipse shape configuration is abnormal!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref9, _ref10) {
    var ctx = _ref9.ctx;
    var shape = _ref10.shape;
    ctx.beginPath();
    var rx = shape.rx,
        ry = shape.ry,
        hr = shape.hr,
        vr = shape.vr;
    ctx.ellipse(rx, ry, hr > 0 ? hr : 0.01, vr > 0 ? vr : 0.01, 0, 0, Math.PI * 2);
    ctx.fill();
    ctx.stroke();
    ctx.closePath();
  },
  hoverCheck: function hoverCheck(position, _ref11) {
    var shape = _ref11.shape;
    var rx = shape.rx,
        ry = shape.ry,
        hr = shape.hr,
        vr = shape.vr;
    var a = Math.max(hr, vr);
    var b = Math.min(hr, vr);
    var c = Math.sqrt(a * a - b * b);
    var leftFocusPoint = [rx - c, ry];
    var rightFocusPoint = [rx + c, ry];
    var distance = (0, _util.getTwoPointDistance)(position, leftFocusPoint) + (0, _util.getTwoPointDistance)(position, rightFocusPoint);
    return distance <= 2 * a;
  },
  setGraphCenter: function setGraphCenter(e, _ref12) {
    var shape = _ref12.shape,
        style = _ref12.style;
    var rx = shape.rx,
        ry = shape.ry;
    style.graphCenter = [rx, ry];
  },
  move: function move(_ref13, _ref14) {
    var movementX = _ref13.movementX,
        movementY = _ref13.movementY;
    var shape = _ref14.shape;
    this.attr('shape', {
      rx: shape.rx + movementX,
      ry: shape.ry + movementY
    });
  }
};
exports.ellipse = ellipse;
var rect = {
  shape: {
    x: 0,
    y: 0,
    w: 0,
    h: 0
  },
  validator: function validator(_ref15) {
    var shape = _ref15.shape;
    var x = shape.x,
        y = shape.y,
        w = shape.w,
        h = shape.h;

    if (typeof x !== 'number' || typeof y !== 'number' || typeof w !== 'number' || typeof h !== 'number') {
      console.error('Rect shape configuration is abnormal!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref16, _ref17) {
    var ctx = _ref16.ctx;
    var shape = _ref17.shape;
    ctx.beginPath();
    var x = shape.x,
        y = shape.y,
        w = shape.w,
        h = shape.h;
    ctx.rect(x, y, w, h);
    ctx.fill();
    ctx.stroke();
    ctx.closePath();
  },
  hoverCheck: function hoverCheck(position, _ref18) {
    var shape = _ref18.shape;
    var x = shape.x,
        y = shape.y,
        w = shape.w,
        h = shape.h;
    return (0, _util.checkPointIsInRect)(position, x, y, w, h);
  },
  setGraphCenter: function setGraphCenter(e, _ref19) {
    var shape = _ref19.shape,
        style = _ref19.style;
    var x = shape.x,
        y = shape.y,
        w = shape.w,
        h = shape.h;
    style.graphCenter = [x + w / 2, y + h / 2];
  },
  move: function move(_ref20, _ref21) {
    var movementX = _ref20.movementX,
        movementY = _ref20.movementY;
    var shape = _ref21.shape;
    this.attr('shape', {
      x: shape.x + movementX,
      y: shape.y + movementY
    });
  }
};
exports.rect = rect;
var ring = {
  shape: {
    rx: 0,
    ry: 0,
    r: 0
  },
  validator: function validator(_ref22) {
    var shape = _ref22.shape;
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r;

    if (typeof rx !== 'number' || typeof ry !== 'number' || typeof r !== 'number') {
      console.error('Ring shape configuration is abnormal!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref23, _ref24) {
    var ctx = _ref23.ctx;
    var shape = _ref24.shape;
    ctx.beginPath();
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r;
    ctx.arc(rx, ry, r > 0 ? r : 0.01, 0, Math.PI * 2);
    ctx.stroke();
    ctx.closePath();
  },
  hoverCheck: function hoverCheck(position, _ref25) {
    var shape = _ref25.shape,
        style = _ref25.style;
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r;
    var lineWidth = style.lineWidth;
    var halfLineWidth = lineWidth / 2;
    var minDistance = r - halfLineWidth;
    var maxDistance = r + halfLineWidth;
    var distance = (0, _util.getTwoPointDistance)(position, [rx, ry]);
    return distance >= minDistance && distance <= maxDistance;
  },
  setGraphCenter: function setGraphCenter(e, _ref26) {
    var shape = _ref26.shape,
        style = _ref26.style;
    var rx = shape.rx,
        ry = shape.ry;
    style.graphCenter = [rx, ry];
  },
  move: function move(_ref27, _ref28) {
    var movementX = _ref27.movementX,
        movementY = _ref27.movementY;
    var shape = _ref28.shape;
    this.attr('shape', {
      rx: shape.rx + movementX,
      ry: shape.ry + movementY
    });
  }
};
exports.ring = ring;
var arc = {
  shape: {
    rx: 0,
    ry: 0,
    r: 0,
    startAngle: 0,
    endAngle: 0,
    clockWise: true
  },
  validator: function validator(_ref29) {
    var shape = _ref29.shape;
    var keys = ['rx', 'ry', 'r', 'startAngle', 'endAngle'];

    if (keys.find(function (key) {
      return typeof shape[key] !== 'number';
    })) {
      console.error('Arc shape configuration is abnormal!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref30, _ref31) {
    var ctx = _ref30.ctx;
    var shape = _ref31.shape;
    ctx.beginPath();
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r,
        startAngle = shape.startAngle,
        endAngle = shape.endAngle,
        clockWise = shape.clockWise;
    ctx.arc(rx, ry, r > 0 ? r : 0.001, startAngle, endAngle, !clockWise);
    ctx.stroke();
    ctx.closePath();
  },
  hoverCheck: function hoverCheck(position, _ref32) {
    var shape = _ref32.shape,
        style = _ref32.style;
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r,
        startAngle = shape.startAngle,
        endAngle = shape.endAngle,
        clockWise = shape.clockWise;
    var lineWidth = style.lineWidth;
    var halfLineWidth = lineWidth / 2;
    var insideRadius = r - halfLineWidth;
    var outsideRadius = r + halfLineWidth;
    return !(0, _util.checkPointIsInSector)(position, rx, ry, insideRadius, startAngle, endAngle, clockWise) && (0, _util.checkPointIsInSector)(position, rx, ry, outsideRadius, startAngle, endAngle, clockWise);
  },
  setGraphCenter: function setGraphCenter(e, _ref33) {
    var shape = _ref33.shape,
        style = _ref33.style;
    var rx = shape.rx,
        ry = shape.ry;
    style.graphCenter = [rx, ry];
  },
  move: function move(_ref34, _ref35) {
    var movementX = _ref34.movementX,
        movementY = _ref34.movementY;
    var shape = _ref35.shape;
    this.attr('shape', {
      rx: shape.rx + movementX,
      ry: shape.ry + movementY
    });
  }
};
exports.arc = arc;
var sector = {
  shape: {
    rx: 0,
    ry: 0,
    r: 0,
    startAngle: 0,
    endAngle: 0,
    clockWise: true
  },
  validator: function validator(_ref36) {
    var shape = _ref36.shape;
    var keys = ['rx', 'ry', 'r', 'startAngle', 'endAngle'];

    if (keys.find(function (key) {
      return typeof shape[key] !== 'number';
    })) {
      console.error('Sector shape configuration is abnormal!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref37, _ref38) {
    var ctx = _ref37.ctx;
    var shape = _ref38.shape;
    ctx.beginPath();
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r,
        startAngle = shape.startAngle,
        endAngle = shape.endAngle,
        clockWise = shape.clockWise;
    ctx.arc(rx, ry, r > 0 ? r : 0.01, startAngle, endAngle, !clockWise);
    ctx.lineTo(rx, ry);
    ctx.closePath();
    ctx.stroke();
    ctx.fill();
  },
  hoverCheck: function hoverCheck(position, _ref39) {
    var shape = _ref39.shape;
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r,
        startAngle = shape.startAngle,
        endAngle = shape.endAngle,
        clockWise = shape.clockWise;
    return (0, _util.checkPointIsInSector)(position, rx, ry, r, startAngle, endAngle, clockWise);
  },
  setGraphCenter: function setGraphCenter(e, _ref40) {
    var shape = _ref40.shape,
        style = _ref40.style;
    var rx = shape.rx,
        ry = shape.ry;
    style.graphCenter = [rx, ry];
  },
  move: function move(_ref41, _ref42) {
    var movementX = _ref41.movementX,
        movementY = _ref41.movementY;
    var shape = _ref42.shape;
    var rx = shape.rx,
        ry = shape.ry;
    this.attr('shape', {
      rx: rx + movementX,
      ry: ry + movementY
    });
  }
};
exports.sector = sector;
var regPolygon = {
  shape: {
    rx: 0,
    ry: 0,
    r: 0,
    side: 0
  },
  validator: function validator(_ref43) {
    var shape = _ref43.shape;
    var side = shape.side;
    var keys = ['rx', 'ry', 'r', 'side'];

    if (keys.find(function (key) {
      return typeof shape[key] !== 'number';
    })) {
      console.error('RegPolygon shape configuration is abnormal!');
      return false;
    }

    if (side < 3) {
      console.error('RegPolygon at least trigon!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref44, _ref45) {
    var ctx = _ref44.ctx;
    var shape = _ref45.shape,
        cache = _ref45.cache;
    ctx.beginPath();
    var rx = shape.rx,
        ry = shape.ry,
        r = shape.r,
        side = shape.side;

    if (!cache.points || cache.rx !== rx || cache.ry !== ry || cache.r !== r || cache.side !== side) {
      var _points = (0, _util.getRegularPolygonPoints)(rx, ry, r, side);

      Object.assign(cache, {
        points: _points,
        rx: rx,
        ry: ry,
        r: r,
        side: side
      });
    }

    var points = cache.points;
    (0, _canvas.drawPolylinePath)(ctx, points);
    ctx.closePath();
    ctx.stroke();
    ctx.fill();
  },
  hoverCheck: function hoverCheck(position, _ref46) {
    var cache = _ref46.cache;
    var points = cache.points;
    return (0, _util.checkPointIsInPolygon)(position, points);
  },
  setGraphCenter: function setGraphCenter(e, _ref47) {
    var shape = _ref47.shape,
        style = _ref47.style;
    var rx = shape.rx,
        ry = shape.ry;
    style.graphCenter = [rx, ry];
  },
  move: function move(_ref48, _ref49) {
    var movementX = _ref48.movementX,
        movementY = _ref48.movementY;
    var shape = _ref49.shape,
        cache = _ref49.cache;
    var rx = shape.rx,
        ry = shape.ry;
    cache.rx += movementX;
    cache.ry += movementY;
    this.attr('shape', {
      rx: rx + movementX,
      ry: ry + movementY
    });
    cache.points = cache.points.map(function (_ref50) {
      var _ref51 = (0, _slicedToArray2["default"])(_ref50, 2),
          x = _ref51[0],
          y = _ref51[1];

      return [x + movementX, y + movementY];
    });
  }
};
exports.regPolygon = regPolygon;
var polyline = {
  shape: {
    points: [],
    close: false
  },
  validator: function validator(_ref52) {
    var shape = _ref52.shape;
    var points = shape.points;

    if (!(points instanceof Array)) {
      console.error('Polyline points should be an array!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref53, _ref54) {
    var ctx = _ref53.ctx;
    var shape = _ref54.shape,
        lineWidth = _ref54.style.lineWidth;
    ctx.beginPath();
    var points = shape.points,
        close = shape.close;
    if (lineWidth === 1) points = (0, _util.eliminateBlur)(points);
    (0, _canvas.drawPolylinePath)(ctx, points);

    if (close) {
      ctx.closePath();
      ctx.fill();
      ctx.stroke();
    } else {
      ctx.stroke();
    }
  },
  hoverCheck: function hoverCheck(position, _ref55) {
    var shape = _ref55.shape,
        style = _ref55.style;
    var points = shape.points,
        close = shape.close;
    var lineWidth = style.lineWidth;

    if (close) {
      return (0, _util.checkPointIsInPolygon)(position, points);
    } else {
      return (0, _util.checkPointIsNearPolyline)(position, points, lineWidth);
    }
  },
  setGraphCenter: function setGraphCenter(e, _ref56) {
    var shape = _ref56.shape,
        style = _ref56.style;
    var points = shape.points;
    style.graphCenter = points[0];
  },
  move: function move(_ref57, _ref58) {
    var movementX = _ref57.movementX,
        movementY = _ref57.movementY;
    var shape = _ref58.shape;
    var points = shape.points;
    var moveAfterPoints = points.map(function (_ref59) {
      var _ref60 = (0, _slicedToArray2["default"])(_ref59, 2),
          x = _ref60[0],
          y = _ref60[1];

      return [x + movementX, y + movementY];
    });
    this.attr('shape', {
      points: moveAfterPoints
    });
  }
};
exports.polyline = polyline;
var smoothline = {
  shape: {
    points: [],
    close: false
  },
  validator: function validator(_ref61) {
    var shape = _ref61.shape;
    var points = shape.points;

    if (!(points instanceof Array)) {
      console.error('Smoothline points should be an array!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref62, _ref63) {
    var ctx = _ref62.ctx;
    var shape = _ref63.shape,
        cache = _ref63.cache;
    var points = shape.points,
        close = shape.close;

    if (!cache.points || cache.points.toString() !== points.toString()) {
      var _bezierCurve = polylineToBezierCurve(points, close);

      var hoverPoints = bezierCurveToPolyline(_bezierCurve);
      Object.assign(cache, {
        points: (0, _util.deepClone)(points, true),
        bezierCurve: _bezierCurve,
        hoverPoints: hoverPoints
      });
    }

    var bezierCurve = cache.bezierCurve;
    ctx.beginPath();
    (0, _canvas.drawBezierCurvePath)(ctx, bezierCurve.slice(1), bezierCurve[0]);

    if (close) {
      ctx.closePath();
      ctx.fill();
      ctx.stroke();
    } else {
      ctx.stroke();
    }
  },
  hoverCheck: function hoverCheck(position, _ref64) {
    var cache = _ref64.cache,
        shape = _ref64.shape,
        style = _ref64.style;
    var hoverPoints = cache.hoverPoints;
    var close = shape.close;
    var lineWidth = style.lineWidth;

    if (close) {
      return (0, _util.checkPointIsInPolygon)(position, hoverPoints);
    } else {
      return (0, _util.checkPointIsNearPolyline)(position, hoverPoints, lineWidth);
    }
  },
  setGraphCenter: function setGraphCenter(e, _ref65) {
    var shape = _ref65.shape,
        style = _ref65.style;
    var points = shape.points;
    style.graphCenter = points[0];
  },
  move: function move(_ref66, _ref67) {
    var movementX = _ref66.movementX,
        movementY = _ref66.movementY;
    var shape = _ref67.shape,
        cache = _ref67.cache;
    var points = shape.points;
    var moveAfterPoints = points.map(function (_ref68) {
      var _ref69 = (0, _slicedToArray2["default"])(_ref68, 2),
          x = _ref69[0],
          y = _ref69[1];

      return [x + movementX, y + movementY];
    });
    cache.points = moveAfterPoints;

    var _cache$bezierCurve$ = (0, _slicedToArray2["default"])(cache.bezierCurve[0], 2),
        fx = _cache$bezierCurve$[0],
        fy = _cache$bezierCurve$[1];

    var curves = cache.bezierCurve.slice(1);
    cache.bezierCurve = [[fx + movementX, fy + movementY]].concat((0, _toConsumableArray2["default"])(curves.map(function (curve) {
      return curve.map(function (_ref70) {
        var _ref71 = (0, _slicedToArray2["default"])(_ref70, 2),
            x = _ref71[0],
            y = _ref71[1];

        return [x + movementX, y + movementY];
      });
    })));
    cache.hoverPoints = cache.hoverPoints.map(function (_ref72) {
      var _ref73 = (0, _slicedToArray2["default"])(_ref72, 2),
          x = _ref73[0],
          y = _ref73[1];

      return [x + movementX, y + movementY];
    });
    this.attr('shape', {
      points: moveAfterPoints
    });
  }
};
exports.smoothline = smoothline;
var bezierCurve = {
  shape: {
    points: [],
    close: false
  },
  validator: function validator(_ref74) {
    var shape = _ref74.shape;
    var points = shape.points;

    if (!(points instanceof Array)) {
      console.error('BezierCurve points should be an array!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref75, _ref76) {
    var ctx = _ref75.ctx;
    var shape = _ref76.shape,
        cache = _ref76.cache;
    var points = shape.points,
        close = shape.close;

    if (!cache.points || cache.points.toString() !== points.toString()) {
      var hoverPoints = bezierCurveToPolyline(points, 20);
      Object.assign(cache, {
        points: (0, _util.deepClone)(points, true),
        hoverPoints: hoverPoints
      });
    }

    ctx.beginPath();
    (0, _canvas.drawBezierCurvePath)(ctx, points.slice(1), points[0]);

    if (close) {
      ctx.closePath();
      ctx.fill();
      ctx.stroke();
    } else {
      ctx.stroke();
    }
  },
  hoverCheck: function hoverCheck(position, _ref77) {
    var cache = _ref77.cache,
        shape = _ref77.shape,
        style = _ref77.style;
    var hoverPoints = cache.hoverPoints;
    var close = shape.close;
    var lineWidth = style.lineWidth;

    if (close) {
      return (0, _util.checkPointIsInPolygon)(position, hoverPoints);
    } else {
      return (0, _util.checkPointIsNearPolyline)(position, hoverPoints, lineWidth);
    }
  },
  setGraphCenter: function setGraphCenter(e, _ref78) {
    var shape = _ref78.shape,
        style = _ref78.style;
    var points = shape.points;
    style.graphCenter = points[0];
  },
  move: function move(_ref79, _ref80) {
    var movementX = _ref79.movementX,
        movementY = _ref79.movementY;
    var shape = _ref80.shape,
        cache = _ref80.cache;
    var points = shape.points;

    var _points$ = (0, _slicedToArray2["default"])(points[0], 2),
        fx = _points$[0],
        fy = _points$[1];

    var curves = points.slice(1);
    var bezierCurve = [[fx + movementX, fy + movementY]].concat((0, _toConsumableArray2["default"])(curves.map(function (curve) {
      return curve.map(function (_ref81) {
        var _ref82 = (0, _slicedToArray2["default"])(_ref81, 2),
            x = _ref82[0],
            y = _ref82[1];

        return [x + movementX, y + movementY];
      });
    })));
    cache.points = bezierCurve;
    cache.hoverPoints = cache.hoverPoints.map(function (_ref83) {
      var _ref84 = (0, _slicedToArray2["default"])(_ref83, 2),
          x = _ref84[0],
          y = _ref84[1];

      return [x + movementX, y + movementY];
    });
    this.attr('shape', {
      points: bezierCurve
    });
  }
};
exports.bezierCurve = bezierCurve;
var text = {
  shape: {
    content: '',
    position: [],
    maxWidth: undefined,
    rowGap: 0
  },
  validator: function validator(_ref85) {
    var shape = _ref85.shape;
    var content = shape.content,
        position = shape.position,
        rowGap = shape.rowGap;

    if (typeof content !== 'string') {
      console.error('Text content should be a string!');
      return false;
    }

    if (!(position instanceof Array)) {
      console.error('Text position should be an array!');
      return false;
    }

    if (typeof rowGap !== 'number') {
      console.error('Text rowGap should be a number!');
      return false;
    }

    return true;
  },
  draw: function draw(_ref86, _ref87) {
    var ctx = _ref86.ctx;
    var shape = _ref87.shape;
    var content = shape.content,
        position = shape.position,
        maxWidth = shape.maxWidth,
        rowGap = shape.rowGap;
    var textBaseline = ctx.textBaseline,
        font = ctx.font;
    var fontSize = parseInt(font.replace(/\D/g, ''));

    var _position = position,
        _position2 = (0, _slicedToArray2["default"])(_position, 2),
        x = _position2[0],
        y = _position2[1];

    content = content.split('\n');
    var rowNum = content.length;
    var lineHeight = fontSize + rowGap;
    var allHeight = rowNum * lineHeight - rowGap;
    var offset = 0;

    if (textBaseline === 'middle') {
      offset = allHeight / 2;
      y += fontSize / 2;
    }

    if (textBaseline === 'bottom') {
      offset = allHeight;
      y += fontSize;
    }

    position = new Array(rowNum).fill(0).map(function (foo, i) {
      return [x, y + i * lineHeight - offset];
    });
    ctx.beginPath();
    content.forEach(function (text, i) {
      ctx.fillText.apply(ctx, [text].concat((0, _toConsumableArray2["default"])(position[i]), [maxWidth]));
      ctx.strokeText.apply(ctx, [text].concat((0, _toConsumableArray2["default"])(position[i]), [maxWidth]));
    });
    ctx.closePath();
  },
  hoverCheck: function hoverCheck(position, _ref88) {
    _ref88.shape;
        _ref88.style;
    return false;
  },
  setGraphCenter: function setGraphCenter(e, _ref89) {
    var shape = _ref89.shape,
        style = _ref89.style;
    var position = shape.position;
    style.graphCenter = (0, _toConsumableArray2["default"])(position);
  },
  move: function move(_ref90, _ref91) {
    var movementX = _ref90.movementX,
        movementY = _ref90.movementY;
    var shape = _ref91.shape;

    var _shape$position = (0, _slicedToArray2["default"])(shape.position, 2),
        x = _shape$position[0],
        y = _shape$position[1];

    this.attr('shape', {
      position: [x + movementX, y + movementY]
    });
  }
};
exports.text = text;
var graphs = new Map([['circle', circle], ['ellipse', ellipse], ['rect', rect], ['ring', ring], ['arc', arc], ['sector', sector], ['regPolygon', regPolygon], ['polyline', polyline], ['smoothline', smoothline], ['bezierCurve', bezierCurve], ['text', text]]);
var _default = graphs;
/**
 * @description Extend new graph
 * @param {String} name   Name of Graph
 * @param {Object} config Configuration of Graph
 * @return {Undefined} Void
 */

exports["default"] = _default;

function extendNewGraph(name, config) {
  if (!name || !config) {
    console.error('ExtendNewGraph Missing Parameters!');
    return;
  }

  if (!config.shape) {
    console.error('Required attribute of shape to extendNewGraph!');
    return;
  }

  if (!config.validator) {
    console.error('Required function of validator to extendNewGraph!');
    return;
  }

  if (!config.draw) {
    console.error('Required function of draw to extendNewGraph!');
    return;
  }

  graphs.set(name, config);
}
}(graphs));

var graph_class = {};

var asyncToGenerator = {exports: {}};

(function (module) {
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

module.exports = _asyncToGenerator, module.exports.__esModule = true, module.exports["default"] = module.exports;
}(asyncToGenerator));

var style_class = {};

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var _classCallCheck2 = _interopRequireDefault(classCallCheck.exports);

var _color = lib$2;

var _util = util;

/**
 * @description Class Style
 * @param {Object} style  Style configuration
 * @return {Style} Instance of Style
 */
var Style = function Style(style) {
  (0, _classCallCheck2["default"])(this, Style);
  this.colorProcessor(style);
  var defaultStyle = {
    /**
     * @description Rgba value of graph fill color
     * @type {Array}
     * @default fill = [0, 0, 0, 1]
     */
    fill: [0, 0, 0, 1],

    /**
     * @description Rgba value of graph stroke color
     * @type {Array}
     * @default stroke = [0, 0, 0, 1]
     */
    stroke: [0, 0, 0, 0],

    /**
     * @description Opacity of graph
     * @type {Number}
     * @default opacity = 1
     */
    opacity: 1,

    /**
     * @description LineCap of Ctx
     * @type {String}
     * @default lineCap = null
     * @example lineCap = 'butt'|'round'|'square'
     */
    lineCap: null,

    /**
     * @description Linejoin of Ctx
     * @type {String}
     * @default lineJoin = null
     * @example lineJoin = 'round'|'bevel'|'miter'
     */
    lineJoin: null,

    /**
     * @description LineDash of Ctx
     * @type {Array}
     * @default lineDash = null
     * @example lineDash = [10, 10]
     */
    lineDash: null,

    /**
     * @description LineDashOffset of Ctx
     * @type {Number}
     * @default lineDashOffset = null
     * @example lineDashOffset = 10
     */
    lineDashOffset: null,

    /**
     * @description ShadowBlur of Ctx
     * @type {Number}
     * @default shadowBlur = 0
     */
    shadowBlur: 0,

    /**
     * @description Rgba value of graph shadow color
     * @type {Array}
     * @default shadowColor = [0, 0, 0, 0]
     */
    shadowColor: [0, 0, 0, 0],

    /**
     * @description ShadowOffsetX of Ctx
     * @type {Number}
     * @default shadowOffsetX = 0
     */
    shadowOffsetX: 0,

    /**
     * @description ShadowOffsetY of Ctx
     * @type {Number}
     * @default shadowOffsetY = 0
     */
    shadowOffsetY: 0,

    /**
     * @description LineWidth of Ctx
     * @type {Number}
     * @default lineWidth = 0
     */
    lineWidth: 0,

    /**
     * @description Center point of the graph
     * @type {Array}
     * @default graphCenter = null
     * @example graphCenter = [10, 10]
     */
    graphCenter: null,

    /**
     * @description Graph scale
     * @type {Array}
     * @default scale = null
     * @example scale = [1.5, 1.5]
     */
    scale: null,

    /**
     * @description Graph rotation degree
     * @type {Number}
     * @default rotate = null
     * @example rotate = 10
     */
    rotate: null,

    /**
     * @description Graph translate distance
     * @type {Array}
     * @default translate = null
     * @example translate = [10, 10]
     */
    translate: null,

    /**
     * @description Cursor status when hover
     * @type {String}
     * @default hoverCursor = 'pointer'
     * @example hoverCursor = 'default'|'pointer'|'auto'|'crosshair'|'move'|'wait'|...
     */
    hoverCursor: 'pointer',

    /**
     * @description Font style of Ctx
     * @type {String}
     * @default fontStyle = 'normal'
     * @example fontStyle = 'normal'|'italic'|'oblique'
     */
    fontStyle: 'normal',

    /**
     * @description Font varient of Ctx
     * @type {String}
     * @default fontVarient = 'normal'
     * @example fontVarient = 'normal'|'small-caps'
     */
    fontVarient: 'normal',

    /**
     * @description Font weight of Ctx
     * @type {String|Number}
     * @default fontWeight = 'normal'
     * @example fontWeight = 'normal'|'bold'|'bolder'|'lighter'|Number
     */
    fontWeight: 'normal',

    /**
     * @description Font size of Ctx
     * @type {Number}
     * @default fontSize = 10
     */
    fontSize: 10,

    /**
     * @description Font family of Ctx
     * @type {String}
     * @default fontFamily = 'Arial'
     */
    fontFamily: 'Arial',

    /**
     * @description TextAlign of Ctx
     * @type {String}
     * @default textAlign = 'center'
     * @example textAlign = 'start'|'end'|'left'|'right'|'center'
     */
    textAlign: 'center',

    /**
     * @description TextBaseline of Ctx
     * @type {String}
     * @default textBaseline = 'middle'
     * @example textBaseline = 'top'|'bottom'|'middle'|'alphabetic'|'hanging'
     */
    textBaseline: 'middle',

    /**
     * @description The color used to create the gradient
     * @type {Array}
     * @default gradientColor = null
     * @example gradientColor = ['#000', '#111', '#222']
     */
    gradientColor: null,

    /**
     * @description Gradient type
     * @type {String}
     * @default gradientType = 'linear'
     * @example gradientType = 'linear' | 'radial'
     */
    gradientType: 'linear',

    /**
     * @description Gradient params
     * @type {Array}
     * @default gradientParams = null
     * @example gradientParams = [x0, y0, x1, y1] (Linear Gradient)
     * @example gradientParams = [x0, y0, r0, x1, y1, r1] (Radial Gradient)
     */
    gradientParams: null,

    /**
     * @description When to use gradients
     * @type {String}
     * @default gradientWith = 'stroke'
     * @example gradientWith = 'stroke' | 'fill'
     */
    gradientWith: 'stroke',

    /**
     * @description Gradient color stops
     * @type {String}
     * @default gradientStops = 'auto'
     * @example gradientStops = 'auto' | [0, .2, .3, 1]
     */
    gradientStops: 'auto',

    /**
     * @description Extended color that supports animation transition
     * @type {Array|Object}
     * @default colors = null
     * @example colors = ['#000', '#111', '#222', 'red' ]
     * @example colors = { a: '#000', b: '#111' }
     */
    colors: null
  };
  Object.assign(this, defaultStyle, style);
};
/**
 * @description Set colors to rgba value
 * @param {Object} style style config
 * @param {Boolean} reverse Whether to perform reverse operation
 * @return {Undefined} Void
 */


exports["default"] = Style;

Style.prototype.colorProcessor = function (style) {
  var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var processor = reverse ? _color.getColorFromRgbValue : _color.getRgbaValue;
  var colorProcessorKeys = ['fill', 'stroke', 'shadowColor'];
  var allKeys = Object.keys(style);
  var colorKeys = allKeys.filter(function (key) {
    return colorProcessorKeys.find(function (k) {
      return k === key;
    });
  });
  colorKeys.forEach(function (key) {
    return style[key] = processor(style[key]);
  });
  var gradientColor = style.gradientColor,
      colors = style.colors;
  if (gradientColor) style.gradientColor = gradientColor.map(function (c) {
    return processor(c);
  });

  if (colors) {
    var colorsKeys = Object.keys(colors);
    colorsKeys.forEach(function (key) {
      return colors[key] = processor(colors[key]);
    });
  }
};
/**
 * @description Init graph style
 * @param {Object} ctx Context of canvas
 * @return {Undefined} Void
 */


Style.prototype.initStyle = function (ctx) {
  initTransform(ctx, this);
  initGraphStyle(ctx, this);
  initGradient(ctx, this);
};
/**
 * @description Init canvas transform
 * @param {Object} ctx  Context of canvas
 * @param {Style} style Instance of Style
 * @return {Undefined} Void
 */


function initTransform(ctx, style) {
  ctx.save();
  var graphCenter = style.graphCenter,
      rotate = style.rotate,
      scale = style.scale,
      translate = style.translate;
  if (!(graphCenter instanceof Array)) return;
  ctx.translate.apply(ctx, (0, _toConsumableArray2["default"])(graphCenter));
  if (rotate) ctx.rotate(rotate * Math.PI / 180);
  if (scale instanceof Array) ctx.scale.apply(ctx, (0, _toConsumableArray2["default"])(scale));
  if (translate) ctx.translate.apply(ctx, (0, _toConsumableArray2["default"])(translate));
  ctx.translate(-graphCenter[0], -graphCenter[1]);
}

var autoSetStyleKeys = ['lineCap', 'lineJoin', 'lineDashOffset', 'shadowOffsetX', 'shadowOffsetY', 'lineWidth', 'textAlign', 'textBaseline'];
/**
 * @description Set the style of canvas ctx
 * @param {Object} ctx  Context of canvas
 * @param {Style} style Instance of Style
 * @return {Undefined} Void
 */

function initGraphStyle(ctx, style) {
  var fill = style.fill,
      stroke = style.stroke,
      shadowColor = style.shadowColor,
      opacity = style.opacity;
  autoSetStyleKeys.forEach(function (key) {
    if (key || typeof key === 'number') ctx[key] = style[key];
  });
  fill = (0, _toConsumableArray2["default"])(fill);
  stroke = (0, _toConsumableArray2["default"])(stroke);
  shadowColor = (0, _toConsumableArray2["default"])(shadowColor);
  fill[3] *= opacity;
  stroke[3] *= opacity;
  shadowColor[3] *= opacity;
  ctx.fillStyle = (0, _color.getColorFromRgbValue)(fill);
  ctx.strokeStyle = (0, _color.getColorFromRgbValue)(stroke);
  ctx.shadowColor = (0, _color.getColorFromRgbValue)(shadowColor);
  var lineDash = style.lineDash,
      shadowBlur = style.shadowBlur;

  if (lineDash) {
    lineDash = lineDash.map(function (v) {
      return v >= 0 ? v : 0;
    });
    ctx.setLineDash(lineDash);
  }

  if (typeof shadowBlur === 'number') ctx.shadowBlur = shadowBlur > 0 ? shadowBlur : 0.001;
  var fontStyle = style.fontStyle,
      fontVarient = style.fontVarient,
      fontWeight = style.fontWeight,
      fontSize = style.fontSize,
      fontFamily = style.fontFamily;
  ctx.font = fontStyle + ' ' + fontVarient + ' ' + fontWeight + ' ' + fontSize + 'px' + ' ' + fontFamily;
}
/**
 * @description Set the gradient color of canvas ctx
 * @param {Object} ctx  Context of canvas
 * @param {Style} style Instance of Style
 * @return {Undefined} Void
 */


function initGradient(ctx, style) {
  if (!gradientValidator(style)) return;
  var gradientColor = style.gradientColor,
      gradientParams = style.gradientParams,
      gradientType = style.gradientType,
      gradientWith = style.gradientWith,
      gradientStops = style.gradientStops,
      opacity = style.opacity;
  gradientColor = gradientColor.map(function (color) {
    var colorOpacity = color[3] * opacity;
    var clonedColor = (0, _toConsumableArray2["default"])(color);
    clonedColor[3] = colorOpacity;
    return clonedColor;
  });
  gradientColor = gradientColor.map(function (c) {
    return (0, _color.getColorFromRgbValue)(c);
  });
  if (gradientStops === 'auto') gradientStops = getAutoColorStops(gradientColor);
  var gradient = ctx["create".concat(gradientType.slice(0, 1).toUpperCase() + gradientType.slice(1), "Gradient")].apply(ctx, (0, _toConsumableArray2["default"])(gradientParams));
  gradientStops.forEach(function (stop, i) {
    return gradient.addColorStop(stop, gradientColor[i]);
  });
  ctx["".concat(gradientWith, "Style")] = gradient;
}
/**
 * @description Check if the gradient configuration is legal
 * @param {Style} style Instance of Style
 * @return {Boolean} Check Result
 */


function gradientValidator(style) {
  var gradientColor = style.gradientColor,
      gradientParams = style.gradientParams,
      gradientType = style.gradientType,
      gradientWith = style.gradientWith,
      gradientStops = style.gradientStops;
  if (!gradientColor || !gradientParams) return false;

  if (gradientColor.length === 1) {
    console.warn('The gradient needs to provide at least two colors');
    return false;
  }

  if (gradientType !== 'linear' && gradientType !== 'radial') {
    console.warn('GradientType only supports linear or radial, current value is ' + gradientType);
    return false;
  }

  var gradientParamsLength = gradientParams.length;

  if (gradientType === 'linear' && gradientParamsLength !== 4 || gradientType === 'radial' && gradientParamsLength !== 6) {
    console.warn('The expected length of gradientParams is ' + (gradientType === 'linear' ? '4' : '6'));
    return false;
  }

  if (gradientWith !== 'fill' && gradientWith !== 'stroke') {
    console.warn('GradientWith only supports fill or stroke, current value is ' + gradientWith);
    return false;
  }

  if (gradientStops !== 'auto' && !(gradientStops instanceof Array)) {
    console.warn("gradientStops only supports 'auto' or Number Array ([0, .5, 1]), current value is " + gradientStops);
    return false;
  }

  return true;
}
/**
 * @description Get a uniform gradient color stop
 * @param {Array} color Gradient color
 * @return {Array} Gradient color stop
 */


function getAutoColorStops(color) {
  var stopGap = 1 / (color.length - 1);
  return color.map(function (foo, i) {
    return stopGap * i;
  });
}
/**
 * @description Restore canvas ctx transform
 * @param {Object} ctx  Context of canvas
 * @return {Undefined} Void
 */


Style.prototype.restoreTransform = function (ctx) {
  ctx.restore();
};
/**
 * @description Update style data
 * @param {Object} change Changed data
 * @return {Undefined} Void
 */


Style.prototype.update = function (change) {
  this.colorProcessor(change);
  Object.assign(this, change);
};
/**
 * @description Get the current style configuration
 * @return {Object} Style configuration
 */


Style.prototype.getStyle = function () {
  var clonedStyle = (0, _util.deepClone)(this, true);
  this.colorProcessor(clonedStyle, true);
  return clonedStyle;
};
}(style_class));

var lib = {};

var curves = {};

(function (exports) {

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.easeInOutBounce = exports.easeOutBounce = exports.easeInBounce = exports.easeInOutElastic = exports.easeOutElastic = exports.easeInElastic = exports.easeInOutBack = exports.easeOutBack = exports.easeInBack = exports.easeInOutQuint = exports.easeOutQuint = exports.easeInQuint = exports.easeInOutQuart = exports.easeOutQuart = exports.easeInQuart = exports.easeInOutCubic = exports.easeOutCubic = exports.easeInCubic = exports.easeInOutQuad = exports.easeOutQuad = exports.easeInQuad = exports.easeInOutSine = exports.easeOutSine = exports.easeInSine = exports.linear = void 0;
var linear = [[[0, 1], '', [0.33, 0.67]], [[1, 0], [0.67, 0.33]]];
/**
 * @description Sine
 */

exports.linear = linear;
var easeInSine = [[[0, 1]], [[0.538, 0.564], [0.169, 0.912], [0.880, 0.196]], [[1, 0]]];
exports.easeInSine = easeInSine;
var easeOutSine = [[[0, 1]], [[0.444, 0.448], [0.169, 0.736], [0.718, 0.16]], [[1, 0]]];
exports.easeOutSine = easeOutSine;
var easeInOutSine = [[[0, 1]], [[0.5, 0.5], [0.2, 1], [0.8, 0]], [[1, 0]]];
/**
 * @description Quad
 */

exports.easeInOutSine = easeInOutSine;
var easeInQuad = [[[0, 1]], [[0.550, 0.584], [0.231, 0.904], [0.868, 0.264]], [[1, 0]]];
exports.easeInQuad = easeInQuad;
var easeOutQuad = [[[0, 1]], [[0.413, 0.428], [0.065, 0.816], [0.760, 0.04]], [[1, 0]]];
exports.easeOutQuad = easeOutQuad;
var easeInOutQuad = [[[0, 1]], [[0.5, 0.5], [0.3, 0.9], [0.7, 0.1]], [[1, 0]]];
/**
 * @description Cubic
 */

exports.easeInOutQuad = easeInOutQuad;
var easeInCubic = [[[0, 1]], [[0.679, 0.688], [0.366, 0.992], [0.992, 0.384]], [[1, 0]]];
exports.easeInCubic = easeInCubic;
var easeOutCubic = [[[0, 1]], [[0.321, 0.312], [0.008, 0.616], [0.634, 0.008]], [[1, 0]]];
exports.easeOutCubic = easeOutCubic;
var easeInOutCubic = [[[0, 1]], [[0.5, 0.5], [0.3, 1], [0.7, 0]], [[1, 0]]];
/**
 * @description Quart
 */

exports.easeInOutCubic = easeInOutCubic;
var easeInQuart = [[[0, 1]], [[0.812, 0.74], [0.611, 0.988], [1.013, 0.492]], [[1, 0]]];
exports.easeInQuart = easeInQuart;
var easeOutQuart = [[[0, 1]], [[0.152, 0.244], [0.001, 0.448], [0.285, -0.02]], [[1, 0]]];
exports.easeOutQuart = easeOutQuart;
var easeInOutQuart = [[[0, 1]], [[0.5, 0.5], [0.4, 1], [0.6, 0]], [[1, 0]]];
/**
 * @description Quint
 */

exports.easeInOutQuart = easeInOutQuart;
var easeInQuint = [[[0, 1]], [[0.857, 0.856], [0.714, 1], [1, 0.712]], [[1, 0]]];
exports.easeInQuint = easeInQuint;
var easeOutQuint = [[[0, 1]], [[0.108, 0.2], [0.001, 0.4], [0.214, -0.012]], [[1, 0]]];
exports.easeOutQuint = easeOutQuint;
var easeInOutQuint = [[[0, 1]], [[0.5, 0.5], [0.5, 1], [0.5, 0]], [[1, 0]]];
/**
 * @description Back
 */

exports.easeInOutQuint = easeInOutQuint;
var easeInBack = [[[0, 1]], [[0.667, 0.896], [0.380, 1.184], [0.955, 0.616]], [[1, 0]]];
exports.easeInBack = easeInBack;
var easeOutBack = [[[0, 1]], [[0.335, 0.028], [0.061, 0.22], [0.631, -0.18]], [[1, 0]]];
exports.easeOutBack = easeOutBack;
var easeInOutBack = [[[0, 1]], [[0.5, 0.5], [0.4, 1.4], [0.6, -0.4]], [[1, 0]]];
/**
 * @description Elastic
 */

exports.easeInOutBack = easeInOutBack;
var easeInElastic = [[[0, 1]], [[0.474, 0.964], [0.382, 0.988], [0.557, 0.952]], [[0.619, 1.076], [0.565, 1.088], [0.669, 1.08]], [[0.770, 0.916], [0.712, 0.924], [0.847, 0.904]], [[0.911, 1.304], [0.872, 1.316], [0.961, 1.34]], [[1, 0]]];
exports.easeInElastic = easeInElastic;
var easeOutElastic = [[[0, 1]], [[0.073, -0.32], [0.034, -0.328], [0.104, -0.344]], [[0.191, 0.092], [0.110, 0.06], [0.256, 0.08]], [[0.310, -0.076], [0.260, -0.068], [0.357, -0.076]], [[0.432, 0.032], [0.362, 0.028], [0.683, -0.004]], [[1, 0]]];
exports.easeOutElastic = easeOutElastic;
var easeInOutElastic = [[[0, 1]], [[0.210, 0.94], [0.167, 0.884], [0.252, 0.98]], [[0.299, 1.104], [0.256, 1.092], [0.347, 1.108]], [[0.5, 0.496], [0.451, 0.672], [0.548, 0.324]], [[0.696, -0.108], [0.652, -0.112], [0.741, -0.124]], [[0.805, 0.064], [0.756, 0.012], [0.866, 0.096]], [[1, 0]]];
/**
 * @description Bounce
 */

exports.easeInOutElastic = easeInOutElastic;
var easeInBounce = [[[0, 1]], [[0.148, 1], [0.075, 0.868], [0.193, 0.848]], [[0.326, 1], [0.276, 0.836], [0.405, 0.712]], [[0.600, 1], [0.511, 0.708], [0.671, 0.348]], [[1, 0]]];
exports.easeInBounce = easeInBounce;
var easeOutBounce = [[[0, 1]], [[0.357, 0.004], [0.270, 0.592], [0.376, 0.252]], [[0.604, -0.004], [0.548, 0.312], [0.669, 0.184]], [[0.820, 0], [0.749, 0.184], [0.905, 0.132]], [[1, 0]]];
exports.easeOutBounce = easeOutBounce;
var easeInOutBounce = [[[0, 1]], [[0.102, 1], [0.050, 0.864], [0.117, 0.86]], [[0.216, 0.996], [0.208, 0.844], [0.227, 0.808]], [[0.347, 0.996], [0.343, 0.8], [0.480, 0.292]], [[0.635, 0.004], [0.511, 0.676], [0.656, 0.208]], [[0.787, 0], [0.760, 0.2], [0.795, 0.144]], [[0.905, -0.004], [0.899, 0.164], [0.944, 0.144]], [[1, 0]]];
exports.easeInOutBounce = easeInOutBounce;

var _default = new Map([['linear', linear], ['easeInSine', easeInSine], ['easeOutSine', easeOutSine], ['easeInOutSine', easeInOutSine], ['easeInQuad', easeInQuad], ['easeOutQuad', easeOutQuad], ['easeInOutQuad', easeInOutQuad], ['easeInCubic', easeInCubic], ['easeOutCubic', easeOutCubic], ['easeInOutCubic', easeInOutCubic], ['easeInQuart', easeInQuart], ['easeOutQuart', easeOutQuart], ['easeInOutQuart', easeInOutQuart], ['easeInQuint', easeInQuint], ['easeOutQuint', easeOutQuint], ['easeInOutQuint', easeInOutQuint], ['easeInBack', easeInBack], ['easeOutBack', easeOutBack], ['easeInOutBack', easeInOutBack], ['easeInElastic', easeInElastic], ['easeOutElastic', easeOutElastic], ['easeInOutElastic', easeInOutElastic], ['easeInBounce', easeInBounce], ['easeOutBounce', easeOutBounce], ['easeInOutBounce', easeInOutBounce]]);

exports["default"] = _default;
}(curves));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transition = transition;
exports.injectNewCurve = injectNewCurve;
exports["default"] = void 0;

var _slicedToArray2 = _interopRequireDefault(slicedToArray.exports);

var _typeof2 = _interopRequireDefault(_typeof.exports);

var _curves = _interopRequireDefault(curves);

var defaultTransitionBC = 'linear';
/**
 * @description Get the N-frame animation state by the start and end state
 *              of the animation and the easing curve
 * @param {String|Array} tBC               Easing curve name or data
 * @param {Number|Array|Object} startState Animation start state
 * @param {Number|Array|Object} endState   Animation end state
 * @param {Number} frameNum                Number of Animation frames
 * @param {Boolean} deep                   Whether to use recursive mode
 * @return {Array|Boolean} State of each frame of the animation (Invalid input will return false)
 */

function transition(tBC) {
  var startState = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  var endState = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
  var frameNum = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 30;
  var deep = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
  if (!checkParams.apply(void 0, arguments)) return false;

  try {
    // Get the transition bezier curve
    var bezierCurve = getBezierCurve(tBC); // Get the progress of each frame state

    var frameStateProgress = getFrameStateProgress(bezierCurve, frameNum); // If the recursion mode is not enabled or the state type is Number, the shallow state calculation is performed directly.

    if (!deep || typeof endState === 'number') return getTransitionState(startState, endState, frameStateProgress);
    return recursionTransitionState(startState, endState, frameStateProgress);
  } catch (_unused) {
    console.warn('Transition parameter may be abnormal!');
    return [endState];
  }
}
/**
 * @description Check if the parameters are legal
 * @param {String} tBC      Name of transition bezier curve
 * @param {Any} startState  Transition start state
 * @param {Any} endState    Transition end state
 * @param {Number} frameNum Number of transition frames
 * @return {Boolean} Is the parameter legal
 */


function checkParams(tBC) {
  var startState = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var endState = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var frameNum = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 30;

  if (!tBC || startState === false || endState === false || !frameNum) {
    console.error('transition: Missing Parameters!');
    return false;
  }

  if ((0, _typeof2["default"])(startState) !== (0, _typeof2["default"])(endState)) {
    console.error('transition: Inconsistent Status Types!');
    return false;
  }

  var stateType = (0, _typeof2["default"])(endState);

  if (stateType === 'string' || stateType === 'boolean' || !tBC.length) {
    console.error('transition: Unsupported Data Type of State!');
    return false;
  }

  if (!_curves["default"].has(tBC) && !(tBC instanceof Array)) {
    console.warn('transition: Transition curve not found, default curve will be used!');
  }

  return true;
}
/**
 * @description Get the transition bezier curve
 * @param {String} tBC Name of transition bezier curve
 * @return {Array} Bezier curve data
 */


function getBezierCurve(tBC) {
  var bezierCurve = '';

  if (_curves["default"].has(tBC)) {
    bezierCurve = _curves["default"].get(tBC);
  } else if (tBC instanceof Array) {
    bezierCurve = tBC;
  } else {
    bezierCurve = _curves["default"].get(defaultTransitionBC);
  }

  return bezierCurve;
}
/**
 * @description Get the progress of each frame state
 * @param {Array} bezierCurve Transition bezier curve
 * @param {Number} frameNum   Number of transition frames
 * @return {Array} Progress of each frame state
 */


function getFrameStateProgress(bezierCurve, frameNum) {
  var tMinus = 1 / (frameNum - 1);
  var tState = new Array(frameNum).fill(0).map(function (t, i) {
    return i * tMinus;
  });
  var frameState = tState.map(function (t) {
    return getFrameStateFromT(bezierCurve, t);
  });
  return frameState;
}
/**
 * @description Get the progress of the corresponding frame according to t
 * @param {Array} bezierCurve Transition bezier curve
 * @param {Number} t          Current frame t
 * @return {Number} Progress of current frame
 */


function getFrameStateFromT(bezierCurve, t) {
  var tBezierCurvePoint = getBezierCurvePointFromT(bezierCurve, t);
  var bezierCurvePointT = getBezierCurvePointTFromReT(tBezierCurvePoint, t);
  return getBezierCurveTState(tBezierCurvePoint, bezierCurvePointT);
}
/**
 * @description Get the corresponding sub-curve according to t
 * @param {Array} bezierCurve Transition bezier curve
 * @param {Number} t          Current frame t
 * @return {Array} Sub-curve of t
 */


function getBezierCurvePointFromT(bezierCurve, t) {
  var lastIndex = bezierCurve.length - 1;
  var begin = '',
      end = '';
  bezierCurve.findIndex(function (item, i) {
    if (i === lastIndex) return;
    begin = item;
    end = bezierCurve[i + 1];
    var currentMainPointX = begin[0][0];
    var nextMainPointX = end[0][0];
    return t >= currentMainPointX && t < nextMainPointX;
  });
  var p0 = begin[0];
  var p1 = begin[2] || begin[0];
  var p2 = end[1] || end[0];
  var p3 = end[0];
  return [p0, p1, p2, p3];
}
/**
 * @description Get local t based on t and sub-curve
 * @param {Array} bezierCurve Sub-curve
 * @param {Number} t          Current frame t
 * @return {Number} local t of sub-curve
 */


function getBezierCurvePointTFromReT(bezierCurve, t) {
  var reBeginX = bezierCurve[0][0];
  var reEndX = bezierCurve[3][0];
  var xMinus = reEndX - reBeginX;
  var tMinus = t - reBeginX;
  return tMinus / xMinus;
}
/**
 * @description Get the curve progress of t
 * @param {Array} bezierCurve Sub-curve
 * @param {Number} t          Current frame t
 * @return {Number} Progress of current frame
 */


function getBezierCurveTState(_ref, t) {
  var _ref2 = (0, _slicedToArray2["default"])(_ref, 4),
      _ref2$ = (0, _slicedToArray2["default"])(_ref2[0], 2),
      p0 = _ref2$[1],
      _ref2$2 = (0, _slicedToArray2["default"])(_ref2[1], 2),
      p1 = _ref2$2[1],
      _ref2$3 = (0, _slicedToArray2["default"])(_ref2[2], 2),
      p2 = _ref2$3[1],
      _ref2$4 = (0, _slicedToArray2["default"])(_ref2[3], 2),
      p3 = _ref2$4[1];

  var pow = Math.pow;
  var tMinus = 1 - t;
  var result1 = p0 * pow(tMinus, 3);
  var result2 = 3 * p1 * t * pow(tMinus, 2);
  var result3 = 3 * p2 * pow(t, 2) * tMinus;
  var result4 = p3 * pow(t, 3);
  return 1 - (result1 + result2 + result3 + result4);
}
/**
 * @description Get transition state according to frame progress
 * @param {Any} startState   Transition start state
 * @param {Any} endState     Transition end state
 * @param {Array} frameState Frame state progress
 * @return {Array} Transition frame state
 */


function getTransitionState(begin, end, frameState) {
  var stateType = 'object';
  if (typeof begin === 'number') stateType = 'number';
  if (begin instanceof Array) stateType = 'array';
  if (stateType === 'number') return getNumberTransitionState(begin, end, frameState);
  if (stateType === 'array') return getArrayTransitionState(begin, end, frameState);
  if (stateType === 'object') return getObjectTransitionState(begin, end, frameState);
  return frameState.map(function (t) {
    return end;
  });
}
/**
 * @description Get the transition data of the number type
 * @param {Number} startState Transition start state
 * @param {Number} endState   Transition end state
 * @param {Array} frameState  Frame state progress
 * @return {Array} Transition frame state
 */


function getNumberTransitionState(begin, end, frameState) {
  var minus = end - begin;
  return frameState.map(function (s) {
    return begin + minus * s;
  });
}
/**
 * @description Get the transition data of the array type
 * @param {Array} startState Transition start state
 * @param {Array} endState   Transition end state
 * @param {Array} frameState Frame state progress
 * @return {Array} Transition frame state
 */


function getArrayTransitionState(begin, end, frameState) {
  var minus = end.map(function (v, i) {
    if (typeof v !== 'number') return false;
    return v - begin[i];
  });
  return frameState.map(function (s) {
    return minus.map(function (v, i) {
      if (v === false) return end[i];
      return begin[i] + v * s;
    });
  });
}
/**
 * @description Get the transition data of the object type
 * @param {Object} startState Transition start state
 * @param {Object} endState   Transition end state
 * @param {Array} frameState  Frame state progress
 * @return {Array} Transition frame state
 */


function getObjectTransitionState(begin, end, frameState) {
  var keys = Object.keys(end);
  var beginValue = keys.map(function (k) {
    return begin[k];
  });
  var endValue = keys.map(function (k) {
    return end[k];
  });
  var arrayState = getArrayTransitionState(beginValue, endValue, frameState);
  return arrayState.map(function (item) {
    var frameData = {};
    item.forEach(function (v, i) {
      return frameData[keys[i]] = v;
    });
    return frameData;
  });
}
/**
 * @description Get the transition state data by recursion
 * @param {Array|Object} startState Transition start state
 * @param {Array|Object} endState   Transition end state
 * @param {Array} frameState        Frame state progress
 * @return {Array} Transition frame state
 */


function recursionTransitionState(begin, end, frameState) {
  var state = getTransitionState(begin, end, frameState);

  var _loop = function _loop(key) {
    var bTemp = begin[key];
    var eTemp = end[key];
    if ((0, _typeof2["default"])(eTemp) !== 'object') return "continue";
    var data = recursionTransitionState(bTemp, eTemp, frameState);
    state.forEach(function (fs, i) {
      return fs[key] = data[i];
    });
  };

  for (var key in end) {
    var _ret = _loop(key);

    if (_ret === "continue") continue;
  }

  return state;
}
/**
 * @description Inject new curve into curves as config
 * @param {Any} key     The key of curve
 * @param {Array} curve Bezier curve data
 * @return {Undefined} No return
 */


function injectNewCurve(key, curve) {
  if (!key || !curve) {
    console.error('InjectNewCurve Missing Parameters!');
    return;
  }

  _curves["default"].set(key, curve);
}

var _default = transition;
exports["default"] = _default;
}(lib));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(regenerator);

var _asyncToGenerator2 = _interopRequireDefault(asyncToGenerator.exports);

var _typeof2 = _interopRequireDefault(_typeof.exports);

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var _classCallCheck2 = _interopRequireDefault(classCallCheck.exports);

var _style = _interopRequireDefault(style_class);

var _transition = _interopRequireDefault(lib);

var _util = util;

/**
 * @description Class Graph
 * @param {Object} graph  Graph default configuration
 * @param {Object} config Graph config
 * @return {Graph} Instance of Graph
 */
var Graph = function Graph(graph, config) {
  (0, _classCallCheck2["default"])(this, Graph);
  config = (0, _util.deepClone)(config, true);
  var defaultConfig = {
    /**
     * @description Weather to render graph
     * @type {Boolean}
     * @default visible = true
     */
    visible: true,

    /**
     * @description Whether to enable drag
     * @type {Boolean}
     * @default drag = false
     */
    drag: false,

    /**
     * @description Whether to enable hover
     * @type {Boolean}
     * @default hover = false
     */
    hover: false,

    /**
     * @description Graph rendering index
     *  Give priority to index high graph in rendering
     * @type {Number}
     * @example index = 1
     */
    index: 1,

    /**
     * @description Animation delay time(ms)
     * @type {Number}
     * @default animationDelay = 0
     */
    animationDelay: 0,

    /**
     * @description Number of animation frames
     * @type {Number}
     * @default animationFrame = 30
     */
    animationFrame: 30,

    /**
     * @description Animation dynamic curve (Supported by transition)
     * @type {String}
     * @default animationCurve = 'linear'
     * @link https://github.com/jiaming743/Transition
     */
    animationCurve: 'linear',

    /**
     * @description Weather to pause graph animation
     * @type {Boolean}
     * @default animationPause = false
     */
    animationPause: false,

    /**
     * @description Rectangular hover detection zone
     *  Use this method for hover detection first
     * @type {Null|Array}
     * @default hoverRect = null
     * @example hoverRect = [0, 0, 100, 100] // [Rect start x, y, Rect width, height]
     */
    hoverRect: null,

    /**
     * @description Mouse enter event handler
     * @type {Function|Null}
     * @default mouseEnter = null
     */
    mouseEnter: null,

    /**
     * @description Mouse outer event handler
     * @type {Function|Null}
     * @default mouseOuter = null
     */
    mouseOuter: null,

    /**
     * @description Mouse click event handler
     * @type {Function|Null}
     * @default click = null
     */
    click: null
  };
  var configAbleNot = {
    status: 'static',
    animationRoot: [],
    animationKeys: [],
    animationFrameState: [],
    cache: {}
  };
  if (!config.shape) config.shape = {};
  if (!config.style) config.style = {};
  var shape = Object.assign({}, graph.shape, config.shape);
  Object.assign(defaultConfig, config, configAbleNot);
  Object.assign(this, graph, defaultConfig);
  this.shape = shape;
  this.style = new _style["default"](config.style);
  this.addedProcessor();
};
/**
 * @description Processor of added
 * @return {Undefined} Void
 */


exports["default"] = Graph;

Graph.prototype.addedProcessor = function () {
  if (typeof this.setGraphCenter === 'function') this.setGraphCenter(null, this); // The life cycle 'added"

  if (typeof this.added === 'function') this.added(this);
};
/**
 * @description Processor of draw
 * @param {CRender} render Instance of CRender
 * @param {Graph} graph    Instance of Graph
 * @return {Undefined} Void
 */


Graph.prototype.drawProcessor = function (render, graph) {
  var ctx = render.ctx;
  graph.style.initStyle(ctx);
  if (typeof this.beforeDraw === 'function') this.beforeDraw(this, render);
  graph.draw(render, graph);
  if (typeof this.drawed === 'function') this.drawed(this, render);
  graph.style.restoreTransform(ctx);
};
/**
 * @description Processor of hover check
 * @param {Array} position Mouse Position
 * @param {Graph} graph    Instance of Graph
 * @return {Boolean} Result of hover check
 */


Graph.prototype.hoverCheckProcessor = function (position, _ref) {
  var hoverRect = _ref.hoverRect,
      style = _ref.style,
      hoverCheck = _ref.hoverCheck;
  var graphCenter = style.graphCenter,
      rotate = style.rotate,
      scale = style.scale,
      translate = style.translate;

  if (graphCenter) {
    if (rotate) position = (0, _util.getRotatePointPos)(-rotate, position, graphCenter);
    if (scale) position = (0, _util.getScalePointPos)(scale.map(function (s) {
      return 1 / s;
    }), position, graphCenter);
    if (translate) position = (0, _util.getTranslatePointPos)(translate.map(function (v) {
      return v * -1;
    }), position);
  }

  if (hoverRect) return _util.checkPointIsInRect.apply(void 0, [position].concat((0, _toConsumableArray2["default"])(hoverRect)));
  return hoverCheck(position, this);
};
/**
 * @description Processor of move
 * @param {Event} e Mouse movement event
 * @return {Undefined} Void
 */


Graph.prototype.moveProcessor = function (e) {
  this.move(e, this);
  if (typeof this.beforeMove === 'function') this.beforeMove(e, this);
  if (typeof this.setGraphCenter === 'function') this.setGraphCenter(e, this);
  if (typeof this.moved === 'function') this.moved(e, this);
};
/**
 * @description Update graph state
 * @param {String} attrName Updated attribute name
 * @param {Any} change      Updated value
 * @return {Undefined} Void
 */


Graph.prototype.attr = function (attrName) {
  var change = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : undefined;
  if (!attrName || change === undefined) return false;
  var isObject = (0, _typeof2["default"])(this[attrName]) === 'object';
  if (isObject) change = (0, _util.deepClone)(change, true);
  var render = this.render;

  if (attrName === 'style') {
    this.style.update(change);
  } else if (isObject) {
    Object.assign(this[attrName], change);
  } else {
    this[attrName] = change;
  }

  if (attrName === 'index') render.sortGraphsByIndex();
  render.drawAllGraph();
};
/**
 * @description Update graphics state (with animation)
 *  Only shape and style attributes are supported
 * @param {String} attrName Updated attribute name
 * @param {Any} change      Updated value
 * @param {Boolean} wait    Whether to store the animation waiting
 *                          for the next animation request
 * @return {Promise} Animation Promise
 */


Graph.prototype.animation =
/*#__PURE__*/
function () {
  var _ref2 = (0, _asyncToGenerator2["default"])(
  /*#__PURE__*/
  _regenerator["default"].mark(function _callee2(attrName, change) {
    var wait,
        changeRoot,
        changeKeys,
        beforeState,
        animationFrame,
        animationCurve,
        animationDelay,
        animationFrameState,
        render,
        _args2 = arguments;
    return _regenerator["default"].wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            wait = _args2.length > 2 && _args2[2] !== undefined ? _args2[2] : false;

            if (!(attrName !== 'shape' && attrName !== 'style')) {
              _context2.next = 4;
              break;
            }

            console.error('Only supported shape and style animation!');
            return _context2.abrupt("return");

          case 4:
            change = (0, _util.deepClone)(change, true);
            if (attrName === 'style') this.style.colorProcessor(change);
            changeRoot = this[attrName];
            changeKeys = Object.keys(change);
            beforeState = {};
            changeKeys.forEach(function (key) {
              return beforeState[key] = changeRoot[key];
            });
            animationFrame = this.animationFrame, animationCurve = this.animationCurve, animationDelay = this.animationDelay;
            animationFrameState = (0, _transition["default"])(animationCurve, beforeState, change, animationFrame, true);
            this.animationRoot.push(changeRoot);
            this.animationKeys.push(changeKeys);
            this.animationFrameState.push(animationFrameState);

            if (!wait) {
              _context2.next = 17;
              break;
            }

            return _context2.abrupt("return");

          case 17:
            if (!(animationDelay > 0)) {
              _context2.next = 20;
              break;
            }

            _context2.next = 20;
            return delay(animationDelay);

          case 20:
            render = this.render;
            return _context2.abrupt("return", new Promise(
            /*#__PURE__*/
            function () {
              var _ref3 = (0, _asyncToGenerator2["default"])(
              /*#__PURE__*/
              _regenerator["default"].mark(function _callee(resolve) {
                return _regenerator["default"].wrap(function _callee$(_context) {
                  while (1) {
                    switch (_context.prev = _context.next) {
                      case 0:
                        _context.next = 2;
                        return render.launchAnimation();

                      case 2:
                        resolve();

                      case 3:
                      case "end":
                        return _context.stop();
                    }
                  }
                }, _callee);
              }));

              return function (_x3) {
                return _ref3.apply(this, arguments);
              };
            }()));

          case 22:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2, this);
  }));

  return function (_x, _x2) {
    return _ref2.apply(this, arguments);
  };
}();
/**
 * @description Extract the next frame of data from the animation queue
 *              and update the graph state
 * @return {Undefined} Void
 */


Graph.prototype.turnNextAnimationFrame = function (timeStamp) {
  var animationDelay = this.animationDelay,
      animationRoot = this.animationRoot,
      animationKeys = this.animationKeys,
      animationFrameState = this.animationFrameState,
      animationPause = this.animationPause;
  if (animationPause) return;
  if (Date.now() - timeStamp < animationDelay) return;
  animationRoot.forEach(function (root, i) {
    animationKeys[i].forEach(function (key) {
      root[key] = animationFrameState[i][0][key];
    });
  });
  animationFrameState.forEach(function (stateItem, i) {
    stateItem.shift();
    var noFrame = stateItem.length === 0;
    if (noFrame) animationRoot[i] = null;
    if (noFrame) animationKeys[i] = null;
  });
  this.animationFrameState = animationFrameState.filter(function (state) {
    return state.length;
  });
  this.animationRoot = animationRoot.filter(function (root) {
    return root;
  });
  this.animationKeys = animationKeys.filter(function (keys) {
    return keys;
  });
};
/**
 * @description Skip to the last frame of animation
 * @return {Undefined} Void
 */


Graph.prototype.animationEnd = function () {
  var animationFrameState = this.animationFrameState,
      animationKeys = this.animationKeys,
      animationRoot = this.animationRoot,
      render = this.render;
  animationRoot.forEach(function (root, i) {
    var currentKeys = animationKeys[i];
    var lastState = animationFrameState[i].pop();
    currentKeys.forEach(function (key) {
      return root[key] = lastState[key];
    });
  });
  this.animationFrameState = [];
  this.animationKeys = [];
  this.animationRoot = [];
  return render.drawAllGraph();
};
/**
 * @description Pause animation behavior
 * @return {Undefined} Void
 */


Graph.prototype.pauseAnimation = function () {
  this.attr('animationPause', true);
};
/**
 * @description Try animation behavior
 * @return {Undefined} Void
 */


Graph.prototype.playAnimation = function () {
  var render = this.render;
  this.attr('animationPause', false);
  return new Promise(
  /*#__PURE__*/
  function () {
    var _ref4 = (0, _asyncToGenerator2["default"])(
    /*#__PURE__*/
    _regenerator["default"].mark(function _callee3(resolve) {
      return _regenerator["default"].wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              _context3.next = 2;
              return render.launchAnimation();

            case 2:
              resolve();

            case 3:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3);
    }));

    return function (_x4) {
      return _ref4.apply(this, arguments);
    };
  }());
};
/**
 * @description Processor of delete
 * @param {CRender} render Instance of CRender
 * @return {Undefined} Void
 */


Graph.prototype.delProcessor = function (render) {
  var _this = this;

  var graphs = render.graphs;
  var index = graphs.findIndex(function (graph) {
    return graph === _this;
  });
  if (index === -1) return;
  if (typeof this.beforeDelete === 'function') this.beforeDelete(this);
  graphs.splice(index, 1, null);
  if (typeof this.deleted === 'function') this.deleted(this);
};
/**
 * @description Return a timed release Promise
 * @param {Number} time Release time
 * @return {Promise} A timed release Promise
 */


function delay(time) {
  return new Promise(function (resolve) {
    setTimeout(resolve, time);
  });
}
}(graph_class));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(defineProperty.exports);

var _toConsumableArray2 = _interopRequireDefault(toConsumableArray.exports);

var _classCallCheck2 = _interopRequireDefault(classCallCheck.exports);

var _color = _interopRequireDefault(lib$2);

var _bezierCurve = _interopRequireDefault(lib$1);

var _util = util;

var _graphs = _interopRequireDefault(graphs);

var _graph = _interopRequireDefault(graph_class);

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

/**
 * @description           Class of CRender
 * @param {Object} canvas Canvas DOM
 * @return {CRender}      Instance of CRender
 */
var CRender = function CRender(canvas) {
  (0, _classCallCheck2["default"])(this, CRender);

  if (!canvas) {
    console.error('CRender Missing parameters!');
    return;
  }

  var ctx = canvas.getContext('2d');
  var clientWidth = canvas.clientWidth,
      clientHeight = canvas.clientHeight;
  var area = [clientWidth, clientHeight];
  canvas.setAttribute('width', clientWidth);
  canvas.setAttribute('height', clientHeight);
  /**
   * @description Context of the canvas
   * @type {Object}
   * @example ctx = canvas.getContext('2d')
   */

  this.ctx = ctx;
  /**
   * @description Width and height of the canvas
   * @type {Array}
   * @example area = [300，100]
   */

  this.area = area;
  /**
   * @description Whether render is in animation rendering
   * @type {Boolean}
   * @example animationStatus = true|false
   */

  this.animationStatus = false;
  /**
   * @description Added graph
   * @type {[Graph]}
   * @example graphs = [Graph, Graph, ...]
   */

  this.graphs = [];
  /**
   * @description Color plugin
   * @type {Object}
   * @link https://github.com/jiaming743/color
   */

  this.color = _color["default"];
  /**
   * @description Bezier Curve plugin
   * @type {Object}
   * @link https://github.com/jiaming743/BezierCurve
   */

  this.bezierCurve = _bezierCurve["default"]; // bind event handler

  canvas.addEventListener('mousedown', mouseDown.bind(this));
  canvas.addEventListener('mousemove', mouseMove.bind(this));
  canvas.addEventListener('mouseup', mouseUp.bind(this));
};
/**
 * @description        Clear canvas drawing area
 * @return {Undefined} Void
 */


exports["default"] = CRender;

CRender.prototype.clearArea = function () {
  var _this$ctx;

  var area = this.area;

  (_this$ctx = this.ctx).clearRect.apply(_this$ctx, [0, 0].concat((0, _toConsumableArray2["default"])(area)));
};
/**
 * @description           Add graph to render
 * @param {Object} config Graph configuration
 * @return {Graph}        Graph instance
 */


CRender.prototype.add = function () {
  var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var name = config.name;

  if (!name) {
    console.error('add Missing parameters!');
    return;
  }

  var graphConfig = _graphs["default"].get(name);

  if (!graphConfig) {
    console.warn('No corresponding graph configuration found!');
    return;
  }

  var graph = new _graph["default"](graphConfig, config);
  if (!graph.validator(graph)) return;
  graph.render = this;
  this.graphs.push(graph);
  this.sortGraphsByIndex();
  this.drawAllGraph();
  return graph;
};
/**
 * @description Sort the graph by index
 * @return {Undefined} Void
 */


CRender.prototype.sortGraphsByIndex = function () {
  var graphs = this.graphs;
  graphs.sort(function (a, b) {
    if (a.index > b.index) return 1;
    if (a.index === b.index) return 0;
    if (a.index < b.index) return -1;
  });
};
/**
 * @description         Delete graph in render
 * @param {Graph} graph The graph to be deleted
 * @return {Undefined}  Void
 */


CRender.prototype.delGraph = function (graph) {
  if (typeof graph.delProcessor !== 'function') return;
  graph.delProcessor(this);
  this.graphs = this.graphs.filter(function (graph) {
    return graph;
  });
  this.drawAllGraph();
};
/**
 * @description        Delete all graph in render
 * @return {Undefined} Void
 */


CRender.prototype.delAllGraph = function () {
  var _this = this;

  this.graphs.forEach(function (graph) {
    return graph.delProcessor(_this);
  });
  this.graphs = this.graphs.filter(function (graph) {
    return graph;
  });
  this.drawAllGraph();
};
/**
 * @description        Draw all the graphs in the render
 * @return {Undefined} Void
 */


CRender.prototype.drawAllGraph = function () {
  var _this2 = this;

  this.clearArea();
  this.graphs.filter(function (graph) {
    return graph && graph.visible;
  }).forEach(function (graph) {
    return graph.drawProcessor(_this2, graph);
  });
};
/**
 * @description      Animate the graph whose animation queue is not empty
 *                   and the animationPause is equal to false
 * @return {Promise} Animation Promise
 */


CRender.prototype.launchAnimation = function () {
  var _this3 = this;

  var animationStatus = this.animationStatus;
  if (animationStatus) return;
  this.animationStatus = true;
  return new Promise(function (resolve) {
    animation.call(_this3, function () {
      _this3.animationStatus = false;
      resolve();
    }, Date.now());
  });
};
/**
 * @description Try to animate every graph
 * @param {Function} callback Callback in animation end
 * @param {Number} timeStamp  Time stamp of animation start
 * @return {Undefined} Void
 */


function animation(callback, timeStamp) {
  var graphs = this.graphs;

  if (!animationAble(graphs)) {
    callback();
    return;
  }

  graphs.forEach(function (graph) {
    return graph.turnNextAnimationFrame(timeStamp);
  });
  this.drawAllGraph();
  requestAnimationFrame(animation.bind(this, callback, timeStamp));
}
/**
 * @description Find if there are graph that can be animated
 * @param {[Graph]} graphs
 * @return {Boolean}
 */


function animationAble(graphs) {
  return graphs.find(function (graph) {
    return !graph.animationPause && graph.animationFrameState.length;
  });
}
/**
 * @description Handler of CRender mousedown event
 * @return {Undefined} Void
 */


function mouseDown(e) {
  var graphs = this.graphs;
  var hoverGraph = graphs.find(function (graph) {
    return graph.status === 'hover';
  });
  if (!hoverGraph) return;
  hoverGraph.status = 'active';
}
/**
 * @description Handler of CRender mousemove event
 * @return {Undefined} Void
 */


function mouseMove(e) {
  var offsetX = e.offsetX,
      offsetY = e.offsetY;
  var position = [offsetX, offsetY];
  var graphs = this.graphs;
  var activeGraph = graphs.find(function (graph) {
    return graph.status === 'active' || graph.status === 'drag';
  });

  if (activeGraph) {
    if (!activeGraph.drag) return;

    if (typeof activeGraph.move !== 'function') {
      console.error('No move method is provided, cannot be dragged!');
      return;
    }

    activeGraph.moveProcessor(e);
    activeGraph.status = 'drag';
    return;
  }

  var hoverGraph = graphs.find(function (graph) {
    return graph.status === 'hover';
  });
  var hoverAbleGraphs = graphs.filter(function (graph) {
    return graph.hover && (typeof graph.hoverCheck === 'function' || graph.hoverRect);
  });
  var hoveredGraph = hoverAbleGraphs.find(function (graph) {
    return graph.hoverCheckProcessor(position, graph);
  });

  if (hoveredGraph) {
    document.body.style.cursor = hoveredGraph.style.hoverCursor;
  } else {
    document.body.style.cursor = 'default';
  }

  var hoverGraphMouseOuterIsFun = false,
      hoveredGraphMouseEnterIsFun = false;
  if (hoverGraph) hoverGraphMouseOuterIsFun = typeof hoverGraph.mouseOuter === 'function';
  if (hoveredGraph) hoveredGraphMouseEnterIsFun = typeof hoveredGraph.mouseEnter === 'function';
  if (!hoveredGraph && !hoverGraph) return;

  if (!hoveredGraph && hoverGraph) {
    if (hoverGraphMouseOuterIsFun) hoverGraph.mouseOuter(e, hoverGraph);
    hoverGraph.status = 'static';
    return;
  }

  if (hoveredGraph && hoveredGraph === hoverGraph) return;

  if (hoveredGraph && !hoverGraph) {
    if (hoveredGraphMouseEnterIsFun) hoveredGraph.mouseEnter(e, hoveredGraph);
    hoveredGraph.status = 'hover';
    return;
  }

  if (hoveredGraph && hoverGraph && hoveredGraph !== hoverGraph) {
    if (hoverGraphMouseOuterIsFun) hoverGraph.mouseOuter(e, hoverGraph);
    hoverGraph.status = 'static';
    if (hoveredGraphMouseEnterIsFun) hoveredGraph.mouseEnter(e, hoveredGraph);
    hoveredGraph.status = 'hover';
  }
}
/**
 * @description Handler of CRender mouseup event
 * @return {Undefined} Void
 */


function mouseUp(e) {
  var graphs = this.graphs;
  var activeGraph = graphs.find(function (graph) {
    return graph.status === 'active';
  });
  var dragGraph = graphs.find(function (graph) {
    return graph.status === 'drag';
  });
  if (activeGraph && typeof activeGraph.click === 'function') activeGraph.click(e, activeGraph);
  graphs.forEach(function (graph) {
    return graph && (graph.status = 'static');
  });
  if (activeGraph) activeGraph.status = 'hover';
  if (dragGraph) dragGraph.status = 'hover';
}
/**
 * @description         Clone Graph
 * @param {Graph} graph The target to be cloned
 * @return {Graph}      Cloned graph
 */


CRender.prototype.clone = function (graph) {
  var style = graph.style.getStyle();

  var clonedGraph = _objectSpread({}, graph, {
    style: style
  });

  delete clonedGraph.render;
  clonedGraph = (0, _util.deepClone)(clonedGraph, true);
  return this.add(clonedGraph);
};
}(crender_class));

(function (exports) {

var _interopRequireDefault = interopRequireDefault.exports;

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "CRender", {
  enumerable: true,
  get: function get() {
    return _crender["default"];
  }
});
Object.defineProperty(exports, "extendNewGraph", {
  enumerable: true,
  get: function get() {
    return _graphs.extendNewGraph;
  }
});
exports["default"] = void 0;

var _crender = _interopRequireDefault(crender_class);

var _graphs = graphs;

var _default = _crender["default"];
exports["default"] = _default;
}(lib$3));

var CRender = /*@__PURE__*/getDefaultExportFromCjs(lib$3);

var script$5 = {
  name: 'BvLiquidFill',
  props: {
    config: Object,
    default: function _default() {
      return {};
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var liquidFillRef = vue.ref(null);
    var defaultConfig = vue.ref({
      /**
       * @description Data
       * @type {Array<Number>}
       * @default data = []
       * @example data = [60, 40]
       */
      data: [],

      /**
       * @description Shape of wanter level pond
       * @type {String}
       * @default shape = 'round'
       * @example shape = 'rect' | 'roundRect' | 'round'
       */
      shape: 'round',

      /**
       * @description Water wave number
       * @type {Number}
       * @default waveNum = 2
       */
      waveNum: 2,

      /**
       * @description Water wave height (px)
       * @type {Number}
       * @default waveHeight = 20
       */
      waveHeight: 20,

      /**
       * @description Wave opacity
       * @type {Number}
       * @default waveOpacity = 0.4
       */
      waveOpacity: 0.4,

      /**
       * @description Colors (hex|rgb|rgba|color keywords)
       * @type {Array<String>}
       * @default colors = ['#00BAFF', '#3DE7C9']
       * @example colors = ['#000', 'rgb(0, 0, 0)', 'rgba(0, 0, 0, 1)', 'red']
       */
      colors: ['#3DE7C9', '#00BAFF'],

      /**
       * @description Formatter
       * @type {String}
       * @default formatter = '{value}%'
       */
      formatter: '{value}%'
    });
    var status = vue.reactive({
      mergedConfig: {},
      svgBorderGradient: [],
      details: '',
      renderer: null,
      waves: [],
      animation: false
    });
    var radius = vue.computed(function () {
      var shape = status.mergedConfig.shape;
      if (shape === 'round') return '50%';
      if (shape === 'rect') return '0';
      if (shape === 'roundRect') return '10px';
      return '0';
    });
    var shape = vue.computed(function () {
      var shape = status.mergedConfig.shape;
      if (!shape) return 'rect';
      return shape;
    });

    function init() {
      initRender();
      if (!props.config) return;
      calcData();
    }

    function initRender() {
      status.renderer = new CRender(liquidFillRef.value);
    }

    function calcData() {
      mergeConfig();
      calcSvgBorderGradient();
      calcDetails();
      addWave();
      animationWave();
    }

    function mergeConfig() {
      status.mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config);
    }

    function calcSvgBorderGradient() {
      var colors = status.mergedConfig.colors;
      var colorNum = colors.length;
      var colorOffsetGap = 100 / (colorNum - 1);
      status.svgBorderGradient = colors.map(function (c, i) {
        return [colorOffsetGap * i, c];
      });
    }

    function calcDetails() {
      var _status$mergedConfig = status.mergedConfig,
          data = _status$mergedConfig.data,
          formatter = _status$mergedConfig.formatter;

      if (!data.length) {
        status.details = '';
        return;
      }

      var maxValue = Math.max.apply(Math, data);
      status.details = formatter.replace('{value}', maxValue);
    }

    function addWave() {
      var shapes = getWaveShapes();
      var style = getWaveStyle();
      status.waves = shapes.map(function (shape) {
        return status.renderer.add({
          name: 'smoothline',
          animationFrame: 300,
          shape: shape,
          style: style,
          drawed: drawed
        });
      });
    }

    function getWaveShapes() {
      var _status$mergedConfig2 = status.mergedConfig,
          waveNum = _status$mergedConfig2.waveNum,
          waveHeight = _status$mergedConfig2.waveHeight,
          data = _status$mergedConfig2.data;
      var _status$renderer$area = status.renderer.area,
          w = _status$renderer$area[0],
          h = _status$renderer$area[1];
      var pointsNum = waveNum * 4 + 4;
      var pointXGap = w / waveNum / 2;
      return data.map(function (v) {
        var points = new Array(pointsNum).fill(0).map(function (foo, j) {
          var x = w - pointXGap * j;
          var startY = (1 - v / 100) * h;
          var y = j % 2 === 0 ? startY : startY - waveHeight;
          return [x, y];
        });
        points = points.map(function (p) {
          return mergeOffset(p, [pointXGap * 2, 0]);
        });
        return {
          points: points
        };
      });
    }

    function mergeOffset(_ref, _ref2) {
      var x = _ref[0],
          y = _ref[1];
      var ox = _ref2[0],
          oy = _ref2[1];
      return [x + ox, y + oy];
    }

    function getWaveStyle() {
      var h = status.renderer.area[1];
      return {
        gradientColor: status.mergedConfig.colors,
        gradientType: 'linear',
        gradientParams: [0, 0, 0, h],
        gradientWith: 'fill',
        opacity: status.mergedConfig.waveOpacity,
        translate: [0, 0]
      };
    }

    function drawed(_ref3, _ref4) {
      var points = _ref3.shape.points;
      var ctx = _ref4.ctx,
          area = _ref4.area;
      var firstPoint = points[0];
      var lastPoint = points.slice(-1)[0];
      var h = area[1];
      ctx.lineTo(lastPoint[0], h);
      ctx.lineTo(firstPoint[0], h);
      ctx.closePath();
      ctx.fill();
    }

    function animationWave(_x) {
      return _animationWave.apply(this, arguments);
    }

    function _animationWave() {
      _animationWave = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee(repeat) {
        var waves, animation, w;
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (repeat === void 0) {
                  repeat = 1;
                }

                waves = status.waves, animation = status.animation;

                if (!animation) {
                  _context.next = 4;
                  break;
                }

                return _context.abrupt("return");

              case 4:
                status.animation = true;
                w = status.renderer.area[0];
                waves.forEach(function (graph) {
                  graph.attr('style', {
                    translate: [0, 0]
                  });
                  graph.animation('style', {
                    translate: [w, 0]
                  }, true);
                });
                _context.next = 9;
                return status.renderer.launchAnimation();

              case 9:
                status.animation = false;

                if (status.renderer.graphs.length) {
                  _context.next = 12;
                  break;
                }

                return _context.abrupt("return");

              case 12:
                animationWave(repeat + 1);

              case 13:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _animationWave.apply(this, arguments);
    }

    vue.onMounted(function () {
      init();
    });
    vue.onBeforeUnmount(function () {
      if (status.renderer) {
        status.renderer.delAllGraph();
        status.waves = [];
      }
    });
    vue.watch(function () {
      return props.config;
    }, function () {
      if (!status.renderer) return;
      status.renderer.delAllGraph();
      status.waves = [];
      setTimeout(calcData, 0);
    }, {
      deep: true
    });
    return _extends({
      liquidFillRef: liquidFillRef,
      gradientId: "liquid-fill-" + id,
      defaultConfig: defaultConfig
    }, vue.toRefs(status), {
      radius: radius,
      shape: shape
    });
  }
};

var _hoisted_1$5 = {
  class: "bv-liquid-fill"
};
var _hoisted_2$5 = {
  key: 0
};
var _hoisted_3$5 = ["id"];
var _hoisted_4$4 = ["offset", "stop-color"];
var _hoisted_5$4 = ["stroke", "fill", "x", "y"];
var _hoisted_6$4 = ["cx", "cy", "rx", "ry", "stroke"];
var _hoisted_7$3 = ["rx", "ry", "width", "height", "stroke"];
function render$5(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$5, [_ctx.renderer ? (vue.openBlock(), vue.createElementBlock("svg", _hoisted_2$5, [vue.createElementVNode("defs", null, [vue.createElementVNode("linearGradient", {
    id: $setup.gradientId,
    x1: "0%",
    y1: "0%",
    x2: "0%",
    y2: "100%"
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.svgBorderGradient, function (lc) {
    return vue.openBlock(), vue.createElementBlock("stop", {
      key: lc[0],
      offset: lc[0],
      "stop-color": lc[1]
    }, null, 8
    /* PROPS */
    , _hoisted_4$4);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 8
  /* PROPS */
  , _hoisted_3$5)]), _ctx.renderer ? (vue.openBlock(), vue.createElementBlock("text", {
    key: 0,
    stroke: _ctx.mergedConfig.textColor || "url(#" + $setup.gradientId + ")",
    fill: _ctx.mergedConfig.textColor || "url(#" + $setup.gradientId + ")",
    x: _ctx.renderer.area[0] / 2 + 8,
    y: _ctx.renderer.area[1] / 2 + 8
  }, vue.toDisplayString(_ctx.details), 9
  /* TEXT, PROPS */
  , _hoisted_5$4)) : vue.createCommentVNode("v-if", true), !$setup.shape || $setup.shape === 'round' ? (vue.openBlock(), vue.createElementBlock("ellipse", {
    key: 1,
    cx: _ctx.renderer.area[0] / 2 + 8,
    cy: _ctx.renderer.area[1] / 2 + 8,
    rx: _ctx.renderer.area[0] / 2 + 5,
    ry: _ctx.renderer.area[1] / 2 + 5,
    stroke: "url(#" + $setup.gradientId + ")"
  }, null, 8
  /* PROPS */
  , _hoisted_6$4)) : (vue.openBlock(), vue.createElementBlock("rect", {
    key: 2,
    x: "2",
    y: "2",
    rx: $setup.shape === 'roundRect' ? 10 : 0,
    ry: $setup.shape === 'roundRect' ? 10 : 0,
    width: _ctx.renderer.area[0] + 12,
    height: _ctx.renderer.area[1] + 12,
    stroke: "url(#" + $setup.gradientId + ")"
  }, null, 8
  /* PROPS */
  , _hoisted_7$3))])) : vue.createCommentVNode("v-if", true), vue.createElementVNode("canvas", {
    ref: "liquidFillRef",
    style: vue.normalizeStyle("border-radius: " + $setup.radius + ";")
  }, null, 4
  /* STYLE */
  )]);
}

script$5.render = render$5;
script$5.__file = "src/components/liquidfill/main.vue";

script$5.install = function (app) {
  app.component(script$5.name, script$5);
};

var script$4 = {
  name: 'BvProgressBar',
  props: {
    config: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  setup: function setup(props) {
    var id = generateId();
    var domRef = vue.ref(null);
    var defaultConfig = vue.ref({
      /**
       * @description Value
       * @type {Number}
       * @default value = 0
       */
      value: 0,

      /**
       * @description Colors (hex|rgb|rgba|color keywords)
       * @type {Array<String>}
       * @default colors = ['#00BAFF', '#3DE7C9']
       * @example colors = ['#000', 'rgb(0, 0, 0)', 'rgba(0, 0, 0, 1)', 'red']
       */
      colors: ['#3DE7C9', '#00BAFF'],

      /**
       * @description Border width
       * @type {Number}
       * @default borderWidth = 3
       */
      borderWidth: 3,

      /**
       * @description Gap between border and pond
       * @type {Number}
       * @default borderGap = 3
       */
      borderGap: 3,

      /**
       * @description Line dash
       * @type {Array<Number>}
       * @default lineDash = [5, 1]
       */
      lineDash: [5, 1],

      /**
       * @description Text color
       * @type {String}
       * @default textColor = '#fff'
       */
      textColor: '#fff',

      /**
       * @description Border radius
       * @type {Number}
       * @default borderRadius = 5
       */
      borderRadius: 5,

      /**
       * @description Local Gradient
       * @type {Boolean}
       * @default localGradient = false
       * @example localGradient = false | true
       */
      localGradient: false,

      /**
       * @description Formatter
       * @type {String}
       * @default formatter = '{value}%'
       */
      formatter: '{value}%',

      /**
       * @description showNumber
       * @type {Boolean}
       * @default showNumber = true
       */
      showNumber: true
    });
    var status = vue.reactive({
      width: 0,
      height: 0,
      mergedConfig: null
    });
    vue.onMounted(function () {
      init();
    });
    vue.watch(function () {
      return props.config;
    }, function () {
      mergeConfig();
    }, {
      immediate: true,
      deep: true
    });

    function init() {
      return _init.apply(this, arguments);
    }

    function _init() {
      _init = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee() {
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return initWH();

              case 2:
                if (props.config) {
                  _context.next = 4;
                  break;
                }

                return _context.abrupt("return");

              case 4:
                mergeConfig();

              case 5:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _init.apply(this, arguments);
    }

    function initWH() {
      return _initWH.apply(this, arguments);
    }

    function _initWH() {
      _initWH = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee2() {
        var _domRef$value, clientWidth, clientHeight;

        return regenerator.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _context2.next = 2;
                return vue.nextTick();

              case 2:
                _domRef$value = domRef.value, clientWidth = _domRef$value.clientWidth, clientHeight = _domRef$value.clientHeight;
                status.width = clientWidth;
                status.height = clientHeight;

              case 5:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));
      return _initWH.apply(this, arguments);
    }

    function mergeConfig() {
      status.mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config || {});
    }

    return _extends({
      domRef: domRef,
      defaultConfig: defaultConfig
    }, vue.toRefs(status), {
      gradientId1: "progress-id1-" + id,
      gradientId2: "progress-id2-" + id
    });
  },
  computed: {
    rectWidth: function rectWidth() {
      var mergedConfig = this.mergedConfig,
          width = this.width;
      if (!mergedConfig) return 0;
      var borderWidth = mergedConfig.borderWidth;
      return width - borderWidth;
    },
    rectHeight: function rectHeight() {
      var mergedConfig = this.mergedConfig,
          height = this.height;
      if (!mergedConfig) return 0;
      var borderWidth = mergedConfig.borderWidth;
      return height - borderWidth;
    },
    points: function points() {
      var mergedConfig = this.mergedConfig,
          width = this.width,
          height = this.height;
      var halfHeight = height / 2;
      if (!mergedConfig) return "0, " + halfHeight + " 0, " + halfHeight;
      var borderWidth = mergedConfig.borderWidth,
          borderGap = mergedConfig.borderGap,
          value = mergedConfig.value;
      var polylineLength = (width - (borderWidth + borderGap) * 2) / 100 * value;
      return "\n        " + (borderWidth + borderGap) + ", " + halfHeight + "\n        " + (borderWidth + borderGap + polylineLength) + ", " + (halfHeight + 0.001) + "\n      ";
    },
    polylineWidth: function polylineWidth() {
      var mergedConfig = this.mergedConfig,
          height = this.height;
      if (!mergedConfig) return 0;
      var borderWidth = mergedConfig.borderWidth,
          borderGap = mergedConfig.borderGap;
      return height - (borderWidth + borderGap) * 2;
    },
    linearGradient: function linearGradient() {
      var mergedConfig = this.mergedConfig;
      if (!mergedConfig) return [];
      var colors = mergedConfig.colors;
      var colorNum = colors.length;
      var colorOffsetGap = 100 / (colorNum - 1);
      return colors.map(function (c, i) {
        return [colorOffsetGap * i, c];
      });
    },
    polylineGradient: function polylineGradient() {
      var gradientId1 = this.gradientId1,
          gradientId2 = this.gradientId2,
          mergedConfig = this.mergedConfig;
      if (!mergedConfig) return gradientId2;
      if (mergedConfig.localGradient) return gradientId1;
      return gradientId2;
    },
    gradient2XPos: function gradient2XPos() {
      var mergedConfig = this.mergedConfig;
      if (!mergedConfig) return '100%';
      var value = mergedConfig.value;
      return 200 - value + "%";
    },
    details: function details() {
      var mergedConfig = this.mergedConfig;
      if (!mergedConfig) return '';
      var value = mergedConfig.value,
          formatter = mergedConfig.formatter;
      return formatter.replace('{value}', value);
    }
  }
};

var _hoisted_1$4 = {
  class: "bv-progress-bar",
  ref: "domRef"
};
var _hoisted_2$4 = ["id"];
var _hoisted_3$4 = ["offset", "stop-color"];
var _hoisted_4$3 = ["id", "x2"];
var _hoisted_5$3 = ["offset", "stop-color"];
var _hoisted_6$3 = ["x", "y", "rx", "ry", "stroke-width", "stroke", "width", "height"];
var _hoisted_7$2 = ["stroke-width", "stroke-dasharray", "stroke", "points"];
var _hoisted_8$1 = ["stroke", "fill", "x", "y"];
function render$4(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$4, [(vue.openBlock(), vue.createElementBlock("svg", null, [vue.createElementVNode("defs", null, [vue.createElementVNode("linearGradient", {
    id: $setup.gradientId1,
    x1: "0%",
    y1: "0%",
    x2: "100%",
    y2: "0%"
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList($options.linearGradient, function (lc) {
    return vue.openBlock(), vue.createElementBlock("stop", {
      key: lc[0],
      offset: lc[0] + "%",
      "stop-color": lc[1]
    }, null, 8
    /* PROPS */
    , _hoisted_3$4);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 8
  /* PROPS */
  , _hoisted_2$4), vue.createElementVNode("linearGradient", {
    id: $setup.gradientId2,
    x1: "0%",
    y1: "0%",
    x2: $options.gradient2XPos,
    y2: "0%"
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList($options.linearGradient, function (lc) {
    return vue.openBlock(), vue.createElementBlock("stop", {
      key: lc[0],
      offset: lc[0] + "%",
      "stop-color": lc[1]
    }, null, 8
    /* PROPS */
    , _hoisted_5$3);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 8
  /* PROPS */
  , _hoisted_4$3)]), vue.createElementVNode("rect", {
    x: _ctx.mergedConfig ? _ctx.mergedConfig.borderWidth / 2 : '0',
    y: _ctx.mergedConfig ? _ctx.mergedConfig.borderWidth / 2 : '0',
    rx: _ctx.mergedConfig ? _ctx.mergedConfig.borderRadius : '0',
    ry: _ctx.mergedConfig ? _ctx.mergedConfig.borderRadius : '0',
    fill: "transparent",
    "stroke-width": _ctx.mergedConfig ? _ctx.mergedConfig.borderWidth : '0',
    stroke: "url(#" + $setup.gradientId1 + ")",
    width: $options.rectWidth > 0 ? $options.rectWidth : 0,
    height: $options.rectHeight > 0 ? $options.rectHeight : 0
  }, null, 8
  /* PROPS */
  , _hoisted_6$3), vue.createElementVNode("polyline", {
    "stroke-width": $options.polylineWidth,
    "stroke-dasharray": _ctx.mergedConfig ? _ctx.mergedConfig.lineDash.join(',') : '0',
    stroke: "url(#" + $options.polylineGradient + ")",
    points: $options.points
  }, null, 8
  /* PROPS */
  , _hoisted_7$2), _ctx.mergedConfig.showNumber ? (vue.openBlock(), vue.createElementBlock("text", {
    key: 0,
    stroke: _ctx.mergedConfig ? _ctx.mergedConfig.textColor : '#fff',
    fill: _ctx.mergedConfig ? _ctx.mergedConfig.textColor : '#fff',
    x: _ctx.width / 2,
    y: _ctx.height / 2
  }, vue.toDisplayString($options.details), 9
  /* TEXT, PROPS */
  , _hoisted_8$1)) : vue.createCommentVNode("v-if", true)]))], 512
  /* NEED_PATCH */
  );
}

script$4.render = render$4;
script$4.__file = "src/components/progress-bar/main.vue";

script$4.install = function (app) {
  app.component(script$4.name, script$4);
};

var script$3 = {
  name: 'BvConicalChart',
  props: {
    config: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  setup: function setup(props) {
    var defaultConfig = vue.ref({
      /**
       * @description Chart data
       * @type {Array<Object>}
       * @default data = []
       */
      data: [],

      /**
       * @description Chart img
       * @type {Array<String>}
       * @default img = []
       */
      img: [],

      /**
       * @description Chart font size
       * @type {Number}
       * @default fontSize = 12
       */
      fontSize: 12,

      /**
       * @description Img side length
       * @type {Number}
       * @default imgSideLength = 30
       */
      imgSideLength: 30,

      /**
       * @description Column color
       * @type {String}
       * @default color = 'rgba(0, 194, 255, 0.4)'
       */
      color: 'rgba(0, 194, 255, 0.4)',

      /**
       * @description Text color
       * @type {String}
       * @default textColor = '#fff'
       */
      textColor: '#fff',

      /**
       * @description Show value
       * @type {Boolean}
       * @default showValue = false
       */
      showValue: false
    });
    var status = vue.reactive({
      mergedConfig: null,
      column: []
    });

    var _useAutoResize = useAutoResize(calcData),
        domRef = _useAutoResize.domRef,
        width = _useAutoResize.width,
        height = _useAutoResize.height,
        resize = _useAutoResize.resize;

    function calcData() {
      mergeConfig();
      initData();
      calcSVGPath();
    }

    function mergeConfig() {
      status.mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config || {});
    }

    function initData() {
      var mergedConfig = status.mergedConfig;
      var data = mergedConfig.data;
      data = deepCopy(data);
      data.sort(function (_ref, _ref2) {
        var a = _ref.value;
        var b = _ref2.value;
        if (a > b) return -1;
        if (a < b) return 1;
        if (a === b) return 0;
      });
      var max = data[0] ? data[0].value : 10;
      data = data.map(function (item) {
        return _extends({}, item, {
          percent: item.value / max
        });
      });
      mergedConfig.data = data;
    }

    function calcSVGPath() {
      var _status$mergedConfig = status.mergedConfig,
          imgSideLength = _status$mergedConfig.imgSideLength,
          fontSize = _status$mergedConfig.fontSize,
          data = _status$mergedConfig.data;
      var itemNum = data.length;
      var gap = width.value / (itemNum + 1);
      var useAbleHeight = height.value - imgSideLength - fontSize - 5;
      var svgBottom = height.value - fontSize - 5;
      status.column = data.map(function (item, i) {
        var percent = item.percent;
        var middleXPos = gap * (i + 1);
        var leftXPos = gap * i;
        var rightXpos = gap * (i + 2);
        var middleYPos = svgBottom - useAbleHeight * percent;
        var controlYPos = useAbleHeight * percent * 0.6 + middleYPos;
        var d = "\n          M" + leftXPos + ", " + svgBottom + "\n          Q" + middleXPos + ", " + controlYPos + " " + middleXPos + "," + middleYPos + "\n          M" + middleXPos + "," + middleYPos + "\n          Q" + middleXPos + ", " + controlYPos + " " + rightXpos + "," + svgBottom + "\n          L" + leftXPos + ", " + svgBottom + "\n          Z\n        ";
        var textY = (svgBottom + middleYPos) / 2 + fontSize / 2;
        return _extends({}, item, {
          d: d,
          x: middleXPos,
          y: middleYPos,
          textY: textY
        });
      });
    }

    vue.watch(function () {
      return props.config;
    }, function () {
      calcData();
    }, {
      immediate: true,
      deep: true
    });
    return _extends({
      defaultConfig: defaultConfig
    }, vue.toRefs(status), {
      domRef: domRef,
      width: width,
      height: height,
      resize: resize
    });
  }
};

var _hoisted_1$3 = {
  class: "bv-conical-chart",
  ref: "domRef"
};
var _hoisted_2$3 = ["width", "height"];
var _hoisted_3$3 = ["d", "fill"];
var _hoisted_4$2 = ["fill", "x", "y"];
var _hoisted_5$2 = ["xlink:href", "width", "height", "x", "y"];
var _hoisted_6$2 = ["fill", "x", "y"];
function render$3(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$3, [(vue.openBlock(), vue.createElementBlock("svg", {
    width: $setup.width,
    height: $setup.height
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.column, function (item, i) {
    return vue.openBlock(), vue.createElementBlock("g", {
      key: i
    }, [vue.createElementVNode("path", {
      d: item.d,
      fill: _ctx.mergedConfig.color
    }, null, 8
    /* PROPS */
    , _hoisted_3$3), vue.createElementVNode("text", {
      style: vue.normalizeStyle("font-size:" + _ctx.mergedConfig.fontSize + "px"),
      fill: _ctx.mergedConfig.textColor,
      x: item.x,
      y: $setup.height - 4
    }, vue.toDisplayString(item.name), 13
    /* TEXT, STYLE, PROPS */
    , _hoisted_4$2), _ctx.mergedConfig.img.length ? (vue.openBlock(), vue.createElementBlock("image", {
      key: 0,
      "xlink:href": _ctx.mergedConfig.img[i % _ctx.mergedConfig.img.length],
      width: _ctx.mergedConfig.imgSideLength,
      height: _ctx.mergedConfig.imgSideLength,
      x: item.x - _ctx.mergedConfig.imgSideLength / 2,
      y: item.y - _ctx.mergedConfig.imgSideLength
    }, null, 8
    /* PROPS */
    , _hoisted_5$2)) : vue.createCommentVNode("v-if", true), _ctx.mergedConfig.showValue ? (vue.openBlock(), vue.createElementBlock("text", {
      key: 1,
      style: vue.normalizeStyle("font-size:" + _ctx.mergedConfig.fontSize + "px"),
      fill: _ctx.mergedConfig.textColor,
      x: item.x,
      y: item.textY
    }, vue.toDisplayString(item.value), 13
    /* TEXT, STYLE, PROPS */
    , _hoisted_6$2)) : vue.createCommentVNode("v-if", true)]);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 8
  /* PROPS */
  , _hoisted_2$3))], 512
  /* NEED_PATCH */
  );
}

script$3.render = render$3;
script$3.__file = "src/components/conical-chart/main.vue";

script$3.install = function (app) {
  app.component(script$3.name, script$3);
};

var script$2 = {
  name: 'BvFlylineChart',
  props: {
    config: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    dev: {
      type: Boolean,
      default: false
    }
  },
  emits: ['click'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var id = generateId();
    var defaultConfig = vue.ref({
      /**
       * @description Flyline chart points
       * @type {Point[]}
       * @default points = []
       */
      points: [],

      /**
       * @description Lines
       * @type {Flyline[]}
       * @default lines = []
       */
      lines: [],

      /**
       * @description Global halo configuration
       * @type {Halo}
       */
      halo: {
        /**
         * @description Whether to show halo
         * @type {Boolean}
         * @default show = false
         */
        show: false,

        /**
         * @description Halo animation duration (1s = 10)
         * @type {[number, number]}
         */
        duration: [20, 30],

        /**
         * @description Halo color
         * @type {String}
         * @default color = '#fb7293'
         */
        color: '#fb7293',

        /**
         * @description Halo radius
         * @type {Number}
         * @default radius = 120
         */
        radius: 120
      },

      /**
       * @description Global text configuration
       * @type {Text}
       */
      text: {
        /**
         * @description Whether to show text
         * @type {Boolean}
         * @default show = false
         */
        show: false,

        /**
         * @description Text offset
         * @type {[number, number]}
         * @default offset = [0, 15]
         */
        offset: [0, 15],

        /**
         * @description Text color
         * @type {String}
         * @default color = '#ffdb5c'
         */
        color: '#ffdb5c',

        /**
         * @description Text font size
         * @type {Number}
         * @default fontSize = 12
         */
        fontSize: 12
      },

      /**
       * @description Global icon configuration
       * @type {Icon}
       */
      icon: {
        /**
         * @description Whether to show icon
         * @type {Boolean}
         * @default show = false
         */
        show: false,

        /**
         * @description Icon src
         * @type {String}
         * @default src = ''
         */
        src: '',

        /**
         * @description Icon width
         * @type {Number}
         * @default width = 15
         */
        width: 15,

        /**
         * @description Icon height
         * @type {Number}
         * @default width = 15
         */
        height: 15
      },

      /**
       * @description Global line configuration
       * @type {Line}
       */
      line: {
        /**
         * @description Line width
         * @type {Number}
         * @default width = 1
         */
        width: 1,

        /**
         * @description Flyline color
         * @type {String}
         * @default color = '#ffde93'
         */
        color: '#ffde93',

        /**
         * @description Orbit color
         * @type {String}
         * @default orbitColor = 'rgba(103, 224, 227, .2)'
         */
        orbitColor: 'rgba(103, 224, 227, .2)',

        /**
         * @description Flyline animation duration
         * @type {[number, number]}
         * @default duration = [20, 30]
         */
        duration: [20, 30],

        /**
         * @description Flyline radius
         * @type {Number}
         * @default radius = 100
         */
        radius: 100
      },

      /**
       * @description Back ground image url
       * @type {String}
       * @default bgImgSrc = ''
       */
      bgImgSrc: '',

      /**
       * @description K value
       * @type {Number}
       * @default k = -0.5
       * @example k = -1 ~ 1
       */
      k: -0.5,

      /**
       * @description Flyline curvature
       * @type {Number}
       * @default curvature = 5
       */
      curvature: 5,

      /**
       * @description Relative points position
       * @type {Boolean}
       * @default relative = true
       */
      relative: true
    });
    var status = vue.reactive({
      unique: Math.random(),

      /**
       * @description Fly line data
       * @type {FlylineWithPath[]}
       * @default flylines = []
       */
      flylines: [],

      /**
       * @description Fly line lengths
       * @type {Number[]}
       * @default flylineLengths = []
       */
      flylineLengths: [],

      /**
       * @description Fly line points
       * @default flylinePoints = []
       */
      flylinePoints: [],
      mergedConfig: null
    });

    var _useAutoResize = useAutoResize(calcData),
        domRef = _useAutoResize.domRef,
        width = _useAutoResize.width,
        height = _useAutoResize.height,
        resize = _useAutoResize.resize;

    function calcData() {
      return _calcData.apply(this, arguments);
    }

    function _calcData() {
      _calcData = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee() {
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                mergeConfig();
                calcflylinePoints();
                calcLinePaths();
                _context.next = 5;
                return calcLineLengths();

              case 5:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _calcData.apply(this, arguments);
    }

    function mergeConfig() {
      var mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config || {});
      var points = mergedConfig.points,
          lines = mergedConfig.lines,
          halo = mergedConfig.halo,
          text = mergedConfig.text,
          icon = mergedConfig.icon,
          line = mergedConfig.line;
      mergedConfig.points = points.map(function (item) {
        item.halo = deepMerge(deepCopy(halo), item.halo || {});
        item.text = deepMerge(deepCopy(text), item.text || {});
        item.icon = deepMerge(deepCopy(icon), item.icon || {});
        return item;
      });
      mergedConfig.lines = lines.map(function (item) {
        return deepMerge(deepCopy(line), item);
      });
      status.mergedConfig = mergedConfig;
    }

    function calcflylinePoints() {
      var _status$mergedConfig = status.mergedConfig,
          relative = _status$mergedConfig.relative,
          points = _status$mergedConfig.points;
      status.flylinePoints = points.map(function (item, i) {
        var _item$coordinate = item.coordinate,
            x = _item$coordinate[0],
            y = _item$coordinate[1],
            halo = item.halo,
            icon = item.icon,
            text = item.text;
        if (relative) item.coordinate = [x * width.value, y * height.value];
        item.halo.time = randomExtend.apply(void 0, halo.duration) / 10;
        var iw = icon.width,
            ih = icon.height;
        item.icon.x = item.coordinate[0] - iw / 2;
        item.icon.y = item.coordinate[1] - ih / 2;
        var _text$offset = text.offset,
            ox = _text$offset[0],
            oy = _text$offset[1];
        item.text.x = item.coordinate[0] + ox;
        item.text.y = item.coordinate[1] + oy;
        item.key = "" + item.coordinate.toString() + i;
        return item;
      });
    }

    function calcLinePaths() {
      var _status$mergedConfig2 = status.mergedConfig,
          points = _status$mergedConfig2.points,
          lines = _status$mergedConfig2.lines;
      status.flylines = lines.map(function (item) {
        var source = item.source,
            target = item.target,
            duration = item.duration;
        var sourcePoint = points.find(function (_ref2) {
          var name = _ref2.name;
          return name === source;
        }).coordinate;
        var targetPoint = points.find(function (_ref3) {
          var name = _ref3.name;
          return name === target;
        }).coordinate;
        var path = getPath(sourcePoint, targetPoint).map(function (item) {
          return item.map(function (v) {
            return parseFloat(v.toFixed(10));
          });
        });
        var d = "M" + path[0].toString() + " Q" + path[1].toString() + " " + path[2].toString();
        var key = "path" + path.toString();
        var time = randomExtend.apply(void 0, duration) / 10;
        return _extends({}, item, {
          path: path,
          key: key,
          d: d,
          time: time
        });
      });
    }

    function getPath(start, end) {
      var controlPoint = getControlPoint(start, end);
      return [start, controlPoint, end];
    }

    function getControlPoint(_ref4, _ref5) {
      var sx = _ref4[0],
          sy = _ref4[1];
      var ex = _ref5[0],
          ey = _ref5[1];
      var _status$mergedConfig3 = status.mergedConfig,
          curvature = _status$mergedConfig3.curvature,
          k = _status$mergedConfig3.k;
      var mx = (sx + ex) / 2,
          my = (sy + ey) / 2;
      var distance = getTwoPointDistance([sx, sy], [ex, ey]);
      var targetLength = distance / curvature;
      var disDived = targetLength / 2;
      var dx = mx,
          dy = my;

      do {
        dx += disDived;
        dy = getKLinePointByx(k, [mx, my], dx)[1];
      } while (getTwoPointDistance([mx, my], [dx, dy]) < targetLength);

      return [dx, dy];
    }

    function getKLinePointByx(k, _ref6, x) {
      var lx = _ref6[0],
          ly = _ref6[1];
      var y = ly - k * lx + k * x;
      return [x, y];
    }

    function calcLineLengths() {
      return _calcLineLengths.apply(this, arguments);
    }

    function _calcLineLengths() {
      _calcLineLengths = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee2() {
        return regenerator.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _context2.next = 2;
                return vue.nextTick();

              case 2:
                status.flylineLengths = status.flylines.map(function (_ref8) {
                  var key = _ref8.key;
                  return document.getElementById(key).getTotalLength();
                });

              case 3:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));
      return _calcLineLengths.apply(this, arguments);
    }

    function consoleClickPos(_ref7) {
      var offsetX = _ref7.offsetX,
          offsetY = _ref7.offsetY;
      if (!props.dev) return;
      var relativeX = (offsetX / width.value).toFixed(2);
      var relativeY = (offsetY / height.value).toFixed(2);
      console.warn("bv-flyline-chart DEV: \n Click Position is [" + offsetX + ", " + offsetY + "] \n Relative Position is [" + relativeX + ", " + relativeY + "]");
    }

    function handlePointClick(point) {
      emit('click', point);
    }

    vue.watch(function () {
      return props.config;
    }, function () {
      calcData();
    }, {
      deep: true
    });
    return _extends({
      defaultConfig: defaultConfig
    }, vue.toRefs(status), {
      domRef: domRef,
      width: width,
      height: height,
      resize: resize,
      flylineGradientId: "flyline-gradient-id-" + id,
      haloGradientId: "halo-gradient-id-" + id,
      consoleClickPos: consoleClickPos,
      handlePointClick: handlePointClick
    });
  }
};

var _hoisted_1$2 = ["width", "height"];
var _hoisted_2$2 = ["id"];

var _hoisted_3$2 = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "0%",
  "stop-color": "#fff",
  "stop-opacity": "1"
}, null, -1
/* HOISTED */
);

var _hoisted_4$1 = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "100%",
  "stop-color": "#fff",
  "stop-opacity": "0"
}, null, -1
/* HOISTED */
);

var _hoisted_5$1 = [_hoisted_3$2, _hoisted_4$1];
var _hoisted_6$1 = ["id"];

var _hoisted_7$1 = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "0%",
  "stop-color": "#fff",
  "stop-opacity": "0"
}, null, -1
/* HOISTED */
);

var _hoisted_8 = /*#__PURE__*/vue.createElementVNode("stop", {
  offset: "100%",
  "stop-color": "#fff",
  "stop-opacity": "1"
}, null, -1
/* HOISTED */
);

var _hoisted_9 = [_hoisted_7$1, _hoisted_8];
var _hoisted_10 = ["onClick"];
var _hoisted_11 = ["id", "cx", "cy"];
var _hoisted_12 = ["values", "dur"];
var _hoisted_13 = ["dur"];
var _hoisted_14 = ["id"];
var _hoisted_15 = ["xlink:href", "fill"];
var _hoisted_16 = ["xlink:href", "fill", "mask"];
var _hoisted_17 = ["xlink:href", "width", "height", "x", "y"];
var _hoisted_18 = ["fill", "x", "y"];
var _hoisted_19 = ["id", "d"];
var _hoisted_20 = ["xlink:href", "stroke-width", "stroke"];
var _hoisted_21 = ["id"];
var _hoisted_22 = ["r", "fill"];
var _hoisted_23 = ["dur", "path"];
var _hoisted_24 = ["xlink:href", "stroke-width", "stroke", "mask"];
var _hoisted_25 = ["from", "to", "dur"];
function render$2(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: "bv-flyline-chart",
    style: vue.normalizeStyle("background-image: url(" + (_ctx.mergedConfig ? _ctx.mergedConfig.bgImgSrc : '') + ")"),
    ref: "domRef",
    onClick: _cache[0] || (_cache[0] = function () {
      return $setup.consoleClickPos && $setup.consoleClickPos.apply($setup, arguments);
    })
  }, [_ctx.flylines.length ? (vue.openBlock(), vue.createElementBlock("svg", {
    key: 0,
    width: $setup.width,
    height: $setup.height
  }, [vue.createElementVNode("defs", null, [vue.createElementVNode("radialGradient", {
    id: $setup.flylineGradientId,
    cx: "50%",
    cy: "50%",
    r: "50%"
  }, _hoisted_5$1, 8
  /* PROPS */
  , _hoisted_2$2), vue.createElementVNode("radialGradient", {
    id: $setup.haloGradientId,
    cx: "50%",
    cy: "50%",
    r: "50%"
  }, _hoisted_9, 8
  /* PROPS */
  , _hoisted_6$1)]), vue.createCommentVNode(" points "), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.flylinePoints, function (point) {
    return vue.openBlock(), vue.createElementBlock("g", {
      class: "point-item",
      key: point.key + Math.random(),
      onClick: function onClick($event) {
        return $setup.handlePointClick(point);
      }
    }, [vue.createElementVNode("defs", null, [point.halo.show ? (vue.openBlock(), vue.createElementBlock("circle", {
      key: 0,
      id: "halo" + _ctx.unique + point.key,
      cx: point.coordinate[0],
      cy: point.coordinate[1],
      r: "50%"
    }, [vue.createElementVNode("animate", {
      attributeName: "r",
      values: "1;" + point.halo.radius,
      dur: point.halo.time + "s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_12), vue.createElementVNode("animate", {
      attributeName: "opacity",
      values: "1;0",
      dur: point.halo.time + "s",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_13)], 8
    /* PROPS */
    , _hoisted_11)) : vue.createCommentVNode("v-if", true)]), vue.createCommentVNode(" halo gradient mask "), vue.createElementVNode("mask", {
      id: "mask" + _ctx.unique + point.key
    }, [point.halo.show ? (vue.openBlock(), vue.createElementBlock("use", {
      key: 0,
      "xlink:href": "#halo" + _ctx.unique + point.key,
      fill: "url(#" + $setup.haloGradientId + ")"
    }, null, 8
    /* PROPS */
    , _hoisted_15)) : vue.createCommentVNode("v-if", true)], 8
    /* PROPS */
    , _hoisted_14), vue.createCommentVNode(" point halo "), point.halo.show ? (vue.openBlock(), vue.createElementBlock("use", {
      key: 0,
      "xlink:href": "#halo" + _ctx.unique + point.key,
      fill: point.halo.color,
      mask: "url(#mask" + _ctx.unique + point.key + ")"
    }, null, 8
    /* PROPS */
    , _hoisted_16)) : vue.createCommentVNode("v-if", true), vue.createCommentVNode(" point icon "), point.icon.show ? (vue.openBlock(), vue.createElementBlock("image", {
      key: 1,
      "xlink:href": point.icon.src,
      width: point.icon.width,
      height: point.icon.height,
      x: point.icon.x,
      y: point.icon.y
    }, null, 8
    /* PROPS */
    , _hoisted_17)) : vue.createCommentVNode("v-if", true), vue.createCommentVNode(" point text "), point.text.show ? (vue.openBlock(), vue.createElementBlock("text", {
      key: 2,
      style: vue.normalizeStyle("font-size:" + point.text.fontSize + "px;color:" + point.text.color),
      fill: point.text.color,
      x: point.text.x,
      y: point.text.y
    }, vue.toDisplayString(point.name), 13
    /* TEXT, STYLE, PROPS */
    , _hoisted_18)) : vue.createCommentVNode("v-if", true)], 8
    /* PROPS */
    , _hoisted_10);
  }), 128
  /* KEYED_FRAGMENT */
  )), vue.createCommentVNode(" flylines "), (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.flylines, function (line, i) {
    return vue.openBlock(), vue.createElementBlock("g", {
      key: line.key + Math.random()
    }, [vue.createElementVNode("defs", null, [vue.createElementVNode("path", {
      id: line.key,
      d: line.d,
      fill: "transparent"
    }, null, 8
    /* PROPS */
    , _hoisted_19)]), vue.createCommentVNode(" orbit line "), vue.createElementVNode("use", {
      "xlink:href": "#" + line.key,
      "stroke-width": line.width,
      stroke: line.orbitColor
    }, null, 8
    /* PROPS */
    , _hoisted_20), vue.createCommentVNode(" fly line gradient mask "), vue.createElementVNode("mask", {
      id: "mask" + _ctx.unique + line.key
    }, [vue.createElementVNode("circle", {
      cx: "0",
      cy: "0",
      r: line.radius,
      fill: "url(#" + $setup.flylineGradientId + ")"
    }, [vue.createElementVNode("animateMotion", {
      dur: line.time,
      path: line.d,
      rotate: "auto",
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_23)], 8
    /* PROPS */
    , _hoisted_22)], 8
    /* PROPS */
    , _hoisted_21), vue.createCommentVNode(" fly line "), _ctx.flylineLengths[i] ? (vue.openBlock(), vue.createElementBlock("use", {
      key: 0,
      "xlink:href": "#" + line.key,
      "stroke-width": line.width,
      stroke: line.color,
      mask: "url(#mask" + _ctx.unique + line.key + ")"
    }, [vue.createElementVNode("animate", {
      attributeName: "stroke-dasharray",
      from: "0, " + _ctx.flylineLengths[i],
      to: _ctx.flylineLengths[i] + ", 0",
      dur: line.time,
      repeatCount: "indefinite"
    }, null, 8
    /* PROPS */
    , _hoisted_25)], 8
    /* PROPS */
    , _hoisted_24)) : vue.createCommentVNode("v-if", true)]);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 8
  /* PROPS */
  , _hoisted_1$2)) : vue.createCommentVNode("v-if", true)], 4
  /* STYLE */
  );
}

script$2.render = render$2;
script$2.__file = "src/components/flyline-chart/main.vue";

script$2.install = function (app) {
  app.component(script$2.name, script$2);
};

var script$1 = {
  name: 'BvScrollTable',
  props: {
    config: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  emits: ['mouseover', 'click'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var defaultConfig = vue.ref({
      /**
       * @description Board header
       * @type {Array<String>}
       * @default header = []
       * @example header = ['column1', 'column2', 'column3']
       */
      header: [],

      /**
       * @description Board data
       * @type {Array<Array>}
       * @default data = []
       */
      data: [],

      /**
       * @description Row num
       * @type {Number}
       * @default rowNum = 5
       */
      rowNum: 5,

      /**
       * @description Header background color
       * @type {String}
       * @default headerBGC = '#00BAFF'
       */
      headerBGC: '#00BAFF',

      /**
       * @description Odd row background color
       * @type {String}
       * @default oddRowBGC = '#003B51'
       */
      oddRowBGC: '#003B51',

      /**
       * @description Even row background color
       * @type {String}
       * @default evenRowBGC = '#003B51'
       */
      evenRowBGC: '#0A2732',

      /**
       * @description Scroll wait time
       * @type {Number}
       * @default waitTime = 2000
       */
      waitTime: 2000,

      /**
       * @description Header height
       * @type {Number}
       * @default headerHeight = 35
       */
      headerHeight: 35,

      /**
       * @description Column width
       * @type {Array<Number>}
       * @default columnWidth = []
       */
      columnWidth: [],

      /**
       * @description Column align
       * @type {Array<String>}
       * @default align = []
       * @example align = ['left', 'center', 'right']
       */
      align: [],

      /**
       * @description Show index
       * @type {Boolean}
       * @default index = false
       */
      index: false,

      /**
       * @description index Header
       * @type {String}
       * @default indexHeader = '#'
       */
      indexHeader: '#',

      /**
       * @description Carousel type
       * @type {String}
       * @default carousel = 'single'
       * @example carousel = 'single' | 'page'
       */
      carousel: 'single',

      /**
       * @description Pause scroll when mouse hovered
       * @type {Boolean}
       * @default hoverPause = true
       * @example hoverPause = true | false
       */
      hoverPause: true
    });

    var _useAutoResize = useAutoResize(calcData),
        domRef = _useAutoResize.domRef,
        width = _useAutoResize.width,
        height = _useAutoResize.height,
        resize = _useAutoResize.resize;

    var status = vue.reactive({
      mergedConfig: null,
      header: [],
      rowsData: [],
      rows: [],
      widths: [],
      heights: [],
      avgHeight: 0,
      aligns: [],
      animationIndex: 0,
      animationHandler: '',
      updater: 0,
      needCalc: false
    });

    function handleHover(enter, ri, ci, row, cell) {
      if (enter) emitEvent('mouseover', ri, ci, row, cell);
      if (!status.mergedConfig.hoverPause) return;

      if (enter) {
        stopAnimation();
      } else {
        animation(true);
      }
    }

    function onResize() {
      if (!status.mergedConfig) return;
      calcWidths();
      calcHeights();
    }

    function calcData() {
      stopAnimation();
      mergeConfig();
      calcHeaderData();
      calcRowsData();
      calcWidths();
      calcHeights();
      calcAligns();
      animation(true);
    }

    function mergeConfig() {
      status.mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config || {});
    }

    function calcHeaderData() {
      var _status$mergedConfig = status.mergedConfig,
          header = _status$mergedConfig.header,
          index = _status$mergedConfig.index,
          indexHeader = _status$mergedConfig.indexHeader;

      if (!header.length) {
        status.header = [];
        return;
      }

      header = [].concat(header);
      if (index) header.unshift(indexHeader);
      status.header = header;
    }

    function calcRowsData() {
      var _status$mergedConfig2 = status.mergedConfig,
          data = _status$mergedConfig2.data,
          index = _status$mergedConfig2.index,
          headerBGC = _status$mergedConfig2.headerBGC,
          rowNum = _status$mergedConfig2.rowNum;

      if (index) {
        data = data.map(function (row, i) {
          row = [].concat(row);
          var indexTag = "<span class=\"index\" style=\"background-color: " + headerBGC + ";\">" + (i + 1) + "</span>";
          row.unshift(indexTag);
          return row;
        });
      }

      data = data.map(function (cells, i) {
        return {
          cells: cells,
          rowIndex: i
        };
      });
      var rowLength = data.length;

      if (rowLength > rowNum && rowLength < 2 * rowNum) {
        data = [].concat(data, data);
      }

      data = data.map(function (d, i) {
        return _extends({}, d, {
          scroll: i
        });
      });
      status.rowsData = data;
      status.rows = data;
    }

    function calcWidths() {
      var mergedConfig = status.mergedConfig,
          rowsData = status.rowsData;
      var columnWidth = mergedConfig.columnWidth,
          header = mergedConfig.header;
      var usedWidth = columnWidth.reduce(function (all, w) {
        return all + w;
      }, 0);
      var columnNum = 0;

      if (rowsData[0]) {
        columnNum = rowsData[0].cells.length;
      } else if (header.length) {
        columnNum = header.length;
      }

      var avgWidth = (width.value - usedWidth) / (columnNum - columnWidth.length);
      var widths = new Array(columnNum).fill(avgWidth);
      status.widths = deepMerge(widths, columnWidth);
    }

    function calcHeights(onresize) {
      if (onresize === void 0) {
        onresize = false;
      }

      var mergedConfig = status.mergedConfig,
          header = status.header;
      var headerHeight = mergedConfig.headerHeight,
          rowNum = mergedConfig.rowNum,
          data = mergedConfig.data;
      var allHeight = height.value;
      if (header.length) allHeight -= headerHeight;
      var avgHeight = allHeight / rowNum;
      status.avgHeight = avgHeight;
      if (!onresize) status.heights = new Array(data.length).fill(avgHeight);
    }

    function calcAligns() {
      var header = status.header,
          mergedConfig = status.mergedConfig;
      var columnNum = header.length;
      var aligns = new Array(columnNum).fill('left');
      var align = mergedConfig.align;
      status.aligns = deepMerge(aligns, align);
    }

    function animation(_x) {
      return _animation.apply(this, arguments);
    }

    function _animation() {
      _animation = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee(start) {
        var _status$heights;

        var needCalc, calcHeights, calcRowsData, avgHeight, animationIndex, mergedConfig, rowsData, updater, waitTime, carousel, rowNum, rowLength, animationNum, rows, back;
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (start === void 0) {
                  start = false;
                }

                needCalc = status.needCalc, calcHeights = status.calcHeights, calcRowsData = status.calcRowsData;

                if (needCalc) {
                  calcRowsData();
                  calcHeights();
                  status.needCalc = false;
                }

                avgHeight = status.avgHeight, animationIndex = status.animationIndex, mergedConfig = status.mergedConfig, rowsData = status.rowsData, updater = status.updater;
                waitTime = mergedConfig.waitTime, carousel = mergedConfig.carousel, rowNum = mergedConfig.rowNum;
                rowLength = rowsData.length;

                if (!(rowNum >= rowLength)) {
                  _context.next = 8;
                  break;
                }

                return _context.abrupt("return");

              case 8:
                if (!start) {
                  _context.next = 13;
                  break;
                }

                _context.next = 11;
                return new Promise(function (resolve) {
                  return setTimeout(resolve, waitTime);
                });

              case 11:
                if (!(updater !== status.updater)) {
                  _context.next = 13;
                  break;
                }

                return _context.abrupt("return");

              case 13:
                animationNum = carousel === 'single' ? 1 : rowNum;
                rows = rowsData.slice(animationIndex);
                rows.push.apply(rows, rowsData.slice(0, animationIndex));
                status.rows = rows.slice(0, carousel === 'page' ? rowNum * 2 : rowNum + 1);
                status.heights = new Array(rowLength).fill(avgHeight);
                _context.next = 20;
                return new Promise(function (resolve) {
                  return setTimeout(resolve, 300);
                });

              case 20:
                if (!(updater !== status.updater)) {
                  _context.next = 22;
                  break;
                }

                return _context.abrupt("return");

              case 22:
                (_status$heights = status.heights).splice.apply(_status$heights, [0, animationNum].concat(new Array(animationNum).fill(0)));

                animationIndex += animationNum;
                back = animationIndex - rowLength;
                if (back >= 0) animationIndex = back;
                status.animationIndex = animationIndex;
                status.animationHandler = setTimeout(animation, waitTime - 300);

              case 28:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _animation.apply(this, arguments);
    }

    function stopAnimation() {
      var animationHandler = status.animationHandler,
          updater = status.updater;
      status.updater = (updater + 1) % 999999;
      if (!animationHandler) return;
      clearTimeout(animationHandler);
    }

    function emitEvent(type, ri, ci, row, cell) {
      var cells = row.cells,
          rowIndex = row.rowIndex;
      emit(type, {
        row: cells,
        cell: cell,
        rowIndex: rowIndex,
        columnIndex: ci
      });
    }

    function updateRows(rows, animationIndex) {
      var mergedConfig = status.mergedConfig,
          animationHandler = status.animationHandler;
      status.mergedConfig = _extends({}, mergedConfig, {
        data: [].concat(rows)
      });
      status.needCalc = true;
      if (typeof animationIndex === 'number') status.animationIndex = animationIndex;
      if (!animationHandler) animation(true);
    }

    vue.watch(function () {
      return props.config;
    }, function () {
      stopAnimation();
      status.animationIndex = 0;
      calcData();
    }, {
      deep: true
    });
    vue.onUnmounted(function () {
      stopAnimation();
    });
    return _extends({
      defaultConfig: defaultConfig
    }, vue.toRefs(status), {
      domRef: domRef,
      width: width,
      height: height,
      resize: resize,
      updateRows: updateRows,
      handleHover: handleHover,
      onResize: onResize,
      emitEvent: emitEvent
    });
  }
};

var _hoisted_1$1 = {
  class: "bv-scroll-table",
  ref: "domRef"
};
var _hoisted_2$1 = ["align", "innerHTML"];
var _hoisted_3$1 = ["align", "innerHTML", "onClick", "onMouseenter"];
function render$1(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$1, [_ctx.header.length && _ctx.mergedConfig ? (vue.openBlock(), vue.createElementBlock("div", {
    key: 0,
    class: "header",
    style: vue.normalizeStyle("background-color: " + _ctx.mergedConfig.headerBGC + ";")
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.header, function (headerItem, i) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: "header-item",
      key: "" + headerItem + i,
      style: vue.normalizeStyle("\n          height: " + _ctx.mergedConfig.headerHeight + "px;\n          line-height: " + _ctx.mergedConfig.headerHeight + "px;\n          width: " + _ctx.widths[i] + "px;\n        "),
      align: _ctx.aligns[i],
      innerHTML: headerItem
    }, null, 12
    /* STYLE, PROPS */
    , _hoisted_2$1);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 4
  /* STYLE */
  )) : vue.createCommentVNode("v-if", true), _ctx.mergedConfig ? (vue.openBlock(), vue.createElementBlock("div", {
    key: 1,
    class: "rows",
    style: vue.normalizeStyle("height: " + ($setup.height - (_ctx.header.length ? _ctx.mergedConfig.headerHeight : 0)) + "px;")
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.rows, function (row, ri) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: "row-item",
      key: "" + row.toString() + row.scroll,
      style: vue.normalizeStyle("\n          height: " + _ctx.heights[ri] + "px;\n          line-height: " + _ctx.heights[ri] + "px;\n          background-color: " + _ctx.mergedConfig[row.rowIndex % 2 === 0 ? 'evenRowBGC' : 'oddRowBGC'] + ";\n        ")
    }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(row.cells, function (cell, ci) {
      return vue.openBlock(), vue.createElementBlock("div", {
        class: "cell",
        key: "" + cell + ri + ci,
        style: vue.normalizeStyle("width: " + _ctx.widths[ci] + "px;"),
        align: _ctx.aligns[ci],
        innerHTML: cell,
        onClick: function onClick($event) {
          return $setup.emitEvent('click', ri, ci, row, cell);
        },
        onMouseenter: function onMouseenter($event) {
          return $setup.handleHover(true, ri, ci, row, cell);
        },
        onMouseleave: _cache[0] || (_cache[0] = function ($event) {
          return $setup.handleHover(false);
        })
      }, null, 44
      /* STYLE, PROPS, HYDRATE_EVENTS */
      , _hoisted_3$1);
    }), 128
    /* KEYED_FRAGMENT */
    ))], 4
    /* STYLE */
    );
  }), 128
  /* KEYED_FRAGMENT */
  ))], 4
  /* STYLE */
  )) : vue.createCommentVNode("v-if", true)], 512
  /* NEED_PATCH */
  );
}

script$1.render = render$1;
script$1.__file = "src/components/scroll-table/main.vue";

script$1.install = function (app) {
  app.component(script$1.name, script$1);
};

var script = {
  name: 'BvScrollRank',
  props: {
    config: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  setup: function setup(props, _ref) {
    _ref.emit;
    var defaultConfig = vue.ref({
      /**
       * @description Board data
       * @type {Array<Object>}
       * @default data = []
       */
      data: [],

      /**
       * @description Row num
       * @type {Number}
       * @default rowNum = 5
       */
      rowNum: 5,

      /**
       * @description Scroll wait time
       * @type {Number}
       * @default waitTime = 2000
       */
      waitTime: 2000,

      /**
       * @description Carousel type
       * @type {String}
       * @default carousel = 'single'
       * @example carousel = 'single' | 'page'
       */
      carousel: 'single',

      /**
       * @description Value unit
       * @type {String}
       * @default unit = ''
       * @example unit = 'ton'
       */
      unit: '',

      /**
       * @description Auto sort by value
       * @type {Boolean}
       * @default sort = true
       */
      sort: true,

      /**
       * @description Value formatter
       * @type {Function}
       * @default valueFormatter = null
       */
      valueFormatter: null,

      /**
       * @description Pause scroll when mouse hovered
       * @type {Boolean}
       * @default hoverPause = true
       * @example hoverPause = true | false
       */
      hoverPause: false
    });

    var _useAutoResize = useAutoResize(calcData),
        domRef = _useAutoResize.domRef,
        width = _useAutoResize.width,
        height = _useAutoResize.height,
        resize = _useAutoResize.resize;

    var status = vue.reactive({
      mergedConfig: null,
      rowsData: [],
      rows: [],
      heights: [],
      animationIndex: 0,
      animationHandler: '',
      updater: 0
    });

    function handleHover(enter) {
      if (!status.mergedConfig.hoverPause) return;

      if (enter) {
        stopAnimation();
      } else {
        animation(true);
      }
    }

    function calcData() {
      stopAnimation();
      mergeConfig();
      calcRowsData();
      calcHeights();
      animation(true);
    }

    function mergeConfig() {
      status.mergedConfig = deepMerge(deepCopy(defaultConfig.value), props.config || {});
    }

    function calcRowsData() {
      var _status$mergedConfig = status.mergedConfig,
          data = _status$mergedConfig.data,
          rowNum = _status$mergedConfig.rowNum,
          sort = _status$mergedConfig.sort;
      sort && data.sort(function (_ref2, _ref3) {
        var a = _ref2.value;
        var b = _ref3.value;
        if (a > b) return -1;
        if (a < b) return 1;
        if (a === b) return 0;
      });
      var value = data.map(function (_ref4) {
        var value = _ref4.value;
        return value;
      });
      var min = Math.min.apply(Math, value) || 0; // abs of min

      var minAbs = Math.abs(min);
      var max = Math.max.apply(Math, value) || 0; // abs of max
      var total = max + minAbs;
      data = data.map(function (row, i) {
        return _extends({}, row, {
          ranking: i + 1,
          percent: (row.value + minAbs) / total * 100
        });
      });
      var rowLength = data.length;

      if (rowLength > rowNum && rowLength < 2 * rowNum) {
        data = [].concat(data, data);
      }

      data = data.map(function (d, i) {
        return _extends({}, d, {
          scroll: i
        });
      });
      status.rowsData = data;
      status.rows = data;
    }

    function calcHeights(onresize) {
      if (onresize === void 0) {
        onresize = false;
      }

      var _status$mergedConfig2 = status.mergedConfig,
          rowNum = _status$mergedConfig2.rowNum,
          data = _status$mergedConfig2.data;
      var avgHeight = height.value / rowNum;
      status.avgHeight = avgHeight;
      if (!onresize) status.heights = new Array(data.length).fill(avgHeight);
    }

    function animation(_x) {
      return _animation.apply(this, arguments);
    }

    function _animation() {
      _animation = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee(start) {
        var _status$heights;

        var avgHeight, animationIndex, mergedConfig, rowsData, updater, waitTime, carousel, rowNum, rowLength, animationNum, rows, back;
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (start === void 0) {
                  start = false;
                }

                avgHeight = status.avgHeight, animationIndex = status.animationIndex, mergedConfig = status.mergedConfig, rowsData = status.rowsData, updater = status.updater;
                waitTime = mergedConfig.waitTime, carousel = mergedConfig.carousel, rowNum = mergedConfig.rowNum;
                rowLength = rowsData.length;

                if (!(rowNum >= rowLength)) {
                  _context.next = 6;
                  break;
                }

                return _context.abrupt("return");

              case 6:
                if (!start) {
                  _context.next = 11;
                  break;
                }

                _context.next = 9;
                return new Promise(function (resolve) {
                  return setTimeout(resolve, waitTime);
                });

              case 9:
                if (!(updater !== status.updater)) {
                  _context.next = 11;
                  break;
                }

                return _context.abrupt("return");

              case 11:
                animationNum = carousel === 'single' ? 1 : rowNum;
                rows = rowsData.slice(animationIndex);
                rows.push.apply(rows, rowsData.slice(0, animationIndex));
                status.rows = rows.slice(0, rowNum + 1);
                status.heights = new Array(rowLength).fill(avgHeight);
                _context.next = 18;
                return new Promise(function (resolve) {
                  return setTimeout(resolve, 300);
                });

              case 18:
                if (!(updater !== status.updater)) {
                  _context.next = 20;
                  break;
                }

                return _context.abrupt("return");

              case 20:
                (_status$heights = status.heights).splice.apply(_status$heights, [0, animationNum].concat(new Array(animationNum).fill(0)));

                animationIndex += animationNum;
                back = animationIndex - rowLength;
                if (back >= 0) animationIndex = back;
                status.animationIndex = animationIndex;
                status.animationHandler = setTimeout(animation, waitTime - 300);

              case 26:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _animation.apply(this, arguments);
    }

    function stopAnimation() {
      var animationHandler = status.animationHandler,
          updater = status.updater;
      status.updater = (updater + 1) % 999999;
      if (!animationHandler) return;
      clearTimeout(animationHandler);
    }

    vue.watch(function () {
      return props.config;
    }, function () {
      stopAnimation();
      status.animationIndex = 0;
      calcData();
    }, {
      deep: true
    });
    vue.onUnmounted(function () {
      stopAnimation();
    });
    return _extends({
      defaultConfig: defaultConfig
    }, vue.toRefs(status), {
      domRef: domRef,
      width: width,
      height: height,
      resize: resize,
      handleHover: handleHover
    });
  }
};

var _hoisted_1 = {
  class: "ranking-info"
};
var _hoisted_2 = {
  class: "rank"
};
var _hoisted_3 = ["innerHTML"];
var _hoisted_4 = {
  class: "ranking-value"
};
var _hoisted_5 = {
  class: "ranking-column"
};

var _hoisted_6 = /*#__PURE__*/vue.createElementVNode("div", {
  class: "shine"
}, null, -1
/* HOISTED */
);

var _hoisted_7 = [_hoisted_6];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: "bv-scroll-rank",
    ref: "domRef",
    onMouseenter: _cache[0] || (_cache[0] = function ($event) {
      return $setup.handleHover(true);
    }),
    onMouseleave: _cache[1] || (_cache[1] = function ($event) {
      return $setup.handleHover(false);
    })
  }, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.rows, function (item, i) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: "row-item",
      key: item.toString() + item.scroll,
      style: vue.normalizeStyle("height: " + _ctx.heights[i] + "px;")
    }, [vue.createElementVNode("div", _hoisted_1, [vue.createElementVNode("div", _hoisted_2, "No." + vue.toDisplayString(item.ranking), 1
    /* TEXT */
    ), vue.createElementVNode("div", {
      class: "info-name",
      innerHTML: item.name
    }, null, 8
    /* PROPS */
    , _hoisted_3), vue.createElementVNode("div", _hoisted_4, vue.toDisplayString(_ctx.mergedConfig.valueFormatter ? _ctx.mergedConfig.valueFormatter(item) : item.value + _ctx.mergedConfig.unit), 1
    /* TEXT */
    )]), vue.createElementVNode("div", _hoisted_5, [vue.createElementVNode("div", {
      class: "inside-column",
      style: vue.normalizeStyle("width: " + item.percent + "%;")
    }, _hoisted_7, 4
    /* STYLE */
    )])], 4
    /* STYLE */
    );
  }), 128
  /* KEYED_FRAGMENT */
  ))], 544
  /* HYDRATE_EVENTS, NEED_PATCH */
  );
}

script.render = render;
script.__file = "src/components/scroll-rank/main.vue";

script.install = function (app) {
  app.component(script.name, script);
};

var name = "vue3-bin-datav";
var version$1 = "0.1.9";
var keywords = [
	"bin-datav",
	"bin",
	"ui",
	"vue",
	"vue3",
	"components"
];
var author = "wangbin";
var files = [
	"lib",
	"src"
];
var main = "lib/bin-datav.common.js";
var module$1 = "lib/bin-datav.esm.js";
var unpkg = "lib/bin-datav.js";
var style = "lib/styles/index.css";
var homepage = "https://wangbin3162.gitee.io/bin-datav/";
var license = "MIT";
var scripts = {
	dev: "webpack-dev-server --config build/webpack.dev.js",
	"build:demo": "rimraf docs && cross-env NODE_ENV=production webpack --config build/webpack.dev.js",
	build: "yarn clean-lib && yarn build:lib && yarn build:style",
	"clean-lib": "rimraf lib",
	"build:lib": "rollup --config ./build/rollup.config.js",
	"build:style": "gulp --gulpfile ./build/gulpfile.js",
	lint: "eslint ./src --ext .vue,.js,.ts",
	"lint-fix": "eslint --fix ./src --ext .vue,.js,.ts"
};
var dependencies = {
	"@jiaminghi/c-render": "^0.4.3",
	color: "^4.1.0",
	"resize-observer-polyfill": "^1.5.1"
};
var peerDependencies = {
	vue: "^3.2.20"
};
var devDependencies = {
	"@babel/cli": "^7.16.0",
	"@babel/core": "^7.16.5",
	"@babel/eslint-parser": "^7.16.5",
	"@babel/plugin-proposal-class-properties": "^7.16.5",
	"@babel/plugin-transform-runtime": "^7.16.5",
	"@babel/preset-env": "^7.16.5",
	"@babel/runtime": "^7.16.5",
	"@rollup/plugin-babel": "^5.3.0",
	"@rollup/plugin-commonjs": "^20.0.0",
	"@rollup/plugin-json": "^4.1.0",
	"@rollup/plugin-node-resolve": "^13.1.1",
	"@rollup/plugin-replace": "^3.0.0",
	"@types/markdown-it": "^12.2.3",
	"@vue/babel-plugin-jsx": "^1.1.1",
	"@vue/compiler-sfc": "^3.2.26",
	"@vue/shared": "^3.2.26",
	"babel-loader": "^8.2.3",
	"babel-plugin-module-resolver": "^4.1.0",
	"babel-plugin-transform-class-properties": "^6.24.1",
	"bin-ui-next": "1.0.9",
	"cross-env": "^7.0.3",
	"css-loader": "^6.5.1",
	"css-minimizer-webpack-plugin": "^3.3.1",
	eslint: "^7.32.0",
	"eslint-plugin-vue": "^7.20.0",
	"file-loader": "^6.2.0",
	"file-save": "^0.2.0",
	gulp: "^4.0.2",
	"gulp-autoprefixer": "^8.0.0",
	"gulp-cssmin": "^0.2.0",
	"gulp-stylus": "^2.7.0",
	"highlight.js": "^11.3.1",
	"html-webpack-plugin": "^5.5.0",
	"markdown-it": "^12.3.0",
	"markdown-it-anchor": "^8.4.1",
	"markdown-it-chain": "^1.3.0",
	"markdown-it-container": "^3.0.0",
	"mini-css-extract-plugin": "^2.4.5",
	"progress-bar-webpack-plugin": "^2.1.0",
	rimraf: "^3.0.2",
	rollup: "^2.61.1",
	"rollup-plugin-css-only": "^3.1.0",
	"rollup-plugin-peer-deps-external": "^2.2.4",
	"rollup-plugin-stylus-css-modules": "^1.5.0",
	"rollup-plugin-terser": "^7.0.2",
	"rollup-plugin-vue": "^6.0.0",
	"style-loader": "^3.3.1",
	stylus: "^0.55.0",
	"stylus-loader": "6.1.0",
	transliteration: "^2.2.0",
	"url-loader": "^4.1.1",
	vue: "^3.2.26",
	"vue-loader": "16.5.0",
	"vue-router": "^4.0.12",
	webpack: "^5.65.0",
	"webpack-bundle-analyzer": "^4.5.0",
	"webpack-cli": "^4.9.1",
	"webpack-dev-server": "^4.7.0"
};
var config = {
	name: name,
	version: version$1,
	keywords: keywords,
	author: author,
	files: files,
	main: main,
	module: module$1,
	unpkg: unpkg,
	style: style,
	homepage: homepage,
	"private": false,
	license: license,
	scripts: scripts,
	dependencies: dependencies,
	peerDependencies: peerDependencies,
	devDependencies: devDependencies
};

/**
 * @description 返回这个样式的颜色值
 * @param {String} type 样式名称 [ primary | success | warning | danger | text ]
 */
function typeColor(type) {
  if (type === void 0) {
    type = 'default';
  }

  var color = '';

  switch (type) {
    case 'primary':
      color = '#1089ff';
      break;

    case 'success':
      color = '#52c41a';
      break;

    case 'warning':
      color = '#fa8c16';
      break;

    case 'danger':
      color = '#f5222d';
      break;

    case 'default':
      color = '#35495E';
      break;

    default:
      color = type;
      break;
  }

  return color;
}

var print = function print(text, type, back) {
  if (type === void 0) {
    type = 'default';
  }

  if (back === void 0) {
    back = false;
  }

  if (typeof text === 'object') {
    // 如果是对象则调用打印对象方式
    console.dir(text);
    return;
  }

  if (back) {
    // 如果是打印带背景图的
    console.log("%c " + text + " ", "background:" + typeColor(type) + "; padding: 2px; border-radius: 2px;color: #fff;");
  } else {
    console.log("%c " + text + " ", "color: " + typeColor(type) + ";");
  }
};

var pretty = function pretty(title, text, type) {
  if (type === void 0) {
    type = 'primary';
  }

  console.log("%c " + title + " %c " + text + " %c", "background:" + typeColor(type) + ";border:1px solid " + typeColor(type) + "; padding: 1px; border-radius: 2px 0 0 2px; color: #fff;", "border:1px solid " + typeColor(type) + "; padding: 1px; border-radius: 0 2px 2px 0; color: " + typeColor(type) + ";", 'background:transparent');
};

var primary = function primary(text, back) {
  if (back === void 0) {
    back = false;
  }

  print(text, 'primary', back);
};

var success = function success(text, back) {
  if (back === void 0) {
    back = false;
  }

  print(text, 'success', back);
};

var info = function info(text, back) {
  if (back === void 0) {
    back = false;
  }

  print(text, 'info', back);
};

var warning = function warning(text, back) {
  if (back === void 0) {
    back = false;
  }

  print(text, 'warning', back);
};

var danger = function danger(text, back) {
  if (back === void 0) {
    back = false;
  }

  print(text, 'danger', back);
};

var printVersion = function printVersion(title, version, link, type, fontSize, versionColor) {
  if (type === void 0) {
    type = 'primary';
  }

  if (fontSize === void 0) {
    fontSize = '20px';
  }

  if (versionColor === void 0) {
    versionColor = '#999';
  }

  console.log("%c" + title.toUpperCase() + " %cV" + version + "  " + link, "color: " + typeColor(type) + ";font-weight: 500;font-size: " + fontSize + ";font-family: Source Sans Pro,Helvetica Neue,Arial,sans-serif;", "color: " + versionColor + ";");
};

var log = {
  print: print,
  pretty: pretty,
  primary: primary,
  info: info,
  success: success,
  warning: warning,
  danger: danger,
  printVersion: printVersion
};

var version = config.version; // version_ to fix tsc issue

var components = [script$A, script$z, script$y, script$k, script$7, script$6, script$5, script$4, script$3, script$2, script$1, script];

var install = function install(app, options) {
  if (options === void 0) {
    options = {};
  }

  components.forEach(function (component) {
    app.use(component);
  });

  if (!options.disabledDoc) {
    log.printVersion(config.name, config.version, config.homepage, '#0a5299');
  }

  return app;
};
var index = {
  version: version,
  install: install
};

exports.BorderBox = script$k;
exports.CapsuleChart = script$6;
exports.ConicalChart = script$3;
exports.CountTo = script$z;
exports.Decorator = script$7;
exports.FlylineChart = script$2;
exports.Icon = script$A;
exports.Loading = script$y;
exports.ProgressBar = script$4;
exports.ScrollRank = script;
exports.ScrollTable = script$1;
exports.Theme = theme;
exports.Util = util$1;
exports["default"] = index;
